/* mkparams.c
 * Copyright (c) 1989-2004 Brooktrout Technology Inc.  All Rights Reserved
 */

/* Note: This program will not compile as-is under QNX 2 due to compiler
   limitations. In order to recreate the BT_CPARM.CFG file you will
   have to modify that the source files so as to delete or #ifdef out
   parameters for countries other than the ones needed in the new parameter
   file. This would include the definitions in mkparams.h, the country codes
   in the list of countries in mkparams.c, and the initialized structures
   in mkparams.c */

/* Note: Most of the country parameter values should not be changed if
   they are to properly meet PTT specifications. */

#include <stdio.h>
#include "btlib.h"
#include "ccode.h"
#include "mkparams.h"                   /* parameter value list */


#define FILL_0 0

#define PARAM_FILE_NAME "BT_CPARM.CFG"  /* actual name of created param file */
           
unsigned short config_countries[] = {
    USA,
    NEW_ZEALAND,
    JAPAN,
    AUSTRALIA,
    KOREA,
    SINGAPORE,
    MALAYSIA,
    INDIA,
    HONG_KONG,
    TURKEY,
    ISRAEL,
    RUSSIA,
    SWITZERLAND,
    NORWAY,
    EUROPEAN_COMMUNITY,
    /* note: these countries are identical to the european community values */
    SWEDEN,
    SPAIN,
    IRELAND,
    UK_CO,
    NETHERLANDS,
    GERMANY,
    FRANCE,
    CZECH_REPUBLIC,
    ITALY_CO,
    DENMARK
    /* end note: these countries are identical to the european community values */
};

struct country_phone_info countries[] = {
/* USA */
{
    COUNTRY_USA,
    TONE_LEN_USA,
    TONE_INTER_TIME_USA,
    PULSE_INTER_TIME_USA,
    PULSE_MAKE_USA,
    PULSE_BREAK_USA,
    RING_LEN_USA,
    DTONE_LEN_USA,
    DTONE_TIMEOUT_LOW_USA,
    DTONE_TIMEOUT_HIGH_USA,
    LOOPCUR_LEN_USA,
    LOOPCUR_TIMEOUT_USA,
    LOOPCUR_DEBOUNCE_USA,
    RING_LOWER_USA,
    RING_UPPER_USA,
    RING_BLANK_USA,
    DATA_LEVEL_USA,
    DTMF_LOW_LEVEL_USA,
    DTMF_HIGH_LEVEL_USA,
    REC_LEVEL_USA,
    ENABLE_LOOP_CUR_USA,
    ENABLE_BEEP_USA,
    PULSE_LINE_USA,
    DIAL_TONE_MIN_USA,
    DROP_OUT_TIME_USA,
    WAIT_FOR_CED_LOW_USA,
    WAIT_FOR_CED_HIGH_USA,
    INTERNAT_DELAY_USA,
    FIXED_ID_USA,
    CABS_USA,
    MIN_ON_HOOK_USA,
    SIL_THRESH_HIGH_USA,
    SIL_THRESH_LOW_USA,
    PULSE_UP_THRESH_USA,
    PULSE_LOW_THRESH_USA,
    RING_ON_HIGH_USA,
    RING_ON_LOW_USA,
    RING_OFF_HIGH_USA,
    RING_OFF_LOW_USA,
    REORDER_BUSY_USA,
    REORDER_VAR_USA,
    BUSY_HIGH_THRESH_USA,
    BUSY_LOW_THRESH_USA,
    BUSY_SUM_USA,
    BUSY_RATIO_USA,
    FILT_LEV_USA,
    AGC_MIN_HIGH_USA,
    AGC_MIN_LOW_USA,
    BLIND_DIAL_USA,
    INT_DIAL_COEF_USA,
    CP_COEF_USA,
    SIT_1ST_COEF_USA,
    SIT_2ND_COEF_USA,
    SIT_3RD_COEF_USA,
    INT_DIAL_COEF_114_USA,
    CP_COEF_114_USA,
    SIT_1ST_COEF_114_USA,
    SIT_2ND_COEF_114_USA,
    SIT_3RD_COEF_114_USA,
    MAX_BITRATE_USA,
    SCAN_TIME_USA,
    GEN_RING_ON_USA,
    GEN_RING_OFF_USA,
    GEN_BUSY_ON_USA,
    GEN_BUSY_OFF_USA,
    GEN_REORDER_ON_USA,
    GEN_REORDER_OFF_USA,
    FIXED_CED_USA,
    LOOP_SEIZURE_USA,
    LOOP_MAX_BREAK_USA,
    PULSE_MIN_BREAK_USA,
    PULSE_MAX_MAKE_USA,
    PULSE_MIN_MAKE_USA,
    MAX_INTERDIGIT_USA,
    PRE_WINK_USA,
    WINK_TIME_USA,
    DTMF_THRESH_OTHER_USA,
    DTMF_LEN_MIN_USA,
    DTMF_INTERDIGIT_MIN_USA,
    T30_BEHAVIOR_USA,
    POST_WINK_USA,
    JP_DID_OH_TIME_USA,
    BUSY_RATIO_LH_USA,
    MAX_SIL_TIMEOUT_USA,
    DL_CONFIG_USA,
    DL_WRONG_LIMIT_USA,
    DL_UNSUCC_LIMIT_USA,
    DL_SUM_LIMIT_USA,
    DL_MAX_LIMIT_USA,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_USA,
    DL_UNS_LMT_TIME_USA,
    DL_MIN_WRONG_FIRST_USA,
    DL_MIN_WRONG_USA,
    DL_MIN_UNSUCC_FIRST_USA,
    DL_MIN_UNSUCC_USA,
    V_REC_BUSY_POW_USA,
    V_REC_BUSY_DUR_USA,
    V_REC_BUSY_DIFF_USA,
    V_PLAY_BUSY_POW_USA,
    V_PLAY_BUSY_DUR_USA,
    V_PLAY_BUSY_INT_USA,
    V_PLAY_BUSY_NUM_USA,
    V_PLAY_BUSY_REP_USA,
    V_RP_JPN_DIAL_USA,
    V_RP_CNG_POW_USA,
},
/* NEW ZEALAND */
{
    COUNTRY_NZ,
    TONE_LEN_NZ,
    TONE_INTER_TIME_NZ,
    PULSE_INTER_TIME_NZ,
    PULSE_MAKE_NZ,
    PULSE_BREAK_NZ,
    RING_LEN_NZ,
    DTONE_LEN_NZ,
    DTONE_TIMEOUT_LOW_NZ,
    DTONE_TIMEOUT_HIGH_NZ,
    LOOPCUR_LEN_NZ,
    LOOPCUR_TIMEOUT_NZ,
    LOOPCUR_DEBOUNCE_NZ,
    RING_LOWER_NZ,
    RING_UPPER_NZ,
    RING_BLANK_NZ,
    DATA_LEVEL_NZ,
    DTMF_LOW_LEVEL_NZ,
    DTMF_HIGH_LEVEL_NZ,
    REC_LEVEL_NZ,
    ENABLE_LOOP_CUR_NZ,
    ENABLE_BEEP_NZ,
    PULSE_LINE_NZ,
    DIAL_TONE_MIN_NZ,
    DROP_OUT_TIME_NZ,
    WAIT_FOR_CED_LOW_NZ,
    WAIT_FOR_CED_HIGH_NZ,
    INTERNAT_DELAY_NZ,
    FIXED_ID_NZ,
    CABS_NZ,
    MIN_ON_HOOK_NZ,
    SIL_THRESH_HIGH_NZ,
    SIL_THRESH_LOW_NZ,
    PULSE_UP_THRESH_NZ,
    PULSE_LOW_THRESH_NZ,
    RING_ON_HIGH_NZ,
    RING_ON_LOW_NZ,
    RING_OFF_HIGH_NZ,
    RING_OFF_LOW_NZ,
    REORDER_BUSY_NZ,
    REORDER_VAR_NZ,
    BUSY_HIGH_THRESH_NZ,
    BUSY_LOW_THRESH_NZ,
    BUSY_SUM_NZ,
    BUSY_RATIO_NZ,
    FILT_LEV_NZ,
    AGC_MIN_HIGH_NZ,
    AGC_MIN_LOW_NZ,
    BLIND_DIAL_NZ,
    INT_DIAL_COEF_NZ,
    CP_COEF_NZ,
    SIT_1ST_COEF_NZ,
    SIT_2ND_COEF_NZ,
    SIT_3RD_COEF_NZ,
    INT_DIAL_COEF_114_NZ,
    CP_COEF_114_NZ,
    SIT_1ST_COEF_114_NZ,
    SIT_2ND_COEF_114_NZ,
    SIT_3RD_COEF_114_NZ,
    MAX_BITRATE_NZ,
    SCAN_TIME_NZ,
    GEN_RING_ON_NZ,
    GEN_RING_OFF_NZ,
    GEN_BUSY_ON_NZ,
    GEN_BUSY_OFF_NZ,
    GEN_REORDER_ON_NZ,
    GEN_REORDER_OFF_NZ,
    FIXED_CED_NZ,
    LOOP_SEIZURE_NZ,
    LOOP_MAX_BREAK_NZ,
    PULSE_MIN_BREAK_NZ,
    PULSE_MAX_MAKE_NZ,
    PULSE_MIN_MAKE_NZ,
    MAX_INTERDIGIT_NZ,
    PRE_WINK_NZ,
    WINK_TIME_NZ,
    DTMF_THRESH_OTHER_NZ,
    DTMF_LEN_MIN_NZ,
    DTMF_INTERDIGIT_MIN_NZ,
    T30_BEHAVIOR_NZ,
    POST_WINK_NZ,
    JP_DID_OH_TIME_NZ,
    BUSY_RATIO_LH_NZ,
    MAX_SIL_TIMEOUT_NZ,
    DL_CONFIG_NZ,
    DL_WRONG_LIMIT_NZ,
    DL_UNSUCC_LIMIT_NZ,
    DL_SUM_LIMIT_NZ,
    DL_MAX_LIMIT_NZ,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_NZ,
    DL_UNS_LMT_TIME_NZ,
    DL_MIN_WRONG_FIRST_NZ,
    DL_MIN_WRONG_NZ,
    DL_MIN_UNSUCC_FIRST_NZ,
    DL_MIN_UNSUCC_NZ,
    V_REC_BUSY_POW_NZ,
    V_REC_BUSY_DUR_NZ,
    V_REC_BUSY_DIFF_NZ,
    V_PLAY_BUSY_POW_NZ,
    V_PLAY_BUSY_DUR_NZ,
    V_PLAY_BUSY_INT_NZ,
    V_PLAY_BUSY_NUM_NZ,
    V_PLAY_BUSY_REP_NZ,
    V_RP_JPN_DIAL_NZ,
    V_RP_CNG_POW_NZ,
},
/* JAPAN */
{
    COUNTRY_JPN,
    TONE_LEN_JPN,
    TONE_INTER_TIME_JPN,
    PULSE_INTER_TIME_JPN,
    PULSE_MAKE_JPN,
    PULSE_BREAK_JPN,
    RING_LEN_JPN,
    DTONE_LEN_JPN,
    DTONE_TIMEOUT_LOW_JPN,
    DTONE_TIMEOUT_HIGH_JPN,
    LOOPCUR_LEN_JPN,
    LOOPCUR_TIMEOUT_JPN,
    LOOPCUR_DEBOUNCE_JPN,
    RING_LOWER_JPN,
    RING_UPPER_JPN,
    RING_BLANK_JPN,
    DATA_LEVEL_JPN,
    DTMF_LOW_LEVEL_JPN,
    DTMF_HIGH_LEVEL_JPN,
    REC_LEVEL_JPN,
    ENABLE_LOOP_CUR_JPN,
    ENABLE_BEEP_JPN,
    PULSE_LINE_JPN,
    DIAL_TONE_MIN_JPN,
    DROP_OUT_TIME_JPN,
    WAIT_FOR_CED_LOW_JPN,
    WAIT_FOR_CED_HIGH_JPN,
    INTERNAT_DELAY_JPN,
    FIXED_ID_JPN,
    CABS_JPN,
    MIN_ON_HOOK_JPN,
    SIL_THRESH_HIGH_JPN,
    SIL_THRESH_LOW_JPN,
    PULSE_UP_THRESH_JPN,
    PULSE_LOW_THRESH_JPN,
    RING_ON_HIGH_JPN,
    RING_ON_LOW_JPN,
    RING_OFF_HIGH_JPN,
    RING_OFF_LOW_JPN,
    REORDER_BUSY_JPN,
    REORDER_VAR_JPN,
    BUSY_HIGH_THRESH_JPN,
    BUSY_LOW_THRESH_JPN,
    BUSY_SUM_JPN,
    BUSY_RATIO_JPN,
    FILT_LEV_JPN,
    AGC_MIN_HIGH_JPN,
    AGC_MIN_LOW_JPN,
    BLIND_DIAL_JPN,
    INT_DIAL_COEF_JPN,
    CP_COEF_JPN,
    SIT_1ST_COEF_JPN,
    SIT_2ND_COEF_JPN,
    SIT_3RD_COEF_JPN,
    INT_DIAL_COEF_114_JPN,
    CP_COEF_114_JPN,
    SIT_1ST_COEF_114_JPN,
    SIT_2ND_COEF_114_JPN,
    SIT_3RD_COEF_114_JPN,
    MAX_BITRATE_JPN,
    SCAN_TIME_JPN,
    GEN_RING_ON_JPN,
    GEN_RING_OFF_JPN,
    GEN_BUSY_ON_JPN,
    GEN_BUSY_OFF_JPN,
    GEN_REORDER_ON_JPN,
    GEN_REORDER_OFF_JPN,
    FIXED_CED_JPN,
    LOOP_SEIZURE_JPN,
    LOOP_MAX_BREAK_JPN,
    PULSE_MIN_BREAK_JPN,
    PULSE_MAX_MAKE_JPN,
    PULSE_MIN_MAKE_JPN,
    MAX_INTERDIGIT_JPN,
    PRE_WINK_JPN,
    WINK_TIME_JPN,
    DTMF_THRESH_OTHER_JPN,
    DTMF_LEN_MIN_JPN,
    DTMF_INTERDIGIT_MIN_JPN,
    T30_BEHAVIOR_JPN,
    POST_WINK_JPN,
    JP_DID_OH_TIME_JPN,
    BUSY_RATIO_LH_JPN,
    MAX_SIL_TIMEOUT_JPN,
    DL_CONFIG_JPN,
    DL_WRONG_LIMIT_JPN,
    DL_UNSUCC_LIMIT_JPN,
    DL_SUM_LIMIT_JPN,
    DL_MAX_LIMIT_JPN,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_JPN,
    DL_UNS_LMT_TIME_JPN,
    DL_MIN_WRONG_FIRST_JPN,
    DL_MIN_WRONG_JPN,
    DL_MIN_UNSUCC_FIRST_JPN,
    DL_MIN_UNSUCC_JPN,
    V_REC_BUSY_POW_JPN,
    V_REC_BUSY_DUR_JPN,
    V_REC_BUSY_DIFF_JPN,
    V_PLAY_BUSY_POW_JPN,
    V_PLAY_BUSY_DUR_JPN,
    V_PLAY_BUSY_INT_JPN,
    V_PLAY_BUSY_NUM_JPN,
    V_PLAY_BUSY_REP_JPN,
    V_RP_JPN_DIAL_JPN,
    V_RP_CNG_POW_JPN,
},
/* AUSTRALIA */
{
    COUNTRY_AUSI,
    TONE_LEN_AUSI,
    TONE_INTER_TIME_AUSI,
    PULSE_INTER_TIME_AUSI,
    PULSE_MAKE_AUSI,
    PULSE_BREAK_AUSI,
    RING_LEN_AUSI,
    DTONE_LEN_AUSI,
    DTONE_TIMEOUT_LOW_AUSI,
    DTONE_TIMEOUT_HIGH_AUSI,
    LOOPCUR_LEN_AUSI,
    LOOPCUR_TIMEOUT_AUSI,
    LOOPCUR_DEBOUNCE_AUSI,
    RING_LOWER_AUSI,
    RING_UPPER_AUSI,
    RING_BLANK_AUSI,
    DATA_LEVEL_AUSI,
    DTMF_LOW_LEVEL_AUSI,
    DTMF_HIGH_LEVEL_AUSI,
    REC_LEVEL_AUSI,
    ENABLE_LOOP_CUR_AUSI,
    ENABLE_BEEP_AUSI,
    PULSE_LINE_AUSI,
    DIAL_TONE_MIN_AUSI,
    DROP_OUT_TIME_AUSI,
    WAIT_FOR_CED_LOW_AUSI,
    WAIT_FOR_CED_HIGH_AUSI,
    INTERNAT_DELAY_AUSI,
    FIXED_ID_AUSI,
    CABS_AUSI,
    MIN_ON_HOOK_AUSI,
    SIL_THRESH_HIGH_AUSI,
    SIL_THRESH_LOW_AUSI,
    PULSE_UP_THRESH_AUSI,
    PULSE_LOW_THRESH_AUSI,
    RING_ON_HIGH_AUSI,
    RING_ON_LOW_AUSI,
    RING_OFF_HIGH_AUSI,
    RING_OFF_LOW_AUSI,
    REORDER_BUSY_AUSI,
    REORDER_VAR_AUSI,
    BUSY_HIGH_THRESH_AUSI,
    BUSY_LOW_THRESH_AUSI,
    BUSY_SUM_AUSI,
    BUSY_RATIO_AUSI,
    FILT_LEV_AUSI,
    AGC_MIN_HIGH_AUSI,
    AGC_MIN_LOW_AUSI,
    BLIND_DIAL_AUSI,
    INT_DIAL_COEF_AUSI,
    CP_COEF_AUSI,
    SIT_1ST_COEF_AUSI,
    SIT_2ND_COEF_AUSI,
    SIT_3RD_COEF_AUSI,
    INT_DIAL_COEF_114_AUSI,
    CP_COEF_114_AUSI,
    SIT_1ST_COEF_114_AUSI,
    SIT_2ND_COEF_114_AUSI,
    SIT_3RD_COEF_114_AUSI,
    MAX_BITRATE_AUSI,
    SCAN_TIME_AUSI,
    GEN_RING_ON_AUSI,
    GEN_RING_OFF_AUSI,
    GEN_BUSY_ON_AUSI,
    GEN_BUSY_OFF_AUSI,
    GEN_REORDER_ON_AUSI,
    GEN_REORDER_OFF_AUSI,
    FIXED_CED_AUSI,
    LOOP_SEIZURE_AUSI,
    LOOP_MAX_BREAK_AUSI,
    PULSE_MIN_BREAK_AUSI,
    PULSE_MAX_MAKE_AUSI,
    PULSE_MIN_MAKE_AUSI,
    MAX_INTERDIGIT_AUSI,
    PRE_WINK_AUSI,
    WINK_TIME_AUSI,
    DTMF_THRESH_OTHER_AUSI,
    DTMF_LEN_MIN_AUSI,
    DTMF_INTERDIGIT_MIN_AUSI,
    T30_BEHAVIOR_AUSI,
    POST_WINK_AUSI,
    JP_DID_OH_TIME_AUSI,
    BUSY_RATIO_LH_AUSI,
    MAX_SIL_TIMEOUT_AUSI,
    DL_CONFIG_AUSI,
    DL_WRONG_LIMIT_AUSI,
    DL_UNSUCC_LIMIT_AUSI,
    DL_SUM_LIMIT_AUSI,
    DL_MAX_LIMIT_AUSI,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_AUSI,
    DL_UNS_LMT_TIME_AUSI,
    DL_MIN_WRONG_FIRST_AUSI,
    DL_MIN_WRONG_AUSI,
    DL_MIN_UNSUCC_FIRST_AUSI,
    DL_MIN_UNSUCC_AUSI,
    V_REC_BUSY_POW_AUSI,
    V_REC_BUSY_DUR_AUSI,
    V_REC_BUSY_DIFF_AUSI,
    V_PLAY_BUSY_POW_AUSI,
    V_PLAY_BUSY_DUR_AUSI,
    V_PLAY_BUSY_INT_AUSI,
    V_PLAY_BUSY_NUM_AUSI,
    V_PLAY_BUSY_REP_AUSI,
    V_RP_JPN_DIAL_AUSI,
    V_RP_CNG_POW_AUSI,
},
/* KOREA */
{
    COUNTRY_KOR,
    TONE_LEN_KOR,
    TONE_INTER_TIME_KOR,
    PULSE_INTER_TIME_KOR,
    PULSE_MAKE_KOR,
    PULSE_BREAK_KOR,
    RING_LEN_KOR,
    DTONE_LEN_KOR,
    DTONE_TIMEOUT_LOW_KOR,
    DTONE_TIMEOUT_HIGH_KOR,
    LOOPCUR_LEN_KOR,
    LOOPCUR_TIMEOUT_KOR,
    LOOPCUR_DEBOUNCE_KOR,
    RING_LOWER_KOR,
    RING_UPPER_KOR,
    RING_BLANK_KOR,
    DATA_LEVEL_KOR,
    DTMF_LOW_LEVEL_KOR,
    DTMF_HIGH_LEVEL_KOR,
    REC_LEVEL_KOR,
    ENABLE_LOOP_CUR_KOR,
    ENABLE_BEEP_KOR,
    PULSE_LINE_KOR,
    DIAL_TONE_MIN_KOR,
    DROP_OUT_TIME_KOR,
    WAIT_FOR_CED_LOW_KOR,
    WAIT_FOR_CED_HIGH_KOR,
    INTERNAT_DELAY_KOR,
    FIXED_ID_KOR,
    CABS_KOR,
    MIN_ON_HOOK_KOR,
    SIL_THRESH_HIGH_KOR,
    SIL_THRESH_LOW_KOR,
    PULSE_UP_THRESH_KOR,
    PULSE_LOW_THRESH_KOR,
    RING_ON_HIGH_KOR,
    RING_ON_LOW_KOR,
    RING_OFF_HIGH_KOR,
    RING_OFF_LOW_KOR,
    REORDER_BUSY_KOR,
    REORDER_VAR_KOR,
    BUSY_HIGH_THRESH_KOR,
    BUSY_LOW_THRESH_KOR,
    BUSY_SUM_KOR,
    BUSY_RATIO_KOR,
    FILT_LEV_KOR,
    AGC_MIN_HIGH_KOR,
    AGC_MIN_LOW_KOR,
    BLIND_DIAL_KOR,
    INT_DIAL_COEF_KOR,
    CP_COEF_KOR,
    SIT_1ST_COEF_KOR,
    SIT_2ND_COEF_KOR,
    SIT_3RD_COEF_KOR,
    INT_DIAL_COEF_114_KOR,
    CP_COEF_114_KOR,
    SIT_1ST_COEF_114_KOR,
    SIT_2ND_COEF_114_KOR,
    SIT_3RD_COEF_114_KOR,
    MAX_BITRATE_KOR,
    SCAN_TIME_KOR,
    GEN_RING_ON_KOR,
    GEN_RING_OFF_KOR,
    GEN_BUSY_ON_KOR,
    GEN_BUSY_OFF_KOR,
    GEN_REORDER_ON_KOR,
    GEN_REORDER_OFF_KOR,
    FIXED_CED_KOR,
    LOOP_SEIZURE_KOR,
    LOOP_MAX_BREAK_KOR,
    PULSE_MIN_BREAK_KOR,
    PULSE_MAX_MAKE_KOR,
    PULSE_MIN_MAKE_KOR,
    MAX_INTERDIGIT_KOR,
    PRE_WINK_KOR,
    WINK_TIME_KOR,
    DTMF_THRESH_OTHER_KOR,
    DTMF_LEN_MIN_KOR,
    DTMF_INTERDIGIT_MIN_KOR,
    T30_BEHAVIOR_KOR,
    POST_WINK_KOR,
    JP_DID_OH_TIME_KOR,
    BUSY_RATIO_LH_KOR,
    MAX_SIL_TIMEOUT_KOR,
    DL_CONFIG_KOR,
    DL_WRONG_LIMIT_KOR,
    DL_UNSUCC_LIMIT_KOR,
    DL_SUM_LIMIT_KOR,
    DL_MAX_LIMIT_KOR,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_KOR,
    DL_UNS_LMT_TIME_KOR,
    DL_MIN_WRONG_FIRST_KOR,
    DL_MIN_WRONG_KOR,
    DL_MIN_UNSUCC_FIRST_KOR,
    DL_MIN_UNSUCC_KOR,
    V_REC_BUSY_POW_KOR,
    V_REC_BUSY_DUR_KOR,
    V_REC_BUSY_DIFF_KOR,
    V_PLAY_BUSY_POW_KOR,
    V_PLAY_BUSY_DUR_KOR,
    V_PLAY_BUSY_INT_KOR,
    V_PLAY_BUSY_NUM_KOR,
    V_PLAY_BUSY_REP_KOR,
    V_RP_JPN_DIAL_KOR,
    V_RP_CNG_POW_KOR,
},
/* SINGAPORE */
{
    COUNTRY_SING,
    TONE_LEN_SING,
    TONE_INTER_TIME_SING,
    PULSE_INTER_TIME_SING,
    PULSE_MAKE_SING,
    PULSE_BREAK_SING,
    RING_LEN_SING,
    DTONE_LEN_SING,
    DTONE_TIMEOUT_LOW_SING,
    DTONE_TIMEOUT_HIGH_SING,
    LOOPCUR_LEN_SING,
    LOOPCUR_TIMEOUT_SING,
    LOOPCUR_DEBOUNCE_SING,
    RING_LOWER_SING,
    RING_UPPER_SING,
    RING_BLANK_SING,
    DATA_LEVEL_SING,
    DTMF_LOW_LEVEL_SING,
    DTMF_HIGH_LEVEL_SING,
    REC_LEVEL_SING,
    ENABLE_LOOP_CUR_SING,
    ENABLE_BEEP_SING,
    PULSE_LINE_SING,
    DIAL_TONE_MIN_SING,
    DROP_OUT_TIME_SING,
    WAIT_FOR_CED_LOW_SING,
    WAIT_FOR_CED_HIGH_SING,
    INTERNAT_DELAY_SING,
    FIXED_ID_SING,
    CABS_SING,
    MIN_ON_HOOK_SING,
    SIL_THRESH_HIGH_SING,
    SIL_THRESH_LOW_SING,
    PULSE_UP_THRESH_SING,
    PULSE_LOW_THRESH_SING,
    RING_ON_HIGH_SING,
    RING_ON_LOW_SING,
    RING_OFF_HIGH_SING,
    RING_OFF_LOW_SING,
    REORDER_BUSY_SING,
    REORDER_VAR_SING,
    BUSY_HIGH_THRESH_SING,
    BUSY_LOW_THRESH_SING,
    BUSY_SUM_SING,
    BUSY_RATIO_SING,
    FILT_LEV_SING,
    AGC_MIN_HIGH_SING,
    AGC_MIN_LOW_SING,
    BLIND_DIAL_SING,
    INT_DIAL_COEF_SING,
    CP_COEF_SING,
    SIT_1ST_COEF_SING,
    SIT_2ND_COEF_SING,
    SIT_3RD_COEF_SING,
    INT_DIAL_COEF_114_SING,
    CP_COEF_114_SING,
    SIT_1ST_COEF_114_SING,
    SIT_2ND_COEF_114_SING,
    SIT_3RD_COEF_114_SING,
    MAX_BITRATE_SING,
    SCAN_TIME_SING,
    GEN_RING_ON_SING,
    GEN_RING_OFF_SING,
    GEN_BUSY_ON_SING,
    GEN_BUSY_OFF_SING,
    GEN_REORDER_ON_SING,
    GEN_REORDER_OFF_SING,
    FIXED_CED_SING,
    LOOP_SEIZURE_SING,
    LOOP_MAX_BREAK_SING,
    PULSE_MIN_BREAK_SING,
    PULSE_MAX_MAKE_SING,
    PULSE_MIN_MAKE_SING,
    MAX_INTERDIGIT_SING,
    PRE_WINK_SING,
    WINK_TIME_SING,
    DTMF_THRESH_OTHER_SING,
    DTMF_LEN_MIN_SING,
    DTMF_INTERDIGIT_MIN_SING,
    T30_BEHAVIOR_SING,
    POST_WINK_SING,
    JP_DID_OH_TIME_SING,
    BUSY_RATIO_LH_SING,
    MAX_SIL_TIMEOUT_SING,
    DL_CONFIG_SING,
    DL_WRONG_LIMIT_SING,
    DL_UNSUCC_LIMIT_SING,
    DL_SUM_LIMIT_SING,
    DL_MAX_LIMIT_SING,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_SING,
    DL_UNS_LMT_TIME_SING,
    DL_MIN_WRONG_FIRST_SING,
    DL_MIN_WRONG_SING,
    DL_MIN_UNSUCC_FIRST_SING,
    DL_MIN_UNSUCC_SING,
    V_REC_BUSY_POW_SING,
    V_REC_BUSY_DUR_SING,
    V_REC_BUSY_DIFF_SING,
    V_PLAY_BUSY_POW_SING,
    V_PLAY_BUSY_DUR_SING,
    V_PLAY_BUSY_INT_SING,
    V_PLAY_BUSY_NUM_SING,
    V_PLAY_BUSY_REP_SING,
    V_RP_JPN_DIAL_SING,
    V_RP_CNG_POW_SING,
},
/* MALAYSIA */
{
    COUNTRY_MAL,
    TONE_LEN_MAL,
    TONE_INTER_TIME_MAL,
    PULSE_INTER_TIME_MAL,
    PULSE_MAKE_MAL,
    PULSE_BREAK_MAL,
    RING_LEN_MAL,
    DTONE_LEN_MAL,
    DTONE_TIMEOUT_LOW_MAL,
    DTONE_TIMEOUT_HIGH_MAL,
    LOOPCUR_LEN_MAL,
    LOOPCUR_TIMEOUT_MAL,
    LOOPCUR_DEBOUNCE_MAL,
    RING_LOWER_MAL,
    RING_UPPER_MAL,
    RING_BLANK_MAL,
    DATA_LEVEL_MAL,
    DTMF_LOW_LEVEL_MAL,
    DTMF_HIGH_LEVEL_MAL,
    REC_LEVEL_MAL,
    ENABLE_LOOP_CUR_MAL,
    ENABLE_BEEP_MAL,
    PULSE_LINE_MAL,
    DIAL_TONE_MIN_MAL,
    DROP_OUT_TIME_MAL,
    WAIT_FOR_CED_LOW_MAL,
    WAIT_FOR_CED_HIGH_MAL,
    INTERNAT_DELAY_MAL,
    FIXED_ID_MAL,
    CABS_MAL,
    MIN_ON_HOOK_MAL,
    SIL_THRESH_HIGH_MAL,
    SIL_THRESH_LOW_MAL,
    PULSE_UP_THRESH_MAL,
    PULSE_LOW_THRESH_MAL,
    RING_ON_HIGH_MAL,
    RING_ON_LOW_MAL,
    RING_OFF_HIGH_MAL,
    RING_OFF_LOW_MAL,
    REORDER_BUSY_MAL,
    REORDER_VAR_MAL,
    BUSY_HIGH_THRESH_MAL,
    BUSY_LOW_THRESH_MAL,
    BUSY_SUM_MAL,
    BUSY_RATIO_MAL,
    FILT_LEV_MAL,
    AGC_MIN_HIGH_MAL,
    AGC_MIN_LOW_MAL,
    BLIND_DIAL_MAL,
    INT_DIAL_COEF_MAL,
    CP_COEF_MAL,
    SIT_1ST_COEF_MAL,
    SIT_2ND_COEF_MAL,
    SIT_3RD_COEF_MAL,
    INT_DIAL_COEF_114_MAL,
    CP_COEF_114_MAL,
    SIT_1ST_COEF_114_MAL,
    SIT_2ND_COEF_114_MAL,
    SIT_3RD_COEF_114_MAL,
    MAX_BITRATE_MAL,
    SCAN_TIME_MAL,
    GEN_RING_ON_MAL,
    GEN_RING_OFF_MAL,
    GEN_BUSY_ON_MAL,
    GEN_BUSY_OFF_MAL,
    GEN_REORDER_ON_MAL,
    GEN_REORDER_OFF_MAL,
    FIXED_CED_MAL,
    LOOP_SEIZURE_MAL,
    LOOP_MAX_BREAK_MAL,
    PULSE_MIN_BREAK_MAL,
    PULSE_MAX_MAKE_MAL,
    PULSE_MIN_MAKE_MAL,
    MAX_INTERDIGIT_MAL,
    PRE_WINK_MAL,
    WINK_TIME_MAL,
    DTMF_THRESH_OTHER_MAL,
    DTMF_LEN_MIN_MAL,
    DTMF_INTERDIGIT_MIN_MAL,
    T30_BEHAVIOR_MAL,
    POST_WINK_MAL,
    JP_DID_OH_TIME_MAL,
    BUSY_RATIO_LH_MAL,
    MAX_SIL_TIMEOUT_MAL,
    DL_CONFIG_MAL,
    DL_WRONG_LIMIT_MAL,
    DL_UNSUCC_LIMIT_MAL,
    DL_SUM_LIMIT_MAL,
    DL_MAX_LIMIT_MAL,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_MAL,
    DL_UNS_LMT_TIME_MAL,
    DL_MIN_WRONG_FIRST_MAL,
    DL_MIN_WRONG_MAL,
    DL_MIN_UNSUCC_FIRST_MAL,
    DL_MIN_UNSUCC_MAL,
    V_REC_BUSY_POW_MAL,
    V_REC_BUSY_DUR_MAL,
    V_REC_BUSY_DIFF_MAL,
    V_PLAY_BUSY_POW_MAL,
    V_PLAY_BUSY_DUR_MAL,
    V_PLAY_BUSY_INT_MAL,
    V_PLAY_BUSY_NUM_MAL,
    V_PLAY_BUSY_REP_MAL,
    V_RP_JPN_DIAL_MAL,
    V_RP_CNG_POW_MAL,
},
/* INDIA */
{
    COUNTRY_IND,
    TONE_LEN_IND,
    TONE_INTER_TIME_IND,
    PULSE_INTER_TIME_IND,
    PULSE_MAKE_IND,
    PULSE_BREAK_IND,
    RING_LEN_IND,
    DTONE_LEN_IND,
    DTONE_TIMEOUT_LOW_IND,
    DTONE_TIMEOUT_HIGH_IND,
    LOOPCUR_LEN_IND,
    LOOPCUR_TIMEOUT_IND,
    LOOPCUR_DEBOUNCE_IND,
    RING_LOWER_IND,
    RING_UPPER_IND,
    RING_BLANK_IND,
    DATA_LEVEL_IND,
    DTMF_LOW_LEVEL_IND,
    DTMF_HIGH_LEVEL_IND,
    REC_LEVEL_IND,
    ENABLE_LOOP_CUR_IND,
    ENABLE_BEEP_IND,
    PULSE_LINE_IND,
    DIAL_TONE_MIN_IND,
    DROP_OUT_TIME_IND,
    WAIT_FOR_CED_LOW_IND,
    WAIT_FOR_CED_HIGH_IND,
    INTERNAT_DELAY_IND,
    FIXED_ID_IND,
    CABS_IND,
    MIN_ON_HOOK_IND,
    SIL_THRESH_HIGH_IND,
    SIL_THRESH_LOW_IND,
    PULSE_UP_THRESH_IND,
    PULSE_LOW_THRESH_IND,
    RING_ON_HIGH_IND,
    RING_ON_LOW_IND,
    RING_OFF_HIGH_IND,
    RING_OFF_LOW_IND,
    REORDER_BUSY_IND,
    REORDER_VAR_IND,
    BUSY_HIGH_THRESH_IND,
    BUSY_LOW_THRESH_IND,
    BUSY_SUM_IND,
    BUSY_RATIO_IND,
    FILT_LEV_IND,
    AGC_MIN_HIGH_IND,
    AGC_MIN_LOW_IND,
    BLIND_DIAL_IND,
    INT_DIAL_COEF_IND,
    CP_COEF_IND,
    SIT_1ST_COEF_IND,
    SIT_2ND_COEF_IND,
    SIT_3RD_COEF_IND,
    INT_DIAL_COEF_114_IND,
    CP_COEF_114_IND,
    SIT_1ST_COEF_114_IND,
    SIT_2ND_COEF_114_IND,
    SIT_3RD_COEF_114_IND,
    MAX_BITRATE_IND,
    SCAN_TIME_IND,
    GEN_RING_ON_IND,
    GEN_RING_OFF_IND,
    GEN_BUSY_ON_IND,
    GEN_BUSY_OFF_IND,
    GEN_REORDER_ON_IND,
    GEN_REORDER_OFF_IND,
    FIXED_CED_IND,
    LOOP_SEIZURE_IND,
    LOOP_MAX_BREAK_IND,
    PULSE_MIN_BREAK_IND,
    PULSE_MAX_MAKE_IND,
    PULSE_MIN_MAKE_IND,
    MAX_INTERDIGIT_IND,
    PRE_WINK_IND,
    WINK_TIME_IND,
    DTMF_THRESH_OTHER_IND,
    DTMF_LEN_MIN_IND,
    DTMF_INTERDIGIT_MIN_IND,
    T30_BEHAVIOR_IND,
    POST_WINK_IND,
    JP_DID_OH_TIME_IND,
    BUSY_RATIO_LH_IND,
    MAX_SIL_TIMEOUT_IND,
    DL_CONFIG_IND,
    DL_WRONG_LIMIT_IND,
    DL_UNSUCC_LIMIT_IND,
    DL_SUM_LIMIT_IND,
    DL_MAX_LIMIT_IND,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_IND,
    DL_UNS_LMT_TIME_IND,
    DL_MIN_WRONG_FIRST_IND,
    DL_MIN_WRONG_IND,
    DL_MIN_UNSUCC_FIRST_IND,
    DL_MIN_UNSUCC_IND,
    V_REC_BUSY_POW_IND,
    V_REC_BUSY_DUR_IND,
    V_REC_BUSY_DIFF_IND,
    V_PLAY_BUSY_POW_IND,
    V_PLAY_BUSY_DUR_IND,
    V_PLAY_BUSY_INT_IND,
    V_PLAY_BUSY_NUM_IND,
    V_PLAY_BUSY_REP_IND,
    V_RP_JPN_DIAL_IND,
    V_RP_CNG_POW_IND,
},
/* HONG KONG */
{
    COUNTRY_HK,
    TONE_LEN_HK,
    TONE_INTER_TIME_HK,
    PULSE_INTER_TIME_HK,
    PULSE_MAKE_HK,
    PULSE_BREAK_HK,
    RING_LEN_HK,
    DTONE_LEN_HK,
    DTONE_TIMEOUT_LOW_HK,
    DTONE_TIMEOUT_HIGH_HK,
    LOOPCUR_LEN_HK,
    LOOPCUR_TIMEOUT_HK,
    LOOPCUR_DEBOUNCE_HK,
    RING_LOWER_HK,
    RING_UPPER_HK,
    RING_BLANK_HK,
    DATA_LEVEL_HK,
    DTMF_LOW_LEVEL_HK,
    DTMF_HIGH_LEVEL_HK,
    REC_LEVEL_HK,
    ENABLE_LOOP_CUR_HK,
    ENABLE_BEEP_HK,
    PULSE_LINE_HK,
    DIAL_TONE_MIN_HK,
    DROP_OUT_TIME_HK,
    WAIT_FOR_CED_LOW_HK,
    WAIT_FOR_CED_HIGH_HK,
    INTERNAT_DELAY_HK,
    FIXED_ID_HK,
    CABS_HK,
    MIN_ON_HOOK_HK,
    SIL_THRESH_HIGH_HK,
    SIL_THRESH_LOW_HK,
    PULSE_UP_THRESH_HK,
    PULSE_LOW_THRESH_HK,
    RING_ON_HIGH_HK,
    RING_ON_LOW_HK,
    RING_OFF_HIGH_HK,
    RING_OFF_LOW_HK,
    REORDER_BUSY_HK,
    REORDER_VAR_HK,
    BUSY_HIGH_THRESH_HK,
    BUSY_LOW_THRESH_HK,
    BUSY_SUM_HK,
    BUSY_RATIO_HK,
    FILT_LEV_HK,
    AGC_MIN_HIGH_HK,
    AGC_MIN_LOW_HK,
    BLIND_DIAL_HK,
    INT_DIAL_COEF_HK,
    CP_COEF_HK,
    SIT_1ST_COEF_HK,
    SIT_2ND_COEF_HK,
    SIT_3RD_COEF_HK,
    INT_DIAL_COEF_114_HK,
    CP_COEF_114_HK,
    SIT_1ST_COEF_114_HK,
    SIT_2ND_COEF_114_HK,
    SIT_3RD_COEF_114_HK,
    MAX_BITRATE_HK,
    SCAN_TIME_HK,
    GEN_RING_ON_HK,
    GEN_RING_OFF_HK,
    GEN_BUSY_ON_HK,
    GEN_BUSY_OFF_HK,
    GEN_REORDER_ON_HK,
    GEN_REORDER_OFF_HK,
    FIXED_CED_HK,
    LOOP_SEIZURE_HK,
    LOOP_MAX_BREAK_HK,
    PULSE_MIN_BREAK_HK,
    PULSE_MAX_MAKE_HK,
    PULSE_MIN_MAKE_HK,
    MAX_INTERDIGIT_HK,
    PRE_WINK_HK,
    WINK_TIME_HK,
    DTMF_THRESH_OTHER_HK,
    DTMF_LEN_MIN_HK,
    DTMF_INTERDIGIT_MIN_HK,
    T30_BEHAVIOR_HK,
    POST_WINK_HK,
    JP_DID_OH_TIME_HK,
    BUSY_RATIO_LH_HK,
    MAX_SIL_TIMEOUT_HK,
    DL_CONFIG_HK,
    DL_WRONG_LIMIT_HK,
    DL_UNSUCC_LIMIT_HK,
    DL_SUM_LIMIT_HK,
    DL_MAX_LIMIT_HK,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_HK,
    DL_UNS_LMT_TIME_HK,
    DL_MIN_WRONG_FIRST_HK,
    DL_MIN_WRONG_HK,
    DL_MIN_UNSUCC_FIRST_HK,
    DL_MIN_UNSUCC_HK,
    V_REC_BUSY_POW_HK,
    V_REC_BUSY_DUR_HK,
    V_REC_BUSY_DIFF_HK,
    V_PLAY_BUSY_POW_HK,
    V_PLAY_BUSY_DUR_HK,
    V_PLAY_BUSY_INT_HK,
    V_PLAY_BUSY_NUM_HK,
    V_PLAY_BUSY_REP_HK,
    V_RP_JPN_DIAL_HK,
    V_RP_CNG_POW_HK,
},
/* TURKEY */
{
    COUNTRY_TURK,
    TONE_LEN_TURK,
    TONE_INTER_TIME_TURK,
    PULSE_INTER_TIME_TURK,
    PULSE_MAKE_TURK,
    PULSE_BREAK_TURK,
    RING_LEN_TURK,
    DTONE_LEN_TURK,
    DTONE_TIMEOUT_LOW_TURK,
    DTONE_TIMEOUT_HIGH_TURK,
    LOOPCUR_LEN_TURK,
    LOOPCUR_TIMEOUT_TURK,
    LOOPCUR_DEBOUNCE_TURK,
    RING_LOWER_TURK,
    RING_UPPER_TURK,
    RING_BLANK_TURK,
    DATA_LEVEL_TURK,
    DTMF_LOW_LEVEL_TURK,
    DTMF_HIGH_LEVEL_TURK,
    REC_LEVEL_TURK,
    ENABLE_LOOP_CUR_TURK,
    ENABLE_BEEP_TURK,
    PULSE_LINE_TURK,
    DIAL_TONE_MIN_TURK,
    DROP_OUT_TIME_TURK,
    WAIT_FOR_CED_LOW_TURK,
    WAIT_FOR_CED_HIGH_TURK,
    INTERNAT_DELAY_TURK,
    FIXED_ID_TURK,
    CABS_TURK,
    MIN_ON_HOOK_TURK,
    SIL_THRESH_HIGH_TURK,
    SIL_THRESH_LOW_TURK,
    PULSE_UP_THRESH_TURK,
    PULSE_LOW_THRESH_TURK,
    RING_ON_HIGH_TURK,
    RING_ON_LOW_TURK,
    RING_OFF_HIGH_TURK,
    RING_OFF_LOW_TURK,
    REORDER_BUSY_TURK,
    REORDER_VAR_TURK,
    BUSY_HIGH_THRESH_TURK,
    BUSY_LOW_THRESH_TURK,
    BUSY_SUM_TURK,
    BUSY_RATIO_TURK,
    FILT_LEV_TURK,
    AGC_MIN_HIGH_TURK,
    AGC_MIN_LOW_TURK,
    BLIND_DIAL_TURK,
    INT_DIAL_COEF_TURK,
    CP_COEF_TURK,
    SIT_1ST_COEF_TURK,
    SIT_2ND_COEF_TURK,
    SIT_3RD_COEF_TURK,
    INT_DIAL_COEF_114_TURK,
    CP_COEF_114_TURK,
    SIT_1ST_COEF_114_TURK,
    SIT_2ND_COEF_114_TURK,
    SIT_3RD_COEF_114_TURK,
    MAX_BITRATE_TURK,
    SCAN_TIME_TURK,
    GEN_RING_ON_TURK,
    GEN_RING_OFF_TURK,
    GEN_BUSY_ON_TURK,
    GEN_BUSY_OFF_TURK,
    GEN_REORDER_ON_TURK,
    GEN_REORDER_OFF_TURK,
    FIXED_CED_TURK,
    LOOP_SEIZURE_TURK,
    LOOP_MAX_BREAK_TURK,
    PULSE_MIN_BREAK_TURK,
    PULSE_MAX_MAKE_TURK,
    PULSE_MIN_MAKE_TURK,
    MAX_INTERDIGIT_TURK,
    PRE_WINK_TURK,
    WINK_TIME_TURK,
    DTMF_THRESH_OTHER_TURK,
    DTMF_LEN_MIN_TURK,
    DTMF_INTERDIGIT_MIN_TURK,
    T30_BEHAVIOR_TURK,
    POST_WINK_TURK,
    JP_DID_OH_TIME_TURK,
    BUSY_RATIO_LH_TURK,
    MAX_SIL_TIMEOUT_TURK,
    DL_CONFIG_TURK,
    DL_WRONG_LIMIT_TURK,
    DL_UNSUCC_LIMIT_TURK,
    DL_SUM_LIMIT_TURK,
    DL_MAX_LIMIT_TURK,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_TURK,
    DL_UNS_LMT_TIME_TURK,
    DL_MIN_WRONG_FIRST_TURK,
    DL_MIN_WRONG_TURK,
    DL_MIN_UNSUCC_FIRST_TURK,
    DL_MIN_UNSUCC_TURK,
    V_REC_BUSY_POW_TURK,
    V_REC_BUSY_DUR_TURK,
    V_REC_BUSY_DIFF_TURK,
    V_PLAY_BUSY_POW_TURK,
    V_PLAY_BUSY_DUR_TURK,
    V_PLAY_BUSY_INT_TURK,
    V_PLAY_BUSY_NUM_TURK,
    V_PLAY_BUSY_REP_TURK,
    V_RP_JPN_DIAL_TURK,
    V_RP_CNG_POW_TURK,
},
/* ISRAEL */
{
    COUNTRY_ISRAEL,
    TONE_LEN_ISRAEL,
    TONE_INTER_TIME_ISRAEL,
    PULSE_INTER_TIME_ISRAEL,
    PULSE_MAKE_ISRAEL,
    PULSE_BREAK_ISRAEL,
    RING_LEN_ISRAEL,
    DTONE_LEN_ISRAEL,
    DTONE_TIMEOUT_LOW_ISRAEL,
    DTONE_TIMEOUT_HIGH_ISRAEL,
    LOOPCUR_LEN_ISRAEL,
    LOOPCUR_TIMEOUT_ISRAEL,
    LOOPCUR_DEBOUNCE_ISRAEL,
    RING_LOWER_ISRAEL,
    RING_UPPER_ISRAEL,
    RING_BLANK_ISRAEL,
    DATA_LEVEL_ISRAEL,
    DTMF_LOW_LEVEL_ISRAEL,
    DTMF_HIGH_LEVEL_ISRAEL,
    REC_LEVEL_ISRAEL,
    ENABLE_LOOP_CUR_ISRAEL,
    ENABLE_BEEP_ISRAEL,
    PULSE_LINE_ISRAEL,
    DIAL_TONE_MIN_ISRAEL,
    DROP_OUT_TIME_ISRAEL,
    WAIT_FOR_CED_LOW_ISRAEL,
    WAIT_FOR_CED_HIGH_ISRAEL,
    INTERNAT_DELAY_ISRAEL,
    FIXED_ID_ISRAEL,
    CABS_ISRAEL,
    MIN_ON_HOOK_ISRAEL,
    SIL_THRESH_HIGH_ISRAEL,
    SIL_THRESH_LOW_ISRAEL,
    PULSE_UP_THRESH_ISRAEL,
    PULSE_LOW_THRESH_ISRAEL,
    RING_ON_HIGH_ISRAEL,
    RING_ON_LOW_ISRAEL,
    RING_OFF_HIGH_ISRAEL,
    RING_OFF_LOW_ISRAEL,
    REORDER_BUSY_ISRAEL,
    REORDER_VAR_ISRAEL,
    BUSY_HIGH_THRESH_ISRAEL,
    BUSY_LOW_THRESH_ISRAEL,
    BUSY_SUM_ISRAEL,
    BUSY_RATIO_ISRAEL,
    FILT_LEV_ISRAEL,
    AGC_MIN_HIGH_ISRAEL,
    AGC_MIN_LOW_ISRAEL,
    BLIND_DIAL_ISRAEL,
    INT_DIAL_COEF_ISRAEL,
    CP_COEF_ISRAEL,
    SIT_1ST_COEF_ISRAEL,
    SIT_2ND_COEF_ISRAEL,
    SIT_3RD_COEF_ISRAEL,
    INT_DIAL_COEF_114_ISRAEL,
    CP_COEF_114_ISRAEL,
    SIT_1ST_COEF_114_ISRAEL,
    SIT_2ND_COEF_114_ISRAEL,
    SIT_3RD_COEF_114_ISRAEL,
    MAX_BITRATE_ISRAEL,
    SCAN_TIME_ISRAEL,
    GEN_RING_ON_ISRAEL,
    GEN_RING_OFF_ISRAEL,
    GEN_BUSY_ON_ISRAEL,
    GEN_BUSY_OFF_ISRAEL,
    GEN_REORDER_ON_ISRAEL,
    GEN_REORDER_OFF_ISRAEL,
    FIXED_CED_ISRAEL,
    LOOP_SEIZURE_ISRAEL,
    LOOP_MAX_BREAK_ISRAEL,
    PULSE_MIN_BREAK_ISRAEL,
    PULSE_MAX_MAKE_ISRAEL,
    PULSE_MIN_MAKE_ISRAEL,
    MAX_INTERDIGIT_ISRAEL,
    PRE_WINK_ISRAEL,
    WINK_TIME_ISRAEL,
    DTMF_THRESH_OTHER_ISRAEL,
    DTMF_LEN_MIN_ISRAEL,
    DTMF_INTERDIGIT_MIN_ISRAEL,
    T30_BEHAVIOR_ISRAEL,
    POST_WINK_ISRAEL,
    JP_DID_OH_TIME_ISRAEL,
    BUSY_RATIO_LH_ISRAEL,
    MAX_SIL_TIMEOUT_ISRAEL,
    DL_CONFIG_ISRAEL,
    DL_WRONG_LIMIT_ISRAEL,
    DL_UNSUCC_LIMIT_ISRAEL,
    DL_SUM_LIMIT_ISRAEL,
    DL_MAX_LIMIT_ISRAEL,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_ISRAEL,
    DL_UNS_LMT_TIME_ISRAEL,
    DL_MIN_WRONG_FIRST_ISRAEL,
    DL_MIN_WRONG_ISRAEL,
    DL_MIN_UNSUCC_FIRST_ISRAEL,
    DL_MIN_UNSUCC_ISRAEL,
    V_REC_BUSY_POW_ISRAEL,
    V_REC_BUSY_DUR_ISRAEL,
    V_REC_BUSY_DIFF_ISRAEL,
    V_PLAY_BUSY_POW_ISRAEL,
    V_PLAY_BUSY_DUR_ISRAEL,
    V_PLAY_BUSY_INT_ISRAEL,
    V_PLAY_BUSY_NUM_ISRAEL,
    V_PLAY_BUSY_REP_ISRAEL,
    V_RP_JPN_DIAL_ISRAEL,
    V_RP_CNG_POW_ISRAEL,
},
/* RUSSIA */
{
    COUNTRY_RUSS,
    TONE_LEN_RUSS,
    TONE_INTER_TIME_RUSS,
    PULSE_INTER_TIME_RUSS,
    PULSE_MAKE_RUSS,
    PULSE_BREAK_RUSS,
    RING_LEN_RUSS,
    DTONE_LEN_RUSS,
    DTONE_TIMEOUT_LOW_RUSS,
    DTONE_TIMEOUT_HIGH_RUSS,
    LOOPCUR_LEN_RUSS,
    LOOPCUR_TIMEOUT_RUSS,
    LOOPCUR_DEBOUNCE_RUSS,
    RING_LOWER_RUSS,
    RING_UPPER_RUSS,
    RING_BLANK_RUSS,
    DATA_LEVEL_RUSS,
    DTMF_LOW_LEVEL_RUSS,
    DTMF_HIGH_LEVEL_RUSS,
    REC_LEVEL_RUSS,
    ENABLE_LOOP_CUR_RUSS,
    ENABLE_BEEP_RUSS,
    PULSE_LINE_RUSS,
    DIAL_TONE_MIN_RUSS,
    DROP_OUT_TIME_RUSS,
    WAIT_FOR_CED_LOW_RUSS,
    WAIT_FOR_CED_HIGH_RUSS,
    INTERNAT_DELAY_RUSS,
    FIXED_ID_RUSS,
    CABS_RUSS,
    MIN_ON_HOOK_RUSS,
    SIL_THRESH_HIGH_RUSS,
    SIL_THRESH_LOW_RUSS,
    PULSE_UP_THRESH_RUSS,
    PULSE_LOW_THRESH_RUSS,
    RING_ON_HIGH_RUSS,
    RING_ON_LOW_RUSS,
    RING_OFF_HIGH_RUSS,
    RING_OFF_LOW_RUSS,
    REORDER_BUSY_RUSS,
    REORDER_VAR_RUSS,
    BUSY_HIGH_THRESH_RUSS,
    BUSY_LOW_THRESH_RUSS,
    BUSY_SUM_RUSS,
    BUSY_RATIO_RUSS,
    FILT_LEV_RUSS,
    AGC_MIN_HIGH_RUSS,
    AGC_MIN_LOW_RUSS,
    BLIND_DIAL_RUSS,
    INT_DIAL_COEF_RUSS,
    CP_COEF_RUSS,
    SIT_1ST_COEF_RUSS,
    SIT_2ND_COEF_RUSS,
    SIT_3RD_COEF_RUSS,
    INT_DIAL_COEF_114_RUSS,
    CP_COEF_114_RUSS,
    SIT_1ST_COEF_114_RUSS,
    SIT_2ND_COEF_114_RUSS,
    SIT_3RD_COEF_114_RUSS,
    MAX_BITRATE_RUSS,
    SCAN_TIME_RUSS,
    GEN_RING_ON_RUSS,
    GEN_RING_OFF_RUSS,
    GEN_BUSY_ON_RUSS,
    GEN_BUSY_OFF_RUSS,
    GEN_REORDER_ON_RUSS,
    GEN_REORDER_OFF_RUSS,
    FIXED_CED_RUSS,
    LOOP_SEIZURE_RUSS,
    LOOP_MAX_BREAK_RUSS,
    PULSE_MIN_BREAK_RUSS,
    PULSE_MAX_MAKE_RUSS,
    PULSE_MIN_MAKE_RUSS,
    MAX_INTERDIGIT_RUSS,
    PRE_WINK_RUSS,
    WINK_TIME_RUSS,
    DTMF_THRESH_OTHER_RUSS,
    DTMF_LEN_MIN_RUSS,
    DTMF_INTERDIGIT_MIN_RUSS,
    T30_BEHAVIOR_RUSS,
    POST_WINK_RUSS,
    JP_DID_OH_TIME_RUSS,
    BUSY_RATIO_LH_RUSS,
    MAX_SIL_TIMEOUT_RUSS,
    DL_CONFIG_RUSS,
    DL_WRONG_LIMIT_RUSS,
    DL_UNSUCC_LIMIT_RUSS,
    DL_SUM_LIMIT_RUSS,
    DL_MAX_LIMIT_RUSS,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_RUSS,
    DL_UNS_LMT_TIME_RUSS,
    DL_MIN_WRONG_FIRST_RUSS,
    DL_MIN_WRONG_RUSS,
    DL_MIN_UNSUCC_FIRST_RUSS,
    DL_MIN_UNSUCC_RUSS,
    V_REC_BUSY_POW_RUSS,
    V_REC_BUSY_DUR_RUSS,
    V_REC_BUSY_DIFF_RUSS,
    V_PLAY_BUSY_POW_RUSS,
    V_PLAY_BUSY_DUR_RUSS,
    V_PLAY_BUSY_INT_RUSS,
    V_PLAY_BUSY_NUM_RUSS,
    V_PLAY_BUSY_REP_RUSS,
    V_RP_JPN_DIAL_RUSS,
    V_RP_CNG_POW_RUSS,
},
/* SWITZERLAND */
{
    COUNTRY_SWISS,
    TONE_LEN_SWISS,
    TONE_INTER_TIME_SWISS,
    PULSE_INTER_TIME_SWISS,
    PULSE_MAKE_SWISS,
    PULSE_BREAK_SWISS,
    RING_LEN_SWISS,
    DTONE_LEN_SWISS,
    DTONE_TIMEOUT_LOW_SWISS,
    DTONE_TIMEOUT_HIGH_SWISS,
    LOOPCUR_LEN_SWISS,
    LOOPCUR_TIMEOUT_SWISS,
    LOOPCUR_DEBOUNCE_SWISS,
    RING_LOWER_SWISS,
    RING_UPPER_SWISS,
    RING_BLANK_SWISS,
    DATA_LEVEL_SWISS,
    DTMF_LOW_LEVEL_SWISS,
    DTMF_HIGH_LEVEL_SWISS,
    REC_LEVEL_SWISS,
    ENABLE_LOOP_CUR_SWISS,
    ENABLE_BEEP_SWISS,
    PULSE_LINE_SWISS,
    DIAL_TONE_MIN_SWISS,
    DROP_OUT_TIME_SWISS,
    WAIT_FOR_CED_LOW_SWISS,
    WAIT_FOR_CED_HIGH_SWISS,
    INTERNAT_DELAY_SWISS,
    FIXED_ID_SWISS,
    CABS_SWISS,
    MIN_ON_HOOK_SWISS,
    SIL_THRESH_HIGH_SWISS,
    SIL_THRESH_LOW_SWISS,
    PULSE_UP_THRESH_SWISS,
    PULSE_LOW_THRESH_SWISS,
    RING_ON_HIGH_SWISS,
    RING_ON_LOW_SWISS,
    RING_OFF_HIGH_SWISS,
    RING_OFF_LOW_SWISS,
    REORDER_BUSY_SWISS,
    REORDER_VAR_SWISS,
    BUSY_HIGH_THRESH_SWISS,
    BUSY_LOW_THRESH_SWISS,
    BUSY_SUM_SWISS,
    BUSY_RATIO_SWISS,
    FILT_LEV_SWISS,
    AGC_MIN_HIGH_SWISS,
    AGC_MIN_LOW_SWISS,
    BLIND_DIAL_SWISS,
    INT_DIAL_COEF_SWISS,
    CP_COEF_SWISS,
    SIT_1ST_COEF_SWISS,
    SIT_2ND_COEF_SWISS,
    SIT_3RD_COEF_SWISS,
    INT_DIAL_COEF_114_SWISS,
    CP_COEF_114_SWISS,
    SIT_1ST_COEF_114_SWISS,
    SIT_2ND_COEF_114_SWISS,
    SIT_3RD_COEF_114_SWISS,
    MAX_BITRATE_SWISS,
    SCAN_TIME_SWISS,
    GEN_RING_ON_SWISS,
    GEN_RING_OFF_SWISS,
    GEN_BUSY_ON_SWISS,
    GEN_BUSY_OFF_SWISS,
    GEN_REORDER_ON_SWISS,
    GEN_REORDER_OFF_SWISS,
    FIXED_CED_SWISS,
    LOOP_SEIZURE_SWISS,
    LOOP_MAX_BREAK_SWISS,
    PULSE_MIN_BREAK_SWISS,
    PULSE_MAX_MAKE_SWISS,
    PULSE_MIN_MAKE_SWISS,
    MAX_INTERDIGIT_SWISS,
    PRE_WINK_SWISS,
    WINK_TIME_SWISS,
    DTMF_THRESH_OTHER_SWISS,
    DTMF_LEN_MIN_SWISS,
    DTMF_INTERDIGIT_MIN_SWISS,
    T30_BEHAVIOR_SWISS,
    POST_WINK_SWISS,
    JP_DID_OH_TIME_SWISS,
    BUSY_RATIO_LH_SWISS,
    MAX_SIL_TIMEOUT_SWISS,
    DL_CONFIG_SWISS,
    DL_WRONG_LIMIT_SWISS,
    DL_UNSUCC_LIMIT_SWISS,
    DL_SUM_LIMIT_SWISS,
    DL_MAX_LIMIT_SWISS,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_SWISS,
    DL_UNS_LMT_TIME_SWISS,
    DL_MIN_WRONG_FIRST_SWISS,
    DL_MIN_WRONG_SWISS,
    DL_MIN_UNSUCC_FIRST_SWISS,
    DL_MIN_UNSUCC_SWISS,
    V_REC_BUSY_POW_SWISS,
    V_REC_BUSY_DUR_SWISS,
    V_REC_BUSY_DIFF_SWISS,
    V_PLAY_BUSY_POW_SWISS,
    V_PLAY_BUSY_DUR_SWISS,
    V_PLAY_BUSY_INT_SWISS,
    V_PLAY_BUSY_NUM_SWISS,
    V_PLAY_BUSY_REP_SWISS,
    V_RP_JPN_DIAL_SWISS,
    V_RP_CNG_POW_SWISS,
},
/* NORWAY */
{
    COUNTRY_NOR,
    TONE_LEN_NOR,
    TONE_INTER_TIME_NOR,
    PULSE_INTER_TIME_NOR,
    PULSE_MAKE_NOR,
    PULSE_BREAK_NOR,
    RING_LEN_NOR,
    DTONE_LEN_NOR,
    DTONE_TIMEOUT_LOW_NOR,
    DTONE_TIMEOUT_HIGH_NOR,
    LOOPCUR_LEN_NOR,
    LOOPCUR_TIMEOUT_NOR,
    LOOPCUR_DEBOUNCE_NOR,
    RING_LOWER_NOR,
    RING_UPPER_NOR,
    RING_BLANK_NOR,
    DATA_LEVEL_NOR,
    DTMF_LOW_LEVEL_NOR,
    DTMF_HIGH_LEVEL_NOR,
    REC_LEVEL_NOR,
    ENABLE_LOOP_CUR_NOR,
    ENABLE_BEEP_NOR,
    PULSE_LINE_NOR,
    DIAL_TONE_MIN_NOR,
    DROP_OUT_TIME_NOR,
    WAIT_FOR_CED_LOW_NOR,
    WAIT_FOR_CED_HIGH_NOR,
    INTERNAT_DELAY_NOR,
    FIXED_ID_NOR,
    CABS_NOR,
    MIN_ON_HOOK_NOR,
    SIL_THRESH_HIGH_NOR,
    SIL_THRESH_LOW_NOR,
    PULSE_UP_THRESH_NOR,
    PULSE_LOW_THRESH_NOR,
    RING_ON_HIGH_NOR,
    RING_ON_LOW_NOR,
    RING_OFF_HIGH_NOR,
    RING_OFF_LOW_NOR,
    REORDER_BUSY_NOR,
    REORDER_VAR_NOR,
    BUSY_HIGH_THRESH_NOR,
    BUSY_LOW_THRESH_NOR,
    BUSY_SUM_NOR,
    BUSY_RATIO_NOR,
    FILT_LEV_NOR,
    AGC_MIN_HIGH_NOR,
    AGC_MIN_LOW_NOR,
    BLIND_DIAL_NOR,
    INT_DIAL_COEF_NOR,
    CP_COEF_NOR,
    SIT_1ST_COEF_NOR,
    SIT_2ND_COEF_NOR,
    SIT_3RD_COEF_NOR,
    INT_DIAL_COEF_114_NOR,
    CP_COEF_114_NOR,
    SIT_1ST_COEF_114_NOR,
    SIT_2ND_COEF_114_NOR,
    SIT_3RD_COEF_114_NOR,
    MAX_BITRATE_NOR,
    SCAN_TIME_NOR,
    GEN_RING_ON_NOR,
    GEN_RING_OFF_NOR,
    GEN_BUSY_ON_NOR,
    GEN_BUSY_OFF_NOR,
    GEN_REORDER_ON_NOR,
    GEN_REORDER_OFF_NOR,
    FIXED_CED_NOR,
    LOOP_SEIZURE_NOR,
    LOOP_MAX_BREAK_NOR,
    PULSE_MIN_BREAK_NOR,
    PULSE_MAX_MAKE_NOR,
    PULSE_MIN_MAKE_NOR,
    MAX_INTERDIGIT_NOR,
    PRE_WINK_NOR,
    WINK_TIME_NOR,
    DTMF_THRESH_OTHER_NOR,
    DTMF_LEN_MIN_NOR,
    DTMF_INTERDIGIT_MIN_NOR,
    T30_BEHAVIOR_NOR,
    POST_WINK_NOR,
    JP_DID_OH_TIME_NOR,
    BUSY_RATIO_LH_NOR,
    MAX_SIL_TIMEOUT_NOR,
    DL_CONFIG_NOR,
    DL_WRONG_LIMIT_NOR,
    DL_UNSUCC_LIMIT_NOR,
    DL_SUM_LIMIT_NOR,
    DL_MAX_LIMIT_NOR,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_NOR,
    DL_UNS_LMT_TIME_NOR,
    DL_MIN_WRONG_FIRST_NOR,
    DL_MIN_WRONG_NOR,
    DL_MIN_UNSUCC_FIRST_NOR,
    DL_MIN_UNSUCC_NOR,
    V_REC_BUSY_POW_NOR,
    V_REC_BUSY_DUR_NOR,
    V_REC_BUSY_DIFF_NOR,
    V_PLAY_BUSY_POW_NOR,
    V_PLAY_BUSY_DUR_NOR,
    V_PLAY_BUSY_INT_NOR,
    V_PLAY_BUSY_NUM_NOR,
    V_PLAY_BUSY_REP_NOR,
    V_RP_JPN_DIAL_NOR,
    V_RP_CNG_POW_NOR,
},
/* EC/TBR-21 */
{
    COUNTRY_EC,
    TONE_LEN_EC,
    TONE_INTER_TIME_EC,
    PULSE_INTER_TIME_EC,
    PULSE_MAKE_EC,
    PULSE_BREAK_EC,
    RING_LEN_EC,
    DTONE_LEN_EC,
    DTONE_TIMEOUT_LOW_EC,
    DTONE_TIMEOUT_HIGH_EC,
    LOOPCUR_LEN_EC,
    LOOPCUR_TIMEOUT_EC,
    LOOPCUR_DEBOUNCE_EC,
    RING_LOWER_EC,
    RING_UPPER_EC,
    RING_BLANK_EC,
    DATA_LEVEL_EC,
    DTMF_LOW_LEVEL_EC,
    DTMF_HIGH_LEVEL_EC,
    REC_LEVEL_EC,
    ENABLE_LOOP_CUR_EC,
    ENABLE_BEEP_EC,
    PULSE_LINE_EC,
    DIAL_TONE_MIN_EC,
    DROP_OUT_TIME_EC,
    WAIT_FOR_CED_LOW_EC,
    WAIT_FOR_CED_HIGH_EC,
    INTERNAT_DELAY_EC,
    FIXED_ID_EC,
    CABS_EC,
    MIN_ON_HOOK_EC,
    SIL_THRESH_HIGH_EC,
    SIL_THRESH_LOW_EC,
    PULSE_UP_THRESH_EC,
    PULSE_LOW_THRESH_EC,
    RING_ON_HIGH_EC,
    RING_ON_LOW_EC,
    RING_OFF_HIGH_EC,
    RING_OFF_LOW_EC,
    REORDER_BUSY_EC,
    REORDER_VAR_EC,
    BUSY_HIGH_THRESH_EC,
    BUSY_LOW_THRESH_EC,
    BUSY_SUM_EC,
    BUSY_RATIO_EC,
    FILT_LEV_EC,
    AGC_MIN_HIGH_EC,
    AGC_MIN_LOW_EC,
    BLIND_DIAL_EC,
    INT_DIAL_COEF_EC,
    CP_COEF_EC,
    SIT_1ST_COEF_EC,
    SIT_2ND_COEF_EC,
    SIT_3RD_COEF_EC,
    INT_DIAL_COEF_114_EC,
    CP_COEF_114_EC,
    SIT_1ST_COEF_114_EC,
    SIT_2ND_COEF_114_EC,
    SIT_3RD_COEF_114_EC,
    MAX_BITRATE_EC,
    SCAN_TIME_EC,
    GEN_RING_ON_EC,
    GEN_RING_OFF_EC,
    GEN_BUSY_ON_EC,
    GEN_BUSY_OFF_EC,
    GEN_REORDER_ON_EC,
    GEN_REORDER_OFF_EC,
    FIXED_CED_EC,
    LOOP_SEIZURE_EC,
    LOOP_MAX_BREAK_EC,
    PULSE_MIN_BREAK_EC,
    PULSE_MAX_MAKE_EC,
    PULSE_MIN_MAKE_EC,
    MAX_INTERDIGIT_EC,
    PRE_WINK_EC,
    WINK_TIME_EC,
    DTMF_THRESH_OTHER_EC,
    DTMF_LEN_MIN_EC,
    DTMF_INTERDIGIT_MIN_EC,
    T30_BEHAVIOR_EC,
    POST_WINK_EC,
    JP_DID_OH_TIME_EC,
    BUSY_RATIO_LH_EC,
    MAX_SIL_TIMEOUT_EC,
    DL_CONFIG_EC,
    DL_WRONG_LIMIT_EC,
    DL_UNSUCC_LIMIT_EC,
    DL_SUM_LIMIT_EC,
    DL_MAX_LIMIT_EC,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_EC,
    DL_UNS_LMT_TIME_EC,
    DL_MIN_WRONG_FIRST_EC,
    DL_MIN_WRONG_EC,
    DL_MIN_UNSUCC_FIRST_EC,
    DL_MIN_UNSUCC_EC,
    V_REC_BUSY_POW_EC,
    V_REC_BUSY_DUR_EC,
    V_REC_BUSY_DIFF_EC,
    V_PLAY_BUSY_POW_EC,
    V_PLAY_BUSY_DUR_EC,
    V_PLAY_BUSY_INT_EC,
    V_PLAY_BUSY_NUM_EC,
    V_PLAY_BUSY_REP_EC,
    V_RP_JPN_DIAL_EC,
    V_RP_CNG_POW_EC,
},
/* SWEDEN/TBR-21 */
{
    COUNTRY_EC,
    TONE_LEN_EC,
    TONE_INTER_TIME_EC,
    PULSE_INTER_TIME_EC,
    PULSE_MAKE_EC,
    PULSE_BREAK_EC,
    RING_LEN_EC,
    DTONE_LEN_EC,
    DTONE_TIMEOUT_LOW_EC,
    DTONE_TIMEOUT_HIGH_EC,
    LOOPCUR_LEN_EC,
    LOOPCUR_TIMEOUT_EC,
    LOOPCUR_DEBOUNCE_EC,
    RING_LOWER_EC,
    RING_UPPER_EC,
    RING_BLANK_EC,
    DATA_LEVEL_EC,
    DTMF_LOW_LEVEL_EC,
    DTMF_HIGH_LEVEL_EC,
    REC_LEVEL_EC,
    ENABLE_LOOP_CUR_EC,
    ENABLE_BEEP_EC,
    PULSE_LINE_EC,
    DIAL_TONE_MIN_EC,
    DROP_OUT_TIME_EC,
    WAIT_FOR_CED_LOW_EC,
    WAIT_FOR_CED_HIGH_EC,
    INTERNAT_DELAY_EC,
    FIXED_ID_EC,
    CABS_EC,
    MIN_ON_HOOK_EC,
    SIL_THRESH_HIGH_EC,
    SIL_THRESH_LOW_EC,
    PULSE_UP_THRESH_EC,
    PULSE_LOW_THRESH_EC,
    RING_ON_HIGH_EC,
    RING_ON_LOW_EC,
    RING_OFF_HIGH_EC,
    RING_OFF_LOW_EC,
    REORDER_BUSY_EC,
    REORDER_VAR_EC,
    BUSY_HIGH_THRESH_EC,
    BUSY_LOW_THRESH_EC,
    BUSY_SUM_EC,
    BUSY_RATIO_EC,
    FILT_LEV_EC,
    AGC_MIN_HIGH_EC,
    AGC_MIN_LOW_EC,
    BLIND_DIAL_EC,
    INT_DIAL_COEF_EC,
    CP_COEF_EC,
    SIT_1ST_COEF_EC,
    SIT_2ND_COEF_EC,
    SIT_3RD_COEF_EC,
    INT_DIAL_COEF_114_EC,
    CP_COEF_114_EC,
    SIT_1ST_COEF_114_EC,
    SIT_2ND_COEF_114_EC,
    SIT_3RD_COEF_114_EC,
    MAX_BITRATE_EC,
    SCAN_TIME_EC,
    GEN_RING_ON_EC,
    GEN_RING_OFF_EC,
    GEN_BUSY_ON_EC,
    GEN_BUSY_OFF_EC,
    GEN_REORDER_ON_EC,
    GEN_REORDER_OFF_EC,
    FIXED_CED_EC,
    LOOP_SEIZURE_EC,
    LOOP_MAX_BREAK_EC,
    PULSE_MIN_BREAK_EC,
    PULSE_MAX_MAKE_EC,
    PULSE_MIN_MAKE_EC,
    MAX_INTERDIGIT_EC,
    PRE_WINK_EC,
    WINK_TIME_EC,
    DTMF_THRESH_OTHER_EC,
    DTMF_LEN_MIN_EC,
    DTMF_INTERDIGIT_MIN_EC,
    T30_BEHAVIOR_EC,
    POST_WINK_EC,
    JP_DID_OH_TIME_EC,
    BUSY_RATIO_LH_EC,
    MAX_SIL_TIMEOUT_EC,
    DL_CONFIG_EC,
    DL_WRONG_LIMIT_EC,
    DL_UNSUCC_LIMIT_EC,
    DL_SUM_LIMIT_EC,
    DL_MAX_LIMIT_EC,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_EC,
    DL_UNS_LMT_TIME_EC,
    DL_MIN_WRONG_FIRST_EC,
    DL_MIN_WRONG_EC,
    DL_MIN_UNSUCC_FIRST_EC,
    DL_MIN_UNSUCC_EC,
    V_REC_BUSY_POW_EC,
    V_REC_BUSY_DUR_EC,
    V_REC_BUSY_DIFF_EC,
    V_PLAY_BUSY_POW_EC,
    V_PLAY_BUSY_DUR_EC,
    V_PLAY_BUSY_INT_EC,
    V_PLAY_BUSY_NUM_EC,
    V_PLAY_BUSY_REP_EC,
    V_RP_JPN_DIAL_EC,
    V_RP_CNG_POW_EC,
},
/* SPAIN/TBR-21 */
{
    COUNTRY_EC,
    TONE_LEN_EC,
    TONE_INTER_TIME_EC,
    PULSE_INTER_TIME_EC,
    PULSE_MAKE_EC,
    PULSE_BREAK_EC,
    RING_LEN_EC,
    DTONE_LEN_EC,
    DTONE_TIMEOUT_LOW_EC,
    DTONE_TIMEOUT_HIGH_EC,
    LOOPCUR_LEN_EC,
    LOOPCUR_TIMEOUT_EC,
    LOOPCUR_DEBOUNCE_EC,
    RING_LOWER_EC,
    RING_UPPER_EC,
    RING_BLANK_EC,
    DATA_LEVEL_EC,
    DTMF_LOW_LEVEL_EC,
    DTMF_HIGH_LEVEL_EC,
    REC_LEVEL_EC,
    ENABLE_LOOP_CUR_EC,
    ENABLE_BEEP_EC,
    PULSE_LINE_EC,
    DIAL_TONE_MIN_EC,
    DROP_OUT_TIME_EC,
    WAIT_FOR_CED_LOW_EC,
    WAIT_FOR_CED_HIGH_EC,
    INTERNAT_DELAY_EC,
    FIXED_ID_EC,
    CABS_EC,
    MIN_ON_HOOK_EC,
    SIL_THRESH_HIGH_EC,
    SIL_THRESH_LOW_EC,
    PULSE_UP_THRESH_EC,
    PULSE_LOW_THRESH_EC,
    RING_ON_HIGH_EC,
    RING_ON_LOW_EC,
    RING_OFF_HIGH_EC,
    RING_OFF_LOW_EC,
    REORDER_BUSY_EC,
    REORDER_VAR_EC,
    BUSY_HIGH_THRESH_EC,
    BUSY_LOW_THRESH_EC,
    BUSY_SUM_EC,
    BUSY_RATIO_EC,
    FILT_LEV_EC,
    AGC_MIN_HIGH_EC,
    AGC_MIN_LOW_EC,
    BLIND_DIAL_EC,
    INT_DIAL_COEF_EC,
    CP_COEF_EC,
    SIT_1ST_COEF_EC,
    SIT_2ND_COEF_EC,
    SIT_3RD_COEF_EC,
    INT_DIAL_COEF_114_EC,
    CP_COEF_114_EC,
    SIT_1ST_COEF_114_EC,
    SIT_2ND_COEF_114_EC,
    SIT_3RD_COEF_114_EC,
    MAX_BITRATE_EC,
    SCAN_TIME_EC,
    GEN_RING_ON_EC,
    GEN_RING_OFF_EC,
    GEN_BUSY_ON_EC,
    GEN_BUSY_OFF_EC,
    GEN_REORDER_ON_EC,
    GEN_REORDER_OFF_EC,
    FIXED_CED_EC,
    LOOP_SEIZURE_EC,
    LOOP_MAX_BREAK_EC,
    PULSE_MIN_BREAK_EC,
    PULSE_MAX_MAKE_EC,
    PULSE_MIN_MAKE_EC,
    MAX_INTERDIGIT_EC,
    PRE_WINK_EC,
    WINK_TIME_EC,
    DTMF_THRESH_OTHER_EC,
    DTMF_LEN_MIN_EC,
    DTMF_INTERDIGIT_MIN_EC,
    T30_BEHAVIOR_EC,
    POST_WINK_EC,
    JP_DID_OH_TIME_EC,
    BUSY_RATIO_LH_EC,
    MAX_SIL_TIMEOUT_EC,
    DL_CONFIG_EC,
    DL_WRONG_LIMIT_EC,
    DL_UNSUCC_LIMIT_EC,
    DL_SUM_LIMIT_EC,
    DL_MAX_LIMIT_EC,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_EC,
    DL_UNS_LMT_TIME_EC,
    DL_MIN_WRONG_FIRST_EC,
    DL_MIN_WRONG_EC,
    DL_MIN_UNSUCC_FIRST_EC,
    DL_MIN_UNSUCC_EC,
    V_REC_BUSY_POW_EC,
    V_REC_BUSY_DUR_EC,
    V_REC_BUSY_DIFF_EC,
    V_PLAY_BUSY_POW_EC,
    V_PLAY_BUSY_DUR_EC,
    V_PLAY_BUSY_INT_EC,
    V_PLAY_BUSY_NUM_EC,
    V_PLAY_BUSY_REP_EC,
    V_RP_JPN_DIAL_EC,
    V_RP_CNG_POW_EC,
},
/* IRELAND/TBR-21 */
{
    COUNTRY_EC,
    TONE_LEN_EC,
    TONE_INTER_TIME_EC,
    PULSE_INTER_TIME_EC,
    PULSE_MAKE_EC,
    PULSE_BREAK_EC,
    RING_LEN_EC,
    DTONE_LEN_EC,
    DTONE_TIMEOUT_LOW_EC,
    DTONE_TIMEOUT_HIGH_EC,
    LOOPCUR_LEN_EC,
    LOOPCUR_TIMEOUT_EC,
    LOOPCUR_DEBOUNCE_EC,
    RING_LOWER_EC,
    RING_UPPER_EC,
    RING_BLANK_EC,
    DATA_LEVEL_EC,
    DTMF_LOW_LEVEL_EC,
    DTMF_HIGH_LEVEL_EC,
    REC_LEVEL_EC,
    ENABLE_LOOP_CUR_EC,
    ENABLE_BEEP_EC,
    PULSE_LINE_EC,
    DIAL_TONE_MIN_EC,
    DROP_OUT_TIME_EC,
    WAIT_FOR_CED_LOW_EC,
    WAIT_FOR_CED_HIGH_EC,
    INTERNAT_DELAY_EC,
    FIXED_ID_EC,
    CABS_EC,
    MIN_ON_HOOK_EC,
    SIL_THRESH_HIGH_EC,
    SIL_THRESH_LOW_EC,
    PULSE_UP_THRESH_EC,
    PULSE_LOW_THRESH_EC,
    RING_ON_HIGH_EC,
    RING_ON_LOW_EC,
    RING_OFF_HIGH_EC,
    RING_OFF_LOW_EC,
    REORDER_BUSY_EC,
    REORDER_VAR_EC,
    BUSY_HIGH_THRESH_EC,
    BUSY_LOW_THRESH_EC,
    BUSY_SUM_EC,
    BUSY_RATIO_EC,
    FILT_LEV_EC,
    AGC_MIN_HIGH_EC,
    AGC_MIN_LOW_EC,
    BLIND_DIAL_EC,
    INT_DIAL_COEF_EC,
    CP_COEF_EC,
    SIT_1ST_COEF_EC,
    SIT_2ND_COEF_EC,
    SIT_3RD_COEF_EC,
    INT_DIAL_COEF_114_EC,
    CP_COEF_114_EC,
    SIT_1ST_COEF_114_EC,
    SIT_2ND_COEF_114_EC,
    SIT_3RD_COEF_114_EC,
    MAX_BITRATE_EC,
    SCAN_TIME_EC,
    GEN_RING_ON_EC,
    GEN_RING_OFF_EC,
    GEN_BUSY_ON_EC,
    GEN_BUSY_OFF_EC,
    GEN_REORDER_ON_EC,
    GEN_REORDER_OFF_EC,
    FIXED_CED_EC,
    LOOP_SEIZURE_EC,
    LOOP_MAX_BREAK_EC,
    PULSE_MIN_BREAK_EC,
    PULSE_MAX_MAKE_EC,
    PULSE_MIN_MAKE_EC,
    MAX_INTERDIGIT_EC,
    PRE_WINK_EC,
    WINK_TIME_EC,
    DTMF_THRESH_OTHER_EC,
    DTMF_LEN_MIN_EC,
    DTMF_INTERDIGIT_MIN_EC,
    T30_BEHAVIOR_EC,
    POST_WINK_EC,
    JP_DID_OH_TIME_EC,
    BUSY_RATIO_LH_EC,
    MAX_SIL_TIMEOUT_EC,
    DL_CONFIG_EC,
    DL_WRONG_LIMIT_EC,
    DL_UNSUCC_LIMIT_EC,
    DL_SUM_LIMIT_EC,
    DL_MAX_LIMIT_EC,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_EC,
    DL_UNS_LMT_TIME_EC,
    DL_MIN_WRONG_FIRST_EC,
    DL_MIN_WRONG_EC,
    DL_MIN_UNSUCC_FIRST_EC,
    DL_MIN_UNSUCC_EC,
    V_REC_BUSY_POW_EC,
    V_REC_BUSY_DUR_EC,
    V_REC_BUSY_DIFF_EC,
    V_PLAY_BUSY_POW_EC,
    V_PLAY_BUSY_DUR_EC,
    V_PLAY_BUSY_INT_EC,
    V_PLAY_BUSY_NUM_EC,
    V_PLAY_BUSY_REP_EC,
    V_RP_JPN_DIAL_EC,
    V_RP_CNG_POW_EC,
},
/* UK_CO/TBR-21 */
{
    COUNTRY_EC,
    TONE_LEN_EC,
    TONE_INTER_TIME_EC,
    PULSE_INTER_TIME_EC,
    PULSE_MAKE_EC,
    PULSE_BREAK_EC,
    RING_LEN_EC,
    DTONE_LEN_EC,
    DTONE_TIMEOUT_LOW_EC,
    DTONE_TIMEOUT_HIGH_EC,
    LOOPCUR_LEN_EC,
    LOOPCUR_TIMEOUT_EC,
    LOOPCUR_DEBOUNCE_EC,
    RING_LOWER_EC,
    RING_UPPER_EC,
    RING_BLANK_EC,
    DATA_LEVEL_EC,
    DTMF_LOW_LEVEL_EC,
    DTMF_HIGH_LEVEL_EC,
    REC_LEVEL_EC,
    ENABLE_LOOP_CUR_EC,
    ENABLE_BEEP_EC,
    PULSE_LINE_EC,
    DIAL_TONE_MIN_EC,
    DROP_OUT_TIME_EC,
    WAIT_FOR_CED_LOW_EC,
    WAIT_FOR_CED_HIGH_EC,
    INTERNAT_DELAY_EC,
    FIXED_ID_EC,
    CABS_EC,
    MIN_ON_HOOK_EC,
    SIL_THRESH_HIGH_EC,
    SIL_THRESH_LOW_EC,
    PULSE_UP_THRESH_EC,
    PULSE_LOW_THRESH_EC,
    RING_ON_HIGH_EC,
    RING_ON_LOW_EC,
    RING_OFF_HIGH_EC,
    RING_OFF_LOW_EC,
    REORDER_BUSY_EC,
    REORDER_VAR_EC,
    BUSY_HIGH_THRESH_EC,
    BUSY_LOW_THRESH_EC,
    BUSY_SUM_EC,
    BUSY_RATIO_EC,
    FILT_LEV_EC,
    AGC_MIN_HIGH_EC,
    AGC_MIN_LOW_EC,
    BLIND_DIAL_EC,
    INT_DIAL_COEF_EC,
    CP_COEF_EC,
    SIT_1ST_COEF_EC,
    SIT_2ND_COEF_EC,
    SIT_3RD_COEF_EC,
    INT_DIAL_COEF_114_EC,
    CP_COEF_114_EC,
    SIT_1ST_COEF_114_EC,
    SIT_2ND_COEF_114_EC,
    SIT_3RD_COEF_114_EC,
    MAX_BITRATE_EC,
    SCAN_TIME_EC,
    GEN_RING_ON_EC,
    GEN_RING_OFF_EC,
    GEN_BUSY_ON_EC,
    GEN_BUSY_OFF_EC,
    GEN_REORDER_ON_EC,
    GEN_REORDER_OFF_EC,
    FIXED_CED_EC,
    LOOP_SEIZURE_EC,
    LOOP_MAX_BREAK_EC,
    PULSE_MIN_BREAK_EC,
    PULSE_MAX_MAKE_EC,
    PULSE_MIN_MAKE_EC,
    MAX_INTERDIGIT_EC,
    PRE_WINK_EC,
    WINK_TIME_EC,
    DTMF_THRESH_OTHER_EC,
    DTMF_LEN_MIN_EC,
    DTMF_INTERDIGIT_MIN_EC,
    T30_BEHAVIOR_EC,
    POST_WINK_EC,
    JP_DID_OH_TIME_EC,
    BUSY_RATIO_LH_EC,
    MAX_SIL_TIMEOUT_EC,
    DL_CONFIG_EC,
    DL_WRONG_LIMIT_EC,
    DL_UNSUCC_LIMIT_EC,
    DL_SUM_LIMIT_EC,
    DL_MAX_LIMIT_EC,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_EC,
    DL_UNS_LMT_TIME_EC,
    DL_MIN_WRONG_FIRST_EC,
    DL_MIN_WRONG_EC,
    DL_MIN_UNSUCC_FIRST_EC,
    DL_MIN_UNSUCC_EC,
    V_REC_BUSY_POW_EC,
    V_REC_BUSY_DUR_EC,
    V_REC_BUSY_DIFF_EC,
    V_PLAY_BUSY_POW_EC,
    V_PLAY_BUSY_DUR_EC,
    V_PLAY_BUSY_INT_EC,
    V_PLAY_BUSY_NUM_EC,
    V_PLAY_BUSY_REP_EC,
    V_RP_JPN_DIAL_EC,
    V_RP_CNG_POW_EC,
},
/* NETHERLANDS/TBR-21 */
{
    COUNTRY_EC,
    TONE_LEN_EC,
    TONE_INTER_TIME_EC,
    PULSE_INTER_TIME_EC,
    PULSE_MAKE_EC,
    PULSE_BREAK_EC,
    RING_LEN_EC,
    DTONE_LEN_EC,
    DTONE_TIMEOUT_LOW_EC,
    DTONE_TIMEOUT_HIGH_EC,
    LOOPCUR_LEN_EC,
    LOOPCUR_TIMEOUT_EC,
    LOOPCUR_DEBOUNCE_EC,
    RING_LOWER_EC,
    RING_UPPER_EC,
    RING_BLANK_EC,
    DATA_LEVEL_EC,
    DTMF_LOW_LEVEL_EC,
    DTMF_HIGH_LEVEL_EC,
    REC_LEVEL_EC,
    ENABLE_LOOP_CUR_EC,
    ENABLE_BEEP_EC,
    PULSE_LINE_EC,
    DIAL_TONE_MIN_EC,
    DROP_OUT_TIME_EC,
    WAIT_FOR_CED_LOW_EC,
    WAIT_FOR_CED_HIGH_EC,
    INTERNAT_DELAY_EC,
    FIXED_ID_EC,
    CABS_EC,
    MIN_ON_HOOK_EC,
    SIL_THRESH_HIGH_EC,
    SIL_THRESH_LOW_EC,
    PULSE_UP_THRESH_EC,
    PULSE_LOW_THRESH_EC,
    RING_ON_HIGH_EC,
    RING_ON_LOW_EC,
    RING_OFF_HIGH_EC,
    RING_OFF_LOW_EC,
    REORDER_BUSY_EC,
    REORDER_VAR_EC,
    BUSY_HIGH_THRESH_EC,
    BUSY_LOW_THRESH_EC,
    BUSY_SUM_EC,
    BUSY_RATIO_EC,
    FILT_LEV_EC,
    AGC_MIN_HIGH_EC,
    AGC_MIN_LOW_EC,
    BLIND_DIAL_EC,
    INT_DIAL_COEF_EC,
    CP_COEF_EC,
    SIT_1ST_COEF_EC,
    SIT_2ND_COEF_EC,
    SIT_3RD_COEF_EC,
    INT_DIAL_COEF_114_EC,
    CP_COEF_114_EC,
    SIT_1ST_COEF_114_EC,
    SIT_2ND_COEF_114_EC,
    SIT_3RD_COEF_114_EC,
    MAX_BITRATE_EC,
    SCAN_TIME_EC,
    GEN_RING_ON_EC,
    GEN_RING_OFF_EC,
    GEN_BUSY_ON_EC,
    GEN_BUSY_OFF_EC,
    GEN_REORDER_ON_EC,
    GEN_REORDER_OFF_EC,
    FIXED_CED_EC,
    LOOP_SEIZURE_EC,
    LOOP_MAX_BREAK_EC,
    PULSE_MIN_BREAK_EC,
    PULSE_MAX_MAKE_EC,
    PULSE_MIN_MAKE_EC,
    MAX_INTERDIGIT_EC,
    PRE_WINK_EC,
    WINK_TIME_EC,
    DTMF_THRESH_OTHER_EC,
    DTMF_LEN_MIN_EC,
    DTMF_INTERDIGIT_MIN_EC,
    T30_BEHAVIOR_EC,
    POST_WINK_EC,
    JP_DID_OH_TIME_EC,
    BUSY_RATIO_LH_EC,
    MAX_SIL_TIMEOUT_EC,
    DL_CONFIG_EC,
    DL_WRONG_LIMIT_EC,
    DL_UNSUCC_LIMIT_EC,
    DL_SUM_LIMIT_EC,
    DL_MAX_LIMIT_EC,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_EC,
    DL_UNS_LMT_TIME_EC,
    DL_MIN_WRONG_FIRST_EC,
    DL_MIN_WRONG_EC,
    DL_MIN_UNSUCC_FIRST_EC,
    DL_MIN_UNSUCC_EC,
    V_REC_BUSY_POW_EC,
    V_REC_BUSY_DUR_EC,
    V_REC_BUSY_DIFF_EC,
    V_PLAY_BUSY_POW_EC,
    V_PLAY_BUSY_DUR_EC,
    V_PLAY_BUSY_INT_EC,
    V_PLAY_BUSY_NUM_EC,
    V_PLAY_BUSY_REP_EC,
    V_RP_JPN_DIAL_EC,
    V_RP_CNG_POW_EC,
},
/* GERMANY/TBR-21 */
{
    COUNTRY_EC,
    TONE_LEN_EC,
    TONE_INTER_TIME_EC,
    PULSE_INTER_TIME_EC,
    PULSE_MAKE_EC,
    PULSE_BREAK_EC,
    RING_LEN_EC,
    DTONE_LEN_EC,
    DTONE_TIMEOUT_LOW_EC,
    DTONE_TIMEOUT_HIGH_EC,
    LOOPCUR_LEN_EC,
    LOOPCUR_TIMEOUT_EC,
    LOOPCUR_DEBOUNCE_EC,
    RING_LOWER_EC,
    RING_UPPER_EC,
    RING_BLANK_EC,
    DATA_LEVEL_EC,
    DTMF_LOW_LEVEL_EC,
    DTMF_HIGH_LEVEL_EC,
    REC_LEVEL_EC,
    ENABLE_LOOP_CUR_EC,
    ENABLE_BEEP_EC,
    PULSE_LINE_EC,
    DIAL_TONE_MIN_EC,
    DROP_OUT_TIME_EC,
    WAIT_FOR_CED_LOW_EC,
    WAIT_FOR_CED_HIGH_EC,
    INTERNAT_DELAY_EC,
    FIXED_ID_EC,
    CABS_EC,
    MIN_ON_HOOK_EC,
    SIL_THRESH_HIGH_EC,
    SIL_THRESH_LOW_EC,
    PULSE_UP_THRESH_EC,
    PULSE_LOW_THRESH_EC,
    RING_ON_HIGH_EC,
    RING_ON_LOW_EC,
    RING_OFF_HIGH_EC,
    RING_OFF_LOW_EC,
    REORDER_BUSY_EC,
    REORDER_VAR_EC,
    BUSY_HIGH_THRESH_EC,
    BUSY_LOW_THRESH_EC,
    BUSY_SUM_EC,
    BUSY_RATIO_EC,
    FILT_LEV_EC,
    AGC_MIN_HIGH_EC,
    AGC_MIN_LOW_EC,
    BLIND_DIAL_EC,
    INT_DIAL_COEF_EC,
    CP_COEF_EC,
    SIT_1ST_COEF_EC,
    SIT_2ND_COEF_EC,
    SIT_3RD_COEF_EC,
    INT_DIAL_COEF_114_EC,
    CP_COEF_114_EC,
    SIT_1ST_COEF_114_EC,
    SIT_2ND_COEF_114_EC,
    SIT_3RD_COEF_114_EC,
    MAX_BITRATE_EC,
    SCAN_TIME_EC,
    GEN_RING_ON_EC,
    GEN_RING_OFF_EC,
    GEN_BUSY_ON_EC,
    GEN_BUSY_OFF_EC,
    GEN_REORDER_ON_EC,
    GEN_REORDER_OFF_EC,
    FIXED_CED_EC,
    LOOP_SEIZURE_EC,
    LOOP_MAX_BREAK_EC,
    PULSE_MIN_BREAK_EC,
    PULSE_MAX_MAKE_EC,
    PULSE_MIN_MAKE_EC,
    MAX_INTERDIGIT_EC,
    PRE_WINK_EC,
    WINK_TIME_EC,
    DTMF_THRESH_OTHER_EC,
    DTMF_LEN_MIN_EC,
    DTMF_INTERDIGIT_MIN_EC,
    T30_BEHAVIOR_EC,
    POST_WINK_EC,
    JP_DID_OH_TIME_EC,
    BUSY_RATIO_LH_EC,
    MAX_SIL_TIMEOUT_EC,
    DL_CONFIG_EC,
    DL_WRONG_LIMIT_EC,
    DL_UNSUCC_LIMIT_EC,
    DL_SUM_LIMIT_EC,
    DL_MAX_LIMIT_EC,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_EC,
    DL_UNS_LMT_TIME_EC,
    DL_MIN_WRONG_FIRST_EC,
    DL_MIN_WRONG_EC,
    DL_MIN_UNSUCC_FIRST_EC,
    DL_MIN_UNSUCC_EC,
    V_REC_BUSY_POW_EC,
    V_REC_BUSY_DUR_EC,
    V_REC_BUSY_DIFF_EC,
    V_PLAY_BUSY_POW_EC,
    V_PLAY_BUSY_DUR_EC,
    V_PLAY_BUSY_INT_EC,
    V_PLAY_BUSY_NUM_EC,
    V_PLAY_BUSY_REP_EC,
    V_RP_JPN_DIAL_EC,
    V_RP_CNG_POW_EC,
},
/* FRANCE/TBR-21 */
{
    COUNTRY_EC,
    TONE_LEN_EC,
    TONE_INTER_TIME_EC,
    PULSE_INTER_TIME_EC,
    PULSE_MAKE_EC,
    PULSE_BREAK_EC,
    RING_LEN_EC,
    DTONE_LEN_EC,
    DTONE_TIMEOUT_LOW_EC,
    DTONE_TIMEOUT_HIGH_EC,
    LOOPCUR_LEN_EC,
    LOOPCUR_TIMEOUT_EC,
    LOOPCUR_DEBOUNCE_EC,
    RING_LOWER_EC,
    RING_UPPER_EC,
    RING_BLANK_EC,
    DATA_LEVEL_EC,
    DTMF_LOW_LEVEL_EC,
    DTMF_HIGH_LEVEL_EC,
    REC_LEVEL_EC,
    ENABLE_LOOP_CUR_EC,
    ENABLE_BEEP_EC,
    PULSE_LINE_EC,
    DIAL_TONE_MIN_EC,
    DROP_OUT_TIME_EC,
    WAIT_FOR_CED_LOW_EC,
    WAIT_FOR_CED_HIGH_EC,
    INTERNAT_DELAY_EC,
    FIXED_ID_EC,
    CABS_EC,
    MIN_ON_HOOK_EC,
    SIL_THRESH_HIGH_EC,
    SIL_THRESH_LOW_EC,
    PULSE_UP_THRESH_EC,
    PULSE_LOW_THRESH_EC,
    RING_ON_HIGH_EC,
    RING_ON_LOW_EC,
    RING_OFF_HIGH_EC,
    RING_OFF_LOW_EC,
    REORDER_BUSY_EC,
    REORDER_VAR_EC,
    BUSY_HIGH_THRESH_EC,
    BUSY_LOW_THRESH_EC,
    BUSY_SUM_EC,
    BUSY_RATIO_EC,
    FILT_LEV_EC,
    AGC_MIN_HIGH_EC,
    AGC_MIN_LOW_EC,
    BLIND_DIAL_EC,
    INT_DIAL_COEF_EC,
    CP_COEF_EC,
    SIT_1ST_COEF_EC,
    SIT_2ND_COEF_EC,
    SIT_3RD_COEF_EC,
    INT_DIAL_COEF_114_EC,
    CP_COEF_114_EC,
    SIT_1ST_COEF_114_EC,
    SIT_2ND_COEF_114_EC,
    SIT_3RD_COEF_114_EC,
    MAX_BITRATE_EC,
    SCAN_TIME_EC,
    GEN_RING_ON_EC,
    GEN_RING_OFF_EC,
    GEN_BUSY_ON_EC,
    GEN_BUSY_OFF_EC,
    GEN_REORDER_ON_EC,
    GEN_REORDER_OFF_EC,
    FIXED_CED_EC,
    LOOP_SEIZURE_EC,
    LOOP_MAX_BREAK_EC,
    PULSE_MIN_BREAK_EC,
    PULSE_MAX_MAKE_EC,
    PULSE_MIN_MAKE_EC,
    MAX_INTERDIGIT_EC,
    PRE_WINK_EC,
    WINK_TIME_EC,
    DTMF_THRESH_OTHER_EC,
    DTMF_LEN_MIN_EC,
    DTMF_INTERDIGIT_MIN_EC,
    T30_BEHAVIOR_EC,
    POST_WINK_EC,
    JP_DID_OH_TIME_EC,
    BUSY_RATIO_LH_EC,
    MAX_SIL_TIMEOUT_EC,
    DL_CONFIG_EC,
    DL_WRONG_LIMIT_EC,
    DL_UNSUCC_LIMIT_EC,
    DL_SUM_LIMIT_EC,
    DL_MAX_LIMIT_EC,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_EC,
    DL_UNS_LMT_TIME_EC,
    DL_MIN_WRONG_FIRST_EC,
    DL_MIN_WRONG_EC,
    DL_MIN_UNSUCC_FIRST_EC,
    DL_MIN_UNSUCC_EC,
    V_REC_BUSY_POW_EC,
    V_REC_BUSY_DUR_EC,
    V_REC_BUSY_DIFF_EC,
    V_PLAY_BUSY_POW_EC,
    V_PLAY_BUSY_DUR_EC,
    V_PLAY_BUSY_INT_EC,
    V_PLAY_BUSY_NUM_EC,
    V_PLAY_BUSY_REP_EC,
    V_RP_JPN_DIAL_EC,
    V_RP_CNG_POW_EC,
},
/* CZECH_REPUBLIC/TBR-21 */
{
    COUNTRY_EC,
    TONE_LEN_EC,
    TONE_INTER_TIME_EC,
    PULSE_INTER_TIME_EC,
    PULSE_MAKE_EC,
    PULSE_BREAK_EC,
    RING_LEN_EC,
    DTONE_LEN_EC,
    DTONE_TIMEOUT_LOW_EC,
    DTONE_TIMEOUT_HIGH_EC,
    LOOPCUR_LEN_EC,
    LOOPCUR_TIMEOUT_EC,
    LOOPCUR_DEBOUNCE_EC,
    RING_LOWER_EC,
    RING_UPPER_EC,
    RING_BLANK_EC,
    DATA_LEVEL_EC,
    DTMF_LOW_LEVEL_EC,
    DTMF_HIGH_LEVEL_EC,
    REC_LEVEL_EC,
    ENABLE_LOOP_CUR_EC,
    ENABLE_BEEP_EC,
    PULSE_LINE_EC,
    DIAL_TONE_MIN_EC,
    DROP_OUT_TIME_EC,
    WAIT_FOR_CED_LOW_EC,
    WAIT_FOR_CED_HIGH_EC,
    INTERNAT_DELAY_EC,
    FIXED_ID_EC,
    CABS_EC,
    MIN_ON_HOOK_EC,
    SIL_THRESH_HIGH_EC,
    SIL_THRESH_LOW_EC,
    PULSE_UP_THRESH_EC,
    PULSE_LOW_THRESH_EC,
    RING_ON_HIGH_EC,
    RING_ON_LOW_EC,
    RING_OFF_HIGH_EC,
    RING_OFF_LOW_EC,
    REORDER_BUSY_EC,
    REORDER_VAR_EC,
    BUSY_HIGH_THRESH_EC,
    BUSY_LOW_THRESH_EC,
    BUSY_SUM_EC,
    BUSY_RATIO_EC,
    FILT_LEV_EC,
    AGC_MIN_HIGH_EC,
    AGC_MIN_LOW_EC,
    BLIND_DIAL_EC,
    INT_DIAL_COEF_EC,
    CP_COEF_EC,
    SIT_1ST_COEF_EC,
    SIT_2ND_COEF_EC,
    SIT_3RD_COEF_EC,
    INT_DIAL_COEF_114_EC,
    CP_COEF_114_EC,
    SIT_1ST_COEF_114_EC,
    SIT_2ND_COEF_114_EC,
    SIT_3RD_COEF_114_EC,
    MAX_BITRATE_EC,
    SCAN_TIME_EC,
    GEN_RING_ON_EC,
    GEN_RING_OFF_EC,
    GEN_BUSY_ON_EC,
    GEN_BUSY_OFF_EC,
    GEN_REORDER_ON_EC,
    GEN_REORDER_OFF_EC,
    FIXED_CED_EC,
    LOOP_SEIZURE_EC,
    LOOP_MAX_BREAK_EC,
    PULSE_MIN_BREAK_EC,
    PULSE_MAX_MAKE_EC,
    PULSE_MIN_MAKE_EC,
    MAX_INTERDIGIT_EC,
    PRE_WINK_EC,
    WINK_TIME_EC,
    DTMF_THRESH_OTHER_EC,
    DTMF_LEN_MIN_EC,
    DTMF_INTERDIGIT_MIN_EC,
    T30_BEHAVIOR_EC,
    POST_WINK_EC,
    JP_DID_OH_TIME_EC,
    BUSY_RATIO_LH_EC,
    MAX_SIL_TIMEOUT_EC,
    DL_CONFIG_EC,
    DL_WRONG_LIMIT_EC,
    DL_UNSUCC_LIMIT_EC,
    DL_SUM_LIMIT_EC,
    DL_MAX_LIMIT_EC,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_EC,
    DL_UNS_LMT_TIME_EC,
    DL_MIN_WRONG_FIRST_EC,
    DL_MIN_WRONG_EC,
    DL_MIN_UNSUCC_FIRST_EC,
    DL_MIN_UNSUCC_EC,
    V_REC_BUSY_POW_EC,
    V_REC_BUSY_DUR_EC,
    V_REC_BUSY_DIFF_EC,
    V_PLAY_BUSY_POW_EC,
    V_PLAY_BUSY_DUR_EC,
    V_PLAY_BUSY_INT_EC,
    V_PLAY_BUSY_NUM_EC,
    V_PLAY_BUSY_REP_EC,
    V_RP_JPN_DIAL_EC,
    V_RP_CNG_POW_EC,
},
/* ITALY_CO/TBR-21 */
{
    COUNTRY_EC,
    TONE_LEN_EC,
    TONE_INTER_TIME_EC,
    PULSE_INTER_TIME_EC,
    PULSE_MAKE_EC,
    PULSE_BREAK_EC,
    RING_LEN_EC,
    DTONE_LEN_EC,
    DTONE_TIMEOUT_LOW_EC,
    DTONE_TIMEOUT_HIGH_EC,
    LOOPCUR_LEN_EC,
    LOOPCUR_TIMEOUT_EC,
    LOOPCUR_DEBOUNCE_EC,
    RING_LOWER_EC,
    RING_UPPER_EC,
    RING_BLANK_EC,
    DATA_LEVEL_EC,
    DTMF_LOW_LEVEL_EC,
    DTMF_HIGH_LEVEL_EC,
    REC_LEVEL_EC,
    ENABLE_LOOP_CUR_EC,
    ENABLE_BEEP_EC,
    PULSE_LINE_EC,
    DIAL_TONE_MIN_EC,
    DROP_OUT_TIME_EC,
    WAIT_FOR_CED_LOW_EC,
    WAIT_FOR_CED_HIGH_EC,
    INTERNAT_DELAY_EC,
    FIXED_ID_EC,
    CABS_EC,
    MIN_ON_HOOK_EC,
    SIL_THRESH_HIGH_EC,
    SIL_THRESH_LOW_EC,
    PULSE_UP_THRESH_EC,
    PULSE_LOW_THRESH_EC,
    RING_ON_HIGH_EC,
    RING_ON_LOW_EC,
    RING_OFF_HIGH_EC,
    RING_OFF_LOW_EC,
    REORDER_BUSY_EC,
    REORDER_VAR_EC,
    BUSY_HIGH_THRESH_EC,
    BUSY_LOW_THRESH_EC,
    BUSY_SUM_EC,
    BUSY_RATIO_EC,
    FILT_LEV_EC,
    AGC_MIN_HIGH_EC,
    AGC_MIN_LOW_EC,
    BLIND_DIAL_EC,
    INT_DIAL_COEF_EC,
    CP_COEF_EC,
    SIT_1ST_COEF_EC,
    SIT_2ND_COEF_EC,
    SIT_3RD_COEF_EC,
    INT_DIAL_COEF_114_EC,
    CP_COEF_114_EC,
    SIT_1ST_COEF_114_EC,
    SIT_2ND_COEF_114_EC,
    SIT_3RD_COEF_114_EC,
    MAX_BITRATE_EC,
    SCAN_TIME_EC,
    GEN_RING_ON_EC,
    GEN_RING_OFF_EC,
    GEN_BUSY_ON_EC,
    GEN_BUSY_OFF_EC,
    GEN_REORDER_ON_EC,
    GEN_REORDER_OFF_EC,
    FIXED_CED_EC,
    LOOP_SEIZURE_EC,
    LOOP_MAX_BREAK_EC,
    PULSE_MIN_BREAK_EC,
    PULSE_MAX_MAKE_EC,
    PULSE_MIN_MAKE_EC,
    MAX_INTERDIGIT_EC,
    PRE_WINK_EC,
    WINK_TIME_EC,
    DTMF_THRESH_OTHER_EC,
    DTMF_LEN_MIN_EC,
    DTMF_INTERDIGIT_MIN_EC,
    T30_BEHAVIOR_EC,
    POST_WINK_EC,
    JP_DID_OH_TIME_EC,
    BUSY_RATIO_LH_EC,
    MAX_SIL_TIMEOUT_EC,
    DL_CONFIG_EC,
    DL_WRONG_LIMIT_EC,
    DL_UNSUCC_LIMIT_EC,
    DL_SUM_LIMIT_EC,
    DL_MAX_LIMIT_EC,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_EC,
    DL_UNS_LMT_TIME_EC,
    DL_MIN_WRONG_FIRST_EC,
    DL_MIN_WRONG_EC,
    DL_MIN_UNSUCC_FIRST_EC,
    DL_MIN_UNSUCC_EC,
    V_REC_BUSY_POW_EC,
    V_REC_BUSY_DUR_EC,
    V_REC_BUSY_DIFF_EC,
    V_PLAY_BUSY_POW_EC,
    V_PLAY_BUSY_DUR_EC,
    V_PLAY_BUSY_INT_EC,
    V_PLAY_BUSY_NUM_EC,
    V_PLAY_BUSY_REP_EC,
    V_RP_JPN_DIAL_EC,
    V_RP_CNG_POW_EC,
},
/* DENMARK/TBR-21 */
{
    COUNTRY_EC,
    TONE_LEN_EC,
    TONE_INTER_TIME_EC,
    PULSE_INTER_TIME_EC,
    PULSE_MAKE_EC,
    PULSE_BREAK_EC,
    RING_LEN_EC,
    DTONE_LEN_EC,
    DTONE_TIMEOUT_LOW_EC,
    DTONE_TIMEOUT_HIGH_EC,
    LOOPCUR_LEN_EC,
    LOOPCUR_TIMEOUT_EC,
    LOOPCUR_DEBOUNCE_EC,
    RING_LOWER_EC,
    RING_UPPER_EC,
    RING_BLANK_EC,
    DATA_LEVEL_EC,
    DTMF_LOW_LEVEL_EC,
    DTMF_HIGH_LEVEL_EC,
    REC_LEVEL_EC,
    ENABLE_LOOP_CUR_EC,
    ENABLE_BEEP_EC,
    PULSE_LINE_EC,
    DIAL_TONE_MIN_EC,
    DROP_OUT_TIME_EC,
    WAIT_FOR_CED_LOW_EC,
    WAIT_FOR_CED_HIGH_EC,
    INTERNAT_DELAY_EC,
    FIXED_ID_EC,
    CABS_EC,
    MIN_ON_HOOK_EC,
    SIL_THRESH_HIGH_EC,
    SIL_THRESH_LOW_EC,
    PULSE_UP_THRESH_EC,
    PULSE_LOW_THRESH_EC,
    RING_ON_HIGH_EC,
    RING_ON_LOW_EC,
    RING_OFF_HIGH_EC,
    RING_OFF_LOW_EC,
    REORDER_BUSY_EC,
    REORDER_VAR_EC,
    BUSY_HIGH_THRESH_EC,
    BUSY_LOW_THRESH_EC,
    BUSY_SUM_EC,
    BUSY_RATIO_EC,
    FILT_LEV_EC,
    AGC_MIN_HIGH_EC,
    AGC_MIN_LOW_EC,
    BLIND_DIAL_EC,
    INT_DIAL_COEF_EC,
    CP_COEF_EC,
    SIT_1ST_COEF_EC,
    SIT_2ND_COEF_EC,
    SIT_3RD_COEF_EC,
    INT_DIAL_COEF_114_EC,
    CP_COEF_114_EC,
    SIT_1ST_COEF_114_EC,
    SIT_2ND_COEF_114_EC,
    SIT_3RD_COEF_114_EC,
    MAX_BITRATE_EC,
    SCAN_TIME_EC,
    GEN_RING_ON_EC,
    GEN_RING_OFF_EC,
    GEN_BUSY_ON_EC,
    GEN_BUSY_OFF_EC,
    GEN_REORDER_ON_EC,
    GEN_REORDER_OFF_EC,
    FIXED_CED_EC,
    LOOP_SEIZURE_EC,
    LOOP_MAX_BREAK_EC,
    PULSE_MIN_BREAK_EC,
    PULSE_MAX_MAKE_EC,
    PULSE_MIN_MAKE_EC,
    MAX_INTERDIGIT_EC,
    PRE_WINK_EC,
    WINK_TIME_EC,
    DTMF_THRESH_OTHER_EC,
    DTMF_LEN_MIN_EC,
    DTMF_INTERDIGIT_MIN_EC,
    T30_BEHAVIOR_EC,
    POST_WINK_EC,
    JP_DID_OH_TIME_EC,
    BUSY_RATIO_LH_EC,
    MAX_SIL_TIMEOUT_EC,
    DL_CONFIG_EC,
    DL_WRONG_LIMIT_EC,
    DL_UNSUCC_LIMIT_EC,
    DL_SUM_LIMIT_EC,
    DL_MAX_LIMIT_EC,
    FILL_0, /* fill */
    DL_WR_LMT_TIME_EC,
    DL_UNS_LMT_TIME_EC,
    DL_MIN_WRONG_FIRST_EC,
    DL_MIN_WRONG_EC,
    DL_MIN_UNSUCC_FIRST_EC,
    DL_MIN_UNSUCC_EC,
    V_REC_BUSY_POW_EC,
    V_REC_BUSY_DUR_EC,
    V_REC_BUSY_DIFF_EC,
    V_PLAY_BUSY_POW_EC,
    V_PLAY_BUSY_DUR_EC,
    V_PLAY_BUSY_INT_EC,
    V_PLAY_BUSY_NUM_EC,
    V_PLAY_BUSY_REP_EC,
    V_RP_JPN_DIAL_EC,
    V_RP_CNG_POW_EC,
}
/* Future countries go here */
};

short ncountries = sizeof(countries) / sizeof(struct country_phone_info);
short phone_size = sizeof(struct country_phone_info);

int main()
{
    FILE *fp;
    int i;
    
#if !(defined(CDOS) || defined(MSDOS) || defined(WINNT) || defined(__OS2__) || defined(__TURBOC__) || defined(WIN95))
    if (fp = fopen(PARAM_FILE_NAME,"w"))        /* open parameter file */
#else
    if (fp = fopen(PARAM_FILE_NAME,"wb"))       /* open parameter file */
#endif
    {
#ifndef MILL_BIG_ENDIAN
        fwrite((char *)&phone_size, sizeof(phone_size), 1, fp);
        fwrite((char *)&ncountries, sizeof(ncountries), 1, fp);
        for (i = 0; i < ncountries; i++)
        {
            fwrite((char *)&config_countries[i], sizeof(*config_countries),
                   1, fp);
            fwrite((char *)&countries[i], sizeof(*countries), 1, fp);
        }
#else
    {
        short tmp;

        tmp = phone_size;
        BYTE_SWAP_SHORT(tmp);
        fwrite((char *)&tmp, sizeof(phone_size), 1, fp);
        tmp = ncountries;
        BYTE_SWAP_SHORT(tmp);
        fwrite((char *)&tmp, sizeof(ncountries), 1, fp);
        for (i = 0; i < ncountries; i++)
        {
            tmp = config_countries[i];
            BYTE_SWAP_SHORT(tmp);
            fwrite((char *)&tmp, sizeof(*config_countries),
                   1, fp);
            fwrite((char *)&countries[i], sizeof(*countries), 1, fp);
        }
    }
#endif
        fclose(fp);
        printf("BT_CPARM for API %s written for %d countries.\n",
               API_VERSION,ncountries);
    }
    else
        fprintf(stderr,"Error - couldn't open file %s\n",PARAM_FILE_NAME);

    return(0);
}
