/*
 * mkparams.h
 * Copyright (c) 1989-2004 Brooktrout Technology Inc.  All rights reserved.
 */

/* Note: Most of the country parameter values should not be changed if
   they are to properly meet PTT specifications. */

/* Default board parameters */
/* If board is being used in USA */
#define TONE_LEN_USA                    18
#define TONE_INTER_TIME_USA             12
#define PULSE_INTER_TIME_USA            140
#define PULSE_MAKE_USA                  8
#define PULSE_BREAK_USA                 12
#define RING_LEN_USA                    70
#define DTONE_LEN_USA                   0x2e
#define DTONE_TIMEOUT_LOW_USA           0x64
#define DTONE_TIMEOUT_HIGH_USA          0
#define LOOPCUR_LEN_USA                 0x14
#define LOOPCUR_TIMEOUT_USA             0x64
#define LOOPCUR_DEBOUNCE_USA            0x8
#define RING_LOWER_USA                  5
#define RING_UPPER_USA                  0x8c
#define RING_BLANK_USA                  0x14
#define COUNTRY_USA                     0
#define DATA_LEVEL_USA                  (char)0xe2
#define DTMF_LOW_LEVEL_USA              (char)0xf2
#define DTMF_HIGH_LEVEL_USA             (char)0xf4
#define REC_LEVEL_USA                   (char)0xaa
#define ENABLE_LOOP_CUR_USA             0
#define ENABLE_BEEP_USA                 0
#define PULSE_LINE_USA                  0
#define DIAL_TONE_MIN_USA               0x32    /* 10 millisec units */
#define DROP_OUT_TIME_USA               0x0f    /* 5 ms units */
#define WAIT_FOR_CED_LOW_USA            0xa0    /* 10 ms units */
#define WAIT_FOR_CED_HIGH_USA           0x0f    /* 10 ms units */
#define SCAN_TIME_USA                   7
#define MIN_ON_HOOK_USA                 0x28    /* 50 ms units */
#define BLIND_DIAL_USA                  0
#define INTERNAT_DELAY_USA              0x18    /* 10 ms units */
#define MAX_BITRATE_USA                 0xff
#define FIXED_ID_USA                    0       /* support variable ids */
#define CABS_USA                        0
#define SIL_THRESH_HIGH_USA             0x8
#define SIL_THRESH_LOW_USA              0x34
#define PULSE_UP_THRESH_USA             0
#define PULSE_LOW_THRESH_USA            0
#define RING_ON_HIGH_USA                0x1
#define RING_ON_LOW_USA                 0xa4
#define RING_OFF_HIGH_USA               0x7
#define RING_OFF_LOW_USA                0xd0
#define REORDER_BUSY_USA                0x32
#define REORDER_VAR_USA                 0xa
#define BUSY_HIGH_THRESH_USA            0xd2
#define BUSY_LOW_THRESH_USA             0xd2
#define BUSY_SUM_USA                    0x32
#define BUSY_RATIO_USA                  2
#define FILT_LEV_USA                    0x3
#define AGC_MIN_LOW_USA                 0
#define AGC_MIN_HIGH_USA                0
#define INT_DIAL_COEF_USA \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define CP_COEF_USA \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define SIT_1ST_COEF_USA \
  { 0x02, 0x00, 0x65, 0x70, 0xc1, 0x47, 0x02, 0x00, 0x68, 0x8d, 0xc1, 0x47}
#define SIT_2ND_COEF_USA \
  { 0x02, 0x9f, 0x4b, 0x43, 0xc1, 0x47, 0x02, 0x9f, 0x4f, 0x08, 0xc1, 0x47}
#define SIT_3RD_COEF_USA \
  { 0x01, 0xbe, 0x31, 0xb9, 0xc1, 0x47, 0x01, 0xbe, 0x32, 0xd0, 0xc1, 0x47}
#define INT_DIAL_COEF_114_USA \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define CP_COEF_114_USA \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define SIT_1ST_COEF_114_USA    \
  { 0x64, 0xb1, 0x48, 0x28, 0x05, 0xd6, 0x00, 0x00}
#define SIT_2ND_COEF_114_USA    \
  { 0x4b, 0x69, 0x62, 0x47, 0x05, 0xd6, 0x00, 0x00}
#define SIT_3RD_COEF_114_USA    \
  { 0x32, 0x28, 0x74, 0x0e, 0x02, 0x72, 0x00, 0x00}
#define GEN_RING_ON_USA                 40
#define GEN_RING_OFF_USA                80
#define GEN_BUSY_ON_USA                 10
#define GEN_BUSY_OFF_USA                10
#define GEN_REORDER_ON_USA              5
#define GEN_REORDER_OFF_USA             5
#define FIXED_CED_USA                   0
#define LOOP_SEIZURE_USA                12
#define LOOP_MAX_BREAK_USA              30
#define PULSE_MIN_BREAK_USA             3
#define PULSE_MAX_MAKE_USA              32
#define PULSE_MIN_MAKE_USA              2
#define MAX_INTERDIGIT_USA              10
#define PRE_WINK_USA                    10
#define WINK_TIME_USA                   40
#define DTMF_THRESH_OTHER_USA           (char)0xb4
#define DTMF_LEN_MIN_USA                0
#define DTMF_INTERDIGIT_MIN_USA         0x14
#define T30_BEHAVIOR_USA                0
#define POST_WINK_USA                   5
#define JP_DID_OH_TIME_USA              16
#define BUSY_RATIO_LH_USA               6
#define MAX_SIL_TIMEOUT_USA             0
#define DL_CONFIG_USA                   0x5
#define DL_WRONG_LIMIT_USA              2
#define DL_UNSUCC_LIMIT_USA             15
#define DL_SUM_LIMIT_USA                0
#define DL_MAX_LIMIT_USA                0
#define DL_WR_LMT_TIME_USA              0
#define DL_UNS_LMT_TIME_USA             3600
#define DL_MIN_WRONG_FIRST_USA          0
#define DL_MIN_WRONG_USA                0
#define DL_MIN_UNSUCC_FIRST_USA         0
#define DL_MIN_UNSUCC_USA               0
#define V_REC_BUSY_POW_USA              22
#define V_REC_BUSY_DUR_USA              10
#define V_REC_BUSY_DIFF_USA             4
#define V_PLAY_BUSY_POW_USA             47
#define V_PLAY_BUSY_DUR_USA             29
#define V_PLAY_BUSY_INT_USA             14
#define V_PLAY_BUSY_NUM_USA             3
#define V_PLAY_BUSY_REP_USA             2
#define V_RP_JPN_DIAL_USA               1
#define V_RP_CNG_POW_USA                19


/* If board is being used in NEW ZEALAND */
#define TONE_LEN_NZ                     0x14
#define TONE_INTER_TIME_NZ              0xf
#define PULSE_INTER_TIME_NZ             0xaf
#define PULSE_MAKE_NZ                   0x08
#define PULSE_BREAK_NZ                  0x0b
#define RING_LEN_NZ                     0x23
#define DTONE_LEN_NZ                    0xc8
#define DTONE_TIMEOUT_LOW_NZ            0x64
#define DTONE_TIMEOUT_HIGH_NZ           0x00
#define LOOPCUR_LEN_NZ                  0x14
#define LOOPCUR_TIMEOUT_NZ              0x64
#define LOOPCUR_DEBOUNCE_NZ             0x8
#define RING_LOWER_NZ                   0x04
#define RING_UPPER_NZ                   0x46
#define RING_BLANK_NZ                   0x3c
#define COUNTRY_NZ                      0xfc
#define DATA_LEVEL_NZ                   (char)0xec
#define DTMF_LOW_LEVEL_NZ               (char)0xf1
#define DTMF_HIGH_LEVEL_NZ              (char)0xf4
#define REC_LEVEL_NZ                    (char)0xaa
#define ENABLE_LOOP_CUR_NZ              0x00
#define ENABLE_BEEP_NZ                  0x00
#define PULSE_LINE_NZ                   0x80
#define DIAL_TONE_MIN_NZ                0x64
#define DROP_OUT_TIME_NZ                0x0f
#define WAIT_FOR_CED_LOW_NZ             0x70
#define WAIT_FOR_CED_HIGH_NZ            0x17
#define SCAN_TIME_NZ                    0x07
#define MIN_ON_HOOK_NZ                  0x28
#define INTERNAT_DELAY_NZ               0x00
#define MAX_BITRATE_NZ                  0xff
#define FIXED_ID_NZ                     0x00
#define CABS_NZ                         0x00
#define SIL_THRESH_HIGH_NZ              0x08
#define SIL_THRESH_LOW_NZ               0x34
#define PULSE_UP_THRESH_NZ              0x00
#define PULSE_LOW_THRESH_NZ             0x00
#define RING_ON_HIGH_NZ                 0x01
#define RING_ON_LOW_NZ                  0xa4
#define RING_OFF_HIGH_NZ                0x07
#define RING_OFF_LOW_NZ                 0xd0
#define REORDER_BUSY_NZ                 0x32
#define REORDER_VAR_NZ                  0x0a
#define BUSY_HIGH_THRESH_NZ             0xd2
#define BUSY_LOW_THRESH_NZ              0xd2
#define BUSY_SUM_NZ                     0x32
#define BUSY_RATIO_NZ                   0x02
#define FILT_LEV_NZ                     0x03
#define AGC_MIN_LOW_NZ                  0x00
#define AGC_MIN_HIGH_NZ                 0x00
#define BLIND_DIAL_NZ                   0x00
#define INT_DIAL_COEF_NZ \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define CP_COEF_NZ \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define SIT_1ST_COEF_NZ \
  { 0x02, 0x00, 0x65, 0x70, 0xc1, 0x47, 0x02, 0x00, 0x68, 0x8d, 0xc1, 0x47}
#define SIT_2ND_COEF_NZ \
  { 0x02, 0x9f, 0x4b, 0x43, 0xc1, 0x47, 0x02, 0x9f, 0x4f, 0x08, 0xc1, 0x47}
#define SIT_3RD_COEF_NZ \
  { 0x01, 0xbe, 0x31, 0xb9, 0xc1, 0x47, 0x01, 0xbe, 0x32, 0xd0, 0xc1, 0x47}
#define INT_DIAL_COEF_114_NZ    \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define CP_COEF_114_NZ \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define SIT_1ST_COEF_114_NZ \
  { 0x64, 0xb1, 0x48, 0x28, 0x05, 0xd6, 0x00, 0x00}
#define SIT_2ND_COEF_114_NZ \
  { 0x4b, 0x69, 0x62, 0x47, 0x05, 0xd6, 0x00, 0x00}
#define SIT_3RD_COEF_114_NZ \
  { 0x32, 0x28, 0x74, 0x0e, 0x02, 0x72, 0x00, 0x00}
#define GEN_RING_ON_NZ                  0x28
#define GEN_RING_OFF_NZ                 0x50
#define GEN_BUSY_ON_NZ                  0x0a
#define GEN_BUSY_OFF_NZ                 0x0a
#define GEN_REORDER_ON_NZ               0x05
#define GEN_REORDER_OFF_NZ              0x05
#define FIXED_CED_NZ                    0x00
#define LOOP_SEIZURE_NZ                 0x0c
#define LOOP_MAX_BREAK_NZ               0x1e
#define PULSE_MIN_BREAK_NZ              0x03
#define PULSE_MAX_MAKE_NZ               0x20
#define PULSE_MIN_MAKE_NZ               0x02
#define MAX_INTERDIGIT_NZ               0x0a
#define PRE_WINK_NZ                     0x0a
#define WINK_TIME_NZ                    0x28
#define DTMF_THRESH_OTHER_NZ            (char)0xb4
#define DTMF_LEN_MIN_NZ                 0
#define DTMF_INTERDIGIT_MIN_NZ          0x14
#define T30_BEHAVIOR_NZ                 0
#define POST_WINK_NZ                    5
#define JP_DID_OH_TIME_NZ               16
#define BUSY_RATIO_LH_NZ                6
#define MAX_SIL_TIMEOUT_NZ              0
#define DL_CONFIG_NZ                    0xb
#define DL_WRONG_LIMIT_NZ               0
#define DL_UNSUCC_LIMIT_NZ              0
#define DL_SUM_LIMIT_NZ                 5
#define DL_MAX_LIMIT_NZ                 10
#define DL_WR_LMT_TIME_NZ               3600
#define DL_UNS_LMT_TIME_NZ              3600
#define DL_MIN_WRONG_FIRST_NZ           60
#define DL_MIN_WRONG_NZ                 60
#define DL_MIN_UNSUCC_FIRST_NZ          60
#define DL_MIN_UNSUCC_NZ                60
#define V_REC_BUSY_POW_NZ               22
#define V_REC_BUSY_DUR_NZ               10
#define V_REC_BUSY_DIFF_NZ              4
#define V_PLAY_BUSY_POW_NZ              47
#define V_PLAY_BUSY_DUR_NZ              29
#define V_PLAY_BUSY_INT_NZ              14
#define V_PLAY_BUSY_NUM_NZ              3
#define V_PLAY_BUSY_REP_NZ              2
#define V_RP_JPN_DIAL_NZ                1
#define V_RP_CNG_POW_NZ                 19


/* If board is being used in JAPAN0     */
#define TONE_LEN_JPN                    0x14
#define TONE_INTER_TIME_JPN             0x14
#define PULSE_INTER_TIME_JPN            0xa0
#define PULSE_MAKE_JPN                  0x07
#define PULSE_BREAK_JPN                 0x0d
#define RING_LEN_JPN                    0x46
#define DTONE_LEN_JPN                   0xc8
#define DTONE_TIMEOUT_LOW_JPN           0x96
#define DTONE_TIMEOUT_HIGH_JPN          0
#define LOOPCUR_LEN_JPN                 0x14
#define LOOPCUR_TIMEOUT_JPN             0x64
#define LOOPCUR_DEBOUNCE_JPN            0x8
#define RING_LOWER_JPN                  0x05
#define RING_UPPER_JPN                  0x8c
#define RING_BLANK_JPN                  0x14
#define COUNTRY_JPN                     0x00
#define DATA_LEVEL_JPN                  (char)0xe8
#define DTMF_LOW_LEVEL_JPN              (char)0xee
#define DTMF_HIGH_LEVEL_JPN             (char)0xf2
#define REC_LEVEL_JPN                   (char)0xaa
#define ENABLE_LOOP_CUR_JPN             0x00
#define ENABLE_BEEP_JPN                 0x00
#define PULSE_LINE_JPN                  0x00
#define DIAL_TONE_MIN_JPN               0x64
#define DROP_OUT_TIME_JPN               0x0f
#define WAIT_FOR_CED_LOW_JPN            0x44
#define WAIT_FOR_CED_HIGH_JPN           0x16
#define SCAN_TIME_JPN                   0x07
#define MIN_ON_HOOK_JPN                 0x64
#define INTERNAT_DELAY_JPN              0x00
#define MAX_BITRATE_JPN                 0xff
#define FIXED_ID_JPN                    0x00
#define CABS_JPN                        0x00
#define SIL_THRESH_HIGH_JPN             0x08
#define SIL_THRESH_LOW_JPN              0x34
#define PULSE_UP_THRESH_JPN             0x00
#define PULSE_LOW_THRESH_JPN            0x00
#define RING_ON_HIGH_JPN                0x01
#define RING_ON_LOW_JPN                 0xa4
#define RING_OFF_HIGH_JPN               0x07
#define RING_OFF_LOW_JPN                0xd0
#define REORDER_BUSY_JPN                0x32
#define REORDER_VAR_JPN                 0x0a
#define BUSY_HIGH_THRESH_JPN            0xd2
#define BUSY_LOW_THRESH_JPN             0xd2
#define BUSY_SUM_JPN                    0x32
#define BUSY_RATIO_JPN                  0x02
#define FILT_LEV_JPN                    0x03
#define AGC_MIN_LOW_JPN                 0x00
#define AGC_MIN_HIGH_JPN                0x00
#define BLIND_DIAL_JPN                  0x00
#define INT_DIAL_COEF_JPN \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define CP_COEF_JPN     \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define SIT_1ST_COEF_JPN \
  { 0x02, 0x00, 0x65, 0x70, 0xc1, 0x47, 0x02, 0x00, 0x68, 0x8d, 0xc1, 0x47}
#define SIT_2ND_COEF_JPN \
  { 0x02, 0x9f, 0x4b, 0x43, 0xc1, 0x47, 0x02, 0x9f, 0x4f, 0x08, 0xc1, 0x47}
#define SIT_3RD_COEF_JPN \
  { 0x01, 0xbe, 0x31, 0xb9, 0xc1, 0x47, 0x01, 0xbe, 0x32, 0xd0, 0xc1, 0x47}
#define INT_DIAL_COEF_114_JPN \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define CP_COEF_114_JPN \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define SIT_1ST_COEF_114_JPN \
  { 0x64, 0xb1, 0x48, 0x28, 0x05, 0xd6, 0x00, 0x00}
#define SIT_2ND_COEF_114_JPN \
  { 0x4b, 0x69, 0x62, 0x47, 0x05, 0xd6, 0x00, 0x00}
#define SIT_3RD_COEF_114_JPN \
  { 0x32, 0x28, 0x74, 0x0e, 0x02, 0x72, 0x00, 0x00}
#define GEN_RING_ON_JPN                 0x28
#define GEN_RING_OFF_JPN                0x50
#define GEN_BUSY_ON_JPN                 0x0a
#define GEN_BUSY_OFF_JPN                0x0a
#define GEN_REORDER_ON_JPN              0x05
#define GEN_REORDER_OFF_JPN             0x05
#define FIXED_CED_JPN                   0x01
#define LOOP_SEIZURE_JPN                12
#define LOOP_MAX_BREAK_JPN              30
#define PULSE_MIN_BREAK_JPN             3
#define PULSE_MAX_MAKE_JPN              32
#define PULSE_MIN_MAKE_JPN              2
#define MAX_INTERDIGIT_JPN              10
#define PRE_WINK_JPN                    10
#define WINK_TIME_JPN                   40
#define DTMF_THRESH_OTHER_JPN           (char)0xb4
#define DTMF_LEN_MIN_JPN                0
#define DTMF_INTERDIGIT_MIN_JPN         0x14
#define T30_BEHAVIOR_JPN                0
#define POST_WINK_JPN                   5
#define JP_DID_OH_TIME_JPN              16
#define BUSY_RATIO_LH_JPN               6
#define MAX_SIL_TIMEOUT_JPN             0
#define DL_CONFIG_JPN                   0x1
#define DL_WRONG_LIMIT_JPN              0
#define DL_UNSUCC_LIMIT_JPN             0
#define DL_SUM_LIMIT_JPN                0
#define DL_MAX_LIMIT_JPN                0
#define DL_WR_LMT_TIME_JPN              0
#define DL_UNS_LMT_TIME_JPN             0
#define DL_MIN_WRONG_FIRST_JPN          60
#define DL_MIN_WRONG_JPN                60
#define DL_MIN_UNSUCC_FIRST_JPN         60
#define DL_MIN_UNSUCC_JPN               60
#define V_REC_BUSY_POW_JPN              22
#define V_REC_BUSY_DUR_JPN              10
#define V_REC_BUSY_DIFF_JPN             4
#define V_PLAY_BUSY_POW_JPN             47
#define V_PLAY_BUSY_DUR_JPN             29
#define V_PLAY_BUSY_INT_JPN             14
#define V_PLAY_BUSY_NUM_JPN             3
#define V_PLAY_BUSY_REP_JPN             2
#define V_RP_JPN_DIAL_JPN               1
#define V_RP_CNG_POW_JPN                19

/* If board is being used in JAPAN_20   */
#define PULSE_MAKE_JPN2                 0x03
#define PULSE_BREAK_JPN2                0x07


/* If board is being used in AUSTRALIA */
#define TONE_LEN_AUSI                   0x12
#define TONE_INTER_TIME_AUSI            0x12
#define PULSE_INTER_TIME_AUSI           0xA4
#define PULSE_MAKE_AUSI                 0x09
#define PULSE_BREAK_AUSI                0x0d
#define RING_LEN_AUSI                   0x90
#define DTONE_LEN_AUSI                  0x3c
#define DTONE_TIMEOUT_LOW_AUSI          0x64
#define DTONE_TIMEOUT_HIGH_AUSI         0x00
#define LOOPCUR_LEN_AUSI                0x14
#define LOOPCUR_TIMEOUT_AUSI            0x64
#define LOOPCUR_DEBOUNCE_AUSI           0x8
#define RING_LOWER_AUSI                 0x06
#define RING_UPPER_AUSI                 0x64
#define RING_BLANK_AUSI                 0x3c
#define COUNTRY_AUSI                    0x00
#define DATA_LEVEL_AUSI                 (char)0xee
#define DTMF_LOW_LEVEL_AUSI             (char)0xf2
#define DTMF_HIGH_LEVEL_AUSI            (char)0xf4
#define REC_LEVEL_AUSI                  (char)0xaa
#define ENABLE_LOOP_CUR_AUSI            0x00
#define ENABLE_BEEP_AUSI                0x00
#define PULSE_LINE_AUSI                 0x00
#define DIAL_TONE_MIN_AUSI              0x32
#define DROP_OUT_TIME_AUSI              0x0f
#define WAIT_FOR_CED_LOW_AUSI           0xa0
#define WAIT_FOR_CED_HIGH_AUSI          0x0f
#define SCAN_TIME_AUSI                  0x07
#define MIN_ON_HOOK_AUSI                0x28
#define INTERNAT_DELAY_AUSI             0x18
#define MAX_BITRATE_AUSI                0xff
#define FIXED_ID_AUSI                   0x00
#define CABS_AUSI                       0x00
#define SIL_THRESH_HIGH_AUSI            0x08
#define SIL_THRESH_LOW_AUSI             0x34
#define PULSE_UP_THRESH_AUSI            0x00
#define PULSE_LOW_THRESH_AUSI           0x00
#define RING_ON_HIGH_AUSI               0x01
#define RING_ON_LOW_AUSI                0xa4
#define RING_OFF_HIGH_AUSI              0x07
#define RING_OFF_LOW_AUSI               0xd0
#define REORDER_BUSY_AUSI               0x32
#define REORDER_VAR_AUSI                0x0a
#define BUSY_HIGH_THRESH_AUSI           0xd2
#define BUSY_LOW_THRESH_AUSI            0xd2
#define BUSY_SUM_AUSI                   0x32
#define BUSY_RATIO_AUSI                 0x02
#define FILT_LEV_AUSI                   0x03
#define AGC_MIN_LOW_AUSI                0x00
#define AGC_MIN_HIGH_AUSI               0x00
#define BLIND_DIAL_AUSI                 0x00
#define INT_DIAL_COEF_AUSI \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define CP_COEF_AUSI    \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define SIT_1ST_COEF_AUSI \
  { 0x02, 0x00, 0x65, 0x70, 0xc1, 0x47, 0x02, 0x00, 0x68, 0x8d, 0xc1, 0x47}
#define SIT_2ND_COEF_AUSI \
  { 0x02, 0x9f, 0x4b, 0x43, 0xc1, 0x47, 0x02, 0x9f, 0x4f, 0x08, 0xc1, 0x47}
#define SIT_3RD_COEF_AUSI \
  { 0x01, 0xbe, 0x31, 0xb9, 0xc1, 0x47, 0x01, 0xbe, 0x32, 0xd0, 0xc1, 0x47}
#define INT_DIAL_COEF_114_AUSI \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define CP_COEF_114_AUSI \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define SIT_1ST_COEF_114_AUSI \
  { 0x64, 0xb1, 0x48, 0x28, 0x05, 0xd6, 0x00, 0x00}
#define SIT_2ND_COEF_114_AUSI \
  { 0x4b, 0x69, 0x62, 0x47, 0x05, 0xd6, 0x00, 0x00}
#define SIT_3RD_COEF_114_AUSI \
  { 0x32, 0x28, 0x74, 0x0e, 0x02, 0x72, 0x00, 0x00}
#define GEN_RING_ON_AUSI                0x28
#define GEN_RING_OFF_AUSI               0x50
#define GEN_BUSY_ON_AUSI                0x0a
#define GEN_BUSY_OFF_AUSI               0x0a
#define GEN_REORDER_ON_AUSI             0x05
#define GEN_REORDER_OFF_AUSI            0x05
#define FIXED_CED_AUSI                  0x01
#define LOOP_SEIZURE_AUSI               12
#define LOOP_MAX_BREAK_AUSI             30
#define PULSE_MIN_BREAK_AUSI            3
#define PULSE_MAX_MAKE_AUSI             32
#define PULSE_MIN_MAKE_AUSI             2
#define MAX_INTERDIGIT_AUSI             10
#define PRE_WINK_AUSI                   10
#define WINK_TIME_AUSI                  40
#define DTMF_THRESH_OTHER_AUSI          (char)0xb4
#define DTMF_LEN_MIN_AUSI               0
#define DTMF_INTERDIGIT_MIN_AUSI        0x14
#define T30_BEHAVIOR_AUSI               0
#define POST_WINK_AUSI                  5
#define JP_DID_OH_TIME_AUSI             16
#define BUSY_RATIO_LH_AUSI              6
#define MAX_SIL_TIMEOUT_AUSI            0
#define DL_CONFIG_AUSI                  0x0
#define DL_WRONG_LIMIT_AUSI             0
#define DL_UNSUCC_LIMIT_AUSI            0
#define DL_SUM_LIMIT_AUSI               0
#define DL_MAX_LIMIT_AUSI               0
#define DL_WR_LMT_TIME_AUSI             0
#define DL_UNS_LMT_TIME_AUSI            0
#define DL_MIN_WRONG_FIRST_AUSI         0
#define DL_MIN_WRONG_AUSI               0
#define DL_MIN_UNSUCC_FIRST_AUSI        0
#define DL_MIN_UNSUCC_AUSI              0
#define V_REC_BUSY_POW_AUSI             22
#define V_REC_BUSY_DUR_AUSI             10
#define V_REC_BUSY_DIFF_AUSI            4
#define V_PLAY_BUSY_POW_AUSI            47
#define V_PLAY_BUSY_DUR_AUSI            29
#define V_PLAY_BUSY_INT_AUSI            14
#define V_PLAY_BUSY_NUM_AUSI            3
#define V_PLAY_BUSY_REP_AUSI            2
#define V_RP_JPN_DIAL_AUSI              1
#define V_RP_CNG_POW_AUSI               19



/* If board is being used in KOREA */
#define TONE_LEN_KOR                    0x14
#define TONE_INTER_TIME_KOR             0x12
#define PULSE_INTER_TIME_KOR            0xa0
#define PULSE_MAKE_KOR                  0x07
#define PULSE_BREAK_KOR                 0x0d
#define RING_LEN_KOR                    0x46
#define DTONE_LEN_KOR                   0xc8
#define DTONE_TIMEOUT_LOW_KOR           0x28
#define DTONE_TIMEOUT_HIGH_KOR          0x00
#define LOOPCUR_LEN_KOR                 0x14
#define LOOPCUR_TIMEOUT_KOR             0x64
#define LOOPCUR_DEBOUNCE_KOR            0x8
#define RING_LOWER_KOR                  0x04
#define RING_UPPER_KOR                  0x46
#define RING_BLANK_KOR                  0x3c
#define COUNTRY_KOR                     0xfc
#define DATA_LEVEL_KOR                  (char)0xe6
#define DTMF_LOW_LEVEL_KOR              (char)0xf4
#define DTMF_HIGH_LEVEL_KOR             (char)0xf0
#define REC_LEVEL_KOR                   (char)0xaa
#define ENABLE_LOOP_CUR_KOR             0x00
#define ENABLE_BEEP_KOR                 0x00
#define PULSE_LINE_KOR                  0x00
#define DIAL_TONE_MIN_KOR               0x64
#define DROP_OUT_TIME_KOR               0x0f
#define WAIT_FOR_CED_LOW_KOR            0x70
#define WAIT_FOR_CED_HIGH_KOR           0x17
#define SCAN_TIME_KOR                   0x07
#define MIN_ON_HOOK_KOR                 0x28
#define INTERNAT_DELAY_KOR              0x00
#define MAX_BITRATE_KOR                 0xff
#define FIXED_ID_KOR                    0x00
#define CABS_KOR                        0x00
#define SIL_THRESH_HIGH_KOR             0x08
#define SIL_THRESH_LOW_KOR              0x34
#define PULSE_UP_THRESH_KOR             0x00
#define PULSE_LOW_THRESH_KOR            0x00
#define RING_ON_HIGH_KOR                0x01
#define RING_ON_LOW_KOR                 0xa4
#define RING_OFF_HIGH_KOR               0x07
#define RING_OFF_LOW_KOR                0xd0
#define REORDER_BUSY_KOR                0x32
#define REORDER_VAR_KOR                 0x0a
#define BUSY_HIGH_THRESH_KOR            0xd2
#define BUSY_LOW_THRESH_KOR             0xd2
#define BUSY_SUM_KOR                    0x32
#define BUSY_RATIO_KOR                  0x02
#define FILT_LEV_KOR                    0x03
#define AGC_MIN_LOW_KOR                 0x00
#define AGC_MIN_HIGH_KOR                0x00
#define BLIND_DIAL_KOR                  0x00
#define INT_DIAL_COEF_KOR \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define CP_COEF_KOR \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define SIT_1ST_COEF_KOR \
  { 0x02, 0x00, 0x65, 0x70, 0xc1, 0x47, 0x02, 0x00, 0x68, 0x8d, 0xc1, 0x47}
#define SIT_2ND_COEF_KOR \
  { 0x02, 0x9f, 0x4b, 0x43, 0xc1, 0x47, 0x02, 0x9f, 0x4f, 0x08, 0xc1, 0x47}
#define SIT_3RD_COEF_KOR \
  { 0x01, 0xbe, 0x31, 0xb9, 0xc1, 0x47, 0x01, 0xbe, 0x32, 0xd0, 0xc1, 0x47}
#define INT_DIAL_COEF_114_KOR \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define CP_COEF_114_KOR \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define SIT_1ST_COEF_114_KOR    \
  { 0x64, 0xb1, 0x48, 0x28, 0x05, 0xd6, 0x00, 0x00}
#define SIT_2ND_COEF_114_KOR    \
  { 0x4b, 0x69, 0x62, 0x47, 0x05, 0xd6, 0x00, 0x00}
#define SIT_3RD_COEF_114_KOR    \
  { 0x32, 0x28, 0x74, 0x0e, 0x02, 0x72, 0x00, 0x00}
#define GEN_RING_ON_KOR                 0x28
#define GEN_RING_OFF_KOR                0x50
#define GEN_BUSY_ON_KOR                 0x0a
#define GEN_BUSY_OFF_KOR                0x0a
#define GEN_REORDER_ON_KOR              0x05
#define GEN_REORDER_OFF_KOR             0x05
#define FIXED_CED_KOR                   0x00
#define LOOP_SEIZURE_KOR                0x0c
#define LOOP_MAX_BREAK_KOR              0x1e
#define PULSE_MIN_BREAK_KOR             0x03
#define PULSE_MAX_MAKE_KOR              0x20
#define PULSE_MIN_MAKE_KOR              0x02
#define MAX_INTERDIGIT_KOR              0x0a
#define PRE_WINK_KOR                    0x0a
#define WINK_TIME_KOR                   0x28
#define DTMF_THRESH_OTHER_KOR           (char)0xb4
#define DTMF_LEN_MIN_KOR                0
#define DTMF_INTERDIGIT_MIN_KOR         0x14
#define T30_BEHAVIOR_KOR                0
#define POST_WINK_KOR                   5
#define JP_DID_OH_TIME_KOR              16
#define BUSY_RATIO_LH_KOR               6
#define MAX_SIL_TIMEOUT_KOR             0
#define DL_CONFIG_KOR                   0x0
#define DL_WRONG_LIMIT_KOR              0
#define DL_UNSUCC_LIMIT_KOR             0
#define DL_SUM_LIMIT_KOR                0
#define DL_MAX_LIMIT_KOR                0
#define DL_WR_LMT_TIME_KOR              0
#define DL_UNS_LMT_TIME_KOR             0
#define DL_MIN_WRONG_FIRST_KOR          0
#define DL_MIN_WRONG_KOR                0
#define DL_MIN_UNSUCC_FIRST_KOR         0
#define DL_MIN_UNSUCC_KOR               0
#define V_REC_BUSY_POW_KOR              22
#define V_REC_BUSY_DUR_KOR              10
#define V_REC_BUSY_DIFF_KOR             4
#define V_PLAY_BUSY_POW_KOR             47
#define V_PLAY_BUSY_DUR_KOR             29
#define V_PLAY_BUSY_INT_KOR             14
#define V_PLAY_BUSY_NUM_KOR             3
#define V_PLAY_BUSY_REP_KOR             2
#define V_RP_JPN_DIAL_KOR               1
#define V_RP_CNG_POW_KOR                19


/* If board is being used in SINGAPORE */
#define TONE_LEN_SING                   0x0c
#define TONE_INTER_TIME_SING            0x0e
#define PULSE_INTER_TIME_SING           0x8c
#define PULSE_MAKE_SING                 0x08
#define PULSE_BREAK_SING                0x0c
#define RING_LEN_SING                   0x46
#define DTONE_LEN_SING                  0x3c
#define DTONE_TIMEOUT_LOW_SING          0x64
#define DTONE_TIMEOUT_HIGH_SING         0x00
#define LOOPCUR_LEN_SING                0x14
#define LOOPCUR_TIMEOUT_SING            0x64
#define LOOPCUR_DEBOUNCE_SING           0x8
#define RING_LOWER_SING                 0x06
#define RING_UPPER_SING                 0x46
#define RING_BLANK_SING                 0x3c
#define COUNTRY_SING                    0x00
#define DATA_LEVEL_SING                 (char)0xee
#define DTMF_LOW_LEVEL_SING             (char)0xf0
#define DTMF_HIGH_LEVEL_SING            (char)0xf4
#define REC_LEVEL_SING                  (char)0xaa
#define ENABLE_LOOP_CUR_SING            0x00
#define ENABLE_BEEP_SING                0x00
#define PULSE_LINE_SING                 0x00
#define DIAL_TONE_MIN_SING              0x32
#define DROP_OUT_TIME_SING              0x0f
#define WAIT_FOR_CED_LOW_SING           0xa0
#define WAIT_FOR_CED_HIGH_SING          0x0f
#define SCAN_TIME_SING                  0x07
#define MIN_ON_HOOK_SING                0x28
#define INTERNAT_DELAY_SING             0x18
#define MAX_BITRATE_SING                0xff
#define FIXED_ID_SING                   0x00
#define CABS_SING                       0x00
#define SIL_THRESH_HIGH_SING            0x08
#define SIL_THRESH_LOW_SING             0x34
#define PULSE_UP_THRESH_SING            0x00
#define PULSE_LOW_THRESH_SING           0x00
#define RING_ON_HIGH_SING               0x01
#define RING_ON_LOW_SING                0xa4
#define RING_OFF_HIGH_SING              0x07
#define RING_OFF_LOW_SING               0xd0
#define REORDER_BUSY_SING               0x32
#define REORDER_VAR_SING                0x0a
#define BUSY_HIGH_THRESH_SING           0xd2
#define BUSY_LOW_THRESH_SING            0xd2
#define BUSY_SUM_SING                   0x32
#define BUSY_RATIO_SING                 0x02
#define FILT_LEV_SING                   0x03
#define AGC_MIN_LOW_SING                0x00
#define AGC_MIN_HIGH_SING               0x00
#define BLIND_DIAL_SING                 0x00
#define INT_DIAL_COEF_SING \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define CP_COEF_SING    \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define SIT_1ST_COEF_SING \
  { 0x02, 0x00, 0x65, 0x70, 0xc1, 0x47, 0x02, 0x00, 0x68, 0x8d, 0xc1, 0x47}
#define SIT_2ND_COEF_SING \
  { 0x02, 0x9f, 0x4b, 0x43, 0xc1, 0x47, 0x02, 0x9f, 0x4f, 0x08, 0xc1, 0x47}
#define SIT_3RD_COEF_SING \
  { 0x01, 0xbe, 0x31, 0xb9, 0xc1, 0x47, 0x01, 0xbe, 0x32, 0xd0, 0xc1, 0x47}
#define INT_DIAL_COEF_114_SING \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define CP_COEF_114_SING \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define SIT_1ST_COEF_114_SING \
  { 0x64, 0xb1, 0x48, 0x28, 0x05, 0xd6, 0x00, 0x00}
#define SIT_2ND_COEF_114_SING \
  { 0x4b, 0x69, 0x62, 0x47, 0x05, 0xd6, 0x00, 0x00}
#define SIT_3RD_COEF_114_SING \
  { 0x32, 0x28, 0x74, 0x0e, 0x02, 0x72, 0x00, 0x00}
#define GEN_RING_ON_SING                0x28
#define GEN_RING_OFF_SING               0x50
#define GEN_BUSY_ON_SING                0x0a
#define GEN_BUSY_OFF_SING               0x0a
#define GEN_REORDER_ON_SING             0x05
#define GEN_REORDER_OFF_SING            0x05
#define FIXED_CED_SING                  0x00
#define LOOP_SEIZURE_SING               0x0c
#define LOOP_MAX_BREAK_SING             0x1e
#define PULSE_MIN_BREAK_SING            0x03
#define PULSE_MAX_MAKE_SING             0x20
#define PULSE_MIN_MAKE_SING             0x02
#define MAX_INTERDIGIT_SING             0x0a
#define PRE_WINK_SING                   0x0a
#define WINK_TIME_SING                  0x28
#define DTMF_THRESH_OTHER_SING          (char)0xb4
#define DTMF_LEN_MIN_SING               0
#define DTMF_INTERDIGIT_MIN_SING        0x14
#define T30_BEHAVIOR_SING               0
#define POST_WINK_SING                  5
#define JP_DID_OH_TIME_SING             16
#define BUSY_RATIO_LH_SING              6
#define MAX_SIL_TIMEOUT_SING            0
#define DL_CONFIG_SING                  0x1
#define DL_WRONG_LIMIT_SING             0
#define DL_UNSUCC_LIMIT_SING            0
#define DL_SUM_LIMIT_SING               11
#define DL_MAX_LIMIT_SING               0
#define DL_WR_LMT_TIME_SING             0
#define DL_UNS_LMT_TIME_SING            0
#define DL_MIN_WRONG_FIRST_SING         60
#define DL_MIN_WRONG_SING               60
#define DL_MIN_UNSUCC_FIRST_SING        60
#define DL_MIN_UNSUCC_SING              60
#define V_REC_BUSY_POW_SING             22
#define V_REC_BUSY_DUR_SING             10
#define V_REC_BUSY_DIFF_SING            4
#define V_PLAY_BUSY_POW_SING            47
#define V_PLAY_BUSY_DUR_SING            29
#define V_PLAY_BUSY_INT_SING            14
#define V_PLAY_BUSY_NUM_SING            3
#define V_PLAY_BUSY_REP_SING            2
#define V_RP_JPN_DIAL_SING              1
#define V_RP_CNG_POW_SING               19


/* If board is being used in MALAYSIA */
#define TONE_LEN_MAL                    18
#define TONE_INTER_TIME_MAL             12
#define PULSE_INTER_TIME_MAL            140
#define PULSE_MAKE_MAL                  0
#define PULSE_BREAK_MAL                 0
#define RING_LEN_MAL                    70
#define DTONE_LEN_MAL                   0x2e
#define DTONE_TIMEOUT_LOW_MAL           0x64
#define DTONE_TIMEOUT_HIGH_MAL          0
#define LOOPCUR_LEN_MAL                 0x14
#define LOOPCUR_TIMEOUT_MAL             0x64
#define LOOPCUR_DEBOUNCE_MAL            0x8
#define RING_LOWER_MAL                  5
#define RING_UPPER_MAL                  0x8c
#define RING_BLANK_MAL                  0x14
#define COUNTRY_MAL                     0
#define DATA_LEVEL_MAL                  (char)0xee
#define DTMF_LOW_LEVEL_MAL              (char)0xec
#define DTMF_HIGH_LEVEL_MAL             (char)0xf0
#define REC_LEVEL_MAL                   (char)0xaa
#define ENABLE_LOOP_CUR_MAL             0
#define ENABLE_BEEP_MAL                 0
#define PULSE_LINE_MAL                  0
#define DIAL_TONE_MIN_MAL               0x32    /* 10 millisec units */
#define DROP_OUT_TIME_MAL               0x0f    /* 5 ms units */
#define WAIT_FOR_CED_LOW_MAL            0xa0    /* 10 ms units */
#define WAIT_FOR_CED_HIGH_MAL           0x0f    /* 10 ms units */
#define SCAN_TIME_MAL                   7
#define MIN_ON_HOOK_MAL                 0x28    /* 50 ms units */
#define BLIND_DIAL_MAL                  0
#define INTERNAT_DELAY_MAL              0x18    /* 10 ms units */
#define MAX_BITRATE_MAL                 0xff
#define FIXED_ID_MAL                    0       /* support variable ids */
#define CABS_MAL                        0
#define SIL_THRESH_HIGH_MAL             0x8
#define SIL_THRESH_LOW_MAL              0x34
#define PULSE_UP_THRESH_MAL             0
#define PULSE_LOW_THRESH_MAL            0
#define RING_ON_HIGH_MAL                0x1
#define RING_ON_LOW_MAL                 0xa4
#define RING_OFF_HIGH_MAL               0x7
#define RING_OFF_LOW_MAL                0xd0
#define REORDER_BUSY_MAL                0x32
#define REORDER_VAR_MAL                 0xa
#define BUSY_HIGH_THRESH_MAL            0xd2
#define BUSY_LOW_THRESH_MAL             0xd2
#define BUSY_SUM_MAL                    0x32
#define BUSY_RATIO_MAL                  2
#define FILT_LEV_MAL                    0x3
#define AGC_MIN_LOW_MAL                 0
#define AGC_MIN_HIGH_MAL                0
#define INT_DIAL_COEF_MAL \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define CP_COEF_MAL \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define SIT_1ST_COEF_MAL \
  { 0x02, 0x00, 0x65, 0x70, 0xc1, 0x47, 0x02, 0x00, 0x68, 0x8d, 0xc1, 0x47}
#define SIT_2ND_COEF_MAL \
  { 0x02, 0x9f, 0x4b, 0x43, 0xc1, 0x47, 0x02, 0x9f, 0x4f, 0x08, 0xc1, 0x47}
#define SIT_3RD_COEF_MAL \
  { 0x01, 0xbe, 0x31, 0xb9, 0xc1, 0x47, 0x01, 0xbe, 0x32, 0xd0, 0xc1, 0x47}
#define INT_DIAL_COEF_114_MAL \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define CP_COEF_114_MAL \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define SIT_1ST_COEF_114_MAL    \
  { 0x64, 0xb1, 0x48, 0x28, 0x05, 0xd6, 0x00, 0x00}
#define SIT_2ND_COEF_114_MAL    \
  { 0x4b, 0x69, 0x62, 0x47, 0x05, 0xd6, 0x00, 0x00}
#define SIT_3RD_COEF_114_MAL    \
  { 0x32, 0x28, 0x74, 0x0e, 0x02, 0x72, 0x00, 0x00}
#define GEN_RING_ON_MAL                 40
#define GEN_RING_OFF_MAL                80
#define GEN_BUSY_ON_MAL                 10
#define GEN_BUSY_OFF_MAL                10
#define GEN_REORDER_ON_MAL              5
#define GEN_REORDER_OFF_MAL             5
#define FIXED_CED_MAL                   0
#define LOOP_SEIZURE_MAL                12
#define LOOP_MAX_BREAK_MAL              30
#define PULSE_MIN_BREAK_MAL             3
#define PULSE_MAX_MAKE_MAL              32
#define PULSE_MIN_MAKE_MAL              2
#define MAX_INTERDIGIT_MAL              10
#define PRE_WINK_MAL                    10
#define WINK_TIME_MAL                   40
#define DTMF_THRESH_OTHER_MAL           (char)0xb4
#define DTMF_LEN_MIN_MAL                0
#define DTMF_INTERDIGIT_MIN_MAL         0x14
#define T30_BEHAVIOR_MAL                0
#define POST_WINK_MAL                   5
#define JP_DID_OH_TIME_MAL              16
#define BUSY_RATIO_LH_MAL               6
#define MAX_SIL_TIMEOUT_MAL             0
#define DL_CONFIG_MAL                   0x1
#define DL_WRONG_LIMIT_MAL              0
#define DL_UNSUCC_LIMIT_MAL             0
#define DL_SUM_LIMIT_MAL                3
#define DL_MAX_LIMIT_MAL                0
#define DL_WR_LMT_TIME_MAL              0
#define DL_UNS_LMT_TIME_MAL             0
#define DL_MIN_WRONG_FIRST_MAL          120
#define DL_MIN_WRONG_MAL                120
#define DL_MIN_UNSUCC_FIRST_MAL         120
#define DL_MIN_UNSUCC_MAL               120
#define V_REC_BUSY_POW_MAL              22
#define V_REC_BUSY_DUR_MAL              10
#define V_REC_BUSY_DIFF_MAL             4
#define V_PLAY_BUSY_POW_MAL             47
#define V_PLAY_BUSY_DUR_MAL             29
#define V_PLAY_BUSY_INT_MAL             14
#define V_PLAY_BUSY_NUM_MAL             3
#define V_PLAY_BUSY_REP_MAL             2
#define V_RP_JPN_DIAL_MAL               1
#define V_RP_CNG_POW_MAL                19


/* If board is being used in INDIA */
#define TONE_LEN_IND                    18
#define TONE_INTER_TIME_IND             12
#define PULSE_INTER_TIME_IND            160
#define PULSE_MAKE_IND                  7
#define PULSE_BREAK_IND                 13
#define RING_LEN_IND                    70
#define DTONE_LEN_IND                   0x2e
#define DTONE_TIMEOUT_LOW_IND           0x64
#define DTONE_TIMEOUT_HIGH_IND          0
#define LOOPCUR_LEN_IND                 0x14
#define LOOPCUR_TIMEOUT_IND             0x64
#define LOOPCUR_DEBOUNCE_IND            0x8
#define RING_LOWER_IND                  5
#define RING_UPPER_IND                  0x8c
#define RING_BLANK_IND                  0x14
#define COUNTRY_IND                     0
#define DATA_LEVEL_IND                  (char)0xee
#define DTMF_LOW_LEVEL_IND              (char)0xf0
#define DTMF_HIGH_LEVEL_IND             (char)0xf4
#define REC_LEVEL_IND                   (char)0xaa
#define ENABLE_LOOP_CUR_IND             0
#define ENABLE_BEEP_IND                 0
#define PULSE_LINE_IND                  0
#define DIAL_TONE_MIN_IND               0x32    /* 10 millisec units */
#define DROP_OUT_TIME_IND               0x0f    /* 5 ms units */
#define WAIT_FOR_CED_LOW_IND            0xa0    /* 10 ms units */
#define WAIT_FOR_CED_HIGH_IND           0x0f    /* 10 ms units */
#define SCAN_TIME_IND                   7
#define MIN_ON_HOOK_IND                 0x28    /* 50 ms units */
#define BLIND_DIAL_IND                  0
#define INTERNAT_DELAY_IND              0x18    /* 10 ms units */
#define MAX_BITRATE_IND                 0xff
#define FIXED_ID_IND                    0       /* support variable ids */
#define CABS_IND                        0
#define SIL_THRESH_HIGH_IND             0x8
#define SIL_THRESH_LOW_IND              0x34
#define PULSE_UP_THRESH_IND             0
#define PULSE_LOW_THRESH_IND            0
#define RING_ON_HIGH_IND                0x1
#define RING_ON_LOW_IND                 0xa4
#define RING_OFF_HIGH_IND               0x7
#define RING_OFF_LOW_IND                0xd0
#define REORDER_BUSY_IND                0x32
#define REORDER_VAR_IND                 0xa
#define BUSY_HIGH_THRESH_IND            0xd2
#define BUSY_LOW_THRESH_IND             0xd2
#define BUSY_SUM_IND                    0x32
#define BUSY_RATIO_IND                  2
#define FILT_LEV_IND                    0x3
#define AGC_MIN_LOW_IND                 0
#define AGC_MIN_HIGH_IND                0
#define INT_DIAL_COEF_IND \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define CP_COEF_IND \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define SIT_1ST_COEF_IND \
  { 0x02, 0x00, 0x65, 0x70, 0xc1, 0x47, 0x02, 0x00, 0x68, 0x8d, 0xc1, 0x47}
#define SIT_2ND_COEF_IND \
  { 0x02, 0x9f, 0x4b, 0x43, 0xc1, 0x47, 0x02, 0x9f, 0x4f, 0x08, 0xc1, 0x47}
#define SIT_3RD_COEF_IND \
  { 0x01, 0xbe, 0x31, 0xb9, 0xc1, 0x47, 0x01, 0xbe, 0x32, 0xd0, 0xc1, 0x47}
#define INT_DIAL_COEF_114_IND \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define CP_COEF_114_IND \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define SIT_1ST_COEF_114_IND    \
  { 0x64, 0xb1, 0x48, 0x28, 0x05, 0xd6, 0x00, 0x00}
#define SIT_2ND_COEF_114_IND    \
  { 0x4b, 0x69, 0x62, 0x47, 0x05, 0xd6, 0x00, 0x00}
#define SIT_3RD_COEF_114_IND    \
  { 0x32, 0x28, 0x74, 0x0e, 0x02, 0x72, 0x00, 0x00}
#define GEN_RING_ON_IND                 40
#define GEN_RING_OFF_IND                80
#define GEN_BUSY_ON_IND                 10
#define GEN_BUSY_OFF_IND                10
#define GEN_REORDER_ON_IND              5
#define GEN_REORDER_OFF_IND             5
#define FIXED_CED_IND                   0
#define LOOP_SEIZURE_IND                12
#define LOOP_MAX_BREAK_IND              30
#define PULSE_MIN_BREAK_IND             3
#define PULSE_MAX_MAKE_IND              32
#define PULSE_MIN_MAKE_IND              2
#define MAX_INTERDIGIT_IND              10
#define PRE_WINK_IND                    10
#define WINK_TIME_IND                   40
#define DTMF_THRESH_OTHER_IND           (char)0xb4
#define DTMF_LEN_MIN_IND                0
#define DTMF_INTERDIGIT_MIN_IND         0x14
#define T30_BEHAVIOR_IND                0
#define POST_WINK_IND                   5
#define JP_DID_OH_TIME_IND              16
#define BUSY_RATIO_LH_IND               6
#define MAX_SIL_TIMEOUT_IND             0
#define DL_CONFIG_IND                   0x0
#define DL_WRONG_LIMIT_IND              0
#define DL_UNSUCC_LIMIT_IND             0
#define DL_SUM_LIMIT_IND                0
#define DL_MAX_LIMIT_IND                0
#define DL_WR_LMT_TIME_IND              0
#define DL_UNS_LMT_TIME_IND             0
#define DL_MIN_WRONG_FIRST_IND          0
#define DL_MIN_WRONG_IND                0
#define DL_MIN_UNSUCC_FIRST_IND         0
#define DL_MIN_UNSUCC_IND               0
#define V_REC_BUSY_POW_IND              22
#define V_REC_BUSY_DUR_IND              10
#define V_REC_BUSY_DIFF_IND             4
#define V_PLAY_BUSY_POW_IND             47
#define V_PLAY_BUSY_DUR_IND             29
#define V_PLAY_BUSY_INT_IND             14
#define V_PLAY_BUSY_NUM_IND             3
#define V_PLAY_BUSY_REP_IND             2
#define V_RP_JPN_DIAL_IND               1
#define V_RP_CNG_POW_IND                19

/* If board is being used in HONG KONG */
#define TONE_LEN_HK                     18
#define TONE_INTER_TIME_HK              12
#define PULSE_INTER_TIME_HK             140
#define PULSE_MAKE_HK                   8
#define PULSE_BREAK_HK                  12
#define RING_LEN_HK                     70
#define DTONE_LEN_HK                    0x2e
#define DTONE_TIMEOUT_LOW_HK            0x64
#define DTONE_TIMEOUT_HIGH_HK           0
#define LOOPCUR_LEN_HK                  0x14
#define LOOPCUR_TIMEOUT_HK              0x64
#define LOOPCUR_DEBOUNCE_HK             0x8
#define RING_LOWER_HK                   5
#define RING_UPPER_HK                   0x8c
#define RING_BLANK_HK                   0x14
#define COUNTRY_HK                      0
#define DATA_LEVEL_HK                   (char)0xee
#define DTMF_LOW_LEVEL_HK               (char)0xee
#define DTMF_HIGH_LEVEL_HK              (char)0xf4
#define REC_LEVEL_HK                    (char)0xaa
#define ENABLE_LOOP_CUR_HK              0
#define ENABLE_BEEP_HK                  0
#define PULSE_LINE_HK                   0
#define DIAL_TONE_MIN_HK                0x32    /* 10 millisec units */
#define DROP_OUT_TIME_HK                0x0f    /* 5 ms units */
#define WAIT_FOR_CED_LOW_HK             0xa0    /* 10 ms units */
#define WAIT_FOR_CED_HIGH_HK            0x0f    /* 10 ms units */
#define SCAN_TIME_HK                    7
#define MIN_ON_HOOK_HK                  0x28    /* 50 ms units */
#define BLIND_DIAL_HK                   0
#define INTERNAT_DELAY_HK               0x18    /* 10 ms units */
#define MAX_BITRATE_HK                  0xff
#define FIXED_ID_HK                     0       /* support variable ids */
#define CABS_HK                         0
#define SIL_THRESH_HIGH_HK              0x8
#define SIL_THRESH_LOW_HK               0x34
#define PULSE_UP_THRESH_HK              0
#define PULSE_LOW_THRESH_HK             0
#define RING_ON_HIGH_HK                 0x1
#define RING_ON_LOW_HK                  0xa4
#define RING_OFF_HIGH_HK                0x7
#define RING_OFF_LOW_HK                 0xd0
#define REORDER_BUSY_HK                 0x32
#define REORDER_VAR_HK                  0xa
#define BUSY_HIGH_THRESH_HK             0xd2
#define BUSY_LOW_THRESH_HK              0xd2
#define BUSY_SUM_HK                     0x32
#define BUSY_RATIO_HK                   2
#define FILT_LEV_HK                     0x3
#define AGC_MIN_LOW_HK                  0
#define AGC_MIN_HIGH_HK                 0
#define INT_DIAL_COEF_HK \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define CP_COEF_HK \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define SIT_1ST_COEF_HK \
  { 0x02, 0x00, 0x65, 0x70, 0xc1, 0x47, 0x02, 0x00, 0x68, 0x8d, 0xc1, 0x47}
#define SIT_2ND_COEF_HK \
  { 0x02, 0x9f, 0x4b, 0x43, 0xc1, 0x47, 0x02, 0x9f, 0x4f, 0x08, 0xc1, 0x47}
#define SIT_3RD_COEF_HK \
  { 0x01, 0xbe, 0x31, 0xb9, 0xc1, 0x47, 0x01, 0xbe, 0x32, 0xd0, 0xc1, 0x47}
#define INT_DIAL_COEF_114_HK \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define CP_COEF_114_HK \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define SIT_1ST_COEF_114_HK     \
  { 0x64, 0xb1, 0x48, 0x28, 0x05, 0xd6, 0x00, 0x00}
#define SIT_2ND_COEF_114_HK     \
  { 0x4b, 0x69, 0x62, 0x47, 0x05, 0xd6, 0x00, 0x00}
#define SIT_3RD_COEF_114_HK     \
  { 0x32, 0x28, 0x74, 0x0e, 0x02, 0x72, 0x00, 0x00}
#define GEN_RING_ON_HK                  40
#define GEN_RING_OFF_HK                 80
#define GEN_BUSY_ON_HK                  10
#define GEN_BUSY_OFF_HK                 10
#define GEN_REORDER_ON_HK               5
#define GEN_REORDER_OFF_HK              5
#define FIXED_CED_HK                    0
#define LOOP_SEIZURE_HK                 12
#define LOOP_MAX_BREAK_HK               30
#define PULSE_MIN_BREAK_HK              3
#define PULSE_MAX_MAKE_HK               32
#define PULSE_MIN_MAKE_HK               2
#define MAX_INTERDIGIT_HK               10
#define PRE_WINK_HK                     10
#define WINK_TIME_HK                    40
#define DTMF_THRESH_OTHER_HK            (char)0xb4
#define DTMF_LEN_MIN_HK                 0
#define DTMF_INTERDIGIT_MIN_HK          0x14
#define T30_BEHAVIOR_HK                 0
#define POST_WINK_HK                    5
#define JP_DID_OH_TIME_HK               16
#define BUSY_RATIO_LH_HK                6
#define MAX_SIL_TIMEOUT_HK              0
#define DL_CONFIG_HK                    0x1
#define DL_WRONG_LIMIT_HK               0
#define DL_UNSUCC_LIMIT_HK              0
#define DL_SUM_LIMIT_HK                 11
#define DL_MAX_LIMIT_HK                 0
#define DL_WR_LMT_TIME_HK               0
#define DL_UNS_LMT_TIME_HK              0
#define DL_MIN_WRONG_FIRST_HK           0
#define DL_MIN_WRONG_HK                 0
#define DL_MIN_UNSUCC_FIRST_HK          0
#define DL_MIN_UNSUCC_HK                0
#define V_REC_BUSY_POW_HK               22
#define V_REC_BUSY_DUR_HK               10
#define V_REC_BUSY_DIFF_HK              4
#define V_PLAY_BUSY_POW_HK              47
#define V_PLAY_BUSY_DUR_HK              29
#define V_PLAY_BUSY_INT_HK              14
#define V_PLAY_BUSY_NUM_HK              3
#define V_PLAY_BUSY_REP_HK              2
#define V_RP_JPN_DIAL_HK                1
#define V_RP_CNG_POW_HK                 19

/* If board is being used in TURKEY */
#define TONE_LEN_TURK                   18
#define TONE_INTER_TIME_TURK            12
#define PULSE_INTER_TIME_TURK           200
#define PULSE_MAKE_TURK                 13
#define PULSE_BREAK_TURK                7
#define RING_LEN_TURK                   70
#define DTONE_LEN_TURK                  0x2e
#define DTONE_TIMEOUT_LOW_TURK          0x64
#define DTONE_TIMEOUT_HIGH_TURK         0
#define LOOPCUR_LEN_TURK                0x14
#define LOOPCUR_TIMEOUT_TURK            0x64
#define LOOPCUR_DEBOUNCE_TURK           0x8
#define RING_LOWER_TURK                 5
#define RING_UPPER_TURK                 0x8c
#define RING_BLANK_TURK                 0x14
#define COUNTRY_TURK                    0
#define DATA_LEVEL_TURK                 (char)0xee
#define DTMF_LOW_LEVEL_TURK             (char)0xea
#define DTMF_HIGH_LEVEL_TURK            (char)0xee
#define REC_LEVEL_TURK                  (char)0xaa
#define ENABLE_LOOP_CUR_TURK            0
#define ENABLE_BEEP_TURK                0
#define PULSE_LINE_TURK                 0
#define DIAL_TONE_MIN_TURK              0x32    /* 10 millisec units */
#define DROP_OUT_TIME_TURK              0x0f    /* 5 ms units */
#define WAIT_FOR_CED_LOW_TURK           0xa0    /* 10 ms units */
#define WAIT_FOR_CED_HIGH_TURK          0x0f    /* 10 ms units */
#define SCAN_TIME_TURK                  7
#define MIN_ON_HOOK_TURK                0x28    /* 50 ms units */
#define BLIND_DIAL_TURK                 0
#define INTERNAT_DELAY_TURK             0x18    /* 10 ms units */
#define MAX_BITRATE_TURK                0xff
#define FIXED_ID_TURK                   0       /* support variable ids */
#define CABS_TURK                       0
#define SIL_THRESH_HIGH_TURK            0x8
#define SIL_THRESH_LOW_TURK             0x34
#define PULSE_UP_THRESH_TURK            0
#define PULSE_LOW_THRESH_TURK           0
#define RING_ON_HIGH_TURK               0x1
#define RING_ON_LOW_TURK                0xa4
#define RING_OFF_HIGH_TURK              0x7
#define RING_OFF_LOW_TURK               0xd0
#define REORDER_BUSY_TURK               0x32
#define REORDER_VAR_TURK                0xa
#define BUSY_HIGH_THRESH_TURK           0xd2
#define BUSY_LOW_THRESH_TURK            0xd2
#define BUSY_SUM_TURK                   0x32
#define BUSY_RATIO_TURK                 2
#define FILT_LEV_TURK                   0x3
#define AGC_MIN_LOW_TURK                0
#define AGC_MIN_HIGH_TURK               0
#define INT_DIAL_COEF_TURK \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define CP_COEF_TURK \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define SIT_1ST_COEF_TURK \
  { 0x02, 0x00, 0x65, 0x70, 0xc1, 0x47, 0x02, 0x00, 0x68, 0x8d, 0xc1, 0x47}
#define SIT_2ND_COEF_TURK \
  { 0x02, 0x9f, 0x4b, 0x43, 0xc1, 0x47, 0x02, 0x9f, 0x4f, 0x08, 0xc1, 0x47}
#define SIT_3RD_COEF_TURK \
  { 0x01, 0xbe, 0x31, 0xb9, 0xc1, 0x47, 0x01, 0xbe, 0x32, 0xd0, 0xc1, 0x47}
#define INT_DIAL_COEF_114_TURK \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define CP_COEF_114_TURK \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define SIT_1ST_COEF_114_TURK   \
  { 0x64, 0xb1, 0x48, 0x28, 0x05, 0xd6, 0x00, 0x00}
#define SIT_2ND_COEF_114_TURK   \
  { 0x4b, 0x69, 0x62, 0x47, 0x05, 0xd6, 0x00, 0x00}
#define SIT_3RD_COEF_114_TURK   \
  { 0x32, 0x28, 0x74, 0x0e, 0x02, 0x72, 0x00, 0x00}
#define GEN_RING_ON_TURK                40
#define GEN_RING_OFF_TURK               80
#define GEN_BUSY_ON_TURK                10
#define GEN_BUSY_OFF_TURK               10
#define GEN_REORDER_ON_TURK             5
#define GEN_REORDER_OFF_TURK            5
#define FIXED_CED_TURK                  0
#define LOOP_SEIZURE_TURK               12
#define LOOP_MAX_BREAK_TURK             30
#define PULSE_MIN_BREAK_TURK            3
#define PULSE_MAX_MAKE_TURK             32
#define PULSE_MIN_MAKE_TURK             2
#define MAX_INTERDIGIT_TURK             10
#define PRE_WINK_TURK                   10
#define WINK_TIME_TURK                  40
#define DTMF_THRESH_OTHER_TURK          (char)0xb4
#define DTMF_LEN_MIN_TURK               0
#define DTMF_INTERDIGIT_MIN_TURK        0x14
#define T30_BEHAVIOR_TURK               0
#define POST_WINK_TURK                  5
#define JP_DID_OH_TIME_TURK             16
#define BUSY_RATIO_LH_TURK              6
#define MAX_SIL_TIMEOUT_TURK            0
#define DL_CONFIG_TURK                  0x1
#define DL_WRONG_LIMIT_TURK             0
#define DL_UNSUCC_LIMIT_TURK            0
#define DL_SUM_LIMIT_TURK               15
#define DL_MAX_LIMIT_TURK               0
#define DL_WR_LMT_TIME_TURK             0
#define DL_UNS_LMT_TIME_TURK            0
#define DL_MIN_WRONG_FIRST_TURK         60
#define DL_MIN_WRONG_TURK               60
#define DL_MIN_UNSUCC_FIRST_TURK        60
#define DL_MIN_UNSUCC_TURK              60
#define V_REC_BUSY_POW_TURK             22
#define V_REC_BUSY_DUR_TURK             10
#define V_REC_BUSY_DIFF_TURK            4
#define V_PLAY_BUSY_POW_TURK            47
#define V_PLAY_BUSY_DUR_TURK            29
#define V_PLAY_BUSY_INT_TURK            14
#define V_PLAY_BUSY_NUM_TURK            3
#define V_PLAY_BUSY_REP_TURK            2
#define V_RP_JPN_DIAL_TURK              1
#define V_RP_CNG_POW_TURK               19

/* If board is being used in ISRAEL */
#define TONE_LEN_ISRAEL                 18
#define TONE_INTER_TIME_ISRAEL          12
#define PULSE_INTER_TIME_ISRAEL         200
#define PULSE_MAKE_ISRAEL               8
#define PULSE_BREAK_ISRAEL              12
#define RING_LEN_ISRAEL                 70
#define DTONE_LEN_ISRAEL                0x2e
#define DTONE_TIMEOUT_LOW_ISRAEL        0x64
#define DTONE_TIMEOUT_HIGH_ISRAEL       0
#define LOOPCUR_LEN_ISRAEL              0x14
#define LOOPCUR_TIMEOUT_ISRAEL          0x64
#define LOOPCUR_DEBOUNCE_ISRAEL         0x8
#define RING_LOWER_ISRAEL               5
#define RING_UPPER_ISRAEL               0x8c
#define RING_BLANK_ISRAEL               0x14
#define COUNTRY_ISRAEL                  0
#define DATA_LEVEL_ISRAEL               (char)0xec
#define DTMF_LOW_LEVEL_ISRAEL           (char)0xf0
#define DTMF_HIGH_LEVEL_ISRAEL          (char)0xf4
#define REC_LEVEL_ISRAEL                (char)0xaa
#define ENABLE_LOOP_CUR_ISRAEL          0
#define ENABLE_BEEP_ISRAEL              0
#define PULSE_LINE_ISRAEL               0
#define DIAL_TONE_MIN_ISRAEL            0x32    /* 10 millisec units */
#define DROP_OUT_TIME_ISRAEL            0x0f    /* 5 ms units */
#define WAIT_FOR_CED_LOW_ISRAEL         0xa0    /* 10 ms units */
#define WAIT_FOR_CED_HIGH_ISRAEL        0x0f    /* 10 ms units */
#define SCAN_TIME_ISRAEL                7
#define MIN_ON_HOOK_ISRAEL              0x28    /* 50 ms units */
#define BLIND_DIAL_ISRAEL               0
#define INTERNAT_DELAY_ISRAEL           0x18    /* 10 ms units */
#define MAX_BITRATE_ISRAEL              0xff
#define FIXED_ID_ISRAEL                 0       /* support variable ids */
#define CABS_ISRAEL                     0
#define SIL_THRESH_HIGH_ISRAEL          0x8
#define SIL_THRESH_LOW_ISRAEL           0x34
#define PULSE_UP_THRESH_ISRAEL          0
#define PULSE_LOW_THRESH_ISRAEL         0
#define RING_ON_HIGH_ISRAEL             0x1
#define RING_ON_LOW_ISRAEL              0xa4
#define RING_OFF_HIGH_ISRAEL            0x7
#define RING_OFF_LOW_ISRAEL             0xd0
#define REORDER_BUSY_ISRAEL             0x32
#define REORDER_VAR_ISRAEL              0xa
#define BUSY_HIGH_THRESH_ISRAEL         0xd2
#define BUSY_LOW_THRESH_ISRAEL          0xd2
#define BUSY_SUM_ISRAEL                 0x32
#define BUSY_RATIO_ISRAEL               2
#define FILT_LEV_ISRAEL                 0x3
#define AGC_MIN_LOW_ISRAEL              0
#define AGC_MIN_HIGH_ISRAEL             0
#define INT_DIAL_COEF_ISRAEL \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define CP_COEF_ISRAEL \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define SIT_1ST_COEF_ISRAEL \
  { 0x02, 0x00, 0x65, 0x70, 0xc1, 0x47, 0x02, 0x00, 0x68, 0x8d, 0xc1, 0x47}
#define SIT_2ND_COEF_ISRAEL \
  { 0x02, 0x9f, 0x4b, 0x43, 0xc1, 0x47, 0x02, 0x9f, 0x4f, 0x08, 0xc1, 0x47}
#define SIT_3RD_COEF_ISRAEL \
  { 0x01, 0xbe, 0x31, 0xb9, 0xc1, 0x47, 0x01, 0xbe, 0x32, 0xd0, 0xc1, 0x47}
#define INT_DIAL_COEF_114_ISRAEL \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define CP_COEF_114_ISRAEL \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define SIT_1ST_COEF_114_ISRAEL \
  { 0x64, 0xb1, 0x48, 0x28, 0x05, 0xd6, 0x00, 0x00}
#define SIT_2ND_COEF_114_ISRAEL \
  { 0x4b, 0x69, 0x62, 0x47, 0x05, 0xd6, 0x00, 0x00}
#define SIT_3RD_COEF_114_ISRAEL \
  { 0x32, 0x28, 0x74, 0x0e, 0x02, 0x72, 0x00, 0x00}
#define GEN_RING_ON_ISRAEL              40
#define GEN_RING_OFF_ISRAEL             80
#define GEN_BUSY_ON_ISRAEL              10
#define GEN_BUSY_OFF_ISRAEL             10
#define GEN_REORDER_ON_ISRAEL           5
#define GEN_REORDER_OFF_ISRAEL          5
#define FIXED_CED_ISRAEL                0
#define LOOP_SEIZURE_ISRAEL             12
#define LOOP_MAX_BREAK_ISRAEL           30
#define PULSE_MIN_BREAK_ISRAEL          3
#define PULSE_MAX_MAKE_ISRAEL           32
#define PULSE_MIN_MAKE_ISRAEL           2
#define MAX_INTERDIGIT_ISRAEL           10
#define PRE_WINK_ISRAEL                 10
#define WINK_TIME_ISRAEL                40
#define DTMF_THRESH_OTHER_ISRAEL        (char)0xb4
#define DTMF_LEN_MIN_ISRAEL             0
#define DTMF_INTERDIGIT_MIN_ISRAEL      0x14
#define T30_BEHAVIOR_ISRAEL             0
#define POST_WINK_ISRAEL                5
#define JP_DID_OH_TIME_ISRAEL           16
#define BUSY_RATIO_LH_ISRAEL            6
#define MAX_SIL_TIMEOUT_ISRAEL          0
#define DL_CONFIG_ISRAEL                0x1
#define DL_WRONG_LIMIT_ISRAEL           0
#define DL_UNSUCC_LIMIT_ISRAEL          0
#define DL_SUM_LIMIT_ISRAEL             15
#define DL_MAX_LIMIT_ISRAEL             0
#define DL_WR_LMT_TIME_ISRAEL           0
#define DL_UNS_LMT_TIME_ISRAEL          0
#define DL_MIN_WRONG_FIRST_ISRAEL       30
#define DL_MIN_WRONG_ISRAEL             30
#define DL_MIN_UNSUCC_FIRST_ISRAEL      30
#define DL_MIN_UNSUCC_ISRAEL            30
#define V_REC_BUSY_POW_ISRAEL           22
#define V_REC_BUSY_DUR_ISRAEL           10
#define V_REC_BUSY_DIFF_ISRAEL          4
#define V_PLAY_BUSY_POW_ISRAEL          47
#define V_PLAY_BUSY_DUR_ISRAEL          29
#define V_PLAY_BUSY_INT_ISRAEL          14
#define V_PLAY_BUSY_NUM_ISRAEL          3
#define V_PLAY_BUSY_REP_ISRAEL          2
#define V_RP_JPN_DIAL_ISRAEL            1
#define V_RP_CNG_POW_ISRAEL             19

/* If board is being used in RUSSIA */
#define TONE_LEN_RUSS                   18
#define TONE_INTER_TIME_RUSS            12
#define PULSE_INTER_TIME_RUSS           140
#define PULSE_MAKE_RUSS                 8
#define PULSE_BREAK_RUSS                12
#define RING_LEN_RUSS                   70
#define DTONE_LEN_RUSS                  0x2e
#define DTONE_TIMEOUT_LOW_RUSS          0x64
#define DTONE_TIMEOUT_HIGH_RUSS         0
#define LOOPCUR_LEN_RUSS                0x14
#define LOOPCUR_TIMEOUT_RUSS            0x64
#define LOOPCUR_DEBOUNCE_RUSS           0x8
#define RING_LOWER_RUSS                 5
#define RING_UPPER_RUSS                 0x8c
#define RING_BLANK_RUSS                 0x14
#define COUNTRY_RUSS                    0
#define DATA_LEVEL_RUSS                 (char)0xee
#define DTMF_LOW_LEVEL_RUSS             (char)0xee
#define DTMF_HIGH_LEVEL_RUSS            (char)0xf4
#define REC_LEVEL_RUSS                  (char)0xa2
#define ENABLE_LOOP_CUR_RUSS            0
#define ENABLE_BEEP_RUSS                0
#define PULSE_LINE_RUSS                 0
#define DIAL_TONE_MIN_RUSS              0x32    /* 10 millisec units */
#define DROP_OUT_TIME_RUSS              0x0f    /* 5 ms units */
#define WAIT_FOR_CED_LOW_RUSS           0xa0    /* 10 ms units */
#define WAIT_FOR_CED_HIGH_RUSS          0x0f    /* 10 ms units */
#define SCAN_TIME_RUSS                  7
#define MIN_ON_HOOK_RUSS                0x28    /* 50 ms units */
#define BLIND_DIAL_RUSS                 0
#define INTERNAT_DELAY_RUSS             0x18    /* 10 ms units */
#define MAX_BITRATE_RUSS                0xff
#define FIXED_ID_RUSS                   0       /* support variable ids */
#define CABS_RUSS                       0
#define SIL_THRESH_HIGH_RUSS            0x8
#define SIL_THRESH_LOW_RUSS             0x34
#define PULSE_UP_THRESH_RUSS            0
#define PULSE_LOW_THRESH_RUSS           0
#define RING_ON_HIGH_RUSS               0x1
#define RING_ON_LOW_RUSS                0xa4
#define RING_OFF_HIGH_RUSS              0x7
#define RING_OFF_LOW_RUSS               0xd0
#define REORDER_BUSY_RUSS               0x32
#define REORDER_VAR_RUSS                0xa
#define BUSY_HIGH_THRESH_RUSS           0xd2
#define BUSY_LOW_THRESH_RUSS            0xd2
#define BUSY_SUM_RUSS                   0x32
#define BUSY_RATIO_RUSS                 2
#define FILT_LEV_RUSS                   0x3
#define AGC_MIN_LOW_RUSS                0
#define AGC_MIN_HIGH_RUSS               0
#define INT_DIAL_COEF_RUSS \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define CP_COEF_RUSS \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define SIT_1ST_COEF_RUSS \
  { 0x02, 0x00, 0x65, 0x70, 0xc1, 0x47, 0x02, 0x00, 0x68, 0x8d, 0xc1, 0x47}
#define SIT_2ND_COEF_RUSS \
  { 0x02, 0x9f, 0x4b, 0x43, 0xc1, 0x47, 0x02, 0x9f, 0x4f, 0x08, 0xc1, 0x47}
#define SIT_3RD_COEF_RUSS \
  { 0x01, 0xbe, 0x31, 0xb9, 0xc1, 0x47, 0x01, 0xbe, 0x32, 0xd0, 0xc1, 0x47}
#define INT_DIAL_COEF_114_RUSS \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define CP_COEF_114_RUSS \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define SIT_1ST_COEF_114_RUSS   \
  { 0x64, 0xb1, 0x48, 0x28, 0x05, 0xd6, 0x00, 0x00}
#define SIT_2ND_COEF_114_RUSS   \
  { 0x4b, 0x69, 0x62, 0x47, 0x05, 0xd6, 0x00, 0x00}
#define SIT_3RD_COEF_114_RUSS   \
  { 0x32, 0x28, 0x74, 0x0e, 0x02, 0x72, 0x00, 0x00}
#define GEN_RING_ON_RUSS                40
#define GEN_RING_OFF_RUSS               80
#define GEN_BUSY_ON_RUSS                10
#define GEN_BUSY_OFF_RUSS               10
#define GEN_REORDER_ON_RUSS             5
#define GEN_REORDER_OFF_RUSS            5
#define FIXED_CED_RUSS                  0
#define LOOP_SEIZURE_RUSS               12
#define LOOP_MAX_BREAK_RUSS             30
#define PULSE_MIN_BREAK_RUSS            3
#define PULSE_MAX_MAKE_RUSS             32
#define PULSE_MIN_MAKE_RUSS             2
#define MAX_INTERDIGIT_RUSS             10
#define PRE_WINK_RUSS                   10
#define WINK_TIME_RUSS                  40
#define DTMF_THRESH_OTHER_RUSS          (char)0xa4
#define DTMF_LEN_MIN_RUSS               0
#define DTMF_INTERDIGIT_MIN_RUSS        0x14
#define T30_BEHAVIOR_RUSS               0
#define POST_WINK_RUSS                  5
#define JP_DID_OH_TIME_RUSS             16
#define BUSY_RATIO_LH_RUSS              6
#define MAX_SIL_TIMEOUT_RUSS            0
#define DL_CONFIG_RUSS                  0x0
#define DL_WRONG_LIMIT_RUSS             0
#define DL_UNSUCC_LIMIT_RUSS            0
#define DL_SUM_LIMIT_RUSS               0
#define DL_MAX_LIMIT_RUSS               0
#define DL_WR_LMT_TIME_RUSS             0
#define DL_UNS_LMT_TIME_RUSS            0
#define DL_MIN_WRONG_FIRST_RUSS         0
#define DL_MIN_WRONG_RUSS               0
#define DL_MIN_UNSUCC_FIRST_RUSS        0
#define DL_MIN_UNSUCC_RUSS              0
#define V_REC_BUSY_POW_RUSS             22
#define V_REC_BUSY_DUR_RUSS             10
#define V_REC_BUSY_DIFF_RUSS            4
#define V_PLAY_BUSY_POW_RUSS            47
#define V_PLAY_BUSY_DUR_RUSS            29
#define V_PLAY_BUSY_INT_RUSS            14
#define V_PLAY_BUSY_NUM_RUSS            3
#define V_PLAY_BUSY_REP_RUSS            2
#define V_RP_JPN_DIAL_RUSS              1
#define V_RP_CNG_POW_RUSS               19

/* If board is being used in SWITZERLAND */
#define TONE_LEN_SWISS                  18
#define TONE_INTER_TIME_SWISS           13
#define PULSE_INTER_TIME_SWISS          0xa0
#define PULSE_MAKE_SWISS                8
#define PULSE_BREAK_SWISS               12
#define RING_LEN_SWISS                  70
#define DTONE_LEN_SWISS                 0x2e
#define DTONE_TIMEOUT_LOW_SWISS         0x64
#define DTONE_TIMEOUT_HIGH_SWISS        0
#define LOOPCUR_LEN_SWISS               0x14
#define LOOPCUR_TIMEOUT_SWISS           0x64
#define LOOPCUR_DEBOUNCE_SWISS          0x8
#define RING_LOWER_SWISS                0x8
#define RING_UPPER_SWISS                0x8c
#define RING_BLANK_SWISS                0xf
#define COUNTRY_SWISS                   1
#define DATA_LEVEL_SWISS                (char)0xec
#define DTMF_LOW_LEVEL_SWISS            (char)0xf0
#define DTMF_HIGH_LEVEL_SWISS           (char)0xf4
#define REC_LEVEL_SWISS                 (char)0xaa
#define ENABLE_LOOP_CUR_SWISS           1
#define ENABLE_BEEP_SWISS               0
#define PULSE_LINE_SWISS                0
#define DIAL_TONE_MIN_SWISS             0x32    /* 10 millisec units */
#define DROP_OUT_TIME_SWISS             0x10    /* 5 ms units */
#define WAIT_FOR_CED_LOW_SWISS          0xa0    /* 10 ms units */
#define WAIT_FOR_CED_HIGH_SWISS         0x0f    /* 10 ms units */
#define SCAN_TIME_SWISS                 7
#define MIN_ON_HOOK_SWISS               0x28    /* 50 ms units */
#define BLIND_DIAL_SWISS                0
#define INTERNAT_DELAY_SWISS            0x18    /* 10 ms units */
#define MAX_BITRATE_SWISS               0xff
#define FIXED_ID_SWISS                  0       /* support variable ids */
#define CABS_SWISS                      0
#define SIL_THRESH_HIGH_SWISS           0x8
#define SIL_THRESH_LOW_SWISS            0x34
#define PULSE_UP_THRESH_SWISS           0
#define PULSE_LOW_THRESH_SWISS          0
#define RING_ON_HIGH_SWISS              0x1
#define RING_ON_LOW_SWISS               0xa4
#define RING_OFF_HIGH_SWISS             0x7
#define RING_OFF_LOW_SWISS              0xd0
#define REORDER_BUSY_SWISS              0x32
#define REORDER_VAR_SWISS               0xa
#define BUSY_HIGH_THRESH_SWISS          0xd2
#define BUSY_LOW_THRESH_SWISS           0xd2
#define BUSY_SUM_SWISS                  0x32
#define BUSY_RATIO_SWISS                2
#define FILT_LEV_SWISS                  0x3
#define AGC_MIN_LOW_SWISS               0
#define AGC_MIN_HIGH_SWISS              0
#define INT_DIAL_COEF_SWISS \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define CP_COEF_SWISS \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define SIT_1ST_COEF_SWISS \
  { 0x02, 0x00, 0x65, 0x70, 0xc1, 0x47, 0x02, 0x00, 0x68, 0x8d, 0xc1, 0x47}
#define SIT_2ND_COEF_SWISS \
  { 0x02, 0x9f, 0x4b, 0x43, 0xc1, 0x47, 0x02, 0x9f, 0x4f, 0x08, 0xc1, 0x47}
#define SIT_3RD_COEF_SWISS \
  { 0x01, 0xbe, 0x31, 0xb9, 0xc1, 0x47, 0x01, 0xbe, 0x32, 0xd0, 0xc1, 0x47}
#define INT_DIAL_COEF_114_SWISS \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define CP_COEF_114_SWISS \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define SIT_1ST_COEF_114_SWISS  \
  { 0x64, 0xb1, 0x48, 0x28, 0x05, 0xd6, 0x00, 0x00}
#define SIT_2ND_COEF_114_SWISS  \
  { 0x4b, 0x69, 0x62, 0x47, 0x05, 0xd6, 0x00, 0x00}
#define SIT_3RD_COEF_114_SWISS  \
  { 0x32, 0x28, 0x74, 0x0e, 0x02, 0x72, 0x00, 0x00}
#define GEN_RING_ON_SWISS               40
#define GEN_RING_OFF_SWISS              80
#define GEN_BUSY_ON_SWISS               10
#define GEN_BUSY_OFF_SWISS              10
#define GEN_REORDER_ON_SWISS            5
#define GEN_REORDER_OFF_SWISS           5
#define FIXED_CED_SWISS                 0
#define LOOP_SEIZURE_SWISS              12
#define LOOP_MAX_BREAK_SWISS            30
#define PULSE_MIN_BREAK_SWISS           3
#define PULSE_MAX_MAKE_SWISS            32
#define PULSE_MIN_MAKE_SWISS            2
#define MAX_INTERDIGIT_SWISS            10
#define PRE_WINK_SWISS                  10
#define WINK_TIME_SWISS                 40
#define DTMF_THRESH_OTHER_SWISS         (char)0xb4
#define DTMF_LEN_MIN_SWISS              0
#define DTMF_INTERDIGIT_MIN_SWISS       0x14
#define T30_BEHAVIOR_SWISS              0
#define POST_WINK_SWISS                 5
#define JP_DID_OH_TIME_SWISS            16
#define BUSY_RATIO_LH_SWISS             6
#define MAX_SIL_TIMEOUT_SWISS           0
#define DL_CONFIG_SWISS                 0x0
#define DL_WRONG_LIMIT_SWISS            0
#define DL_UNSUCC_LIMIT_SWISS           0
#define DL_SUM_LIMIT_SWISS              0
#define DL_MAX_LIMIT_SWISS              0
#define DL_WR_LMT_TIME_SWISS            0
#define DL_UNS_LMT_TIME_SWISS           0
#define DL_MIN_WRONG_FIRST_SWISS        0
#define DL_MIN_WRONG_SWISS              0
#define DL_MIN_UNSUCC_FIRST_SWISS       0
#define DL_MIN_UNSUCC_SWISS             0
#define V_REC_BUSY_POW_SWISS            22
#define V_REC_BUSY_DUR_SWISS            10
#define V_REC_BUSY_DIFF_SWISS           4
#define V_PLAY_BUSY_POW_SWISS           47
#define V_PLAY_BUSY_DUR_SWISS           29
#define V_PLAY_BUSY_INT_SWISS           14
#define V_PLAY_BUSY_NUM_SWISS           3
#define V_PLAY_BUSY_REP_SWISS           2
#define V_RP_JPN_DIAL_SWISS             1
#define V_RP_CNG_POW_SWISS              19

/* If board is being used in NORWAY */
#define TONE_LEN_NOR                    0x13
#define TONE_INTER_TIME_NOR             0xd
#define PULSE_INTER_TIME_NOR            0xa0
#define PULSE_MAKE_NOR                  8
#define PULSE_BREAK_NOR                 12
#define RING_LEN_NOR                    70
#define DTONE_LEN_NOR                   0x2e
#define DTONE_TIMEOUT_LOW_NOR           0x64
#define DTONE_TIMEOUT_HIGH_NOR          0
#define LOOPCUR_LEN_NOR                 0x14
#define LOOPCUR_TIMEOUT_NOR             0x64
#define LOOPCUR_DEBOUNCE_NOR            0x8
#define RING_LOWER_NOR                  6
#define RING_UPPER_NOR                  0x1e
#define RING_BLANK_NOR                  0xa
#define COUNTRY_NOR                     0
#define DATA_LEVEL_NOR                  (char)0xec
#define DTMF_LOW_LEVEL_NOR              (char)0xea
#define DTMF_HIGH_LEVEL_NOR             (char)0xee
#define REC_LEVEL_NOR                   (char)0xaa
#define ENABLE_LOOP_CUR_NOR             0
#define ENABLE_BEEP_NOR                 0
#define PULSE_LINE_NOR                  0
#define DIAL_TONE_MIN_NOR               0x32    /* 10 millisec units */
#define DROP_OUT_TIME_NOR               0x10    /* 5 ms units */
#define WAIT_FOR_CED_LOW_NOR            0x1f    /* 10 ms units */
#define WAIT_FOR_CED_HIGH_NOR           0xff    /* 10 ms units */
#define SCAN_TIME_NOR                   7
#define MIN_ON_HOOK_NOR                 0x28    /* 50 ms units */
#define BLIND_DIAL_NOR                  0
#define INTERNAT_DELAY_NOR              0x18    /* 10 ms units */
#define MAX_BITRATE_NOR                 0xff
#define FIXED_ID_NOR                    0       /* support variable ids */
#define CABS_NOR                        0
#define SIL_THRESH_HIGH_NOR             0x8
#define SIL_THRESH_LOW_NOR              0x34
#define PULSE_UP_THRESH_NOR             0
#define PULSE_LOW_THRESH_NOR            0
#define RING_ON_HIGH_NOR                0x1
#define RING_ON_LOW_NOR                 0xa4
#define RING_OFF_HIGH_NOR               0x7
#define RING_OFF_LOW_NOR                0xd0
#define REORDER_BUSY_NOR                0x32
#define REORDER_VAR_NOR                 0xa
#define BUSY_HIGH_THRESH_NOR            0x90
#define BUSY_LOW_THRESH_NOR             0x90
#define BUSY_SUM_NOR                    0x32
#define BUSY_RATIO_NOR                  2
#define FILT_LEV_NOR                    0x3
#define AGC_MIN_LOW_NOR                 0
#define AGC_MIN_HIGH_NOR                0
#define INT_DIAL_COEF_NOR \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define CP_COEF_NOR \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define SIT_1ST_COEF_NOR \
  { 0x02, 0x00, 0x65, 0x70, 0xc1, 0x47, 0x02, 0x00, 0x68, 0x8d, 0xc1, 0x47}
#define SIT_2ND_COEF_NOR \
  { 0x02, 0x9f, 0x4b, 0x43, 0xc1, 0x47, 0x02, 0x9f, 0x4f, 0x08, 0xc1, 0x47}
#define SIT_3RD_COEF_NOR \
  { 0x01, 0xbe, 0x31, 0xb9, 0xc1, 0x47, 0x01, 0xbe, 0x32, 0xd0, 0xc1, 0x47}
#define INT_DIAL_COEF_114_NOR \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define CP_COEF_114_NOR \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define SIT_1ST_COEF_114_NOR    \
  { 0x64, 0xb1, 0x48, 0x28, 0x05, 0xd6, 0x00, 0x00}
#define SIT_2ND_COEF_114_NOR    \
  { 0x4b, 0x69, 0x62, 0x47, 0x05, 0xd6, 0x00, 0x00}
#define SIT_3RD_COEF_114_NOR    \
  { 0x32, 0x28, 0x74, 0x0e, 0x02, 0x72, 0x00, 0x00}
#define GEN_RING_ON_NOR                 40
#define GEN_RING_OFF_NOR                80
#define GEN_BUSY_ON_NOR                 10
#define GEN_BUSY_OFF_NOR                10
#define GEN_REORDER_ON_NOR              5
#define GEN_REORDER_OFF_NOR             5
#define FIXED_CED_NOR                   0
#define LOOP_SEIZURE_NOR                12
#define LOOP_MAX_BREAK_NOR              30
#define PULSE_MIN_BREAK_NOR             3
#define PULSE_MAX_MAKE_NOR              32
#define PULSE_MIN_MAKE_NOR              2
#define MAX_INTERDIGIT_NOR              10
#define PRE_WINK_NOR                    10
#define WINK_TIME_NOR                   40
#define DTMF_THRESH_OTHER_NOR           (char)0xb4
#define DTMF_LEN_MIN_NOR                0
#define DTMF_INTERDIGIT_MIN_NOR         0x14
#define T30_BEHAVIOR_NOR                0
#define POST_WINK_NOR                   5
#define JP_DID_OH_TIME_NOR              16
#define BUSY_RATIO_LH_NOR               6
#define MAX_SIL_TIMEOUT_NOR             0
#define DL_CONFIG_NOR                   0x1
#define DL_WRONG_LIMIT_NOR              0
#define DL_UNSUCC_LIMIT_NOR             0
#define DL_SUM_LIMIT_NOR                0
#define DL_MAX_LIMIT_NOR                0
#define DL_WR_LMT_TIME_NOR              0
#define DL_UNS_LMT_TIME_NOR             0
#define DL_MIN_WRONG_FIRST_NOR          5
#define DL_MIN_WRONG_NOR                60
#define DL_MIN_UNSUCC_FIRST_NOR         5
#define DL_MIN_UNSUCC_NOR               60
#define V_REC_BUSY_POW_NOR              22
#define V_REC_BUSY_DUR_NOR              10
#define V_REC_BUSY_DIFF_NOR             4
#define V_PLAY_BUSY_POW_NOR             47
#define V_PLAY_BUSY_DUR_NOR             29
#define V_PLAY_BUSY_INT_NOR             14
#define V_PLAY_BUSY_NUM_NOR             3
#define V_PLAY_BUSY_REP_NOR             2
#define V_RP_JPN_DIAL_NOR               1
#define V_RP_CNG_POW_NOR                19

/* If board is being used in EUROPEAN_COMMUNITY/TBR-21 (is a TBR-21 board) */
#define TONE_LEN_EC                     14
#define TONE_INTER_TIME_EC              0x10
#define PULSE_INTER_TIME_EC             148
#define PULSE_MAKE_EC                   8
#define PULSE_BREAK_EC                  13
#define RING_LEN_EC                     70
#define DTONE_LEN_EC                    0x2e
#define DTONE_TIMEOUT_LOW_EC            0x64
#define DTONE_TIMEOUT_HIGH_EC           0
#define LOOPCUR_LEN_EC                  0x14
#define LOOPCUR_TIMEOUT_EC              0x64
#define LOOPCUR_DEBOUNCE_EC             0x14
#define RING_LOWER_EC                   5
#define RING_UPPER_EC                   0x8c
#define RING_BLANK_EC                   20
#define COUNTRY_EC                      0
#define DATA_LEVEL_EC                   (char)0xec
#define DTMF_LOW_LEVEL_EC               (char)0xe8
#define DTMF_HIGH_LEVEL_EC              (char)0xec
#define REC_LEVEL_EC                    (char)0xaa
#define ENABLE_LOOP_CUR_EC              0
#define ENABLE_BEEP_EC                  0
#define PULSE_LINE_EC                   0
#define DIAL_TONE_MIN_EC                0x32    /* 10 millisec units */
#define DROP_OUT_TIME_EC                0x32    /* 5 ms units */
#define WAIT_FOR_CED_LOW_EC             0xa0    /* 10 ms units */
#define WAIT_FOR_CED_HIGH_EC            0x0f    /* 10 ms units */
#define SCAN_TIME_EC                    7
#define MIN_ON_HOOK_EC                  0x28    /* 50 ms units */
#define BLIND_DIAL_EC                   0x03
#define INTERNAT_DELAY_EC               0x18    /* 10 ms units */
#define MAX_BITRATE_EC                  0xff
#define FIXED_ID_EC                     0       /* support variable ids */
#define CABS_EC                         0
#define SIL_THRESH_HIGH_EC              0x8
#define SIL_THRESH_LOW_EC               0x34
#define PULSE_UP_THRESH_EC              0
#define PULSE_LOW_THRESH_EC             0
#define RING_ON_HIGH_EC                 0x1
#define RING_ON_LOW_EC                  0xa4
#define RING_OFF_HIGH_EC                0x7
#define RING_OFF_LOW_EC                 0xd0
#define REORDER_BUSY_EC                 0x32
#define REORDER_VAR_EC                  0xa
#define BUSY_HIGH_THRESH_EC             0xd2
#define BUSY_LOW_THRESH_EC              0xd2
#define BUSY_SUM_EC                     0x32
#define BUSY_RATIO_EC                   2
#define FILT_LEV_EC                     0x3
#define AGC_MIN_LOW_EC                  0
#define AGC_MIN_HIGH_EC                 0
#define INT_DIAL_COEF_EC \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define CP_COEF_EC \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define SIT_1ST_COEF_EC \
  { 0x02, 0x00, 0x65, 0x70, 0xc1, 0x47, 0x02, 0x00, 0x68, 0x8d, 0xc1, 0x47}
#define SIT_2ND_COEF_EC \
  { 0x02, 0x9f, 0x4b, 0x43, 0xc1, 0x47, 0x02, 0x9f, 0x4f, 0x08, 0xc1, 0x47}
#define SIT_3RD_COEF_EC \
  { 0x01, 0xbe, 0x31, 0xb9, 0xc1, 0x47, 0x01, 0xbe, 0x32, 0xd0, 0xc1, 0x47}
#define INT_DIAL_COEF_114_EC \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define CP_COEF_114_EC \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define SIT_1ST_COEF_114_EC     \
  { 0x64, 0xb1, 0x48, 0x28, 0x05, 0xd6, 0x00, 0x00}
#define SIT_2ND_COEF_114_EC     \
  { 0x4b, 0x69, 0x62, 0x47, 0x05, 0xd6, 0x00, 0x00}
#define SIT_3RD_COEF_114_EC     \
  { 0x32, 0x28, 0x74, 0x0e, 0x02, 0x72, 0x00, 0x00}
#define GEN_RING_ON_EC                  40
#define GEN_RING_OFF_EC                 80
#define GEN_BUSY_ON_EC                  10
#define GEN_BUSY_OFF_EC                 10
#define GEN_REORDER_ON_EC               5
#define GEN_REORDER_OFF_EC              5
#define FIXED_CED_EC                    0
#define LOOP_SEIZURE_EC                 12
#define LOOP_MAX_BREAK_EC               30
#define PULSE_MIN_BREAK_EC              3
#define PULSE_MAX_MAKE_EC               32
#define PULSE_MIN_MAKE_EC               2
#define MAX_INTERDIGIT_EC               10
#define PRE_WINK_EC                     10
#define WINK_TIME_EC                    40
#define DTMF_THRESH_OTHER_EC            (char)0xb4
#define DTMF_LEN_MIN_EC                 0
#define DTMF_INTERDIGIT_MIN_EC          0x14
#define T30_BEHAVIOR_EC                 0
#define POST_WINK_EC                    5
#define JP_DID_OH_TIME_EC               16
#define BUSY_RATIO_LH_EC                6
#define MAX_SIL_TIMEOUT_EC              0
#define DL_CONFIG_EC                    0x1
#define DL_WRONG_LIMIT_EC               0
#define DL_UNSUCC_LIMIT_EC              0
#define DL_SUM_LIMIT_EC                 15
#define DL_MAX_LIMIT_EC                 0
#define DL_WR_LMT_TIME_EC               3600
#define DL_UNS_LMT_TIME_EC              3600
#define DL_MIN_WRONG_FIRST_EC           5
#define DL_MIN_WRONG_EC                 5
#define DL_MIN_UNSUCC_FIRST_EC          5
#define DL_MIN_UNSUCC_EC                5
#define V_REC_BUSY_POW_EC               22
#define V_REC_BUSY_DUR_EC               10
#define V_REC_BUSY_DIFF_EC              4
#define V_PLAY_BUSY_POW_EC              47
#define V_PLAY_BUSY_DUR_EC              29
#define V_PLAY_BUSY_INT_EC              14
#define V_PLAY_BUSY_NUM_EC              3
#define V_PLAY_BUSY_REP_EC              2
#define V_RP_JPN_DIAL_EC                1
#define V_RP_CNG_POW_EC                 19
