/* btlib.h
 * Copyright (c) 1989-2004 Brooktrout Technology Inc.  All Rights Reserved
 */

/* Provides Brooktrout Centurial API name compatibility macros */

#ifndef BTLIB_H
#define BTLIB_H

#include "mill_api.h"


#define BTLINE MILL_LINE


#define BT_APIENTRY M_APIE2
#define BT_A1 M_APIE1
#define BT_CALLBACK M_CB2
#define BT_C1 M_CB1
#define BT_APIGLOB M_APIG2
#define BT_G1 M_APIG1
#undef BCONST
#define BCONST MCONST

/* Millennium requires ANSI C */
#define BT_ARGS(x) x
#define BT_CBARGS(x) BT_ARGS(x)

#ifndef _PROTOS_USED
#define _PROTOS_USED
#endif

#define LINE_FIRM_TYPE(lp) 114
#define LINE_CPU_TYPE(lp) 1
#define LINE_INTR_FUNC LINE_INCOMING_CMD_FUNC
#define LINE_SET_INTR_FUNC LINE_SET_INCOMING_CMD_FUNC

/* Function names */

#define BfvLineAttach MillLineAttach
#define BfvLineDetach MillLineDetach
#ifndef BfvLineReset
#define BfvLineReset MillLineReset
#endif
#define BfvLineConfig MillLineConfig
#define BfvLineAlert MillLineAlert
#define BfvLineInfo MillLineInfo
#define BfvLinesAvail MillLinesAvail
#define BfvTelephGetInfo MillTelephGetInfo
#define BfvCallSWGetInfo MillCallSWGetInfo
#define BfvCallSWConnect MillCallSWConnect
#define BfvCallSWConnectIP MillCallSWConnectIP
#define BfvCallSWClearConns MillCallSWClearConns
#define BfvCallSWGetConns MillCallSWGetConns
#define BfvTelephReset MillTelephReset
#define BfvTelephSave MillTelephSave

#define BfvSpeechPlayData MillSpeechPlayData
#define BfvSpeechPlayFile MillSpeechPlayFile
#define BfvSpeechRecordData MillSpeechRecordData
#define BfvSpeechRecordFile MillSpeechRecordFile
#define BfvSpeechPlay MillSpeechPlay
#define BfvSpeechRecord MillSpeechRecord
#define BfvSpeechModify MillSpeechModify
#define BfvPromptOpen MillPromptOpen
#define BfvPromptClose MillPromptClose
#define BfvPromptPlay MillPromptPlay
#define BfvSpeechPlayWave MillSpeechPlayWave
#define BfvSpeechRecordWave MillSpeechRecordWave
#define BfvSpeechCacheFlush MillSpeechCacheFlush
#define BfvSpeechCacheEnable MillSpeechCacheEnable
#define BfvSpeechCacheDisable MillSpeechCacheDisable
#define BfvSpeechCacheConfigure MillSpeechCacheConfigure
#define BfvSpeechCacheGetInfo MillSpeechCacheGetInfo
#define BfvSpeechCachePlay MillSpeechCachePlay
#define BfvSpeechEchoCancelControl MillSpeechEchoCancelControl
#define BfvSpeechQuerySummationGroup MillSpeechQuerySummationGroup

#define BfvFaxBeginSendRaw MillFaxBeginSendRaw
#define BfvFaxGetRemoteInfo MillFaxGetRemoteInfo
#define BfvFaxWaitForTraining MillFaxWaitForTraining
#define BfvFaxHeader MillFaxHeader
#define BfvFaxSendData MillFaxSendData
#define BfvFaxNextPageRaw MillFaxNextPageRaw
#define BfvFaxEndOfDocument MillFaxEndOfDocument
#define BfvFaxBeginReceive MillFaxBeginReceive
#define BfvFaxEndReception MillFaxEndReception
#define BfvFaxReceiveData MillFaxReceiveData
#define BfvFaxAbort MillFaxAbort
#define BfvFaxSetReceiveFmt MillFaxSetReceiveFmt
#define BfvFaxStripParams MillFaxStripParams
#define BfvFaxPageParams MillFaxPageParams
#define BfvFaxSendFile MillFaxSendFile
#define BfvFaxReceiveFile MillFaxReceiveFile
#define BfvFaxDownloadFont MillFaxDownloadFont
#define BfvFaxDownloadFontData MillFaxDownloadFontData
#define BfvFaxSend MillFaxSend
#define BfvFaxReceive MillFaxReceive
#define BfvFaxSetLocalId MillFaxSetLocalId
#define BfvFaxBeginSend MillFaxBeginSend
#define BfvFaxNextPage MillFaxNextPage
#define BfvFaxSendPage MillFaxSendPage
#define BfvFaxT30Params MillFaxT30Params
#define BfvFaxOverlay MillFaxOverlay
#define BfvFaxSpace MillFaxSpace
#define BfvFaxBeginSendTiff MillFaxBeginSendTiff
#define BfvFaxNextPageTiff MillFaxNextPageTiff
#define BfvFaxSendPageTiff MillFaxSendPageTiff
#define BfvFaxSendPageDCX MillFaxSendPageDCX
#define BfvFaxNextPageDCX MillFaxNextPageDCX
#define BfvFaxReceivePage MillFaxReceivePage
#define BfvFaxReceivePages MillFaxReceivePages
#define BfvFaxRcvPageDCX MillFaxRcvPageDCX
#define BfvFaxRcvPageTiff MillFaxRcvPageTiff
#define BfvFaxBeginRaw MillFaxBeginRaw
#define BfvFaxBeginTiff MillFaxBeginTiff
#define BfvFaxBegin MillFaxBegin
#define BfvFaxPoll MillFaxPoll
#define BfvDataFSK MillDataFSK
#define BfvFaxSetNSF MillFaxSetNSF
#define BfvFaxSetSubPwdSep MillFaxSetSubPwdSep
#define BfvFaxSetModeSwitch MillFaxSetModeSwitch
#define BfvFaxCheckModeSwitch MillFaxCheckModeSwitch
#define BfvFaxT30Holdup MillFaxT30Holdup
#define BfvFaxTurnaround MillFaxTurnaround

#define BfvLineCallProgressEnable MillLineCallProgressEnable
#define BfvLineCallProgressDisable MillLineCallProgressDisable
#define BfvDataCP MillDataCP
#define BfvLineCallProgressProgram MillLineCallProgressProgram
#define BfvDialDBUpdate MillDialDBUpdate
#define BfvDialDBCheck MillDialDBCheck
#define BfvDialDBList MillDialDBList

#define BfvToneDetectEnable MillToneDetectEnable
#define BfvToneDetectDisable MillToneDetectDisable
#define BfvToneGet MillToneGet
#define BfvToneUnget MillToneUnget
#define BfvToneFlush MillToneFlush
#define BfvTonePeek MillTonePeek
#define BfvTonePlay MillTonePlay
#define BfvTonePlayBeep MillTonePlayBeep
#define BfvCPGen MillCPGen
#define BfvCPGenAdv MillCPGenAdv

#define BfvDebugModeSet MillDebugModeSet
#define BfvDebugFuncSet MillDebugFuncSet
#define BfvDebugModeSetAdv MillDebugModeSetAdv
#define BfvMemAllocFuncsSet MillMemAllocFuncsSet
#define BfvHistoryDumpModChan MillHistoryDumpModChan
#define BfvHistoryDumpUnit MillHistoryDumpUnit
#define BfvHistoryDump MillHistoryDump
#define BfvHistoryClearModChan MillHistoryClearModChan
#define BfvHistoryClearUnit MillHistoryClearUnit
#define BfvHistoryClear MillHistoryClear
#define BfvLineInterruptLimit MillLineInterruptLimit

#define BfvInfopktOpen MillInfopktOpen
#define BfvInfopktOpenMem MillInfopktOpenMem
#define BfvInfopktFtell MillInfopktFtell
#define BfvInfopktFseek MillInfopktFseek
#define BfvInfopktClose MillInfopktClose
#define BfvInfopktGet MillInfopktGet
#define BfvInfopktUnget MillInfopktUnget
#define BfvInfopktPut MillInfopktPut
#define BfvInfopktUser MillInfopktUser

#define BfvTiffOpen MillTiffOpen
#define BfvTiffClose MillTiffClose
#define BfvTiffReadIFD MillTiffReadIFD
#define BfvTiffReadImage MillTiffReadImage
#define BfvTiffReadRes MillTiffReadRes
#define BfvTiffWriteIFD MillTiffWriteIFD
#define BfvTiffWriteImage MillTiffWriteImage
#define BfvTiffWriteRes MillTiffWriteRes

#define BfvT434ParseFile MillT434ParseFile
#define BfvT434EmitFile MillT434EmitFile
#define BfvT434TagName MillT434TagName

#define BfvSessionAttach MillSessionAttach
#define BfvSessionDetach MillSessionDetach
#define BfvFirmwareDownload MillFirmwareDownload
#define BfvFirmwareDownloadData MillFirmwareDownloadData
#define BfvModuleInfo MillModuleInfo
#define BfvModuleConfigSpecsGet MillModuleConfigSpecsGet
#define BfvCheckAddress MillCheckAddress
#define BfvCheckFacility MillCheckFacility
#define BfvSendPkt MillSendPkt
#define BfvSendPktProcess MillSendPktProcess
#define BfvSendCmd MillSendCmd
#define BfvSetSingleVar MillSetSingleVar
#define BfvSetVars MillSetVars
#define BfvGetVar MillGetVar
#define BfvSendSimpleCmd MillSendSimpleCmd
#define BfvFormTag MillFormTag
#define BfvFormCmd MillFormCmd
#define BfvFormAddTag MillFormAddTag
#define BfvFormAddTags MillFormAddTags
#define BfvFormAddTagsV MillFormAddTagsV
#define BfvFormSendCmd MillFormSendCmd
#define BfvFormExtByte MillFormExtByte
#define BfvFormExtShort MillFormExtShort
#define BfvFormNbytes MillFormNbytes
#define BfvFormPktHeader MillFormPktHeader
#define BfvClearOutputAddr MillClearOutputAddr
#define BfvClearOutput MillClearOutput
#define BfvReceivePkt MillReceivePkt
#define BfvProcessCmd MillProcessCmd
#define BfvRcvProcessPkt MillRcvProcessPkt
#define BfvRcvCmds MillRcvCmds
#define BfvGetCmdFromPkt MillGetCmdFromPkt
#define BfvParseCmd MillParseCmd
#define BfvParseExtByte MillParseExtByte
#define BfvParseExtShort MillParseExtShort
#define BfvParseNbytes MillParseNbytes
#define BfvParsePktHeader MillParsePktHeader
#define BfvParseTaggedValueInt MillParseTaggedValueInt
#define BfvGetTaggedValues MillGetTaggedValues
#define BfvWaitCmd MillWaitCmd
#define BfvDirectXfer MillDirectXfer
#define BfvClearInput MillClearInput
#define BfvFeatureSetDownloadData MillFeatureSetDownloadData
#define BfvFeatureSetDownload MillFeatureSetDownload
#define BfvFeatureSetQuery MillFeatureSetQuery
#define BfvBoardStateGet MillBoardStateGet
#define BfvBoardStateSet MillBoardStateSet
#define BfvBoardNotify MillBoardNotify
#define BfvModuleDeactivate MillModuleDeactivate
#define BfvCallSignalingStateMonitor MillCallSignalingStateMonitor
#define BfvCallSignalingStateSet MillCallSignalingStateSet
#define BfvBoardTemperatureGet MillBoardTemperatureGet
#define BfvBoardTemperatureThreshSet MillBoardTemperatureThreshSet
#define BfvBoardTest MillBoardTest
#define BfvDebugInitData MillDebugInitData
#define BfvActivityWait MillActivityWait
#define BfvActivityTrigger MillActivityTrigger
#define BfvNetworkConfigSet MillNetworkConfigSet
#define BfvNetworkConfigGet MillNetworkConfigGet
#define BfvNetworkQuery MillNetworkQuery

/* Not affected by v3.7 compatibility mode */
#define BfvErrorMessage MillErrorMessage
#define BfvLineDumpStructure MillLineDumpStructure
#define _dll_stdout _mdll_stdout
#define _dll_stdin _mdll_stdin
#define _dll_stderr _mdll_stderr
#define _dll_fopen _mdll_fopen
#define _dll_fclose _mdll_fclose
#define _dll_fseek _mdll_fseek
#define _dll_ftell _mdll_ftell
#define _dll_fread _mdll_fread
#define _dll_fwrite _mdll_fwrite
#define _dll_malloc _mdll_malloc
#define _dll_free _mdll_free
#define _bfv_fread_short _mill_fread_short
#define _bfv_fwrite_short _mill_fwrite_short
#define _bfv_fread_long _mill_fread_long
#define _bfv_fwrite_long _mill_fwrite_long

/* LINE_... macros */
#define BOARD_TYPE_UNKNOWN      0
#define BOARD_TYPE_FAX          1
#define BOARD_TYPE_VOICE        2
#define BOARD_TYPE_TR114        3
#define BOARD_TYPE_TRUFAX       4
#define LINE_TYPE(lp) BOARD_TYPE_TR114

#define LINE_FIRM_DOWNLOADED(lp) 1

#ifdef UNIXWARE
#define ATT40
#endif


/* call progress result codes. see interrupt 1b
*/
#if 1
#define CS_BUSY1 SIG_DET_CP_BUSY1_DEF
#define CS_BUSY2 SIG_DET_CP_BUSY2_DEF
#define CS_ROBUSY SIG_DET_CP_ROBUSY_DEF
#define CS_RECALL SIG_DET_CP_RECALL_DEF
#define CS_CONFIRM SIG_DET_CP_CONFIRM_DEF
#define CS_PULSE SIG_DET_CP_PULSE_DEF
#define CS_RING1 SIG_DET_CP_RING1_DEF
#define CS_RING2 SIG_DET_CP_RING2_DEF
#define CS_HUMAN SIG_DET_CP_HUMAN_DEF
#define CS_ANSWER SIG_DET_CP_ANSWER_DEF
#define CS_DIALTON SIG_DET_CP_DIALTONE_DEF
#define CS_SILENCE SIG_DET_CP_SILENCE_DEF
#define CS_RNGNOANS SIG_DET_CP_RING_NO_ANS_DEF
#define CS_G2DETCT 0xf7
#define CS_SITDETCT CS_SITINTC
#define CS_SITINTC SIG_DET_CP_SITINTC_DEF
#define CS_QUIET SIG_DET_CP_QUIET_DEF
#define CS_SITVACODE SIG_DET_CP_SITVACODE_DEF
#define CS_SITREORD SIG_DET_CP_SITREORD_DEF
#define CS_SITNOCIR SIG_DET_CP_SITNOCIR_DEF
#define CS_CNGDETCT SIG_DET_CP_CNG_DEF
#define CS_RMTOFFHK SIG_DET_CP_RMTOFFHK_DEF
#define CS_SPECIALCP SIG_DET_CP_SPECIALCP_DEF
#define CS_ISDN_CALL_PROGRESS 0xf0
#define CS_ISDN_CALL_COLLISION 0xef
/* New values for programmed detection, not Centennial compatible */
#define CS_CUSTOM_FREQ0 SIG_DET_CP_CUSTOM_FREQ0_DEF
#define CS_CUSTOM_FREQ1 SIG_DET_CP_CUSTOM_FREQ1_DEF
#define CS_CUSTOM_FREQ2 SIG_DET_CP_CUSTOM_FREQ2_DEF
#define CS_CUSTOM_FREQ3 SIG_DET_CP_CUSTOM_FREQ3_DEF
#define CS_CUSTOM_FREQ4 SIG_DET_CP_CUSTOM_FREQ4_DEF
#define CS_CUSTOM_FREQ5 SIG_DET_CP_CUSTOM_FREQ5_DEF
#define CS_CUSTOM_FREQ6 SIG_DET_CP_CUSTOM_FREQ6_DEF
#define CS_CUSTOM_FREQ7 SIG_DET_CP_CUSTOM_FREQ7_DEF
#define CS_CUSTOM_CAD0 SIG_DET_CP_CUSTOM_CAD0_DEF
#define CS_CUSTOM_CAD1 SIG_DET_CP_CUSTOM_CAD1_DEF
#define CS_CUSTOM_CAD2 SIG_DET_CP_CUSTOM_CAD2_DEF
#define CS_CUSTOM_CAD3 SIG_DET_CP_CUSTOM_CAD3_DEF
#define CS_CUSTOM_CAD4 SIG_DET_CP_CUSTOM_CAD4_DEF
#define CS_CUSTOM_CAD5 SIG_DET_CP_CUSTOM_CAD5_DEF
#define CS_CUSTOM_CAD6 SIG_DET_CP_CUSTOM_CAD6_DEF
#define CS_CUSTOM_CAD7 SIG_DET_CP_CUSTOM_CAD7_DEF
#define CS_CUSTOM_DIS_FREQ0 SIG_DET_CP_DIS_CUSTOM_FREQ0_DEF
#define CS_CUSTOM_DIS_CAD0 SIG_DET_CP_DIS_CUSTOM_CAD0_DEF
#else
/* Values based on PRISM defines */
#define CS_BUSY1 SDET_CP_REPORT_BUSY
#define CS_BUSY2 0xfe
#define CS_ROBUSY 0xfd
#define CS_RECALL 0xfc
#define CS_CONFIRM 0xfb
#define CS_PULSE 0xfa
#define CS_RING1 SDET_CP_REPORT_RING
#define CS_RING2 0xf9
#define CS_HUMAN SDET_CP_REPORT_HUMAN
#define CS_ANSWER SDET_CP_REPORT_ANSWER
#define CS_DIALTON SDET_CP_REPORT_DIALTONE
#define CS_SILENCE SDET_CP_REPORT_SILENCE
#define CS_RNGNOANS SDET_CP_REPORT_RING_NO_ANSWER
#define CS_G2DETCT 0xf7
#define CS_SITDETCT SDET_CP_REPORT_SIT
#define CS_SITINTC SDET_CP_REPORT_SIT
#define CS_QUIET 0xf6
#define CS_SITVACODE 0xf5
#define CS_SITREORD 0xf4
#define CS_SITNOCIR 0xf3
#define CS_CNGDETCT SDET_CP_REPORT_CNG
#define CS_RMTOFFHK 0xf2
#define CS_SPECIALCP 0xf1
#define CS_ISDN_CALL_PROGRESS 0xf0
#define CS_ISDN_CALL_COLLISION 0xef
#endif

#if defined(WINNT) || defined(__OS2__) || defined(WIN95)
#define _bfax_priority _mill_priority
#endif


/* version numbers */
#define BFAX_VER_NUM            MILL_VER_NUM
#define BFAX_DRIVER_VERSION     MILL_DRIVER_VERSION
#define BFAX_V1                 MILL_V1
#define BFAX_V2                 MILL_V2
#define BFAX_V3                 MILL_V3
#define BFAX_V4                 MILL_V4
#define BFAX_BUILD_NUM          MILL_BUILD_NUM
#define BFAX_API_BUILD_NUM      MILL_API_BUILD_NUM

/* Reset codes */
#define RST_DIG_CONFIG_UNREADABLE       RST_CCTRL_CONFIG_UNREADABLE
#define RST_DIG_CONFIG_BADFORMAT        RST_CCTRL_CONFIG_BADFORMAT
#define RST_DIG_HW_ERR                  RST_CCTRL_HW_ERR
#define RST_DIG_PARAM_ERR               RST_CCTRL_PARAM_ERR
#define RST_DIG_ERR_OTHER               RST_CCTRL_ERR_OTHER

/* Centennial capability compatibility */
#define CAP_PHIF_LOOP_START CAP_PHIF_ANALOG_LOOP_START
#define CAP_PHIF_DID CAP_PHIF_ANALOG_DID
#define CAP_PHIF_SCSA_PEB CAP_PHIF_SCSA
#define CAP_PHIF_T1_ANALOG CAP_PHIF_T1

#endif
