/*
 * dialdb.h
 * Copyright (c) 1989-2004 Brooktrout Technology Inc.  All rights reserved.
 */

/* Check for _dialdb_h_ to avoid defining all this stuff.
   Done because of QNX 2 restrictions. */

#ifndef _dialdb_h_
#define _dialdb_h_

#pragma pack(1)

#define MAX_PHONE_SIZE 80

/* Times in the dialdb structure are the standard UNIX long time() format */
/* For 64-bit platforms, only the lower 32-bits are used */
struct dialdb {
    char phone_num[MAX_PHONE_SIZE];     /* Phone number, compacted form */
    unsigned next_dial_time;    /* Next valid dial time */
    unsigned reference_time;    /* Time of entry in database */
    unsigned short wrong_count; /* Count of wrong calls to number */
    unsigned short unsucc_count;/* Count of unsuccessful calls to number */
    unsigned short total_count; /* Count of calls to number when two limits
                                   are in effect. */
    unsigned short flags;       /* Status of number */
};

#define DLFLG_LAST_WRONG        0x0001
#define DLFLG_LAST_UNSUCC       0x0002
#define DLFLG_BLACK_MANUAL      0x0004
#define DLFLG_BLACK_WRONG       0x0008
#define DLFLG_BLACK_UNSUCC      0x0010
#define DLFLG_BLACK_SUM         0x0020
#define DLFLG_NOT_FIRST_CALL    0x0040
#define DLFLG_WR_LMT            0x0080
#define DLFLG_UNS_LMT           0x0100
#define DLFLG_SUM_LMT           0x0200

#define DL_REASON_NONE          0
#define DL_REASON_WRONG_DELAY   1
#define DL_REASON_UNSUCC_DELAY  2
#define DL_REASON_BLACK_PRE     3
#define DL_REASON_BLACK_MANUAL  4
#define DL_REASON_BLACK_WRONG   5
#define DL_REASON_BLACK_UNSUCC  6
#define DL_REASON_BLACK_SUM     7
#define DL_REASON_WRONG_LMT     8
#define DL_REASON_UNSUCC_LMT    9
#define DL_REASON_SUM_LMT       10
#define DL_REASON_TRK_UNS_DELAY 11
#define DL_REASON_UNKNOWN       99


#pragma pack()

#endif
