/*
 * line.h
 * Copyright (c) 1989-2004 Brooktrout Technology Inc.  All rights reserved.
 */

#ifndef _line_h_
#define _line_h_

#pragma pack(1)

#define MAX_IDSTRING            20
#define MAX_IDSTRING_LEN        20
#define MAX_FONTS               32
#define MILL_DEFAULT_FONT_ENTRY 31
#define NUM_DEBUG_CTL           4

/* Note: Initialization is done for a structure of this type. Some compilers
   have bugs with initialization of structures if packing is used and
   there are word-sized elements which do not begin on word boundaries...
   So all word sized elements come first. */
struct user_config_params {
    struct {
        unsigned facility;
        unsigned debug_val;
    } debug_control[NUM_DEBUG_CTL];
    unsigned record_beep_dur;
    unsigned record_beep_freq;
    unsigned max_timeout;
    unsigned eff_pt_caps;
    unsigned country_code;
    int max_pagelist_len;
    unsigned int voice_timeout;
    int ced_override;
    int cabs_override;
    int dtmf_harmonic;
    unsigned dtmf_record_silthr;
    unsigned silcompr_start;
    unsigned silcompr_middle;
    unsigned restrict_res;
    unsigned cp_silence_duration;
    char id_string[MAX_IDSTRING + 4];
    char *font_files[MAX_FONTS];
    unsigned char error_mult;
    unsigned char error_thresh;
    unsigned char error_enable;
    unsigned char voice_silence_thresh; /* voice : silence threshold */
    unsigned char voice_silence_wait;   /* voice : silence wait */
    unsigned char wink_or_immediate;
    unsigned char nrings;
    unsigned char did_digits;   /* Max is 127 digits plus null terminator */
    unsigned char tone_or_pulse;        /* 1 = pulse; 0 = tone; */
    unsigned char switch_hook;
    unsigned char v_lp_break;
    char bt_cparm[256];
    unsigned char ecm_enable;
    unsigned char max_width;
    unsigned char width_res_behavior;
    char callctrl_file[256];
    char pcpm_table_file[256];
    unsigned char did_variable;
    unsigned char line_compression;
#ifndef NO_BFT
    unsigned char bft_rcv_cap;
#endif
    unsigned char afe_config_valid;
    unsigned char afe_config_bytes[3];
    unsigned char subpwdsep;
    unsigned char dtmf_playoff;
    unsigned char dtmf_twist;
    char dtmf_thresh_voice;
    unsigned char btnsf;
    unsigned char min_length;
    unsigned char missing_wait;
    unsigned char agc;
    char v_play_gain;
    unsigned char busy_dt_ct;
    unsigned char v_record_gain;
    unsigned char play_preemph;
    unsigned char play_drc;
    unsigned char play_cdm;
    unsigned char dtmf_play_snr;
    unsigned char dtmf_rdelta;
    unsigned char v34_2400_baud_ctrl;
    unsigned char v34_ci_enable;
    unsigned char dtmf_skip_init;
    char dtmf_back_noise;
    unsigned char v34_enable;
    unsigned char adpcm_exp;
    unsigned char line_encoding;
    unsigned char badline_behavior;
    unsigned char underrun_ctrl;
    unsigned char error_mult_rtp;
    unsigned char rtp_enable;
    unsigned char dtmf_in_to_in_ratio_idle;
    unsigned char dtmf_in_to_out_ratio_idle;
    unsigned char dtmf_hi_to_lo_twist_idle;
    unsigned char dtmf_lo_to_hi_twist_idle;
    unsigned char dtmf_in_to_in_ratio_play;
    unsigned char dtmf_in_to_out_ratio_play;
    unsigned char dtmf_hi_to_lo_twist_play;
    unsigned char dtmf_lo_to_hi_twist_play;
    unsigned char dtmf_min_on_idle;
    unsigned char dtmf_min_off_idle;
    unsigned char dtmf_min_on_play;
    unsigned char dtmf_min_off_play;
    unsigned char v34_transmit_only;
};

/* Above values are all printed by shoparam.c via MillLineDumpStructure(). */

#pragma pack()


#endif
