/* misc.h */
/* Copyright (c) 1989-2004 Brooktrout Technology Inc.  All rights reserved. */

#define PCX_UPPER_Y_OFF         6
#define PCX_LOWER_Y_OFF         10
#define PCX_WIDTH_OFF           66
#define DCX_ID                  987654321L
#define DCX_MAX_PAGES           1023

#if defined(MSDOS) || defined(CDOS) || defined(WINNT) || defined(__OS2__) || defined(WIN95)
#define USES_FAT_FILESYSTEM
#endif

#define MAX_BOARDS 16
#define MAX_CHANS_PER_BOARD 253
#define MAX_NUM_UNITS (MAX_BOARDS * MAX_CHANS_PER_BOARD)

#if defined(MILL_LITTLE_ENDIAN) && defined(MILL_BIG_ENDIAN)
Error, both endian symbols defined.
#elif defined(MILL_BIG_ENDIAN)
#define BYTE_SWAP_SHORT(v) \
    v = (((unsigned short)((v) & 0xff)) << 8) | \
        (((unsigned short)((v) & 0xff00)) >> 8);
#define BYTE_SWAP_LONG(v) \
    v = (((unsigned)((v) & 0xff)) << 24) | \
        (((unsigned)((v) & 0xff00)) << 8) | \
        (((unsigned)((v) & 0xff0000)) >> 8) | \
        (((unsigned)((v) & 0xff000000)) >> 24);
M_APIE1 int M_APIE2 _mill_fread_short(void *buf,unsigned size,
                                      unsigned num,FILE *fp);
M_APIE1 int M_APIE2 _mill_fwrite_short(void *buf,unsigned size,
                                       unsigned num,FILE *fp);
M_APIE1 int M_APIE2 _mill_fread_long(void *buf,unsigned size,
                                     unsigned num,FILE *fp);
M_APIE1 int M_APIE2 _mill_fwrite_long(void *buf,unsigned size,
                                      unsigned num,FILE *fp);
#elif defined(MILL_LITTLE_ENDIAN)
#define _mill_fread_short fread
#define _mill_fwrite_short fwrite
#define _mill_fread_long fread
#define _mill_fwrite_long fwrite
#else
Error, endian symbol not defined.
#endif
