/*
 * tr_tmp.h
 * Copyright (c) 1989-2004 Brooktrout Technology Inc.  All rights reserved.
 */

/* Default phone parameters */

#define TR_TONE_LEN_DEF         18
#define TR_TONE_INTER_TIME_DEF  12
#define TR_PULSE_INTER_TIME_DEF 140
#define TR_PULSE_MAKE_DEF       8
#define TR_PULSE_BREAK_DEF      12
#define TR_RING_LEN_DEF         70
#define TR_DTONE_LEN_DEF        0x2e
#define TR_DTONE_TIMEOUT_LOW_DEF        0x64
#define TR_DTONE_TIMEOUT_HIGH_DEF       0
#define TR_LOOPCUR_LEN_DEF      0x14
#define TR_LOOPCUR_TIMEOUT_DEF  0x64
#define TR_LOOPCUR_DEBOUNCE_DEF 0x8
#define TR_RING_LOWER_DEF       5
#define TR_RING_UPPER_DEF       0x8c
#define TR_RING_BLANK_DEF       0x14
#define TR_COUNTRY_USA          0
#define TR_DATA_LEVEL_DEF       (char)0xe2
#define TR_DTMF_LOW_LEVEL_DEF   (char)0xf2
#define TR_DTMF_HIGH_LEVEL_DEF  (char)0xf4
#define TR_REC_LEVEL_DEF        (char)0xaa
#define TR_ENABLE_LOOP_CUR_DEF  0
#define TR_ENABLE_BEEP_DEF      0
#define TR_PULSE_LINE_DEF               0
#define TR_DIAL_TONE_MIN_DEF            0x32    /* 10 millisec units*/
#define TR_DROP_OUT_TIME_DEF            0x0f    /* 5 ms units */
#define TR_WAIT_FOR_CED_LOW_DEF         0xa0    /* 10 ms units */
#define TR_WAIT_FOR_CED_HIGH_DEF        0x0f    /* 10 ms units */
#define TR_CED_ON_TIME_DEF              150
#define TR_FILL_G3_CT_DEF               14
#define TR_T30_BEHAVIOR_DEF             0
#define TR_SCAN_TIME_DEF                7
#define TR_MIN_ON_HOOK_DEF              0x28    /* 50 ms units */
#define TR_BLIND_DIAL_DEF               0
#define TR_INTERNAT_DELAY_DEF           0x18    /* 10 ms units */
#define TR_MAX_BITRATE_DEF              0xff
#define TR_FIXED_ID_DEF                 0       /* support variable ids */
#define TR_CABS_DEF                     0
#define TR_DTONE_TIMEOUT_DEF            0x64
#define TR_RING_RESET_DEF               0x64
#define TR_ERROR_MULT_DEF               0x28
#define TR_ERROR_THRESH_DEF             0x3
#define TR_SIL_THRESH_HIGH_DEF          0x8
#define TR_SIL_THRESH_LOW_DEF           0x34
#define TR_PULSE_UP_THRESH_DEF          0
#define TR_PULSE_LOW_THRESH_DEF         0
#define TR_RING_ON_HIGH_DEF             0x1
#define TR_RING_ON_LOW_DEF              0xa4
#define TR_RING_OFF_HIGH_DEF            0x7
#define TR_RING_OFF_LOW_DEF             0xd0
#define TR_REORDER_BUSY_DEF             0x32
#define TR_REORDER_VAR_DEF              0xa
#define TR_BUSY_HIGH_THRESH_DEF         0xd2
#define TR_BUSY_LOW_THRESH_DEF          0xd2
#define TR_BUSY_SUM_DEF                 0x32
#define TR_BUSY_RATIO_DEF               2
#define TR_FILT_LEV_DEF                 0x3
#define TR_AGC_MIN_LOW_DEF              0
#define TR_AGC_MIN_HIGH_DEF             0
#define TR_COEF_SIZE 12
#define TR_INT_DIAL_COEF_DEF \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define TR_CP_COEF_DEF \
  { 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74, 0x02, 0x20, 0x73, 0x5d, 0xc7, 0x74}
#define TR_SIT_1ST_COEF_DEF \
  { 0x02, 0x00, 0x65, 0x70, 0xc1, 0x47, 0x02, 0x00, 0x68, 0x8d, 0xc1, 0x47}
#define TR_SIT_2ND_COEF_DEF \
  { 0x02, 0x9f, 0x4b, 0x43, 0xc1, 0x47, 0x02, 0x9f, 0x4f, 0x08, 0xc1, 0x47}
#define TR_SIT_3RD_COEF_DEF \
  { 0x01, 0xbe, 0x31, 0xb9, 0xc1, 0x47, 0x01, 0xbe, 0x32, 0xd0, 0xc1, 0x47}
#define TR_COEF_SIZE_114 8
#define TR_INT_DIAL_COEF_114_DEF \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define TR_CP_COEF_114_DEF \
  { 0x74, 0x2c, 0x21, 0x61, 0x0a, 0x13, 0x00, 0x00}
#define TR_SIT_1ST_COEF_114_DEF \
  { 0x64, 0xb1, 0x48, 0x28, 0x05, 0xd6, 0x00, 0x00}
#define TR_SIT_2ND_COEF_114_DEF \
  { 0x4b, 0x69, 0x62, 0x47, 0x05, 0xd6, 0x00, 0x00}
#define TR_SIT_3RD_COEF_114_DEF \
  { 0x32, 0x28, 0x74, 0x0e, 0x02, 0x72, 0x00, 0x00}
#define TR_GEN_RING_ON_DEF              40
#define TR_GEN_RING_OFF_DEF             80
#define TR_GEN_BUSY_ON_DEF              10
#define TR_GEN_BUSY_OFF_DEF             10
#define TR_GEN_REORDER_ON_DEF           5
#define TR_GEN_REORDER_OFF_DEF          5
#define TR_FIXED_CED_DEF                0
#define TR_LOOP_SEIZURE_DEF             12
#define TR_LOOP_MAX_BREAK_DEF           30
#define TR_PULSE_MIN_BREAK_DEF          3
#define TR_PULSE_MAX_MAKE_DEF           32
#define TR_PULSE_MIN_MAKE_DEF           2
#define TR_MAX_INTERDIGIT_DEF           10
#define TR_PRE_WINK_DEF                 10
#define TR_WINK_TIME_DEF                40
#define TR_EQM_9600_DEF                 0x50
#define TR_EQM_7200_DEF                 0x32
#define TR_EQM_4800_DEF                 0xb9
#define TR_EQM_2400_DEF                 0xd8
#define TR_DTMF_THRESH_OTHER_DEF        (char)0xb4
#define TR_DTMF_LEN_MIN_DEF             0
#define TR_DTMF_INTERDIGIT_MIN_DEF      0x14
#define TR_POST_WINK_DEF                5
#define TR_JP_DID_OH_TIME_DEF           16
#define TR_BUSY_RATIO_LH_DEF            6
#define TR_MAX_SIL_TIMEOUT_DEF          0
#define TR_DL_CONFIG_DEF                0x5
#define TR_DL_WRONG_LIMIT_DEF           2
#define TR_DL_UNSUCC_LIMIT_DEF          15
#define TR_DL_SUM_LIMIT_DEF             0
#define TR_DL_MAX_LIMIT_DEF             0
#define TR_DL_WR_LMT_TIME_DEF           0
#define TR_DL_UNS_LMT_TIME_DEF          3600
#define TR_DL_MIN_WRONG_FIRST_DEF       0
#define TR_DL_MIN_WRONG_DEF             0
#define TR_DL_MIN_UNSUCC_FIRST_DEF      0
#define TR_DL_MIN_UNSUCC_DEF            0
#define TR_V_REC_BUSY_POW_DEF           22
#define TR_V_REC_BUSY_DUR_DEF           10
#define TR_V_REC_BUSY_DIFF_DEF          4
#define TR_V_PLAY_BUSY_POW_DEF          47
#define TR_V_PLAY_BUSY_DUR_DEF          29
#define TR_V_PLAY_BUSY_INT_DEF          14
#define TR_V_PLAY_BUSY_NUM_DEF          3
#define TR_V_PLAY_BUSY_REP_DEF          2
#define TR_V_RP_JPN_DIAL_DEF            1
#define TR_V_RP_CNG_POW_DEF             19


/* TR114 ISDN stuff */
#define TR114_ISDN_CALLED_PN 0x70
#define TR114_ISDN_CALLED_PSUB 0x71
#define TR114_ISDN_CALLING_PN 0x6c
#define TR114_ISDN_CALLING_PSUB 0x6d
#define TR114_ISDN_BEARER 0x04
#define TR114_ISDN_AOC 0x01
#define TR114_ISDN_REDIR 0x74

/* TR114 ISDN tag values for configuration */
#define TR114_ISDN_CNF_CCODE 0x01
#define TR114_ISDN_CNF_SPID 0x02
#define TR114_ISDN_CNF_CALLING_P_NUM 0x03
#define TR114_ISDN_CNF_CALLING_P_SUB 0x04
#define TR114_ISDN_CNF_LOCAL_ADD 0x05
#define TR114_ISDN_CNF_LOCAL_SUB 0x06
#define TR114_ISDN_CNF_ENH_MODE 0x07
#define TR114_ISDN_CNF_BEARER_CAP 0x09
#define TR114_ISDN_CNF_B_AUDIO 1
#define TR114_ISDN_CNF_B_SPEECH 2
#define TR114_ISDN_CNF_BCHAN_PREF 0xd

/* TR114 continuing/non-continuing page complete values */
#define TRS_PAGE_COMPLETE 0x2a  /*  page complete non-continuing */
#define TRS_PAGE_COMPL_CONT 0x2b /* page complete continuing */
