
/****************************************************************************
 *
 * Module:               Admin.h
 * Date:                 Jan. 16, 2004
 * Purpose:              All definitions global to the Admin facility
 ****************************************************************************
 * (c) 1992-2001 Brooktrout Technology, Inc.                                  *
 *                                                                          *
 *                                                                          *
 *   All Rights Reserved.                                                   *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 * This software is furnished under a license and may only be               *
 * read, modified, copied, or otherwise used in accordance with the         *
 * terms of such license. This notice must never be removed from            *
 * this software and must be included with every copy. No other             *
 * rights to reproduce, use, or disseminate this software in any form,      *
 * in whole or in part, are granted.                                        *
 *                                                                          *
 * Brooktrout Technology, Inc. makes no representation or warranties        *
 * with respect to the performance of this software and specifically        *
 * disclaims any responsibility for any damages, special or                 *
 * consequential, connected with the use of this software.                  *
 *                                                                          *
 ****************************************************************************/
 
#ifndef ADMIN_H
#define ADMIN_H

/* Facility                  */
#define  MILL_FACILITY_ADMINISTRATION                     0x01

/* Event                     */
#define  ADMIN_FW_DOWNLOAD_STARTED_EVENT                  0x02
#define  ADMIN_FW_DOWNLOAD_FINISHED_EVENT                 0x03
#define  ADMIN_FLOW_CONTROL_STARTED_EVENT                 0x04
#define  ADMIN_FLOW_CONTROL_FINISHED_EVENT                0x05
#define  ADMIN_FLOW_CONTROL_STATUS_EVENT                  0x06
#define  ADMIN_MODULE_RESET_DONE_EVENT                    0x07
#define  ADMIN_CHANNEL_RESET_DONE_EVENT                   0x08
#define  ADMIN_CONFIGURATION_INFO_EVENT                   0x09
#define  ADMIN_FLOW_CTRL_HOST_ADDR_EVENT                  0x0A
#define  ADMIN_FTRL_INITIALIZED_EVENT                     0x0B
#define  ADMIN_NVRAM_INITIALIZED_EVENT                    0x0B
#define  ADMIN_FTRL_DOWNLOAD_STARTED_EVENT                0x0C
#define  ADMIN_FTRL_DOWNLOAD_FINISHED_EVENT               0x0D
#define  ADMIN_FTRL_FEATURE_LIST_EVENT                    0x0E
#define  ADMIN_CRIT_SEC_ACQUIRED_EVENT                    0x0F
#define  ADMIN_BOARD_NOTIFY_EVENT                         0x10
#define  ADMIN_BOARD_TEST_STARTED_EVENT                   0x11
#define  ADMIN_BOARD_TEST_FINISHED_EVENT                  0x12
#define  ADMIN_BOARD_TEST_STATUS_EVENT                    0x13
#define  ADMIN_BOARD_NOTIFY_STARTED_EVENT                 0x14
#define  ADMIN_BOARD_NOTIFY_FINISHED_EVENT                0x15
#define  ADMIN_CRIT_SEC_RELEASED_EVENT                    0x16
#define  ADMIN_NETWORK_CONFIG_DONE_EVENT                  0x17
#define  ADMIN_NETWORK_CONFIG_INFO_EVENT                  0x18
#define  ADMIN_NETWORK_CONFIG_SAVED_EVENT                 0x19
#define  ADMIN_NET_QUERY_RESPONSE_EVENT                   0x1A

/* Request                   */
#define  ADMIN_FLOW_CONTROL_STATUS_REQUEST                0x02
#define  ADMIN_CONFIGURATION_REQUEST                      0x03
#define  ADMIN_MODULE_RESET_REQUEST                       0x05
#define  ADMIN_CHANNEL_RESET_REQUEST                      0x06
#define  ADMIN_DROP_MILL_ADDR_REQUEST                     0x07
#define  ADMIN_TIME_SET_REQUEST                           0x08
#define  ADMIN_FTRL_INITIALIZE_REQUEST                    0x09
#define  ADMIN_NVRAM_INITIALIZE_REQUEST                   0x09
#define  ADMIN_FTRL_QUERY_REQUEST                         0x0A
#define  ADMIN_CRIT_SEC_ACQUIRE_REQUEST                   0x0B
#define  ADMIN_CRIT_SEC_RELEASE_REQUEST                   0x0C
#define  ADMIN_CRIT_SEC_RESET_REQUEST                     0x0D
#define  ADMIN_NETWORK_CONFIG_SET_REQUEST                 0x0E
#define  ADMIN_NETWORK_CONFIG_GET_REQUEST                 0x0F
#define  ADMIN_NETWORK_CONFIG_SAVE_REQUEST                0x10
#define  ADMIN_NET_QUERY_REQUEST                          0x11

/* Start/Finish              */
#define  ADMIN_FIRMWARE_DOWNLOAD_MODE                     0x02
#define  ADMIN_FLOW_CONTROL_MODE                          0x03
#define  ADMIN_FTRL_DOWNLOAD_MODE                         0x04
#define  ADMIN_BOARD_NOTIFY_MODE                          0x05
#define  ADMIN_BOARD_TEST_MODE                            0x06

/* Variable/Parameter        */
#define  ADMIN_SUPPORT_ADDRESSES_PAR                      0x02
#define  ADMIN_ADDRESS_INFO_PAR                           0x03
#define  ADMIN_SUPPORTED_ADDRESS_PAR                      0x04
#define  ADMIN_QMAP_PAR                                   0x05
#define  ADMIN_MODULE_ID_PAR                              0x06
#define  ADMIN_MACHINE_ID_PAR                             0x07
#define  ADMIN_CONFIGURATION_SPEC_PAR                     0x08
#define  ADMIN_DOWNLOAD_RESULT_PAR                        0x09
#define  ADMIN_CREDIT_INFO_PAR                            0x0A
#define  ADMIN_FREE_BYTES_PAR                             0x0B
#define  ADMIN_FREE_PACKETS_PAR                           0x0C
#define  ADMIN_CONSUMPTION_BYTE_RATE_PAR                  0x0D
#define  ADMIN_CONSUMPTION_BYTE_MAX_PAR                   0x0E
#define  ADMIN_CONSUMPTION_PACKET_RATE_PAR                0x0F
#define  ADMIN_CONSUMPTION_PACKET_MAX_PAR                 0x10
#define  ADMIN_FIRMWARE_DL_TYPE_PAR                       0x11
#define  ADMIN_FIRMWARE_DESTINATION_PAR                   0x12
#define  ADMIN_CHAN_LOW_PAR                               0x13
#define  ADMIN_CHAN_HIGH_PAR                              0x14
#define  ADMIN_TIME_YEAR_PAR                              0x15
#define  ADMIN_TIME_MONTH_PAR                             0x16
#define  ADMIN_TIME_DATE_PAR                              0x17
#define  ADMIN_TIME_HOUR_PAR                              0x18
#define  ADMIN_TIME_MIN_PAR                               0x19
#define  ADMIN_TIME_SEC_PAR                               0x1A
#define  ADMIN_TIME_DOTW_PAR                              0x1B
#define  ADMIN_BOOT_ROM_VER_PAR                           0x1C
#define  ADMIN_CONTROL_PROC_VER_PAR                       0x1D
#define  ADMIN_DSP_VER_PAR                                0x1E
#define  ADMIN_VER_MAJOR_PAR                              0x1F
#define  ADMIN_VER_MIDDLE_PAR                             0x20
#define  ADMIN_VER_MINOR_PAR                              0x21
#define  ADMIN_VER_BUILD_PAR                              0x22
#define  ADMIN_VER_DATE_PAR                               0x23
#define  ADMIN_VER_COMMENT_PAR                            0x24
#define  ADMIN_FTRL_FEATURE_PAR                           0x25
#define  ADMIN_FTRL_PASSWORD_PAR                          0x26
#define  ADMIN_CRIT_SEC_ID_PAR                            0x27
#define  ADMIN_TIMEOUT_PAR                                0x28
#define  ADMIN_BOARD_STATE_PAR                            0x29
#define  ADMIN_BOARD_TEMP_ALARM_PAR                       0x2B
#define  ADMIN_BOARD_TEMP_PAR                             0x2C
#define  ADMIN_BOARD_STATE_VAR                            0x2D
#define  ADMIN_BOARD_NOTIFY_TYPE_PAR                      0x2E
#define  ADMIN_UNIT_PAR                                   0x2F
#define  ADMIN_NETWORK_ERROR_PAR                          0x30
#define  ADMIN_NETWORK_ALARM_PAR                          0x31
#define  ADMIN_H110_CLOCK_STATUS_PAR                      0x32
#define  ADMIN_BOARD_TEMP_THRESH_VAR                      0x33
#define  ADMIN_BOARD_TEMP_VAR                             0x34
#define  ADMIN_BOARD_TEST_MASK_PAR                        0x35
#define  ADMIN_BOARD_TEST_STATUS_TYPE_PAR                 0x36
#define  ADMIN_AVAIL_CONFIG_SPECS_PAR                     0x37
#define  ADMIN_CONFIG_SPEC_INFO_PAR                       0x38
#define  ADMIN_CONFIGURATION_DESC_PAR                     0x39
#define  ADMIN_SERIALNUM_PAR                              0x3A
#define  ADMIN_FEATURE_SET_CONTROL_PAR                    0x3B
#define  ADMIN_MAC_ADDR_PAR                               0x3C
#define  ADMIN_MAC_ADDR2_PAR                              0x3D
#define  ADMIN_COUNTRY_CODE_VAR                           0x3E
#define  ADMIN_CONFIG_TYPE_PAR                            0x3F
#define  ADMIN_FLUSH_ARP_PAR                              0x40
#define  ADMIN_TRUNK_TYPE_PAR                             0x41
#define  ADMIN_TRUNK_MEMBER1_PAR                          0x42
#define  ADMIN_TRUNK_MEMBER2_PAR                          0x43
#define  ADMIN_DHCP_ENABLE_PAR                            0x44
#define  ADMIN_ADDRESS_FAMILY_PAR                         0x45
#define  ADMIN_LOCAL_ADDRESS_PAR                          0x46
#define  ADMIN_NETMASK_PAR                                0x47
#define  ADMIN_GATEWAY1_PAR                               0x48
#define  ADMIN_TOS_PAR                                    0x49
#define  ADMIN_SPEED_PAR                                  0x4A
#define  ADMIN_DUPLEX_PAR                                 0x4B
#define  ADMIN_FULLDUP_FLOW_CTRL_PAR                      0x4C
#define  ADMIN_BOARD_TEST_ERR_INFO_PAR                    0x4D
#define  ADMIN_TRIGGER_TYPE_PAR                           0x4E
#define  ADMIN_UNITNUM_PAR                                0x4F
#define  ADMIN_JITTER_DEPTH_PAR                           0x50
#define  ADMIN_ENET_LINK_STATUS_PAR                       0x51
#define  ADMIN_ENET_FAILOVER_UNIT_PAR                     0x52
#define  ADMIN_REPORT_MASK_PAR                            0x53
#define  ADMIN_IFRCVADDRESSTABLE_PAR                      0x54
#define  ADMIN_IFPHYSADDRESS_PAR                          0x55
#define  ADMIN_IFHIGHSPEED_PAR                            0x56
#define  ADMIN_IFHCINOCTETS_PAR                           0x57
#define  ADMIN_IFHCINUCASTPKTS_PAR                        0x58
#define  ADMIN_IFHCINDISCARDS_PAR                         0x59
#define  ADMIN_IFHCINERRORS_PAR                           0x5A
#define  ADMIN_IFINUNKNOWNPROTOS_PAR                      0x5B
#define  ADMIN_IFHCOUTOCTETS_PAR                          0x5C
#define  ADMIN_IFINUCASTPKTS_PAR                          0x5D
#define  ADMIN_IFINMULTICASTPKTS_PAR                      0x5E
#define  ADMIN_IFINBROADCAST_PAR                          0x5F
#define  ADMIN_IFOUTUCASTPKTS_PAR                         0x80
#define  ADMIN_IFOUTMULTICASTPKTS_PAR                     0x81
#define  ADMIN_IFOUTBROADCASTPKTS_PAR                     0x82
#define  ADMIN_IPFORWARDING_PAR                           0x89
#define  ADMIN_IPDEFAULTTTL_PAR                           0x8A
#define  ADMIN_IPINRECEIVES_PAR                           0x8B
#define  ADMIN_IPINHDRERRORS_PAR                          0x8C
#define  ADMIN_IPINADDRERRORS_PAR                         0x8D
#define  ADMIN_IPFORWDATAGRAMS_PAR                        0x8E
#define  ADMIN_IPUNKNOWNPROTOS_PAR                        0x8F
#define  ADMIN_IPINDISCARDS_PAR                           0x90
#define  ADMIN_IPINDELIVERS_PAR                           0x91
#define  ADMIN_IPOUTREQUESTS_PAR                          0x92
#define  ADMIN_IPOUTDISCARDS_PAR                          0x93
#define  ADMIN_IPOUTNOROUTES_PAR                          0x94
#define  ADMIN_IPREASMTIMEOUT_PAR                         0x95
#define  ADMIN_IPREASMREQDS_PAR                           0x96
#define  ADMIN_IPREASMOKS_PAR                             0x97
#define  ADMIN_IPREASMFAILS_PAR                           0x98
#define  ADMIN_IPFRAGOKS_PAR                              0x99
#define  ADMIN_IPFRAGFAILS_PAR                            0x9A
#define  ADMIN_IPFRAGCREATES_PAR                          0x9B
#define  ADMIN_IPROUTINGDISCARDS_PAR                      0x9C
#define  ADMIN_IPADDRTABLE_PAR                            0x9D
#define  ADMIN_IPADENTADDR_PAR                            0x9E
#define  ADMIN_IPADENTNETMASK_PAR                         0x9F
#define  ADMIN_IPADENTBCASTADDR_PAR                       0xA0
#define  ADMIN_IPADENTREASMMAXSIZE_PAR                    0xA1
#define  ADMIN_ICMPINMSGS_PAR                             0xA2
#define  ADMIN_ICMPINERRORS_PAR                           0xA3
#define  ADMIN_ICMPINDESTUNREACHS_PAR                     0xA4
#define  ADMIN_ICMPINTIMEEXCDS_PAR                        0xA5
#define  ADMIN_ICMPINPARMPROBS_PAR                        0xA6
#define  ADMIN_ICMPINSRCQUENCHS_PAR                       0xA7
#define  ADMIN_ICMPINREDIRECTS_PAR                        0xA8
#define  ADMIN_ICMPINECHOS_PAR                            0xA9
#define  ADMIN_ICMPINECHOREPS_PAR                         0xAA
#define  ADMIN_ICMPINTIMESTAMPS_PAR                       0xAB
#define  ADMIN_ICMPINTIMESTAMPREPS_PAR                    0xAC
#define  ADMIN_ICMPINADDRMASKS_PAR                        0xAD
#define  ADMIN_ICMPINADDRMASKREPS_PAR                     0xAE
#define  ADMIN_ICMPOUTMSGS_PAR                            0xAF
#define  ADMIN_ICMPOUTERRORS_PAR                          0xB0
#define  ADMIN_ICMPOUTDESTUNREACHS_PAR                    0xB1
#define  ADMIN_ICMPOUTTIMEEXCDS_PAR                       0xB2
#define  ADMIN_ICMPOUTPARMPROBS_PAR                       0xB3
#define  ADMIN_ICMPOUTSRCQUENCHS_PAR                      0xB4
#define  ADMIN_ICMPOUTREDIRECTS_PAR                       0xB5
#define  ADMIN_ICMPOUTECHOS_PAR                           0xB6
#define  ADMIN_ICMPOUTECHOREPS_PAR                        0xB7
#define  ADMIN_ICMPOUTTIMESTAMPS_PAR                      0xB8
#define  ADMIN_ICMPOUTTIMESTAMPREPS_PAR                   0xB9
#define  ADMIN_ICMPOUTADDRMASKS_PAR                       0xBA
#define  ADMIN_ICMPOUTADDRMASKREPS_PAR                    0xBB
#define  ADMIN_IPROUTEDEST_PAR                            0xBC
#define  ADMIN_IPROUTEMETRIC1_PAR                         0xBD
#define  ADMIN_IPROUTEMETRIC2_PAR                         0xBE
#define  ADMIN_IPROUTEMETRIC3_PAR                         0xBF
#define  ADMIN_IPROUTEMETRIC4_PAR                         0xC0
#define  ADMIN_IPROUTENEXTHOP_PAR                         0xC1
#define  ADMIN_IPROUTETYPE_PAR                            0xC2
#define  ADMIN_IPROUTEPROTO_PAR                           0xC3
#define  ADMIN_IPROUTEAGE_PAR                             0xC4
#define  ADMIN_IPROUTEMASK_PAR                            0xC5
#define  ADMIN_IPROUTEMETRIC5_PAR                         0xC6
#define  ADMIN_ATPHYSADDRESS_PAR                          0xC7
#define  ADMIN_ATNETADDRESS_PAR                           0xC8
#define  ADMIN_UDPINDATAGRAMS_PAR                         0xC9
#define  ADMIN_UDPNOPORTS_PAR                             0xCA
#define  ADMIN_UDPINERRORS_PAR                            0xCB
#define  ADMIN_UDPOUTDATAGRAMS_PAR                        0xCC
#define  ADMIN_RTCP_REPORT_DATA_PAR                       0xCD
#define  ADMIN_RTP_RX_NEW_PAYLOAD_PAR                     0xCE
#define  ADMIN_RTP_PACKETS_PAR                            0xCF
#define  ADMIN_RTP_OCTETS_PAR                             0xD0
#define  ADMIN_RTP_PACKETS_LOST_PAR                       0xD1
#define  ADMIN_RTP_AVG_TX_DELAY_PAR                       0xD2
#define  ADMIN_RTP_JITTER_PAR                             0xD3
#define  ADMIN_DSP_LOAD_MASK_PAR                          0xD4
#define  ADMIN_ARP_TIMEOUT_PAR                            0xD5
#define  ADMIN_QOS_C11_PAR                                0xD6
#define  ADMIN_QOS_C13_PAR                                0xD7
#define  ADMIN_QOS_C14_PAR                                0xD8
#define  ADMIN_QOS_C22_PAR                                0xD9
#define  ADMIN_QOS_C23_PAR                                0xDA
#define  ADMIN_QOS_C33_PAR                                0xDB
#define  ADMIN_QOS_C5_PAR                                 0xDC
#define  ADMIN_QOS_RAW_RT_DELAY_PAR                       0xDD
#define  ADMIN_QOS_FRAMES_PER_PACKET_PAR                  0xDE
#define  ADMIN_QOS_JITTER_SIZE_PAR                        0xDF
#define  ADMIN_QOS_VOCODER_VAD_ENABLED_PAR                0xE0
#define  ADMIN_QOS_VOCODER_FRAME_DURATION_PAR             0xE1
#define  ADMIN_QOS_VOCODER_BASE_IE_PAR                    0xE2
#define  ADMIN_QOS_VOCODER_DELAY_PAR                      0xE3
#define  ADMIN_QOS_VOCODER_D1_PAR                         0xE4
#define  ADMIN_QOS_VOCODER_D2_PAR                         0xE5
#define  ADMIN_QOS_VOCODER_D3_PAR                         0xE6
#define  ADMIN_QOS_VOCODER_D4_PAR                         0xE7
#define  ADMIN_BOARD_NOTIFY_EVENT_DEST_PAR                0xE8
#define  ADMIN_DOT3_EXCESSIVE_COLL_PAR                    0xE9
#define  ADMIN_DOT3_LATE_COLL_PAR                         0xEA
#define  ADMIN_DOT3_INTERNAL_MAC_TX_ERRS_PAR              0xEB
#define  ADMIN_DOT3_CARRIER_SENSE_ERRS_PAR                0xEC
#define  ADMIN_DOT3_DEFERRED_TRANSMISSIONS_PAR            0xED
#define  ADMIN_DOT3_SINGLE_COLL_FRAMES_PAR                0xEE
#define  ADMIN_DOT3_FCS_ERRS_PAR                          0xEF
#define  ADMIN_DOT3_ALLIGNMENT_ERRS_PAR                   0xF0
#define  ADMIN_DOT3_INTERNAL_MAC_RX_ERRS_PAR              0xF1
#define  ADMIN_DOT3X_INDEX_PAR                            0xF2
#define  ADMIN_DOT3X_TX_GOOD_FRAMES_PAR                   0xF3
#define  ADMIN_DOT3X_TX_FLOW_CTRLS_PAR                    0xF4
#define  ADMIN_DOT3X_RX_GOOD_FRAMES_PAR                   0xF5
#define  ADMIN_DOT3X_RX_RESOURCE_ERRS_PAR                 0xF6
#define  ADMIN_DOT3X_RX_SHORT_FRAME_ERRS_PAR              0xF7
#define  ADMIN_DOT3X_RX_FLOW_CTRLS_PAR                    0xF8
#define  ADMIN_DOT3_SQE_TEST_ERRS_PAR                     0xF9
#define  ADMIN_DOT3_FRAME_TOO_LONG_PAR                    0xFA
#define  ADMIN_DOT3_ETHER_CHIP_SET_PAR                    0xFB
#define  ADMIN_IFXINDEX_PAR                               0xFC
#define  ADMIN_TOS_HINT_PAR                               0xFD
#define  ADMIN_LINE_ENCODING_OVERRIDE_VAR                 0xFE
#define  ADMIN_BOARD_VIEW_VAR                            0x502
#define  ADMIN_VER_AUTO_NUM_PAR				  0xFF
#define  ADMIN_PARTNUM_PAR                               0x100
#define  ADMIN_PARTREV_PAR                               0x101
#define  ADMIN_SHIPNUM_PAR                               0x102
#define  ADMIN_SHIPREV_PAR                               0x103           
#define  ADMIN_VENDORID_PAR                              0x104      
#define  ADMIN_RTP_SEQ_VAL_ERR_PAR                       0x106
#define  ADMIN_JB_FRAMES_ENQ_PAR                         0x107
#define  ADMIN_JB_FRAMES_MISORDER_PAR                    0x108
#define  ADMIN_JB_FRAMES_TOO_LATE_PAR                    0x109
#define  ADMIN_JB_OVERFLOWS_PAR                          0x10A
#define  ADMIN_JB_FILLER_FRAMES_PAR                      0x10B
#define  ADMIN_JB_OFLOW_FRAMES_PAR                       0x10C
#define  ADMIN_JB_FRAMES_DEQ_PAR                         0x10D
#define  ADMIN_RTP_IMPLICIT_SILENCE_PKT_PAR              0x10E
#define  ADMIN_HARDWARE_INFO_PAR                         0x10F



/* Defines For Tagged Values */
#define  ADMIN_DSP_LOADER_DEF                             0x00
#define  ADMIN_DSP_APP_DEF                                0x01
#define  ADMIN_PROC_APP_DEF                               0x02
#define  ADMIN_PROC_FLASH_DEF                             0x03
#define  ADMIN_CAP_TIME_SET_DEF                           0x01
#define  ADMIN_CAP_CRIT_SEC_DEF                           0x02
#define  ADMIN_CAP_NVRAM_INITIALIZE_DEF                   0x04
#define  ADMIN_CAP_FTRL_DOWNLOAD_DEF                      0x08
#define  ADMIN_CAP_FTRL_QUERY_DEF                         0x10
#define  ADMIN_CAP_CRIT_SEC_RESP_DEF                      0x20
#define  ADMIN_CAP_NETWORK_CONFIG_DEF                     0x40
#define  ADMIN_CAP_NETWORK_QUERY_DEF                      0x80
#define  ADMIN_RESET_SUCCESS_DEF                          0x00
#define  ADMIN_FTRL_SUCCESS_DEF                           0x00
#define  ADMIN_NVRAM_SUCCESS_DEF                          0x00
#define  ADMIN_FTRL_NO_MEMORY_DEF                         0x01
#define  ADMIN_FTRL_READ_SSEEPROM_ERR_DEF                 0x02
#define  ADMIN_NVRAM_READ_SSEEPROM_ERR_DEF                0x02
#define  ADMIN_NVRAM_WRITE_SSEEPROM_ERR_DEF               0x03
#define  ADMIN_FTRL_WRITE_SSEEPROM_ERR_DEF                0x03
#define  ADMIN_FTRL_SSEEPROM_WRITTEN_DEF                  0x04
#define  ADMIN_NVRAM_SSEEPROM_WRITTEN_DEF                 0x04
#define  ADMIN_FTRL_MAGIC_NUM_ERR_DEF                     0x05
#define  ADMIN_FTRL_CHKSUM_ERR_DEF                        0x06
#define  ADMIN_FW_DOWNLOAD_SUCCESS_DEF                    0x00
#define  ADMIN_FW_DOWNLOAD_BAD_TYPE_DEF                   0x01
#define  ADMIN_FW_DOWNLOAD_HEADER_ERR_DEF                 0x02
#define  ADMIN_FW_DOWNLOAD_WRONG_VERSION_DEF              0x03
#define  ADMIN_FW_DOWNLOAD_CODE_POINTER_ERR_DEF           0x04
#define  ADMIN_FW_DOWNLOAD_CRC_ERR_DEF                    0x05
#define  ADMIN_FW_DOWNLOAD_FORMAT_ERR_DEF                 0x06
#define  ADMIN_FW_DOWNLOAD_INCOMPATIBLE_BSP_DEF           0x07
#define  ADMIN_FW_DOWNLOAD_NO_FLASH_IMAGE_DEF             0x08
#define  ADMIN_FW_DOWNLOAD_BAD_DIMENSION_DEF              0x09
#define  ADMIN_FW_DOWNLOAD_FLASH_UPD_ERR_DEF              0x0A
#define  ADMIN_CRIT_SEC_SUCCESS_DEF                       0x00
#define  ADMIN_CRIT_SEC_FAILED_DEF                        0x01
#define  ADMIN_CRIT_SEC_TELEPH_DEF                        0x01
#define  ADMIN_BOARD_STATE_OK_DEF                         0x01
#define  ADMIN_BOARD_STATE_WARNING_DEF                    0x02
#define  ADMIN_BOARD_STATE_ERROR_DEF                      0x03
#define  ADMIN_BOARD_STATE_OUTOFSERVICE_DEF               0x04
#define  ADMIN_BOARD_STATE_OFFLINE_DEF                    0x05
#define  ADMIN_NOTIFY_NETWORK_ALARM_DEF                   0x01
#define  ADMIN_NOTIFY_NETWORK_ERROR_DEF                   0x02
#define  ADMIN_NOTIFY_H110_CLOCK_EVENT_DEF                0x03
#define  ADMIN_NOTIFY_TEMP_ALARM_DEF                      0x04
#define  ADMIN_NOTIFY_BOARD_STATE_DEF                     0x05
#define  ADMIN_NOTIFY_ENET_LINK_DEF                       0x06
#define  ADMIN_NOTIFY_JITTER_DEPTH_CHANGE_DEF             0x07
#define  ADMIN_NOTIFY_JITTER_FRAME_MISSING_DEF            0x08
#define  ADMIN_NOTIFY_JITTER_FRAME_SILENCE_DEF            0x09
#define  ADMIN_NOTIFY_JITTER_FRAME_INCORRECT_ORDER_DEF    0x0A
#define  ADMIN_NOTIFY_JITTER_OVERFLOW_DEF                 0x0B
#define  ADMIN_NOTIFY_JITTER_UNDERFLOW_DEF                0x0C
#define  ADMIN_NOTIFY_RTCP_RX_DEF                         0x0D
#define  ADMIN_NOTIFY_RTCP_SRRR_RX_DEF                    0x0E
#define  ADMIN_NOTIFY_RTCP_SDES_RX_DEF                    0x0F
#define  ADMIN_NOTIFY_RTCP_BYE_RX_DEF                     0x10
#define  ADMIN_NOTIFY_RTCP_APP_RX_DEF                     0x11
#define  ADMIN_NOTIFY_RTP_PAYLOAD_CHANGE_RX_DEF           0x12
#define  ADMIN_NOTIFY_RTP_TIMEOUT_RX_DEF                  0x13
#define  ADMIN_NOTIFY_RTP_RX_DEF                          0x14
#define  ADMIN_NOTIFY_RTP_PROBATION_DEF			  0x15
#define  ADMIN_UNIT_ERROR_NONE_DEF                        0x01
#define  ADMIN_UNIT_ERROR_FRAMING_DEF                     0x02
#define  ADMIN_UNIT_ERROR_CRC_DEF                         0x03
#define  ADMIN_UNIT_ERROR_BPV_DEF                         0x04
#define  ADMIN_UNIT_ERROR_SLIP_DEF                        0x05
#define  ADMIN_UNIT_ALARM_NONE_DEF                        0x01
#define  ADMIN_UNIT_ALARM_LOS_DEF                         0x02
#define  ADMIN_UNIT_ALARM_RAI_DEF                         0x03
#define  ADMIN_UNIT_ALARM_AIS_DEF                         0x04
#define  ADMIN_H110_MASTER_FALLBACK_ACTIVATED_DEF         0x01
#define  ADMIN_H110_MASTER_PRIMARY_ACTIVATED_DEF          0x02
#define  ADMIN_H110_MASTER_LOSS_OF_CLOCK_DEF              0x03
#define  ADMIN_H110_SLAVE_FALLBACK_ACTIVATED_DEF          0x04
#define  ADMIN_H110_SLAVE_PRIMARY_ACTIVATED_DEF           0x05
#define  ADMIN_H110_SLAVE_LOSS_OF_CLOCK_DEF               0x06
#define  ADMIN_H110_MASTER_REF_A_DEF                      0x07
#define  ADMIN_H110_MASTER_REF_B_DEF                      0x08
#define  ADMIN_H110_MASTER_REF_NETREF1_DEF                0x09
#define  ADMIN_H110_MASTER_REF_NETREF2_DEF                0x0A
#define  ADMIN_H110_MASTER_REF_INTERNAL_DEF               0x0B
#define  ADMIN_H110_MASTER_REF_C_DEF                      0x0C
#define  ADMIN_H110_MASTER_REF_D_DEF                      0x0D
#define  ADMIN_H110_MASTER_REF_E_DEF                      0x0E
#define  ADMIN_H110_MASTER_REF_F_DEF                      0x0F
#define  ADMIN_H110_MASTER_REF_G_DEF                      0x10
#define  ADMIN_H110_MASTER_REF_H_DEF                      0x11
#define  ADMIN_H110_MASTER_REF_A_BUS_DEF                  0x12
#define  ADMIN_H110_MASTER_REF_B_BUS_DEF                  0x13
#define  ADMIN_H110_MASTER_REF_NONE_DEF                   0x14
#define  ADMIN_BOARD_TEST_DRAM_DEF                        0x01
#define  ADMIN_BOARD_TEST_HPI_DEF                         0x02
#define  ADMIN_BOARD_TEST_NVRAM_DEF                       0x04
#define  ADMIN_BOARD_TEST_XICOR_DEF                       0x04
#define  ADMIN_BOARD_TEST_GUPI_DEF                        0x08
#define  ADMIN_BOARD_TEST_PCM_CONTROLLER_DEF              0x10
#define  ADMIN_BOARD_TEST_SERIALPORT_DEF                  0x20
#define  ADMIN_BOARD_TEST_SLBSRAM_USING_PPC_DEF           0x40
#define  ADMIN_BOARD_TEST_SLBSRAM_USING_DSP_DEF           0x80
#define  ADMIN_BOARD_TEST_ENET_CONTROLLER_DEF            0x100
#define  ADMIN_CRIT_SEC_GRANTED_DEF                       0x00
#define  ADMIN_CRIT_SEC_ALREADY_HELD_DEF                  0x01
#define  ADMIN_CCODE_USA_DEF                                 1
#define  ADMIN_CCODE_JAPAN_DEF                              81
#define  ADMIN_CONFIG_TRUNK_DEF                           0x01
#define  ADMIN_CONFIG_INTERFACE_DEF                       0x02
#define  ADMIN_TRUNK_NONE_DEF                             0x00
#define  ADMIN_TRUNK_COMMON_MAC_DEF                       0x01
#define  ADMIN_TRUNK_COMMON_IP_DEF                        0x02
#define  ADMIN_TRUNK_AGGREGATION_802_3_DEF                0x03
#define  ADMIN_AF_INET_DEF                                0x02
#define  ADMIN_SPEED_AUTO_DEF                             0x00
#define  ADMIN_SPEED_10M_DEF                              0x01
#define  ADMIN_SPEED_100M_DEF                             0x02
#define  ADMIN_DUPLEX_AUTO_DEF                            0x00
#define  ADMIN_DUPLEX_HALF_DEF                            0x01
#define  ADMIN_DUPLEX_FULL_DEF                            0x02
#define  ADMIN_FULLDUP_AUTO_DEF                           0x00
#define  ADMIN_FULLDUP_RECEIVE_ONLY_DEF                   0x01
#define  ADMIN_FULLDUP_TRANSMIT_ONLY_DEF                  0x02
#define  ADMIN_FULLDUP_BOTH_DEF                           0x03
#define  ADMIN_NETWORK_CONFIG_SUCCESS_DEF                 0x00
#define  ADMIN_BOARD_TEST_STARTED_DEF                        0
#define  ADMIN_BOARD_TEST_SUCCESS_DEF                        1
#define  ADMIN_BOARD_TEST_FAILED_DEF                         2
#define  ADMIN_RTCP_APP_TX_DEF                            0xFE
#define  ADMIN_RTCP_SDES_TX_DEF                           0xFF
#define  ADMIN_TRIGGER_TYPE_ALWAYS_DEF                    0x00
#define  ADMIN_TRIGGER_NOW_DEF                            0x01
#define  ADMIN_NOTIFY_JITTER_DEPTH_DEF                    0xA0
#define  ADMIN_NOTIFY_PACKET_STATS_DEF                    0xA1
#define  ADMIN_NOTIFY_QOS_DEF                             0xA2
#define  ADMIN_ENET_LINK_DOWN_DEF                         0x00
#define  ADMIN_ENET_LINK_UP_DEF                           0x01
#define  ADMIN_ENET_LINK_FAILOVER_DEF                     0x02
#define  ADMIN_ENET_LINK_FAILOVER_TRUNK_DEF               0x03
#define  ADMIN_ENET_LINK_FAILOVER_UNSUCC_DEF              0x04
#define  ADMIN_REPORT_NONE_DEF                            0x00
#define  ADMIN_REPORT_ENET_DEF                            0x01
#define  ADMIN_REPORT_IP_DEF                              0x02
#define  ADMIN_REPORT_ICMP_DEF                            0x04
#define  ADMIN_REPORT_ROUTING_DEF                         0x08
#define  ADMIN_REPORT_ARP_DEF                             0x10
#define  ADMIN_REPORT_UDP_DEF                             0x20
#define  ADMIN_REPORT_IF_DEF                              0x40
#define  ADMIN_VIEW_NONE_DEF                              0x01
#define  ADMIN_VIEW_DIG_REC_NET_DEF                       0x02
#define  ADMIN_VIEW_DIG_REC_NO_NET_DEF                    0x03
#define  ADMIN_VIEW_UNIF_MES_NET_DEF                      0x04
#define  ADMIN_VIEW_UNIF_MES_NO_NET_DEF                   0x05
#define  ADMIN_TOS_ABSENT_DEF                             0x00
#define  ADMIN_TOS_HINT_DEF                               0x01
#define  ADMIN_TOS_REQUIRED_DEF                           0x02
#define  ADMIN_FW_DOWNLOAD_FLASHUPD_SUCCESS_DEF           0x0B
#define  ADMIN_FW_DOWNLOAD_REBOOT_REQUIRED_DEF            0x0C
#define  ADMIN_FW_DOWNLOAD_POWER_CYCLE_REQUIRED_DEF       0x0D
#define  ADMIN_BOARD_STATE_UNINITIALIZED_DEF              0x00
#define  ADMIN_HW_CAB_CHM_DEF                             0x01
#define  ADMIN_HW_SOM_FED_DEF                             0x02

#endif

