
/****************************************************************************
 *
 * Module:               Common.h
 * Date:                 May. 7, 2004
 * Purpose:              All definitions global to the Common Psuedo-facility
 ****************************************************************************
 * (c) 1992-2001 Brooktrout Technology, Inc.                                  *
 *                                                                          *
 *                                                                          *
 *   All Rights Reserved.                                                   *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 * This software is furnished under a license and may only be               *
 * read, modified, copied, or otherwise used in accordance with the         *
 * terms of such license. This notice must never be removed from            *
 * this software and must be included with every copy. No other             *
 * rights to reproduce, use, or disseminate this software in any form,      *
 * in whole or in part, are granted.                                        *
 *                                                                          *
 * Brooktrout Technology, Inc. makes no representation or warranties        *
 * with respect to the performance of this software and specifically        *
 * disclaims any responsibility for any damages, special or                 *
 * consequential, connected with the use of this software.                  *
 *                                                                          *
 ****************************************************************************/
 
#ifndef COMMON_H
#define COMMON_H

/* Facility                   */ 
#define  MILL_FACILITY_COMMON                   0xFF

/* Event                      */ 
#define  COMMON_GET_RSP_EVENT                   0x7C
#define  COMMON_DIAGNOSTIC_REPORT_EVENT         0x7D
#define  COMMON_CAPABILITIES_LIST_EVENT         0x7E
#define  COMMON_ERROR_REPORT_EVENT              0x7F

/* Request                    */ 
#define  COMMON_GET_CAPABILITIES_REQUEST        0x7F

/* Variable/Parameter         */ 
#define  COMMON_CONTINUED_PAR                   0x74
#define  COMMON_CONTINUATION_PAR                0x75
#define  COMMON_CAPABILITIES_PAR                0x76
#define  COMMON_DEBUG_CONTROL_VAR               0x77
#define  COMMON_RESULT_CODE_PAR                 0x78
#define  COMMON_CURRENT_STREAM_VAR              0x79
#define  COMMON_STREAM_VALUE_PAR                0x7A
#define  COMMON_DIAGNOSTIC_DATA_PAR             0x7B
#define  COMMON_DIAGNOSTIC_MESSAGE_PAR          0x7C
#define  COMMON_ERROR_DATA_PAR                  0x7D
#define  COMMON_ERROR_MESSAGE_PAR               0x7E
#define  COMMON_ERROR_VALUE_PAR                 0x7F
#define  COMMON_ERROR_INVALID_VERB_PAR          0x60
#define  COMMON_ERROR_INVALID_VERB_SPECIFIER_PAR  0x61
#define  COMMON_HOST_CONTEXT_PAR                0x62

/* Defines For Tagged Values  */ 
#define  COMMON_FALSE_DEF                       0x00
#define  COMMON_TRUE_DEF                        0x01
#define  COMMON_ERR_XMIT_UNDERRUN_DEF           0x05
#define  COMMON_ERR_RCV_OVERRUN_DEF             0x06
#define  COMMON_ERR_ILLEGAL_CONFIG_DEF          0x09
#define  COMMON_ERR_DATA_HEADER_DEF             0x0C
#define  COMMON_ERR_FIRMWARE_PANIC_DEF          0xFF
#define  COMMON_ERR_MODEM_ERR_DEF               0x101
#define  COMMON_ERR_ILLEGAL_VAR_VALUE_DEF       0x102
#define  COMMON_ERR_NO_RESOURCES_DEF            0x103
#define  COMMON_ERR_TIMEOUT_DEF                 0x104
#define  COMMON_ERR_BAD_SEQ_DEF                 0x105
#define  COMMON_ERR_NO_DATA_MOTION_DEF          0x106
#define  COMMON_ERR_ARRAY_OVERFLOW_DEF          0x107
#define  COMMON_ERR_INVALID_CMD_FOR_FW_STATE_DEF 0x108
#define  COMMON_ERR_INVALID_MEDIA_RESOURCE_FOR_CMD 0x109

/* Types                      */ 
#define  MILL_UNIT_NONE                         0x00
#define  MILL_UNIT_CHARACTER                    0x10
#define  MILL_UNIT_BOOLEAN                      0x20
#define  MILL_UNIT_CBELLS                       0x30
#define  MILL_UNIT_MSEC                         0x40
#define  MILL_UNIT_HZ                           0x50
#define  MILL_UNIT_BYTES                        0x60
#define  MILL_UNIT_CBM                          0x70
#define  MILL_SIZE_BYTE                         0x00
#define  MILL_SIZE_SHORT                        0x01
#define  MILL_SIZE_LONG                         0x02
#define  MILL_SIZE_LIST                         0x03
#define  MILL_FIXED                             0x00
#define  MILL_EXTENSIBLE                        0x08
#define  MILL_EXTENSION_FLAG                    0x80
#define  MILL_FLAG_PRI                          0x40
#define  MILL_FLAG_ACK                          0x00
#define  MILL_FLAG_FAC                          0x20
#define  MILL_MASK_VER                          0x1C
#define  MILL_VER_0                             0x00
#define  MILL_VER_1                             0x04
#define  MILL_UNSIGNED                          0x00
#define  MILL_SIGNED                            0x04
#define  MILL_TYPE_MASK_SIZE                    0x03
#define  MILL_TYPE_MASK_SIGNED                  0x04
#define  MILL_TYPE_MASK_EXTEND                  0x08
#define  MILL_TYPE_MASK_UNIT                    0x70

/* Verbs                      */ 
#define  MILL_VERB_NOTHING                      0x00
#define  MILL_VERB_START                        0x01
#define  MILL_VERB_FINISH                       0x02
#define  MILL_VERB_DATA                         0x03
#define  MILL_VERB_SET                          0x04
#define  MILL_VERB_LET                          0x05
#define  MILL_VERB_GET                          0x06
#define  MILL_VERB_RESTORE                      0x07
#define  MILL_VERB_EVENT                        0x08
#define  MILL_VERB_INDIRECT                     0x09
#define  MILL_VERB_REQUEST                      0x0A

#endif
