
/****************************************************************************
 *
 * Module:               Fax.h
 * Date:                 Jun. 22, 2005
 * Purpose:              All definitions global to the Fax facility
 ****************************************************************************
 * (c) 1992-2001 Brooktrout Technology, Inc.                                  *
 * (c) 1993-2001 AltoCom, Inc.                                                *
 *                                                                          *
 *   All Rights Reserved.                                                   *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 * This software is furnished under a license and may only be               *
 * read, modified, copied, or otherwise used in accordance with the         *
 * terms of such license. This notice must never be removed from            *
 * this software and must be included with every copy. No other             *
 * rights to reproduce, use, or disseminate this software in any form,      *
 * in whole or in part, are granted.                                        *
 *                                                                          *
 * Brooktrout Technology, Inc. makes no representation or warranties        *
 * with respect to the performance of this software and specifically        *
 * disclaims any responsibility for any damages, special or                 *
 * consequential, connected with the use of this software.                  *
 *                                                                          *
 ****************************************************************************/
 
#ifndef FAX_H
#define FAX_H

/* Facility                   */ 
#define  MILL_FACILITY_FAX                            0x09

/* Event                      */ 
#define  FAX_XMIT_RCV_STARTED_EVENT                   0x02
#define  FAX_XMIT_RCV_FINISHED_EVENT                  0x03
#define  FAX_TRAINING_COMPLETED_EVENT                 0x04
#define  FAX_FSK_DATA_EVENT                           0x05
#define  FAX_PAGE_COMPLETE_EVENT                      0x06
#define  FAX_CONFIRMATION_EVENT                       0x07
#define  FAX_DIRECTION_CHANGE_EVENT                   0x08
#define  FAX_FONT_DL_STARTED_EVENT                    0x09
#define  FAX_FONT_DL_FINISHED_EVENT                   0x0A
#define  FAX_RTF_STARTED_EVENT                        0x0B
#define  FAX_RTF_FINISHED_EVENT                       0x0C
#define  FAX_TRANSCODE_STARTED_EVENT                  0x0D
#define  FAX_TRANSCODE_FINISHED_EVENT                 0x0E
#define  FAX_V34_INFO_EVENT                           0x0F
#define  FAX_T30_HOLDUP_EVENT                         0x10

/* Request                    */ 
#define  FAX_XMIT_STRIP_START_REQUEST                 0x02
#define  FAX_XMIT_EOP_REQUEST                         0x03
#define  FAX_HEADER_REQUEST                           0x04
#define  FAX_T30_CONTINUE_REQUEST                     0x05
#define  FAX_SETSUBPWDSEP_REQUEST                     0x06
#define  FAX_SETNSFNSS_REQUEST                        0x07

/* Start/Finish               */ 
#define  FAX_XMIT_RCV_MODE                            0x02
#define  FAX_FONT_DOWNLOAD_MODE                       0x03
#define  FAX_RTF_MODE                                 0x04
#define  FAX_TEST_MODEM_MODE                          0x05
#define  FAX_TRANSCODE_MODE                           0x06

/* Variable/Parameter         */ 
#define  FAX_ORIG_ANS_PAR                             0x02
#define  FAX_CAN_XMIT_PAR                             0x03
#define  FAX_CAN_RCV_PAR                              0x04
#define  FAX_XMIT_PG_RES_PAR                          0x05
#define  FAX_XMIT_PG_WIDTH_PAR                        0x06
#define  FAX_XMIT_PG_TOP_MAR_PAR                      0x07
#define  FAX_XMIT_PG_BOT_MAR_PAR                      0x08
#define  FAX_XMIT_PG_LEN_PAR                          0x09
#define  FAX_XMIT_PG_PAD_PAR                          0x0A
#define  FAX_XMIT_PG_IMAGE_LIMITS_PAR                 0x0B
#define  FAX_RCV_FORMAT_PAR                           0x0C
#define  FAX_TERMINATION_CODE_PAR                     0x0D
#define  FAX_FSK_DIR_PAR                              0x0E
#define  FAX_FSK_DATA_PAR                             0x0F
#define  FAX_NUM_LINES_SENT_PAR                       0x10
#define  FAX_NUM_LINES_EXCHANGED_PAR                  0x11
#define  FAX_NUM_BAD_LINES_PAR                        0x12
#define  FAX_NUM_ASCII_BYTES_PAR                      0x13
#define  FAX_CONTINUING_PAR                           0x14
#define  FAX_CONF_VAL_PAR                             0x15
#define  FAX_XMIT_STRIP_FORMAT_PAR                    0x16
#define  FAX_XMIT_STRIP_RES_PAR                       0x17
#define  FAX_XMIT_STRIP_WIDTH_PAR                     0x18
#define  FAX_XMIT_STRIP_ASCII_FONT_NUM_PAR            0x19
#define  FAX_XMIT_ASCII_LEFT_MAR_PAR                  0x1A
#define  FAX_XMIT_ASCII_RIGHT_MAR_PAR                 0x1B
#define  FAX_XMIT_ASCII_LINE_SP_PAR                   0x1C
#define  FAX_IS_LAST_PAGE_PAR                         0x1D
#define  FAX_FONT_NUM_PAR                             0x1E
#define  FAX_EMITTER_OR_RECEIVER_PAR                  0x20
#define  FAX_RTF_TYPE_PAR                             0x21
#define  FAX_RELIABILITY_PAR                          0x22
#define  FAX_RTF_XMIT_PARAMS_PAR                      0x23
#define  FAX_RTF_RCV_PARAMS_PAR                       0x24
#define  FAX_LOCAL_ID_VAR                             0x25
#define  FAX_XMIT_STRIP_ASCII_EOF_PAR                 0x26
#define  FAX_XMIT_PG_BREAK_PAR                        0x27
#define  FAX_SEND_MODE_PAR                            0x28
#define  FAX_RCV_MODE_PAR                             0x29
#define  FAX_RCV_RES_FORCE_PAR                        0x2A
#define  FAX_HEADER_TYPE_PAR                          0x2B
#define  FAX_HEADER_ACTION_PAR                        0x2C
#define  FAX_HEADER_STRING_PAR                        0x2D
#define  FAX_ECM_ENABLE_VAR                           0x2E
#define  FAX_ERROR_ENABLE_VAR                         0x2F
#define  FAX_ERROR_MULT_VAR                           0x30
#define  FAX_ERROR_THRESH_VAR                         0x31
#define  FAX_LINE_COMPRESSION_VAR                     0x32
#define  FAX_MAX_WIDTH_VAR                            0x33
#define  FAX_MIN_LENGTH_VAR                           0x34
#define  FAX_RESTRICT_RES_VAR                         0x35
#define  FAX_WIDTH_RES_BEHAVIOR_VAR                   0x36
#define  FAX_CAP_FORMATS_PAR                          0x37
#define  FAX_CAP_FEATURES_PAR                         0x38
#define  FAX_FONT_DOWNLOADED_VAR                      0x39
#define  FAX_MEM_REMAINING_VAR                        0x3A
#define  FAX_TEST_BERT_RECV_PAR                       0x3B
#define  FAX_TEST_PATTERN_PAR                         0x3C
#define  FAX_TEST_MODEM_SELECT_PAR                    0x3D
#define  FAX_FORCE_EOM_PAR                            0x3E
#define  FAX_MAX_BIT_RATE_VAR                         0x3F
#define  FAX_MIN_SCAN_TIME_VAR                        0x40
#define  FAX_MODULATION_TYPE_VAR                      0x41
#define  FAX_V34_2400_BAUD_CTRL_ENABLE_VAR            0x42
#define  FAX_V34_CI_ENABLE_VAR                        0x43
#define  FAX_V34_STATUS_PAR                           0x44
#define  FAX_V8_DATA_PAR                              0x45
#define  FAX_V34_SPEED_PAR                            0x46
#define  FAX_V8_COMMAND_PAR                           0x47
#define  FAX_LOCAL_TZ_OFFSET_VAR                      0x48
#define  FAX_EFF_PAGE_TYPE_PAR                        0x49
#define  FAX_T30_HOLDUP_ENABLE_PAR                    0x4A
#define  FAX_T30_HOLDUP_SECTION_PAR                   0x4B
#define  FAX_EFF_CAPS_VAR                             0x4C
#define  FAX_V34_ENABLE_VAR                           0x4D
#define  FAX_SUBPWDSEP_ENABLE_VAR                     0x4E
#define  FAX_FSK_SELECTOR_PAR                         0x4F
#define  FAX_DATA_LEVEL_VAR                           0x50
#define  FAX_RECEIVE_LEVEL_VAR                        0x51
#define  FAX_T30H_RCV_MCF_FSK_PAR                     0x52
#define  FAX_CONSECUTIVE_BADLINES_PAR                 0x53
#define  FAX_RTP_ENABLE_VAR                           0x54
#define  FAX_RTP_MULT_VAR                             0x55
#define  FAX_BADLINE_BEHAVIOR_VAR		      0x57
#define  FAX_EXTENDED_RESTRICT_RES_VAR                0x58
#define  FAX_V34_TRANSMIT_ONLY_ENABLE_VAR             0x59

/* Defines For Tagged Values  */ 
#define  FAX_XMIT_RCV_MODE_AUTO_DEF                    0x0
#define  FAX_XMIT_RCV_MODE_MANUAL_DEF                  0x1
#define  FAX_RES_AUTOMATIC_DEF                        0xFF
#define  FAX_RES_200H_100V_DEF                        0x00
#define  FAX_RES_200H_200V_DEF                        0x01
#define  FAX_RES_200H_400V_DEF                        0x02
#define  FAX_RES_300H_300V_DEF                        0x03
#define  FAX_RES_400H_400V_DEF                        0x04
#define  FAX_WIDTH_A4_DEF                             0x00
#define  FAX_WIDTH_B4_DEF                             0x01
#define  FAX_WIDTH_A3_DEF                             0x02
#define  FAX_XMIT_LIMIT_MARGINS_DEF                   0x01
#define  FAX_XMIT_LIMIT_PADDING_DEF                   0x02
#define  FAX_XMIT_LIMIT_BREAKING_DEF                  0x04
#define  FAX_FSK_XMIT_DEF                             0x00
#define  FAX_FSK_RCV_DEF                              0x01
#define  FAX_FMT_MH_DEF                               0x00
#define  FAX_FMT_MR_DEF                               0x01
#define  FAX_FMT_MMR_DEF                              0x02
#define  FAX_FMT_PCX_DEF                              0x03
#define  FAX_FMT_ASCII_DEF                            0x04
#define  FAX_FMT_JBIG_DEF                             0x05
#define  FAX_FMT_RLX_DEF                              0x06
#define  FAX_EOL_UNALIGNED_DEF                        0x00
#define  FAX_EOL_ALIGNED_DEF                          0x08
#define  FAX_FMT_MSB_DEF                              0x00
#define  FAX_FMT_LSB_DEF                              0x10
#define  FAX_T38_DEF                                  0x00
#define  FAX_EMITTER_DEF                              0x00
#define  FAX_RECEIVER_DEF                             0x01
#define  FAX_RELIABLE_DEF                             0x00
#define  FAX_UNRELIABLE_DEF                           0x01
#define  FAX_ORIGINATE_DEF                            0x00
#define  FAX_ANSWER_DEF                               0x01
#define  FAX_TERM_NORMAL_XMIT_DEF                        0
#define  FAX_TERM_RNG_DET_DEF                            1
#define  FAX_TERM_ABORT_DEF                              2
#define  FAX_TERM_INVALID_POLLING_ATTEMPT_DEF            5
#define  FAX_TERM_T1_TIMEOUT_DEF                        11
#define  FAX_TERM_XMITB_TIMEOUT_DEF                     20
#define  FAX_TERM_XMITB_NORM_DEF                        21
#define  FAX_TERM_XMITB_MISC_DEF                        22
#define  FAX_TERM_XMITB_COMREC_VCNR_DEF                 23
#define  FAX_TERM_XMITB_SE_DEF                          24
#define  FAX_TERM_XMITB_DCS_FTC_DEF                     25
#define  FAX_TERM_XMITB_DIS_FTC_DEF                     26
#define  FAX_TERM_XMITB_TRAINFAIL_DEF                   27
#define  FAX_TERM_XMITB_RSPREC_VCNR_DEF                 28
#define  FAX_TERM_XMITB_COMREC_DCN_DEF                  29
#define  FAX_TERM_XMITB_RSPREC_DCN_DEF                  30
#define  FAX_TERM_PHASEB_INCOMPAT_FMT_DEF               33
#define  FAX_TERM_XMITB_FTM_NOECM_DEF                   35
#define  FAX_TERM_XMITB_INCMP_FTM_DEF                   36
#define  FAX_TERM_XMITB_INCMP_EFF_DEF                   37
#define  FAX_TERM_XMITB_NOEFF_DEF                       38
#define  FAX_TERM_XMITD_RR_NORES_DEF                    40
#define  FAX_TERM_XMITD_CTC_NORES_DEF                   41
#define  FAX_TERM_XMITD_T5TO_RR_DEF                     42
#define  FAX_TERM_XMITD_NOCONT_NSTMSG_DEF               43
#define  FAX_TERM_XMITD_ERRRES_EOREOP_DEF               44
#define  FAX_TERM_XMITD_RTN_DCN_DEF                     45
#define  FAX_TERM_XMITD_PPR_EOR_DEF                     46
#define  FAX_TERM_XMITD_SE_DEF                          51
#define  FAX_TERM_XMITD_MPS_FTC_DEF                     52
#define  FAX_TERM_XMITD_MPS_VCNR_DEF                    53
#define  FAX_TERM_XMITD_EOP_FTC_DEF                     54
#define  FAX_TERM_XMITD_EOP_VCNR_DEF                    55
#define  FAX_TERM_XMITD_EOM_FTC_DEF                     56
#define  FAX_TERM_XMITD_EOM_VCNR_DEF                    57
#define  FAX_TERM_XMITD_RSPREC_DCN_DEF                  60
#define  FAX_TERM_XMITD_PPSNULL_NORES_DEF               61
#define  FAX_TERM_XMITD_PPSMPS_NORES_DEF                62
#define  FAX_TERM_XMITD_PPSEOP_NORES_DEF                63
#define  FAX_TERM_XMITD_PPSEOM_NORES_DEF                64
#define  FAX_TERM_XMITD_EORNULL_NORES_DEF               65
#define  FAX_TERM_XMITD_EORMPS_NORES_DEF                66
#define  FAX_TERM_XMITD_EOREOP_NORES_DEF                67
#define  FAX_TERM_XMITD_EOREOM_NORES_DEF                68
#define  FAX_TERM_RCVB_TIMEOUT_DEF                      70
#define  FAX_TERM_RCVB_SE_DEF                           71
#define  FAX_TERM_RCVB_MISC_DEF                         72
#define  FAX_TERM_T2_PNOTREC_DEF                        73
#define  FAX_TERM_RCVB_T1_TIMEOUT_DEF                   74
#define  FAX_TERM_NORMAL_RCV_DEF                        75
#define  FAX_TERM_RCVB_RSPREC_DCN_DEF                   76
#define  FAX_TERM_T2_TIMEOUT_DEF                        77
#define  FAX_TERM_RCVB_FTM_NOECM_DEF                    79
#define  FAX_TERM_RCVB_INCOMPATIBLE_REMOTE_DEF          80
#define  FAX_TERM_RCVD_SE_VCNR_DEF                     101
#define  FAX_TERM_RCVD_COMREC_VCNR_DEF                 102
#define  FAX_TERM_RCVD_T3TO_NORESP_DEF                 103
#define  FAX_TERM_RCVD_T2TO_DEF                        104
#define  FAX_TERM_RCVD_DCN_COMREC_DEF                  105
#define  FAX_TERM_RCVD_COMREC_ERR_DEF                  106
#define  FAX_TERM_RCVD_BLKCT_ERR_DEF                   107
#define  FAX_TERM_RCVD_PGCT_ERR_DEF                    108
#define  FAX_TERM_RCVD_EOR_DEF                         109
#define  FAX_TERM_RCVD_RNRTO_DEF                       110
#define  FAX_TERM_RCVC_EOL_TIMEOUT_DEF                 150
#define  FAX_TERM_RCVC_BAD_MMR_DEF                     151
#define  FAX_TERM_T30_HOLDUP_DEF                       242
#define  FAX_TERM_HOLDUP_DCN_DEF                       243
#define  FAX_TERM_HOLDUP_DCN_NON_FPAD_DEF              244
#define  FAX_HEADER_TYPE_HEADER_DEF                   0x00
#define  FAX_HEADER_TYPE_FOOTER_DEF                   0x01
#define  FAX_HEADER_ACTION_DISABLE_DEF                0x00
#define  FAX_HEADER_ACTION_OVERLAY_DEF                0x01
#define  FAX_HEADER_ACTION_REPLACE_DEF                0x02
#define  FAX_HEADER_ACTION_INSERT_DEF                 0x03
#define  FAX_ECM_DISABLE_DEF                          0x00
#define  FAX_ECM_ENABLE_256_DEF                       0x01
#define  FAX_ECM_ENABLE_64_DEF                        0x02
#define  FAX_WIDTH_RES_TERM_DEF                       0x00
#define  FAX_WIDTH_RES_SCALE_DEF                      0x01
#define  FAX_WIDTH_RES_TRUNC_DEF                      0x02
#define  FAX_RESBIT_200H_100V_DEF                     0x00
#define  FAX_RESBIT_200H_200V_DEF                     0x01
#define  FAX_RESBIT_200H_400V_DEF                     0x02
#define  FAX_RESBIT_300H_300V_DEF                     0x04
#define  FAX_RESBIT_400H_400V_DEF                     0x08
#define  FAX_CAP_MMR_FMT_DEF                          0x01
#define  FAX_CAP_MR_FMT_DEF                           0x02
#define  FAX_CAP_PCX_FMT_DEF                          0x04
#define  FAX_CAP_ASCII_NATIVE_DEF                     0x08
#define  FAX_CAP_JPEG_NATIVE_DEF                      0x10
#define  FAX_CAP_JBIG_NATIVE_DEF                      0x20
#define  FAX_CAP_XMIT_DEF                             0x01
#define  FAX_CAP_ECM_DEF                              0x02
#define  FAX_CAP_WIDTH_DEF                            0x04
#define  FAX_CAP_BFT_DEF                              0x08
#define  FAX_CAP_MMR_XMIT_DEF                         0x10
#define  FAX_CAP_MR_XMIT_DEF                          0x20
#define  FAX_CAP_FAX_PAD_DEF                          0x40
#define  FAX_CAP_SUBPWDSEP_DEF                        0x80
#define  FAX_CAP_PAGE_OVERLAY_DEF                    0x100
#define  FAX_CAP_FORCE_RES_DEF                       0x200
#define  FAX_CAP_2X4_3X3_4X4_DEF                     0x400
#define  FAX_CAP_G3_PT_DEF                           0x800
#define  FAX_CAP_JPEG_PAGES_DEF                     0x1000
#define  FAX_CAP_JBIG_PAGES_DEF                     0x2000
#define  FAX_CAP_LOSSLESS_COLOR_DEF                 0x4000
#define  FAX_CAP_T38_DEF                           0x40000
#define  FAX_CAP_V34_DEF                            0x8000
#define  FAX_CAP_LOCAL_TIME_DEF                    0x10000
#define  FAX_CAP_T30_HOLDUP_DEF                    0x20000
#define  FAX_LCOMPR_MH_DEF                            0x00
#define  FAX_LCOMPR_MH_MR_DEF                         0x01
#define  FAX_LCOMPR_MH_MR_MMR_DEF                     0x05
#define  FAX_FONT_DLSTAT_SUCCESS_DEF                     0
#define  FAX_FONT_DLSTAT_MEMORY_DEF                      1
#define  FAX_FONT_DLSTAT_INUSE_DEF                       2
#define  FAX_FONT_DLSTAT_MISC_ERR_DEF                    3
#define  FAX_TRANSMIT_TEST_PATTERN_DEF                0x00
#define  FAX_RECEIVE_TEST_PATTERN_DEF                 0x01
#define  FAX_ALL_ZERO_BITS_TEST_PATTERN_DEF           0x00
#define  FAX_ALL_ONE_BITS_TEST_PATTERN_DEF            0x01
#define  FAX_ALT_ZERO_AND_ONE_TEST_PATTERN_DEF        0x02
#define  FAX_V21_300_BPS_MODEM_DEF                    0x00
#define  FAX_V27TER_2400_BPS_MODEM_DEF                0x01
#define  FAX_V27TER_4800_BPS_MODEM_DEF                0x02
#define  FAX_V29_7200_BPS_MODEM_DEF                   0x03
#define  FAX_V29_9600_BPS_MODEM_DEF                   0x04
#define  FAX_V17_7200_BPS_MODEM_DEF                   0x05
#define  FAX_V17_9600_BPS_MODEM_DEF                   0x06
#define  FAX_V17_12000_BPS_MODEM_DEF                  0x07
#define  FAX_V17_14400_BPS_MODEM_DEF                  0x08
#define  FAX_V33_12000_BPS_MODEM_DEF                  0x09
#define  FAX_V33_14400_BPS_MODEM_DEF                  0x0A
#define  FAX_BITRATE_2400_DEF                         0x00
#define  FAX_BITRATE_7200_DEF                         0x01
#define  FAX_BITRATE_4800_DEF                         0x02
#define  FAX_BITRATE_9600_DEF                         0x03
#define  FAX_BITRATE_12000_DEF                        0x04
#define  FAX_BITRATE_14400_DEF                        0x05
#define  FAX_BITRATE_16800_DEF                        0x06
#define  FAX_BITRATE_19200_DEF                        0x07
#define  FAX_BITRATE_21600_DEF                        0x08
#define  FAX_BITRATE_24000_DEF                        0x09
#define  FAX_BITRATE_26400_DEF                        0x0A
#define  FAX_BITRATE_28800_DEF                        0x0B
#define  FAX_BITRATE_31200_DEF                        0x0C
#define  FAX_BITRATE_33600_DEF                        0x0D
#define  FAX_BITRATE_GENERIC_DEF                      0xFF
#define  FAX_SCAN_TIME_20_DEF                         0x00
#define  FAX_SCAN_TIME_5_DEF                          0x01
#define  FAX_SCAN_TIME_10_DEF                         0x02
#define  FAX_SCAN_TIME_40_DEF                         0x04
#define  FAX_SCAN_TIME_0_DEF                          0x07
#define  FAX_MODULATION_GENERIC_DEF                   0x00
#define  FAX_MODULATION_V27_DEF                       0x01
#define  FAX_MODULATION_V29_DEF                       0x02
#define  FAX_MODULATION_V33_DEF                       0x03
#define  FAX_MODULATION_V17_DEF                       0x04
#define  FAX_MODULATION_V34_DEF                       0x05
#define  FAX_ANSAM_DET_DEF                             0x1
#define  FAX_V8_SENT_DEF                               0x2
#define  FAX_V8_RECEIVED_DEF                           0x3
#define  FAX_V34_MODE_SELECTED_DEF                     0x4
#define  FAX_V34_SPEED_SELECTED_DEF                    0x5
#define  FAX_V34_SPEED_FALLBACK_DEF                    0x6
#define  FAX_V8_CM_DEF                                   1
#define  FAX_V8_JM_DEF                                   2
#define  FAX_V8_CJ_DEF                                   3
#define  FAX_EFF_NONE_DEF                           0x0000
#define  FAX_EFF_JPEG_DEF                           0x0001
#define  FAX_EFF_JPEG_FULLCOLOR_DEF                 0x0002
#define  FAX_EFF_JPEG_DFLT_TABLES_DEF               0x0004
#define  FAX_EFF_JPEG_12BIT_DEF                     0x0008
#define  FAX_EFF_JPEG_NOSUBSAMPLING_DEF             0x0010
#define  FAX_EFF_JPEG_CUST_ILLUM_DEF                0x0020
#define  FAX_EFF_JPEG_CUST_GAMUT_DEF                0x0040
#define  FAX_EFF_JBIG_DEF                           0x0100
#define  FAX_EFF_JBIG_L0_DEF                        0x0200
#define  FAX_EFF_LOSSLESS_DEF                       0x0400
#define  FAX_EFF_MRC_MASK_DEF                       0x3800
#define  FAX_EFF_PLANE_INTERLEAVE_DEF               0x4000
#define  FAX_EFF_PAGE_LENGTH_STRIP_DEF              0x8000
#define  FAX_T30_HOLDUP_NONE_DEF                      0x00
#define  FAX_T30_HOLDUP_DCS_DEF                       0x01
#define  FAX_T30_HOLDUP_RCV_MCF_DEF                   0x02
#define  FAX_T30H_SECTION_XMIT_DCS_DEF                0x05
#define  FAX_T30H_SECTION_RCV_DCS_DEF                 0x06
#define  FAX_T30H_SECTION_RCV_MCF_DEF                 0x07
#define  FAX_SUBPWDSEP_NONE_DEF                       0x00
#define  FAX_SUBPWDSEP_SEP_DEF                        0x01
#define  FAX_SUBPWDSEP_PWD_DEF                        0x02
#define  FAX_SUBPWDSEP_SUB_DEF                        0x04
#define  FAX_FSK_SEP_DEF                              0xA1
#define  FAX_FSK_PWD_XMIT_1_DEF                       0xA2
#define  FAX_FSK_PWD_POLL_DEF                         0xC1
#define  FAX_FSK_SUB_1_DEF                            0xC2
#define  FAX_FSK_NSF_DEF                              0x20
#define  FAX_FSK_NSS_1_DEF                            0x22
#define  FAX_RES_600H_600V_DEF                        0x05
#define  FAX_RES_1200H_1200V_DEF                      0x06
#define  FAX_RES_300H_600V_DEF                        0x07
#define  FAX_RES_400H_800V_DEF                        0x08
#define  FAX_RES_600H_1200V_DEF                       0x09
#define  FAX_RES_100H_100V_DEF                        0x0a
#define  FAX_RESBIT_100H_100V_DEF                     0x00
#define  FAX_RESBIT_300H_600V_DEF                     0x10
#define  FAX_RESBIT_400H_800V_DEF                     0x20
#define  FAX_RESBIT_600H_600V_DEF                     0x40
#define  FAX_RESBIT_600H_1200V_DEF                    0x80
#define  FAX_RESBIT_1200H_1200V_DEF                  0x100
#define  FAX_CAP_OTHER_RES_COMBOS_DEF              0x80000
#define  FAX_BADLINE_REPLACE				 0
#define  FAX_BADLINE_DROP			         1
#define  FAX_BADLINE_REPAIR				 2
#define  FAX_FONT_DLSTAT_INVALID_NUM_DEF               0x4
#define  FAX_V34_MODE_DESELECTED_DEF                   0x7



#endif




