
/****************************************************************************
 *
 * Module:               IPV.h
 * Date:                 Dec. 21, 2000
 * Purpose:              All definitions global to the IP Voice facility
 ****************************************************************************
 * (c) 1992-2001 Brooktrout Technology, Inc.                                *
 *                                                                          *
 *                                                                          *
 *   All Rights Reserved.                                                   *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 * This software is furnished under a license and may only be               *
 * read, modified, copied, or otherwise used in accordance with the         *
 * terms of such license. This notice must never be removed from            *
 * this software and must be included with every copy. No other             *
 * rights to reproduce, use, or disseminate this software in any form,      *
 * in whole or in part, are granted.                                        *
 *                                                                          *
 * Brooktrout Technology, Inc. makes no representation or warranties        *
 * with respect to the performance of this software and specifically        *
 * disclaims any responsibility for any damages, special or                 *
 * consequential, connected with the use of this software.                  *
 *                                                                          *
 ****************************************************************************/

 
#ifndef IPV_H
#define IPV_H

/* Facility               */ 
#define  MILL_FACILITY_IP_VOICE                 0x0A

/* Event                  */ 
#define  IPV_HOST_MODE_STARTED_EVENT             0x02
#define  IPV_HOST_MODE_FINISHED_EVENT            0x03
#define  IPV_RTP_MODE_STARTED_EVENT              0x04
#define  IPV_RTP_MODE_FINISHED_EVENT             0x05
#define  IPV_IVR_MODE_STARTED_EVENT              0x06
#define  IPV_IVR_MODE_FINISHED_EVENT             0x07
#define  IPV_HOST_FRAME_TICK_EVENT               0x08
#define  IPV_RTP_FRAME_TICK_EVENT                0x09
#define  IPV_IVR_FRAME_TICK_EVENT                0x0A

/* Start/Finish           */ 
#define  IPV_HOST_MODE                           0x02
#define  IPV_RTP_MODE                            0x03
#define  IPV_IVR_MODE                            0x04

/* Variable/Parameter     */ 
#define  IPV_VOICE_SUBCHANNEL_VAR                0x02
#define  IPV_START_MESSAGE_PAR                   0x03
#define  IPV_BITSTREAM_ADDR_PAR                  0x04
#define  IPV_CMD_ADDR_PAR                        0x05
#define  IPV_DEBUG_ADDR_PAR                      0x06
#define  IPV_DSP_VERSION_PAR                     0x07
#define  IPV_EVENT_FRAME_PAR                     0x96
#define  IPV_BITSTREAM_TO_HOST_PAR               0x97

/* defines                */
#define IPV_START_GATEWAY_DEF                            0x86
#define IPV_START_TRACE_DEF                              0x87
#define IPV_START_HOST_DATA_READY_DEF                    0x89


#endif
