
/****************************************************************************
 *
 * Module:               PPI.h
 * Date:                 Oct. 25, 2002
 * Purpose:              All definitions global to PPI facility
 ****************************************************************************
 * (c) 1992-2001 Brooktrout Technology, Inc.                                  *
 *                                                                          *
 *                                                                          *
 *   All Rights Reserved.                                                   *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 * This software is furnished under a license and may only be               *
 * read, modified, copied, or otherwise used in accordance with the         *
 * terms of such license. This notice must never be removed from            *
 * this software and must be included with every copy. No other             *
 * rights to reproduce, use, or disseminate this software in any form,      *
 * in whole or in part, are granted.                                        *
 *                                                                          *
 * Brooktrout Technology, Inc. makes no representation or warranties        *
 * with respect to the performance of this software and specifically        *
 * disclaims any responsibility for any damages, special or                 *
 * consequential, connected with the use of this software.                  *
 *                                                                          *
 ****************************************************************************/
 
#ifndef PPI_H
#define PPI_H

/* Facility                   */
#define  MILL_FACILITY_PPI                          0x0F

/* Event                      */
#define  PPI_PACKETIZER_INBOUND_STARTED_EVENT       0x02
#define  PPI_PACKETIZER_INBOUND_FINISHED_EVENT      0x03
#define  PPI_PACKETIZER_OUTBOUND_STARTED_EVENT      0x04
#define  PPI_PACKETIZER_OUTBOUND_FINISHED_EVENT     0x05
#define  PPI_PACKETFLOW_STARTED_EVENT               0x06
#define  PPI_PACKETFLOW_FINISHED_EVENT              0x07
#define  PPI_INBOUND_PARMS_QUERIED_EVENT            0x08
#define  PPI_OUTBOUND_PARMS_QUERIED_EVENT           0x09
#define  PPI_OUTBOUND_PARMS_MODIFIED_EVENT          0x0A
#define  PPI_INBOUND_PARMS_MODIFIED_EVENT           0x0B

/* Request                    */
#define  PPI_INBOUND_PARMS_QUERY_REQUEST            0x02
#define  PPI_OUTBOUND_PARMS_QUERY_REQUEST           0x03
#define  PPI_INBOUND_PARMS_MODIFY_REQUEST           0x04
#define  PPI_OUTBOUND_PARMS_MODIFY_REQUEST          0x05
#define  PPI_RTCP_REPORT_REQUEST                    0x06

/* Start/Finish               */
#define  PPI_PACKETIZER_INBOUND_MODE                0x02
#define  PPI_PACKETIZER_OUTBOUND_MODE               0x03
#define  PPI_PACKETFLOW_MODE                        0x04
#define  PPI_PACKETIZER_MODE                        0x05

/* Variable/Parameter         */
#define  PPI_CODERTYPE_VAR                          0x02
#define  PPI_FRAMEDURATION_VAR                      0x03
#define  PPI_FRAMESPERPACKET_VAR                    0x04
#define  PPI_LOCALADDR_FAMILY_PAR                   0x05
#define  PPI_LOCALADDR_PORT_PAR                     0x06
#define  PPI_LOCALADDR_PAR                          0x07
#define  PPI_REMOTEADDR_FAMILY_PAR                  0x08
#define  PPI_REMOTEADDR_PORT_PAR                    0x09
#define  PPI_REMOTEADDR_PAR                         0x0A
#define  PPI_BYETEXT_PAR                            0x0B
#define  PPI_PACKETFLOW_SOURCE_PAR                  0x0C
#define  PPI_UNITNUM_PAR                            0x0D
#define  PPI_TYPE_PAR                               0x0E
#define  PPI_PACKETFLOW_DEST_PAR                    0x0F
#define  PPI_RTCP_INTERVAL_VAR                      0x10
#define  PPI_JITTER_TYPE_PAR                        0x11
#define  PPI_JITTER_PARM1_PAR                       0x12
#define  PPI_JITTER_PARM2_PAR                       0x13
#define  PPI_REORDER_ENABLE_VAR                     0x14
#define  PPI_PACKET_FAX_TYPE_VAR                    0x15
#define  PPI_PACKET_SIG_TYPE_VAR                    0x16
#define  PPI_BYE_ENABLE_VAR                         0x17
#define  PPI_RX_TIMEOUT_TYPE_PAR                    0x18
#define  PPI_RX_TIMEOUT_VALUE_PAR                   0x19
#define  PPI_SILENCE_CTRL_VAR                       0x1A
#define  PPI_RTP_PACKETS_PAR                        0x1B
#define  PPI_RTP_OCTETS_PAR                         0x1C
#define  PPI_RTP_PACKETS_LOST_PAR                   0x1D
#define  PPI_RTP_AVG_TX_DELAY_PAR                   0x1E
#define  PPI_RTP_JITTER_PAR                         0x1F
#define  PPI_PARMS_TYPE_PAR                         0x20
#define  PPI_RTCP_REPORT_TYPE_PAR                   0x21
#define  PPI_RTCP_REPORT_DATA_PAR                   0x22
#define  PPI_RTP_RX_NEW_PAYLOAD_PAR                 0x23
#define  PPI_QOS_C11_PAR                            0x24
#define  PPI_QOS_C13_PAR                            0x25
#define  PPI_QOS_C14_PAR                            0x26
#define  PPI_QOS_C22_PAR                            0x27
#define  PPI_QOS_C23_PAR                            0x28
#define  PPI_QOS_C33_PAR                            0x29
#define  PPI_QOS_C5_PAR                             0x2A
#define  PPI_QOS_RAW_RT_DELAY_PAR                   0x2B
#define  PPI_QOS_FRAMES_PER_PACKET_PAR              0x2C
#define  PPI_QOS_JITTER_SIZE_PAR                    0x2D
#define  PPI_QOS_VOCODER_VAD_ENABLED_PAR            0x2E
#define  PPI_QOS_VOCODER_FRAME_DURATION_PAR         0x2F
#define  PPI_QOS_VOCODER_BASE_IE_PAR                0x30
#define  PPI_QOS_VOCODER_DELAY_PAR                  0x31
#define  PPI_QOS_VOCODER_D1_PAR                     0x32
#define  PPI_QOS_VOCODER_D2_PAR                     0x33
#define  PPI_QOS_VOCODER_D3_PAR                     0x34
#define  PPI_QOS_VOCODER_D4_PAR                     0x35
#define  PPI_QOS_ENABLE_PAR                         0x36
#define  PPI_RTCP_REPORT_PAR                        0x37
#define  PPI_RTP_TOS_HINT_PAR                       0x38
#define  PPI_RTP_TOS_VAR                            0x39
#define  PPI_RTCP_TOS_HINT_PAR                      0x3A
#define  PPI_RTCP_TOS_VAR                           0x3B
#define  PPI_RTP_SEQ_VAL_ERR_PAR                    0x49
#define  PPI_JB_FRAMES_ENQ_PAR                      0x4A
#define  PPI_JB_FRAMES_MISORDER_PAR                 0x4B
#define  PPI_JB_FRAMES_TOO_LATE_PAR                 0x4C
#define  PPI_JB_OVERFLOWS_PAR                       0x4D
#define  PPI_JB_FILLER_FRAMES_PAR                   0x4E
#define  PPI_JB_OFLOW_FRAMES_PAR                    0x4F
#define  PPI_JB_FRAMES_DEQ_PAR                      0x50
#define  PPI_RTP_IMPLICIT_SILENCE_PKT_PAR           0x51

/* Defines For Tagged Values  */
#define  PPI_DSP_DEF                                0x00
#define  PPI_RTP_DEF                                0x01
#define  PPI_ADDR_TYPE_IPV4_DEF                     0x02
#define  PPI_JITTER_NONE_DEF                        0x00
#define  PPI_JITTER_STATIC_DEF                      0x01
#define  PPI_JITTER_DYNAMIC_DEF                     0x02
#define  PPI_PACKET_FAX_DEMOD_DEF                   0x00
#define  PPI_PACKET_FAX_T38_DEF                     0x01
#define  PPI_PACKET_SIG_BT_PROPRIETARY_DEF          0x00
#define  PPI_PACKET_SIG_RFC2833_DEF                 0x01
#define  PPI_PACKET_SIG_SUPPRESS_DEF                0x02
#define  PPI_PACKET_SIG_PASSTHROUGH_DEF             0x03
#define  PPI_RX_TIMEOUT_COUNT_DEF                   0x00
#define  PPI_RX_TIMEOUT_TIME_DEF                    0x01
#define  PPI_PARMS_TYPE_NONE_DEF                    0x00
#define  PPI_JITTER_DEF                             0x01
#define  PPI_LOCALADDR_DEF                          0x02
#define  PPI_REMOTEADDR_DEF                         0x04
#define  PPI_RX_TIMEOUT_DEF                         0x08
#define  PPI_CAP_QOS_DEF                            0x01
#define  PPI_TOS_ABSENT_DEF                         0x00
#define  PPI_TOS_HINT_DEF                           0x01
#define  PPI_TOS_REQUIRED_DEF                       0x02

#endif
