
/****************************************************************************
 *
 * Module:               Sig_Gen.h
 * Date:                 Oct. 24, 2001
 * Purpose:              All definitions global to the Signal Gen facility
 ****************************************************************************
 * (c) 1992-2001 Brooktrout Technology, Inc.                                  *
 *                                                                          *
 *                                                                          *
 *   All Rights Reserved.                                                   *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 * This software is furnished under a license and may only be               *
 * read, modified, copied, or otherwise used in accordance with the         *
 * terms of such license. This notice must never be removed from            *
 * this software and must be included with every copy. No other             *
 * rights to reproduce, use, or disseminate this software in any form,      *
 * in whole or in part, are granted.                                        *
 *                                                                          *
 * Brooktrout Technology, Inc. makes no representation or warranties        *
 * with respect to the performance of this software and specifically        *
 * disclaims any responsibility for any damages, special or                 *
 * consequential, connected with the use of this software.                  *
 *                                                                          *
 ****************************************************************************/
 
#ifndef SIG_GEN_H
#define SIG_GEN_H

/* Facility                   */ 
#define  MILL_FACILITY_SIGNAL_GENERATION        0x06

/* Event                      */ 
#define  SIG_GEN_TONE_STARTED_EVENT             0x02
#define  SIG_GEN_DTMF_STARTED_EVENT             0x02
#define  SIG_GEN_DTMF_FINISHED_EVENT            0x03
#define  SIG_GEN_TONE_FINISHED_EVENT            0x03
#define  SIG_GEN_CP_STARTED_EVENT               0x04
#define  SIG_GEN_CP_FINISHED_EVENT              0x05
#define  SIG_GEN_TONE_PAT_STARTED_EVENT         0x06
#define  SIG_GEN_TONE_PAT_FINISHED_EVENT        0x07

/* Start/Finish               */ 
#define  SIG_GEN_DTMF_MODE                      0x02
#define  SIG_GEN_TONE_MODE                      0x02
#define  SIG_GEN_CP_MODE                        0x03
#define  SIG_GEN_TONE_PAT_MODE                  0x04

/* Variable/Parameter         */ 
#define  SIG_GEN_SIGNAL_LENGTH_PAR              0x02
#define  SIG_GEN_TONE_POST_SILENCE_PAR          0x03
#define  SIG_GEN_DTMF_POST_SILENCE_PAR          0x03
#define  SIG_GEN_TONE_VALUE_PAR                 0x04
#define  SIG_GEN_DTMF_VALUE_PAR                 0x04
#define  SIG_GEN_CP_VALUE_PAR                   0x05
#define  SIG_GEN_TONE_GROUP_PAR                 0x06
#define  SIG_GEN_TONE_DESC_PAR                  0x07
#define  SIG_GEN_FREQUENCY_PAR                  0x08
#define  SIG_GEN_ATTEN_PAR                      0x09
#define  SIG_GEN_COUNT_PAR                      0x0A
#define  SIG_GEN_DTMF_LOW_LEVEL_VAR             0x0B
#define  SIG_GEN_DTMF_HIGH_LEVEL_VAR            0x0C
#define  SIG_GEN_DATA_LEVEL_VAR                 0x0D
#define  SIG_GEN_TONE_GEN_TYPE_PAR              0x0E
#define  SIG_GEN_LEVEL_PAR                      0x0F

/* Defines For Tagged Values  */ 
#define  SIG_GEN_DIALTONE_DEF                   0x01
#define  SIG_GEN_RING_DEF                       0x02
#define  SIG_GEN_BUSY_DEF                       0x03
#define  SIG_GEN_REORDER_DEF                    0x04
#define  SIG_GEN_CAP_MF_DEF                     0x01
#define  SIG_GEN_CAP_CP_DEF                     0x02
#define  SIG_GEN_CAP_PATTERN_DEF                0x04
#define  SIG_GEN_DTMF_12_TONE_DEF               0x0C
#define  SIG_GEN_DTMF_16_TONE_DEF               0x10
#define  SIG_GEN_R1_TONE_DEF                    0x11
#define  SIG_GEN_R2_FORWARD_TONE_DEF            0x12
#define  SIG_GEN_R2_BACKWARD_TONE_DEF           0x13

#endif
