
/****************************************************************************
 *
 * Module:               Teleph.h
 * Date:                 Mar. 18, 2004
 * Purpose:              All definitions global to the Tele Ctrl facility
 ****************************************************************************
 * (c) 1992-2001 Brooktrout Technology, Inc.                                  *
 *                                                                          *
 *                                                                          *
 *   All Rights Reserved.                                                   *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 * This software is furnished under a license and may only be               *
 * read, modified, copied, or otherwise used in accordance with the         *
 * terms of such license. This notice must never be removed from            *
 * this software and must be included with every copy. No other             *
 * rights to reproduce, use, or disseminate this software in any form,      *
 * in whole or in part, are granted.                                        *
 *                                                                          *
 * Brooktrout Technology, Inc. makes no representation or warranties        *
 * with respect to the performance of this software and specifically        *
 * disclaims any responsibility for any damages, special or                 *
 * consequential, connected with the use of this software.                  *
 *                                                                          *
 ****************************************************************************/
 
#ifndef TELEPHONY_H
#define TELEPHONY_H

/* Facility                   */
#define  MILL_FACILITY_TELE_CTRL                            0x08

/* Event                      */
#define  TELE_CTRL_HARDWARE_LIST_EVENT                      0x02
#define  TELE_CTRL_CONTROLLER_RESET_DONE_EVENT              0x03
#define  TELE_CTRL_SIGNALING_DONE_EVENT                     0x04
#define  TELE_CTRL_SIGNALING_POLL_EVENT                     0x05
#define  TELE_CTRL_SIG_MON_STARTED_EVENT                    0x06
#define  TELE_CTRL_SIG_MON_FINISHED_EVENT                   0x07
#define  TELE_CTRL_SIG_FINISHED_EVENT                       0x08
#define  TELE_CTRL_SIG_STATE_EVENT                          0x09
#define  TELE_CTRL_PARAMS_SAVED_EVENT                       0x0A
#define  TELE_CTRL_LINE_COEFFICIENTS_EVENT                  0x0B
#define  TELE_CTRL_NETWORK_CONFIG_DONE_EVENT                0x0C
#define  TELE_CTRL_NETWORK_CONFIG_INFO_EVENT                0x0D
#define  TELE_CTRL_NETWORK_CONFIG_SAVED_EVENT               0x0E
#define  TELE_CTRL_NET_QUERY_RESPONSE_EVENT                 0x0F

/* Request                    */
#define  TELE_CTRL_RESOURCE_LIST_REQUEST                    0x02
#define  TELE_CTRL_RESET_CONTROLLER_REQUEST                 0x03
#define  TELE_CTRL_SIGNALING_REQUEST                        0x04
#define  TELE_CTRL_SIGNALING_POLL_REQUEST                   0x05
#define  TELE_CTRL_SIG_SET_REQUEST                          0x06
#define  TELE_CTRL_PARAMS_SAVE_REQUEST                      0x07
#define  TELE_CTRL_DOWNLOAD_LINE_COEFFICIENTS_REQUEST       0x08
#define  TELE_CTRL_UPLOAD_LINE_COEFFICIENTS_REQUEST         0x09
#define  TELE_CTRL_NETWORK_CONFIG_SET_REQUEST               0x0A
#define  TELE_CTRL_NETWORK_CONFIG_GET_REQUEST               0x0B
#define  TELE_CTRL_NETWORK_CONFIG_SAVE_REQUEST              0x0C
#define  TELE_CTRL_NET_QUERY_REQUEST                        0x0D

/* Start/Finish               */
#define  TELE_CTRL_SIG_MON_MODE                             0x02

/* Variable/Parameter         */
#define  TELE_CTRL_SYS_BUS_SELECT_VAR                       0x02
#define  TELE_CTRL_BUS_CLK_VAR                              0x03
#define  TELE_CTRL_MVIP_SEC8K_VAR                           0x04
#define  TELE_CTRL_LINE_TYPE_VAR                            0x05
#define  TELE_CTRL_CLK_CONFIG_VAR                           0x06
#define  TELE_CTRL_LINE_CODING_VAR                          0x07
#define  TELE_CTRL_LINE_LOOPBACK_VAR                        0x08
#define  TELE_CTRL_SIGNAL_MODE_VAR                          0x09
#define  TELE_CTRL_FACILITIES_DATA_LINK_VAR                 0x0A
#define  TELE_CTRL_T1_SIGNAL_PROTOCOL_VAR                   0x0B
#define  TELE_CTRL_T1_LINE_BUILD_OUT_VAR                    0x0D
#define  TELE_CTRL_HARDWARE_LIST_PAR                        0x0E
#define  TELE_CTRL_HARDWARE_DESC_PAR                        0x0F
#define  TELE_CTRL_PORT_UNIT_PAR                            0x10
#define  TELE_CTRL_HARDWARE_CAPABILITIES_PAR                0x11
#define  TELE_CTRL_PORT_TYPES_PAR                           0x12
#define  TELE_CTRL_LINE_ENCODING_VAR                        0x13
#define  TELE_CTRL_PORT_TYPE_VAR                            0x14
#define  TELE_CTRL_BUS_SPEED_VAR                            0x15
#define  TELE_CTRL_SIG_STATE_OUT_0_PAR                      0x1F
#define  TELE_CTRL_SIG_DURATION_OUT_0_PAR                   0x20
#define  TELE_CTRL_SIG_STATE_OUT_1_PAR                      0x21
#define  TELE_CTRL_SIG_IN_PAR                               0x22
#define  TELE_CTRL_SIG_OUT_PAR                              0x23
#define  TELE_CTRL_TIME_SLOT_PAR                            0x24
#define  TELE_CTRL_STREAM_PAR                               0x25
#define  TELE_CTRL_SIG_DURATION_IN_0_PAR                    0x26
#define  TELE_CTRL_SIG_STATE_IN_1_PAR                       0x27
#define  TELE_CTRL_SIG_STATE_IN_0_PAR                       0x28
#define  TELE_CTRL_H110_CLOCK_MODE_VAR                      0x29
#define  TELE_CTRL_H110_MASTER_DRIVE_VAR                    0x2A
#define  TELE_CTRL_H110_SLAVE_SOURCE_VAR                    0x2B
#define  TELE_CTRL_H110_MASTER_REF_VAR                      0x2C
#define  TELE_CTRL_H110_MASTER_REF_FALLBK_VAR               0x2D
#define  TELE_CTRL_H110_NETREF_DRIVE_VAR                    0x2E
#define  TELE_CTRL_H110_NETREF_SOURCE_VAR                   0x2F
#define  TELE_CTRL_MONITOR_RX_BITS_PAR                      0x39
#define  TELE_CTRL_MONITOR_TX_BITS_PAR                      0x3A
#define  TELE_CTRL_LINE_COEFFICIENTS_PAR                    0x3B
#define  TELE_CTRL_BIT_RATE_VAR                             0x3C
#define  TELE_CTRL_INPUT_GAIN_VAR                           0x3D
#define  TELE_CTRL_OUTPUT_GAIN_VAR                          0x3E
#define  TELE_CTRL_UNIT_PAR                                 0x3F
#define  TELE_CTRL_ADDRESS_FAMILY_PAR                       0x40
#define  TELE_CTRL_LOCAL_ADDRESS_PAR                        0x41
#define  TELE_CTRL_NETMASK_PAR                              0x42
#define  TELE_CTRL_GATEWAY1_PAR                             0x43
#define  TELE_CTRL_SPEED_PAR                                0x44
#define  TELE_CTRL_DUPLEX_PAR                               0x45
#define  TELE_CTRL_FULLDUP_FLOW_CTRL_PAR                    0x46
#define  TELE_CTRL_MAC_ADDR_PAR                             0x47
#define  TELE_CTRL_ARP_TIMEOUT_PAR                          0x48
#define  TELE_CTRL_FLUSH_ARP_PAR                            0x49
#define  TELE_CTRL_REPORT_MASK_PAR                          0x4A
#define  TELE_CTRL_DOT3X_INDEX_PAR                          0x4B 
#define  TELE_CTRL_DOT3_EXCESSIVE_COLL_PAR                  0x4C
#define  TELE_CTRL_DOT3_LATE_COLL_PAR                       0x4D
#define  TELE_CTRL_DOT3_INTERNAL_MAC_TX_ERRS_PAR            0x4E
#define  TELE_CTRL_DOT3_CARRIER_SENSE_ERRS_PAR              0x4F
#define  TELE_CTRL_DOT3_DEFERRED_TRANSMISSIONS_PAR          0x50
#define  TELE_CTRL_DOT3_SINGLE_COLL_FRAMES_PAR              0x51
#define  TELE_CTRL_DOT3_FCS_ERRS_PAR                        0x52
#define  TELE_CTRL_DOT3_ALLIGNMENT_ERRS_PAR                 0x53
#define  TELE_CTRL_DOT3_INTERNAL_MAC_RX_ERRS_PAR            0x54
#define  TELE_CTRL_DOT3X_TX_GOOD_FRAMES_PAR                 0x55
#define  TELE_CTRL_DOT3X_RX_FLOW_CTRLS_PAR                  0x56
#define  TELE_CTRL_DOT3X_RX_GOOD_FRAMES_PAR                 0x57
#define  TELE_CTRL_DOT3X_RX_RESOURCE_ERRS_PAR               0x58
#define  TELE_CTRL_DOT3X_RX_SHORT_FRAME_ERRS_PAR            0x59
#define  TELE_CTRL_DOT3X_TX_FLOW_CTRLS_PAR                  0x5A
#define  TELE_CTRL_IFXINDEX_PAR                             0x5B
#define  TELE_CTRL_IFHIGHSPEED_PAR                          0x5C
#define  TELE_CTRL_IFHCINOCTETS_PAR                         0x5D
#define  TELE_CTRL_IFINUCASTPKTS_PAR                        0x5E
#define  TELE_CTRL_IFINBROADCAST_PAR                        0x5F
#define  TELE_CTRL_IFINMULTICASTPKTS_PAR                    0x60
#define  TELE_CTRL_IFHCINERRORS_PAR                         0x61
#define  TELE_CTRL_IFINUNKNOWNPROTOS_PAR                    0x62
#define  TELE_CTRL_IFHCOUTOCTETS_PAR                        0x63
#define  TELE_CTRL_IFOUTUCASTPKTS_PAR                       0x64
#define  TELE_CTRL_IFOUTBROADCASTPKTS_PAR                   0x65
#define  TELE_CTRL_IFOUTMULTICASTPKTS_PAR                   0x66
#define  TELE_CTRL_IFPHYSADDRESS_PAR                        0x67
#define  TELE_CTRL_UDPINDEX_PAR                             0x68
#define  TELE_CTRL_UDPINDATAGRAMS_PAR                       0x69 
#define  TELE_CTRL_UDPNOPORTS_PAR                           0x6A
#define  TELE_CTRL_UDPINERRORS_PAR                          0x6B
#define  TELE_CTRL_UDPOUTDATAGRAMS_PAR                      0x6C
#define  TELE_CTRL_ATINDEX_PAR                              0x6D
#define  TELE_CTRL_ATPHYSADDRESS_PAR                        0x6E
#define  TELE_CTRL_ATNETADDRESS_PAR                         0x6F
#define  TELE_CTRL_ARP_TABLE_PAR                            0x70
#define  TELE_CTRL_ARP_ENTRY_PAR                            0x71 

    
/* Defines For Tagged Values  */
#define  TELE_CTRL_BUS_INACTIVE_DEF                         0x00
#define  TELE_CTRL_BUS_ACTIVE_DEF                           0x01
#define  TELE_CTRL_BUS_MASTER_DEF                           0x00
#define  TELE_CTRL_BUS_SLAVE_DEF                            0x01
#define  TELE_CTRL_SEC_8K_DISABLED_DEF                      0x00
#define  TELE_CTRL_SEC_8K_ENABLED_DEF                       0x01
#define  TELE_CTRL_LINE_TYPE_OTHER_DEF                      0x01
#define  TELE_CTRL_DSX1EF_DEF                               0x02
#define  TELE_CTRL_DSX1D4_DEF                               0x03
#define  TELE_CTRL_E1ISDNCRC4_DEF                           0x04
#define  TELE_CTRL_E1ISDNBASIC_DEF                          0x05
#define  TELE_CTRL_E1ISDNCRC4CAS_DEF                        0x06
#define  TELE_CTRL_E1ISDNBASICCAS_DEF                       0x07
#define  TELE_CTRL_E1ISDN14FEBE_DEF                         0x08
#define  TELE_CTRL_DISABLE_DEF                              0x09
#define  TELE_CTRL_LOOPTIMING_DEF                           0x01
#define  TELE_CTRL_LOCALTIMING_DEF                          0x02
#define  TELE_CTRL_THROUGHTIMING_DEF                        0x03
#define  TELE_CTRL_DSX1JBZS_DEF                             0x01
#define  TELE_CTRL_DSX1B8ZS_DEF                             0x02
#define  TELE_CTRL_DSX1HDB3_DEF                             0x03
#define  TELE_CTRL_DSX1HDB1_DEF                             0x03
#define  TELE_CTRL_DSX1ZBTSI_DEF                            0x04
#define  TELE_CTRL_DSX1AMI_DEF                              0x05
#define  TELE_CTRL_LINE_CODING_OTHER_DEF                    0x06
#define  TELE_CTRL_DSX1NOLOOP_DEF                           0x01
#define  TELE_CTRL_DSX1PAYLOADLOOP_DEF                      0x02
#define  TELE_CTRL_DSX1LINELOOP_DEF                         0x03
#define  TELE_CTRL_SIGNAL_NONE_DEF                          0x01
#define  TELE_CTRL_ROBBEDBIT_DEF                            0x02
#define  TELE_CTRL_BITORIENTATED_DEF                        0x03
#define  TELE_CTRL_BITORIENTED_DEF                          0x03
#define  TELE_CTRL_MESSAGEORIENTATED_DEF                    0x04
#define  TELE_CTRL_MESSAGEORIENTED_DEF                      0x04
#define  TELE_CTRL_CAS_DEF                                  0x05
#define  TELE_CTRL_CAS_AG8_DEF                              0x06
#define  TELE_CTRL_DATA_LINK_OTHER_DEF                      0x01
#define  TELE_CTRL_DSX1ANSI_T1_403_DEF                      0x02
#define  TELE_CTRL_DSX1ATT_54016_DEF                        0x04
#define  TELE_CTRL_DSX1FDL_NONE_DEF                         0x08
#define  TELE_CTRL_EM_WINK_DEF                              0x00
#define  TELE_CTRL_EM_IMMED_DEF                             0x01
#define  TELE_CTRL_FXS_DEF                                  0x02
#define  TELE_CTRL_FXO_DEF                                  0x03
#define  TELE_CTRL_FG_D_EANA_DEF                            0x04
#define  TELE_CTRL_FG_D_EAIN_DEF                            0x05
#define  TELE_CTRL_FG_D_OS_DEF                              0x06
#define  TELE_CTRL_FG_D_TERM_DEF                            0x07
#define  TELE_CTRL_NO_SIGNALING_DEF                         0xFF
#define  TELE_CTRL_0_133_DEF                                0x00
#define  TELE_CTRL_133_266_DEF                              0x01
#define  TELE_CTRL_266_399_DEF                              0x02
#define  TELE_CTRL_399_533_DEF                              0x03
#define  TELE_CTRL_533_655_DEF                              0x04
#define  TELE_CTRL_NEG_7_5DB_DEF                            0x05
#define  TELE_CTRL_NEG_15DB_DEF                             0x06
#define  TELE_CTRL_NEG_22_5DB_DEF                           0x07
#define  TELE_CTRL_75_OHM_DEF                               0x00
#define  TELE_CTRL_120_OHM_DEF                              0x01
#define  TELE_CTRL_A_LAW_DEF                                0x00
#define  TELE_CTRL_MU_LAW_DEF                               0x01
#define  TELE_CTRL_NO_UNIT_DEF                              0x00
#define  TELE_CTRL_PORT_ANALOG_LOOP_START_DEF               0x01
#define  TELE_CTRL_PORT_ANALOG_DID_DEF                      0x02
#define  TELE_CTRL_PORT_MVIP_DEF                            0x04
#define  TELE_CTRL_PORT_PEB_DEF                             0x08
#define  TELE_CTRL_PORT_SCBUS_DEF                           0x10
#define  TELE_CTRL_PORT_H100_DEF                            0x20
#define  TELE_CTRL_PORT_T1_DEF                              0x40
#define  TELE_CTRL_PORT_E1_DEF                              0x80
#define  TELE_CTRL_PORT_PRI_T1_DEF                         0x100
#define  TELE_CTRL_PORT_PRI_E1_DEF                         0x200
#define  TELE_CTRL_PORT_AT_MODEM_DEF                       0x400
#define  TELE_CTRL_PORT_BRI_DEF                            0x800
#define  TELE_CTRL_PORT_TYPE_NONE_DEF                     0x1000
#define  TELE_CTRL_PORT_TYPE_UNCONFIGURED_DEF             0x2000
#define  TELE_CTRL_PORT_TYPE_H100_SCBUS_DEF               0x4000
#define  TELE_CTRL_PORT_TYPE_H100_MVIP_DEF                0x8000
#define  TELE_CTRL_PORT_T3_DEF                           0x10000
#define  TELE_CTRL_SUCCESS_DEF                              0x00
#define  TELE_CTRL_PORT_DISABLED_DEF                        0x01
#define  TELE_CTRL_PORT_NOT_CONFIGURED_DEF                  0x02
#define  TELE_CTRL_UNIT_DOES_NOT_EXIST_DEF                  0x03
#define  TELE_CTRL_INCOMPATIBLE_TYPE_DEF                    0x04
#define  TELE_CTRL_UNCONFIGURED_DEF                         0xFF
#define  TELE_CTRL_CLOCK_SLAVE_DEF                          0x00
#define  TELE_CTRL_CLOCK_PRIMARY_MASTER_DEF                 0x01
#define  TELE_CTRL_CLOCK_SECONDARY_MASTER_DEF               0x02
#define  TELE_CTRL_MASTER_DRIVE_A_DEF                          0
#define  TELE_CTRL_MASTER_DRIVE_B_DEF                          1
#define  TELE_CTRL_SLAVE_A_DEF                                 0
#define  TELE_CTRL_SLAVE_B_DEF                                 1
#define  TELE_CTRL_SLAVE_A_NO_FALL_DEF                         2
#define  TELE_CTRL_SLAVE_B_NO_FALL_DEF                         3
#define  TELE_CTRL_MASTER_REF_A_DEF                            0
#define  TELE_CTRL_MASTER_REF_B_DEF                            1
#define  TELE_CTRL_MASTER_NO_FALLBACK_DEF                     10
#define  TELE_CTRL_MASTER_REF_I_DEF                           11
#define  TELE_CTRL_MASTER_REF_J_DEF                           12
#define  TELE_CTRL_MASTER_REF_K_DEF                           13
#define  TELE_CTRL_MASTER_REF_NETREF1_DEF                    126
#define  TELE_CTRL_MASTER_REF_NETREF2_DEF                    127
#define  TELE_CTRL_MASTER_REF_INTERNAL_DEF                   128
#define  TELE_CTRL_MASTER_REF_L_DEF                           14
#define  TELE_CTRL_MASTER_REF_M_DEF                           15
#define  TELE_CTRL_MASTER_REF_N_DEF                           16
#define  TELE_CTRL_MASTER_REF_O_DEF                           17
#define  TELE_CTRL_MASTER_REF_P_DEF                           18
#define  TELE_CTRL_MASTER_REF_Q_DEF                           19
#define  TELE_CTRL_MASTER_REF_R_DEF                           20
#define  TELE_CTRL_MASTER_REF_C_DEF                            2
#define  TELE_CTRL_MASTER_REF_S_DEF                           21
#define  TELE_CTRL_MASTER_REF_T_DEF                           22
#define  TELE_CTRL_MASTER_REF_U_DEF                           23
#define  TELE_CTRL_MASTER_REF_V_DEF                           24
#define  TELE_CTRL_MASTER_REF_W_DEF                           25
#define  TELE_CTRL_MASTER_REF_X_DEF                           26
#define  TELE_CTRL_MASTER_REF_Y_DEF                           27
#define  TELE_CTRL_MASTER_REF_Z_DEF                           28
#define  TELE_CTRL_MASTER_REF_AA_DEF                          29
#define  TELE_CTRL_MASTER_REF_BB_DEF                          30
#define  TELE_CTRL_MASTER_REF_D_DEF                            3
#define  TELE_CTRL_MASTER_REF_E_DEF                            4
#define  TELE_CTRL_MASTER_REF_F_DEF                            5
#define  TELE_CTRL_MASTER_REF_G_DEF                            6
#define  TELE_CTRL_MASTER_REF_H_DEF                            7
#define  TELE_CTRL_MASTER_REF_A_BUS_DEF                        8
#define  TELE_CTRL_MASTER_REF_B_BUS_DEF                        9
#define  TELE_CTRL_NETREF_DRIVE_NONE_DEF                       0
#define  TELE_CTRL_NETREF_DRIVE_1_DEF                          1
#define  TELE_CTRL_NETREF_DRIVE_2_DEF                          2
#define  TELE_CTRL_NETREF_REF_A_DEF                            0
#define  TELE_CTRL_NETREF_REF_B_DEF                            1
#define  TELE_CTRL_NETREF_REF_NETREF1_DEF                    126
#define  TELE_CTRL_NETREF_REF_NETREF2_DEF                    127
#define  TELE_CTRL_NETREF_REF_INTERNAL_DEF                   128
#define  TELE_CTRL_NETREF_REF_C_DEF                            2
#define  TELE_CTRL_NETREF_REF_D_DEF                            3
#define  TELE_CTRL_NETREF_REF_E_DEF                            4
#define  TELE_CTRL_NETREF_REF_F_DEF                            5
#define  TELE_CTRL_NETREF_REF_G_DEF                            6
#define  TELE_CTRL_NETREF_REF_H_DEF                            7
#define  TELE_CTRL_CAP_PARAMS_SAVE_DEF                      0x01
#define  TELE_CTRL_NVRAM_SUCCESS_DEF                        0x00
#define  TELE_CTRL_NVRAM_READ_SSEEPROM_ERR_DEF              0x02
#define  TELE_CTRL_NVRAM_WRITE_SSEEPROM_ERR_DEF             0x03
#define  TELE_CTRL_NVRAM_SSEEPROM_WRITTEN_DEF               0x04
#define  TELE_CTRL_128_KBS_DEF                              0x05
#define  TELE_CTRL_64_KBS_DEF                               0x06
#define  TELE_CTRL_AF_INET_DEF                              0x02
#define  TELE_CTRL_SPEED_10M_DEF                            0x01
#define  TELE_CTRL_SPEED_100M_DEF                           0x02
#define  TELE_CTRL_DUPLEX_FULL_DEF                          0x02
#define  TELE_CTRL_DUPLEX_HALF_DEF                          0x01
#define  TELE_CTRL_NETWORK_CONFIG_SUCCESS_DEF               0x00
#define  TELE_CTRL_SPEED_AUTO_DEF                           0x00
#define  TELE_CTRL_FULLDUP_AUTO_DEF                         0x00
#define  TELE_CTRL_FULLDUP_RECEIVE_ONLY_DEF                 0x01   
#define  TELE_CTRL_FULLDUP_TRANSMIT_ONLY_DEF                0x02       
#define  TELE_CTRL_FULLDUP_BOTH_DEF                         0x03                 
#define  TELE_CTRL_REPORT_IF_DEF                            0x40                            
#define  TELE_CTRL_REPORT_UDP_DEF                           0x20
#define  TELE_CTRL_REPORT_ARP_DEF                           0x10
#define  TELE_CTRL_REPORT_ENET_DEF                          0x01


#endif






