/* gdi_sts.h */
/* Copyright (c) 1989-2004 Brooktrout Technology Inc.  All rights reserved. */

#ifndef GDI_STS_DEFINED
#define GDI_STS_DEFINED GDI_YES

// GDI_UTL_GetString_GDI_STS invalid status message workarea

#define GDI_VALUE_STS_MSG_ARRAY_ENTRY_COUNT 8
      
#ifdef ALLOC_GDI_STS_STRINGS

char gszBadStatusText[] = "error: 0x%X unknown GDI_STS_RETURN_STATUS";

char gaszErrorText[GDI_VALUE_STS_MSG_ARRAY_ENTRY_COUNT]
    [sizeof (gszBadStatusText) + 8] = {{0}};
int  guErrorTextIndex = GDI_VALUE_STS_MSG_ARRAY_ENTRY_COUNT - 1;

char  *apszGDI_STS[] =
{
    "GDI_STS_OK",                   // successful operation
    "GDI_STS_FAILED",               // unsuccessful operation
    "GDI_STS_PORTHANDLEBAD",        // port handle not valid
    "GDI_STS_PORTGROUPHANDLEBAD",   // port group handle not valid
    "GDI_STS_PORTNOTEXIST",         // port does not exist
    "GDI_STS_PORTNOTAVAIL",         // port not available in the mode selected
    "GDI_STS_LENGTHBAD",            // length bad
    "GDI_STS_SESSIONHANDLEBAD",     // session handle not valid
    "GDI_STS_NODATA",               // no data available
    "GDI_STS_MSG_NOT_SENT",         // message not sent by PHY PDM
    "GDI_STS_BUFFER_TOO_BIG",       // not enough space available for buf 
                                    // allocation
    "GDI_STS_INVALID_HANDLE",       // one of the handles passed is invalid
    "GDI_STS_INVALID_VALUE",        // general failure: invalid param value
    "GDI_STS_INVALID_MSG",          // invalid message 
    "GDI_STS_MEMORY_SIZE",          // not enough memory available for 
                                    // function
    "GDI_STS_NEW_SEGMENT",          // data appended to new message segment
    "GDI_STS_MSG_END",              // message end reached
    "GDI_STS_MSG_NO_DATA",          // message contained no payload segment
    "GDI_STS_MSG_PUSH",             // push msg back onto head of SInMsgQ
    "GDI_STS_RESOURCES",            // system resources not available
    "GDI_STS_NAME_TOO_LONG",        // name text too long
    "GDI_STS_ADDRESS_INVALID",      // address invalid
    "GDI_STS_ADDRESS_IN_USE",       // address in use
    "GDI_STS_INVALID_STATE",        // state invalid
    "GDI_STS_FLOW",                 // flow control prevents send
    "GDI_STS_SERVER",               // rejected by server
    "GDI_STS_NOCREDIT",             // no flow control credits for queue.
    "GDI_STS_SIGNATURE",            // invalid signature in control block
    "GDI_STS_ALREADY_DONE",         // oper done and may not be repeated
    "GDI_STS_SCAN_RETURN",          // exit scan and return this lnode
    "GDI_STS_SCAN_RETURN_NULL",     // exit and return NULL.
    "GDI_STS_SCAN_NEXT",            // get next lnode in list.
    "GDI_STS_NO_MIL_PACKET",        // no millennium packet found in message
    "GDI_STS_INIT",                 // initialization failure
    "GDI_STS_TIMEOUT",              // timeout
    "GDI_STS_INTR",                 // interrupt / break
    "GDI_STS_NOLOCK",               // no lock present
    "GDI_STS_ONMSGAVAILABLE",       // on message available defined
    "GDI_STS_PENDING",              // request pending
    "GDI_STS_SIZE",                 // invalid size specified
    "GDI_STS_INUSE",                // being used
    "GDI_STS_DESTROY_PENDING",      // destroy request pending
    "GDI_STS_POOL_MAX",             // memory pool at max
    "GDI_STS_REQUEST",              // invalid request
    "GDI_STS_BLOCKED",              // logically held
    "GDI_STS_TYPE",                 // invalid type
    "GDI_STS_ADDRESS_NULL",         // address NULL
    "GDI_STS_LNODE_OBJECT_NULL",    // list lnode pointing to null
    "GDI_STS_NOT_REGISTERED"        // object not registered
    "GDI_STS_ID",                   // invalid id
    "GDI_STS_NOT_DEFINED",          // needed value not defined
    "GDI_STS_CANCELLED",            // pending now cancelled 
    "GDI_STS_INACTIVE",             // not active 
    "GDI_STS_NOT_SUPPORTED",        // not supported
    "GDI_STS_OVERFLOW",             // exceeds allocated area
    "GDI_STS_UNKNOWN_MSG_ELEMENT",  // unknown message cmd, mode, parameter
    "GDI_STS_LNODE_NOT_IN_LIST",    // list lnode not linked to list
    "GDI_STS_INTR_WIN_APC",         // interrupt / break / Windows APC
    "GDI_STS_INTR_WIN_ALERT",       // interrupt / break / Windows alert
    "GDI_STS_VOID"                  // this value or higher are invalid
};


#else

extern char *apszGDI_STS[];         // error descriptive text
extern char gszBadStatusText[];     // bad status text
extern char gaszErrorText[1][1];
extern int  guErrorTextIndex;

#endif

enum GDI_STS_RETURN_STATUS 
{
    GDI_STS_OK = 0,               // successful operation
    GDI_STS_FAILED,               // unsuccessful operation
    GDI_STS_PORTHANDLEBAD,        // port handle not valid
    GDI_STS_PORTGROUPHANDLEBAD,   // port group handle not valid
    GDI_STS_PORTNOTEXIST,         // port does not exist
    GDI_STS_PORTNOTAVAIL,         // port not available in the mode selected
    GDI_STS_LENGTHBAD,            // length bad
    GDI_STS_SESSIONHANDLEBAD,     // session handle not valid
    GDI_STS_NODATA,               // no data available
    GDI_STS_MSG_NOT_SENT,         // message not sent by PHY PDM
    GDI_STS_BUFFER_TOO_BIG,       // buf size exceeds max allowed 
    GDI_STS_INVALID_HANDLE,       // one of the handles passed is invalid
    GDI_STS_INVALID_VALUE,        // general failure: invalid param value
    GDI_STS_INVALID_MSG,          // invalid message 
    GDI_STS_MEMORY_SIZE,          // not enough memory available for function
    GDI_STS_NEW_SEGMENT,          // data appended to new message segment
    GDI_STS_MSG_END,              // message end reached
    GDI_STS_MSG_NO_DATA,          // message contained no payload segment
    GDI_STS_MSG_PUSH,             // push msg back onto head of SInMsgQ
    GDI_STS_RESOURCES,            // system resources not available
    GDI_STS_NAME_TOO_LONG,        // name text too long
    GDI_STS_ADDRESS_INVALID,      // address invalid
    GDI_STS_ADDRESS_IN_USE,       // address in use
    GDI_STS_INVALID_STATE,        // state invalid
    GDI_STS_FLOW,                 // flow control prevents send
    GDI_STS_SERVER,               // rejected by server
    GDI_STS_NOCREDIT,             // no flow control credits for queue.
    GDI_STS_SIGNATURE,            // invalid signature in control block
    GDI_STS_ALREADY_DONE,         // oper done and may not be repeated
    GDI_STS_SCAN_RETURN,          // exit scan and return this lnode
    GDI_STS_SCAN_RETURN_NULL,     // exit and return NULL.
    GDI_STS_SCAN_NEXT,            // get next lnode in list.
    GDI_STS_NO_MIL_PACKET,        // no millennium packet found in message
    GDI_STS_INIT,                 // initialization failure
    GDI_STS_TIMEOUT,              // timeout
    GDI_STS_INTR,                 // interrupt / break
    GDI_STS_NOLOCK,               // no lock present
    GDI_STS_ONMSGAVAILABLE,       // on message available defined
    GDI_STS_PENDING,              // request pending
    GDI_STS_SIZE,                 // invalid size specified
    GDI_STS_INUSE,                // being used
    GDI_STS_DESTROY_PENDING,      // destroy request pending
    GDI_STS_POOL_MAX,             // memory pool at max
    GDI_STS_REQUEST,              // invalid request
    GDI_STS_BLOCKED,              // logically held
    GDI_STS_TYPE,                 // invalid type
    GDI_STS_ADDRESS_NULL,         // address NULL
    GDI_STS_LNODE_OBJECT_NULL,    // list lnode pointing to null
    GDI_STS_NOT_REGISTERED,       // object not registered
    GDI_STS_ID,                   // invalid id
    GDI_STS_NOT_DEFINED,          // needed value not defined
    GDI_STS_CANCELLED,            // pending now cancelled
    GDI_STS_INACTIVE,             // not active 
    GDI_STS_NOT_SUPPORTED,        // request not supported
    GDI_STS_OVERFLOW,             // exceeds allocated area
    GDI_STS_UNKNOWN_MSG_ELEMENT,  // unknown message cmd, mode, parameter
    GDI_STS_LNODE_NOT_IN_LIST,    // list lnode not linked to list
    GDI_STS_INTR_WIN_APC,         // interrupt / break / Windows APC
    GDI_STS_INTR_WIN_ALERT,       // interrupt / break / Windows alert
    GDI_STS_VOID                  // this value or higher are invalid
};

#endif

