/* hostctrl.h */
/* Copyright (c) 1989-2004 Brooktrout Technology Inc.  All rights reserved. */

#ifndef HOSTCTRL_H
#define HOSTCTRL_H

/* Not a firmware facility. Reserved for control communication between
   drivers and host applications. */

/* Facility               */ 
#define  MILL_FACILITY_HOST_CTRL                0x0B

/* Event Modes                */ 
#define  HOST_CTRL_ALERT_EVENT                  0x02
#define  HOST_CTRL_RETURN_STATUS_EVENT          0x03
#define  HOST_CTRL_SESSION_TERM_EVENT           0x04
#define  HOST_CTRL_NAME_FOUND_EVENT             0x05
#define  HOST_CTRL_CALLBACK_NOTIFY_EVENT        0x06
#define  HOST_CTRL_SESSION_SUSP_EVENT           0x07

/* Request Modes              */
#define  HOST_CTRL_SESSION_TERM_NOTIFY_REQUEST  0x02
#define  HOST_CTRL_TEST_REQUEST                 0x03
#define  HOST_CTRL_NAME_ADD_REQUEST             0x04
#define  HOST_CTRL_NAME_GET_FIRST_REQUEST       0x05
#define  HOST_CTRL_CANCEL_REQUEST               0x06
#define  HOST_CTRL_NAME_DELETE_REQUEST          0x07
#define  HOST_CTRL_HISTORY_STRING_WRITE_REQUEST 0x08
#define  HOST_CTRL_EXT_DEBUG_REQUEST            0x09

/* Variable/Parameter     */ 
#define  HOST_CTRL_ALERT_VALUE_PAR              0x02
#define  HOST_CTRL_CONTEXT_ID_PAR               0x03
#define  HOST_CTRL_SESSION_ADDRESS_PAR          0x04
#define  HOST_CTRL_STATUS_PAR                   0x05
#define  HOST_CTRL_INDEX_CMD_PAR                0x06
#define  HOST_CTRL_INDEX_PARM_PAR               0x07
#define  HOST_CTRL_NAME_MODE_PAR                0x08
#define  HOST_CTRL_NAME_PAR                     0x09
#define  HOST_CTRL_CONTEXT_ID_PENDING_PAR       0x0A
#define  HOST_CTRL_STATUS_LIST_PAR              0x0B
#define  HOST_CTRL_STRING_PAR                   0x0C
#define  HOST_CTRL_MODULE_PAR                   0x0D
#define  HOST_CTRL_CHANNEL_PAR                  0x0E
#define  HOST_CTRL_NOTIFY_TYPE_PAR              0x0F
#define  HOST_CTRL_INSTANCE_VALUE_PAR           0x10
#define  HOST_CTRL_DEBUG_OPTIONS_PAR            0x11
#define  HOST_CTRL_DEBUG_MODE_PAR               0x12
#define  HOST_CTRL_DEBUG_FNAME1_PAR             0x13
#define  HOST_CTRL_DEBUG_FNAME2_PAR             0x14
#define  HOST_CTRL_DEBUG_FILE_LIMIT_PAR         0x15
#define  HOST_CTRL_DEBUG_CC_TRACE_LEVEL_PAR     0x16
#define  HOST_CTRL_DEBUG_CC_TRACE_FILE_PAR      0x17
#define  HOST_CTRL_DEBUG_FUNC_DBG_OPTS_PAR      0x18


/* Defines                */
#define  HOST_CTRL_NOTIFY_BUFFER_ALLOC_DEF      0x01     
#define  HOST_CTRL_NOTIFY_MSG_AVAILABLE_DEF     0x02     
#define  HOST_CTRL_NOTIFY_TIMER_DEF             0x03     
#define  HOST_CTRL_NOTIFY_CANCEL_DEF            0x04     
#define  HOST_CTRL_NAME_UNIQUE_DEF              0x01      
#define  HOST_CTRL_NAME_SHARED_DEF              0x02    



#endif
