
/****************************************************************************
 *
 * Module:               ip_cc.h
 * Date:                 Mar. 9, 2004
 * Author:               Simon Capper
 * Purpose:              All definitions global to the IP_CC facility
 ****************************************************************************
 * Copyright (c) 1989-2004 Brooktrout Technology Inc.  All rights reserved. *
 *                                                                          *
 *                                                                          *
 *   All Rights Reserved.                                                   *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 * This software is furnished under a license and may only be               *
 * read, modified, copied, or otherwise used in accordance with the         *
 * terms of such license. This notice must never be removed from            *
 * this software and must be included with every copy. No other             *
 * rights to reproduce, use, or disseminate this software in any form,      *
 * in whole or in part, are granted.                                        *
 *                                                                          *
 * Brooktrout Technology, Inc. makes no representation or warranties        *
 * with respect to the performance of this software and specifically        *
 * disclaims any responsibility for any damages, special or                 *
 * consequential, connected with the use of this software.                  *
 *                                                                          *
 ****************************************************************************/
 
#ifndef IP_CC_H
#define IP_CC_H

/* Facility                   */
#define  MILL_FACILITY_IP_CC                    0x13

/* Event                      */
#define IP_CC_SETUP_IND_EVENT                   0x01
#define IP_CC_SETUP_ACK_EVENT                   0x02
#define IP_CC_CONN_ACK_EVENT                    0x03
#define IP_CC_CONNECT_EVENT                     0x04
#define IP_CC_ALERTING_EVENT                    0x05
#define IP_CC_HOLD_EVENT                        0x06
#define IP_CC_RETRIEVE_EVENT                    0x07
#define IP_CC_HOLD_ACK_EVENT                    0x08
#define IP_CC_RETRIEVE_ACK_EVENT                0x09
#define IP_CC_DISCONNECT_EVENT                  0x0A
#define IP_CC_CLEAR_EVENT                       0x0B
#define IP_CC_RELEASE_EVENT                     0x0C
#define IP_CC_ERROR_EVENT                       0x0D
#define IP_CC_CP_EVENT                          0x0E
#define IP_CC_RECONFIGURE_EVENT                 0x0F
#define IP_CC_RING_DETECT_ENABLED_EVENT         0x10
#define IP_CC_OUTBOUND_STARTED_EVENT            0x11
#define IP_CC_IP_PORT_BUSY_EVENT                0x12

/* Request                    */
#define IP_CC_RING_DETECT_REQUEST               0x01
#define IP_CC_SETUP_REQUEST                     0x02
#define IP_CC_RELEASE_REQUEST                   0x03
#define IP_CC_CLEAR_REQUEST                     0x04
#define IP_CC_SEND_ALERTING_REQUEST             0x05
#define IP_CC_CONNECT_REQUEST                   0x06
#define IP_CC_HOLD_REQUEST                      0x07
#define IP_CC_RETRIEVE_REQUEST                  0x08
#define IP_CC_TRANSFER_REQUEST                  0x09
#define IP_CC_USER_MSG_REQUEST                  0x0A
#define IP_CC_RECONFIGURE_REQUEST               0x0B
#define IP_CC_IP_PORT_AVAILABLE_REQUEST         0x0C

/* Start/Finish               */

/* Variable/Parameter         */
#define IP_CC_CALL_STATE_PAR                    0x01
#define IP_CC_USER_REF_PAR                      0x02
#define IP_CC_STACK_REF_PAR                     0x03
#define IP_CC_IE_COUNT_PAR                      0x04
#define IP_CC_IE_DATA_PAR                       0x05
#define IP_CC_BOST_CHANNEL_PAR                  0x06
#define IP_CC_BOST_MODULE_PAR                   0x07
#define IP_CC_TRANSFER_STACK_REF_PAR            0x08
#define IP_CC_CALLED_ADDRESS_PAR                0x09
#define IP_CC_CALLING_ADDRESS_PAR               0x0A
#define IP_CC_DIVERT_ADDRESS_PAR                0x0B
#define IP_CC_CAUSE_CODE_PAR                    0x0C
#define IP_CC_USER_MSG_PAR                      0x0D
#define IP_CC_CALL_TYPE_PAR                     0x0E
#define IP_CC_COMMAND_CODE_PAR                  0x0F
#define IP_CC_MEDIA_IP_ADDRESS_PAR              0x10
#define IP_CC_MEDIA_AUDIO_IP_PORT_NUM_PAR       0x11
#define IP_CC_MEDIA_IMAGE_IP_PORT_NUM_PAR       0x12
#define IP_CC_ERROR_CODE_PAR                    0x13

/* Defines For Tagged Values  */
#define IP_CC_WAIT_FOR_CALL_DEF                 0x01
#define IP_CC_INBOUND_DETECTED_DEF              0x02
#define IP_CC_OUTBOUND_STARTED_DEF              0x03
#define IP_CC_OUTBOUND_INITIATED_DEF            0x04
#define IP_CC_OUTBOUND_ALERTING_DEF             0x05
#define IP_CC_INBOUND_ANSWERING_DEF             0x06
#define IP_CC_ACTIVE_DEF                        0x07
#define IP_CC_CLEARING_DEF                      0x08
#define IP_CC_IDLE_DEF                          0x09
#define IP_CC_RELEASING_DEF                     0x0A
#define IP_CC_MEDIA_IN_OFFER_RECEIVED_DEF       0x0B
#define IP_CC_MEDIA_IN_OFFER_ANSWERED_DEF       0x0C
#define IP_CC_MEDIA_OUT_QUERY_DEVICE_DEF        0x0D
#define IP_CC_MEDIA_OUT_OFFER_SENT_DEF          0x0E
#define IP_CC_MEDIA_NEGOTIATED_DEF              0x0F
#define IP_CC_MEDIA_WAIT_RENEGOTIATE_DEF        0x10
#define IP_CC_MEDIA_CONNECTING_DEF              0x11
#define IP_CC_MEDIA_CONNECTED_DEF               0x12
#define IP_CC_MEDIA_CLEARING_DEF                0x13
#define IP_CC_MEDIA_IDLE_DEF                    0x14
#define IP_CC_MEDIA_FAILED_DEF                  0x15
#define IP_CC_MEDIA_SETUP_IMAGE_CONNECT_DEF     0x16
#define IP_CC_MEDIA_SETUP_AUDIO_CONNECT_DEF     0x17

#endif
