/* milladdr.h */
/* Copyright (c) 1989-2004 Brooktrout Technology Inc.  All rights reserved. */

#ifndef M_ADDR_DEFINED
#define M_ADDR_DEFINED

#ifdef PKTV0_OR_V1
#ifdef M_KERNEL
extern unsigned char M_ADDR_WILDCARD;
extern unsigned char M_ADDR_MASK;
#else
extern unsigned _mill_pkt_version;
#if defined(MILL_API_H) && !defined(MILL_SOURCE_COMPILE)
#define _mill_pkt_version _mill_pkt_version_exp
#endif
#define M_ADDR_WILDCARD \
    ((_mill_pkt_version == 0) ? ((unsigned)0x7F) : ((unsigned)0xFF))
#define M_ADDR_MASK \
    ((_mill_pkt_version == 0) ? ((unsigned)0x7F) : ((unsigned)0xFF))
#endif
#else
#define M_ADDR_WILDCARD                 ((unsigned char)0xFF)
#define M_ADDR_MASK                     ((unsigned char)0xFF)
#endif
#define M_ADDR_MAX_COMPONENT_VALUE      (M_ADDR_WILDCARD - 1)

/* As long as multiple packet versions are supported, the values
   of the macros M_ADDR_WILDCARD, M_ADDR_MASK, and
   M_ADDR_MAX_COMPONENT_VALUE are not valid until after the first driver
   access. */

/* This one is an upper limit no matter which packet version is in use */
#define M_ADDR_COMPONENT_UPPER_LIM      0xFE


#pragma pack (1)
struct m_mill_addr {
    unsigned char mm_bFacility;
    unsigned char mm_bChannel;
    unsigned char mm_bModule;
    unsigned char mm_bMachine;
};
#pragma pack ()

typedef struct m_mill_addr MILL_ADDR;

#endif
