# File: <install_root>/utils/osilib/solaris/osi.src/osi_mt.mak
#

include osi_common.mak

# Bfv library
MILL_LIB=$(LIBDIR)/bostlib_mt.so

# OSI-API library
OSI_STATIC_LIB=$(OSI_LIBDIR)/osilib_mt.a
OSI_BASE=osilib_mt.so
OSI_SHARED_LIB=$(OSI_LIBDIR)/$(OSI_BASE)

# Object directory
OBJ_DIR = obj$(INTSZ).mt

##SYSLIBS=-misalign

##LIBS=$(MILL_LIB) $(OSI_LIB) $(SYSLIBS)

DFLAGS= -D_REENTRANT -DSOLARIS $(BIT64)
IFLAGS=-I$(MILLINC) -I$(SRCDIR) -I$(DRVINC) -I$(DRVCOM) -I$(DRVCOML) -I$(CMDINC) -I$(OSIINC)

#*************************************************
# Sun compiler definitions
#*************************************************
CFLAGS=-xCC $(DFLAGS) $(IFLAGS)

lint := CFLAGS = -XCC $(DFLAGS) $(IFLAGS)

AR=ar r

OUT_OPT = -o $@
lint := CC = lint
lint := OUT_OPT =

#*************************************************
#                     Rules
#*************************************************
.SUFFIXES:	.c .o .a

.c.o:
	$(CC) $(CFLAGS) -c $*.c

#*************************************************
#                  Object list
#*************************************************
LIB_OBJS= $(OBJ_DIR)/osi_SL.o $(OBJ_DIR)/osi_delayf.o

#*************************************************
#  Targets ...
#*************************************************
all: $(OSI_LIBDIR) $(OBJ_DIR) $(OSI_STATIC_LIB) $(OSI_SHARED_LIB)

clean: 
	-rm -f $(OBJ_DIR)/osi_SL.o $(OBJ_DIR)/osi_delayf.o
	-rm -f $(OSI_LIB) 

#*************************************************
#  Dependencies
#*************************************************

$(OSI_STATIC_LIB):  $(LIB_OBJS)
	$(AR) $(OSI_STATIC_LIB) $(OBJ_DIR)/osi_SL.o $(OBJ_DIR)/osi_delayf.o

$(OSI_SHARED_LIB):  $(LIB_OBJS)
	$(CC) -G -o $(OSI_SHARED_LIB) $(OBJ_DIR)/osi_SL.o $(OBJ_DIR)/osi_delayf.o $(BIT64) $(A_TYPE) -h $(OSI_BASE)

$(OSI_LIBDIR): $(OSI_LIBDIR1)
	-mkdir $(OSI_LIBDIR)

$(OSI_LIBDIR1):
	-mkdir $(OSI_LIBDIR1)

$(OBJ_DIR):
	-mkdir $(OBJ_DIR)

$(OBJ_DIR)/osi_SL.o: $(OSISRC)/osi_SL.c $(OSIINC)/osilib.h
	$(CC) -c $(CFLAGS) $? $(OUT_OPT)
  
$(OBJ_DIR)/osi_delayf.o: $(OSISRC)/osi_delayf.c $(OSIINC)/osilib.h
	$(CC) -c $(CFLAGS) $? $(OUT_OPT)

lint :	$(OBJ_DIR)/osi_SL.o $(OBJ_DIR)/osi_delayf.o
  
CUR_DIR :sh= pwd

install:
	rm -f /usr/lib$(ISUBDIR)/$(OSI_BASE)
	ln -s $(CUR_DIR)/$(OSI_SHARED_LIB) /usr/lib$(ISUBDIR)

#___End Of Makefile___

