#include <stdio.h>
#include <string.h>

/* scanfax.c -- scan a document and fax it immediately, or save it save as
 * a fax in the user's personal fax directory
 * 
 * Permission to use, modify, and distribute this software is granted to
 * Bristol Group customers, resellers, and their customers.
 *
 * Currently scanfax supports Pectronics scanning sofware, but could easily
 * be modified to handle others.
 */

#define FAXNAME "/tmp/ofax.fax"
#define SCANFILENAME "/z/tmp/scanner_file"
#define FAX_SERVER_NAME "slc"

main()
{
	int i, n_pages, err;
	char filename[100], files[200], s[300], phone_num[100], answer[100];
	char recip[100], fax_dir[100];
	FILE *fp;

	printf("Scanfax 2.0\n\n");

	sprintf(s, "%s/.xfax_settings", getenv("HOME"));
	fp = fopen(s, "r");
	if (fp)
	{
		for (; fgets(s, 300, fp) ;)
		{
			if (strstr(s, "fax_dir:"))
			{
				strcpy(fax_dir, s + sizeof("fax_dir:") - 1);
				fax_dir[strlen(fax_dir) - 1] = '\0';
				break;
			}
		}
	}
	else
		fax_dir[0] = '\0';
	
	printf("Number of pages in feeder: ");
	scanf("%d", &n_pages);
	gets(answer);	/* to get NL */

	printf("Enter fax phone number, or 0 to send to your fax dir: ");
	gets(phone_num);

	if (strlen(phone_num) > 1)
	{
		printf("Recipient name: ");
		gets(recip);

		printf("Wait for scan to be done before sending fax (y/n)? ");
		scanf("%s", answer);
	}
	else
	{
		printf(
	"Will create a file called 'scanner_fax.fax' in directory '%s'\n\n",
				fax_dir);
		strcpy(recip, "None");
		answer[0] = 'n';
	}

/* Do your actual scanning here
 * NOTE: IF you have another scanner, its command line goes here.
 * Your solution should produce one file per page with the base filename
 * as defined in SCANFILENAME
 */
sprintf(s, "rsh pic \"/z/xvscan-1.81-bin/sjscan"
		   " -r 200 -w 8.5i -h 11i -d 1 -L -R -s 1 -b 48 -o %s.%%d\"",
															SCANFILENAME);

	printf("executing: %s\n", s);
	fprintf(stderr, "\nErrors? : ");
	if (err = system(s))
	{
		printf("Couln't execute '%s', err=%d\n", s, err >> 8);
		exit(1);
	}
	printf("\n\n");

	if (answer[0] == 'y' || answer[0] == 'Y')
	{
		printf("Continue (y) or quit (n) ? ");
		scanf("%s", answer);
		if (answer[0] != 'y' && answer[0] != 'Y')
		{
			printf("Exited without spooling a fax");
			exit(0);
		}
	}

	/* Make a fax out of the scanner files */
	files[0] = '\0';
	for (i = 0; i < n_pages; i++)
	{
		sprintf(filename, "%s.%d ", SCANFILENAME, i + 1);
		strcat(files, filename);
	}
	sprintf(s, "enfax -s %s -rh -b -2 -ald 200 -r \"%s\" %s %s",
				 FAX_SERVER_NAME, recip, files, FAXNAME);

	printf("executing: %s\n", s);
	if (err = system(s))
	{
		printf("Couln't execute '%s', err=%d\n", s, err >> 8);
		exit(1);
	}

	/* Now, either do a sendfax or a copy */
	if (strlen(phone_num) > 1)
	{
		sprintf(s, "sendfax -s %s %s \"%s\"",
			FAX_SERVER_NAME, FAXNAME, phone_num);
		printf("executing: %s\n", s);
		if (err = system(s))
		{
			printf("Couln't execute '%s', err=%d\n", s, err >> 8);
			exit(1);
		}
	}
	else
	{
		printf("doing a copy.... \n");
		sprintf(s, "cp %s %s/scanner_fax.fax", FAXNAME, fax_dir);
		printf("executing: %s\n", s);
		if (err = system(s))
		{
			printf("Couln't execute '%s', err=%d\n", s, err >> 8);
			exit(1);
		}
	}

	/* delete the scanner files */
	sprintf(s, "rm %s*", SCANFILENAME);
	printf("executing: %s\n", s);
	if (err = system(s))
	{
		printf("Couln't execute '%s', err=%d\n", s, err >> 8);
		exit(1);
	}
	exit(0);
}
