#!/usr/local/bin/perl

&file_name();

# removes old html and gif files.
while (glob("${path}/*.mo.gif")){  unlink ($_);  }
while (glob("${path}/*html")){  unlink ($_);  }

# initializes booleans based on command switches
$inst = 0;
$twice = 0;
$stdout_off = (($ARGV[1] eq "-p") || ($ARGV[2] eq "-p")) if ($ARGV[1] || $ARGV[2]);
$inst = (($ARGV[1] eq "-i") || ($ARGV[2] eq "-i")) if ($ARGV[1] || $ARGV[2]);
@ARGV = shift(@ARGV);
# backs up original @ARGV
@ARGVbak = @ARGV;

print "Generating html page. This may take a while...\n" if (! $stdout_off);

open (TEMP, ">${path}/temp.html");

&make_all_gifs();

&make_top_of_html_page($date);
&make_body_of_html();
&make_bottom_of_html();

# Opens new file. If file already exists, file is reopened.
if (-e"${path}/temp.html")
   {   open(TEMP, ">>${path}/temp.html");   }
else
   {   open(TEMP, ">${path}/temp.html");    }

if ($inst)
{
  $twice = 1;
  &day_before();
}

&name_the_html($date);

##########################################################################
#######################    S U B - R O U T I N E S    ####################
##########################################################################
# This subroutine renames the html doc, to it's proper 'dd-mm-yyyy.html'.
sub name_the_html
{
    # This next line splits the $date into seperate strings.
	($month, $day, $year) = split(/\//,@_[0]);

    # This eleminates the possible space at the begining of $month.
	$month =~ s/\s//;

    # The follwing makes $month and $day both 2-digit numbers.
	if (($month > 0) && ($month < 10)) {
		$month = join('',"0",$month);
	}
	if (($day > 0)&&($day < 10)) {
		$day = join('',"0",$day);
	}

	# print "$month\/$day\/$year\n";	

    # Renames TEMP to a the new filename, based on the data
	rename("${path}/temp.html","${path}/gifdata");
	rename("${path}/gifdata","${path}/blank");
	$newname = join('-',$day,$month,$year);
	$newname = join('',$path,"/",$newname,".html");
	# print "$newname\n";
	rename("${path}/blank",$newname) unless ($twice);
	rename("${path}/blank","${path}/modem_usage.html") if ($twice);
	close(TEMP);
}
##############################################################
# Extracts the file path & base from the file given in @ARGV[0].
# Also checks for required files.
sub file_name
{
  #extraction part:
  $path = dirname (@ARGV[0]);
  $scriptpath = dirname ($0);
  $base = basename (@ARGV[0], "");
  return ($base, $scriptpath, $path);

  #file-check part:
  if (!(-e "${scriptpath}/makegif"))
  {
    if ($stdout_off)
    {  exit;  }
    else
    {  die "make_mpage.pl: cannot locate makegif.\nPlease make sure that makegif is in \"${path}\".\n";  }
  }

  if ($stdout_off)
  {  open (TEST, "@ARGV[0]") || exit;  }
  else
  {  open (TEST, "@ARGV[0]") || die "make_mpage.pl:  No such usage-file: \'@ARGV[0]\'. Connot create html page.\n";  }
  close (TEST);
}
#############################################
# creates the top of the temp.html file.
sub make_top_of_html_page
{
system("cp ${scriptpath}/bluesilk.jpg ${path}/bluesilk.jpg") if ((-e "${scriptpath}/bluesilk.jpg") && (! (-e "${path}/bluesilk.jpg")));
print "Background off.\n" if ((! (-e "${scriptpath}/bluesilk.jpg")) && (! $stdout_off));

($month, $day, $year) = split(/\//,@_[0]);
$month =~ s/\s//;
($year, $x) = split(/-/,$year,2);
$month = join(' ',"temp",$month) if (length($month) <= 1);
$month = join('',"temp",$month) if (length($month) > 1);
($trash, $month) = split(/\s/,$month);
$i = join('-',"IsoFax Modem Usage "," $month/$day/$year") if (! $inst);
$i = "IsoFax Modem Usage" if ($inst);
@monthname = ('null','January','February','March','April','May','June','July', 'August','September','October','November','December');

if ((! $inst) || (! $twice))
{
    print TEMP "<HTML>\n";
    print TEMP "<HEAD>\n<META http-equiv=\"Refresh\" content=\"3600\">\n<\/HEAD>\n<\/META>";
}
print TEMP "<TITLE>$i<\/TITLE>\n" if ((! $inst) || (! $twice));
print TEMP "<BODY BGCOLOR=\"#000000\" BACKGROUND=\"bluesilk.jpg\">\n" if ((! $inst) || (! $twice));

print TEMP <<"EOM";

<BR>
<CENTER><H1><FONT COLOR="gold">IsoFax Modem Usage for &nbsp;@monthname[$month] $day, $year</FONT></H1></CENTER>
<HR>
<CENTER><FONT FACE="Arial" COLOR=gold SIZE=3>
(In Reverse Chronological Order)<BR>
Click on Thumbnail to Enlarge<BR>
</FONT></CENTER>

<BR>
<CENTER>
<TABLE CELLPADDING=3 CELLSPACING=5 BORDER=10 BORDERCOLOR WIDTH=100%>
EOM

print TEMP "\n";
}
#############################################
# creates the bottom of the temp.html file. 
sub make_bottom_of_html
{
print TEMP "\n<\/TABLE>\n";

if ((! $inst) || ($twice))
   {
print TEMP <<'EOM';
</BODY>
</HTML>
EOM
   }
}
#############################################
# Creates the temp.html body, containing all
# of the table-cells and image-links.
sub make_body_of_html
{
  &blank_images_in_html();	# Creates blank image.
  $n = 0;
  for ($i = 0; $i < $n_graph; $i++) # For the number of total real graphs.
    {
      # Writes the logged-hour-images to @pics.
      # Highlights the current hour blue.
      &real_images_in_html (@hours[$i]) unless (($i == ($n_graph - 1))
					  && ((! $inst) || (! $twice)));
      if (($i == ($n_graph - 1)) && ((! $inst) || (! $twice)))
      {
	 &real_images_in_html (@hours[$i], "#0000FF");
	 $most_recent_hour = @hours[$i];
      }
    }

  @x = splice(@pics,$most_recent_hour+1,$#pics) if ((!$inst) || (!$twice));
  @pics = splice(@pics,$most_recent_hour+1,$#pics) unless ((!$inst) || 
								(!$twice));

  for ($i = $#pics; $i >= 0; $i--)	# For all 24 graphs.
    {
      # Writes the array @pics to temp.html.
      print TEMP "<TR>\n" if (!($n % 3));     # starts rows of 3
      $n++;
      print TEMP $pics[$i]; 		      # Writes the array of pics.
      print TEMP "</TR>\n\n" if (!($n % 3));  # finishes rows of 3
    }
}
#############################################
# Sets all unlogged hours to a blank graph
# in the temp.html file.
sub blank_images_in_html
{
  # All of the $i's and $ii's are hour ranges in html.
  for ($i = 0; $i < 24; $i++)
  {
    $ii = ($i + 1);
    $ii = ($ii - 24) if ($ii > 23); 

    # HTML string:
    @pics[$i] = <<"    EOM"; # String until '    EOM'
    <TD VALIGN="MIDDLE" ALIGN="CENTER">
    <A HREF="blank.mo.gif">
    <IMG SRC="blank.mo.gif" WIDTH=175 HEIGHT=105 ALT="$i">
    <FONT SIZE=5  COLOR=GOLD>$i:00-$ii:00</FONT></A><BR>
    </TD>
    EOM
  }
}
#############################################
# writes each image to the @pics file.
sub real_images_in_html
{
$ii = (@_[0] + 1);
$ii = ($ii - 24) if ($ii > 23); 
@pics[@_[0]] = <<"EOM";
<TD VALIGN="MIDDLE" ALIGN="CENTER" bgcolor="@_[1]">
<A HREF="@_[0].mo.gif">
<IMG SRC="@_[0].mo.gif" WIDTH=175 HEIGHT=105 ALT="@_[0]">
<FONT SIZE=5  COLOR=GOLD>@_[0]:00-$ii:00</FONT></A>
</TD>
EOM
}
################################################################
# Reads the usage log created by parse_log.pl, and writes each 
# hour to a temp-file called 'gifdata'. A temp-file called 'blank'
# is also written, using the proper device names with zero-values.
# Both temp-files are passed to sub mkgrph, which creates images
# based the different temp-files for the html page.
sub make_all_gifs
{
  if ($inst)
    {
      $^T += 3600;
      ($x, $x, $minhour, $x, $x, $x, $x, $x, $x) = localtime ($^T);
    }
  $yes_make;
  $n_loop = 0;
  open (GIFDATA, ">${path}/gifdata");
  open (BLANK, ">${path}/blank") if ($n_loop == 0);
  $n_graph = 0;
  
  # Check to see if the modem-usage file can be opened, i.e. it exist
  # and or is executable. If the usage can be opened, it is opened to
  # the filehandle MODEM_USAGE.
  if ($stdout_off)
    {  open (MODEM_USAGE, "<$ARGV[0]") || exit;  }
  else
    {  open (MODEM_USAGE, "<$ARGV[0]") || die "make_mpage.pl: cannot open usage file: ${ARGV[0]}.\n";  }

  while (<MODEM_USAGE>)
    {
      chop;		#chops off the '\n'.
      next if (!$_);	#done for hour if $_ is null (blank line)
      ($trash, $hour, $date) = unpack "A11 A11 A22", $_; # Parses for title.
      $date =~ s/\s//;  # Removes any blank lines from $date
      
      print GIFDATA "$date $hour\n";				# Titles.
      print BLANK "No Data For This Hour\n" if ($n_loop == 0);	# Titles.

      while (<MODEM_USAGE>)
	{
	  chop;			#chops off the '\n'.
	  last if (!$_);	#done for hour if $_ is null (blank line)
	  ($dev, $trash, $sec) = unpack "a12 a4 A4", $_; # Parses for dev lines.
	  print GIFDATA "$dev $sec\n";			 # Usage lines.
	  print BLANK "$dev 0\n" if ($n_loop == 0);	 # Usage lines.
	}

      if (!$_)
	{
	  if (($n_loop == 0) && (!$inst || !$twice))
	    {
	      # Makes blank.mo.gif... Statement only executes once.
	      close (BLANK);
	      &mkgrph ("blank:", "blank");
	      $n_loop++; # Makes sure that this loop only executes once.
	    }

	  if (!$inst || !$twice)
	    {
	      # Makes graphs for current day only.
	      &mkgrph ($hour, "gifdata");
	      (@hours[$n_graph], $trash) = split (/:/, $hour);
	      $n_graph++;
	    }

	  if ($inst && $twice && ($hour > $minhour))
	    {
	      # Makes graphs for day before today.
	      &mkgrph ($hour, "gifdata");
	      (@hours[$n_graph], $trash) = split (/:/, $hour);
	      $n_graph++;
	      $yes_make = 1;
	    }

	  last if (eof ());
	}
    }

  return ($date, @hours, $n_graph, $yes_make);
}
#############################################
# A subroutine of sub parse, which actually make the gifs.
sub mkgrph
{
  #print @_[0],"\n";
  @hour = split (/:/, @_[0]);
  $graph = @hour[0];
  close (GIFDATA) if (@_[1] eq "gifdata");
  system ("${scriptpath}/makegif < ${path}/@_[1] > $path/$graph.mo.gif");
  open (GIFDATA, ">${path}/gifdata") if (@_[1] eq "gifdata");
  #print "$graph\n";
}
###################################################################
# Adds possible previous hours and graphs to the modem_usage.html
sub day_before
{
  ($uu, $dd, $mm, $yyyy) = split (/-/, $ARGVbak[0]);
  $dd--;
  $dd = "0$dd" if ((length ($dd)) == 1);
  $ARGV[0] = $ARGVbak[0];
  $ARGV[0] = join ('-', $uu, $dd, $mm, $yyyy);
  if (-e "$ARGV[0]")
    {
      &make_all_gifs ();
      if ($yes_make)
	{
	  &make_top_of_html_page ($date);
	  &make_body_of_html ();
	  &make_bottom_of_html ();
	}
    }
  $ARGV[0] = $ARGVbak[0];
  $inst = 0;
  close (TEMP);
}

################################################################################
#############******************************************************#############
#############* E X T R A    L I B R A R I E S   &   M O D U L E S *#############
#############******************************************************#############
################* These are from packages that came with perl. *################
################************************************************################


		    #####From the Basename.pm module#####

#   fileparse_set_fstype() - specify OS-based rules used in future
#                            calls to routines in this package
#
#   Currently recognized values: VMS, MSDOS, MacOS
#       Any other name uses Unix-style rules

sub fileparse_set_fstype {
  my($old) = $Fileparse_fstype;
  $Fileparse_fstype = $_[0] if $_[0];
  $old;
}

#   fileparse() - parse file specification
#
#   calling sequence:
#     ($filename,$prefix,$tail) = &basename_pat($filespec,@excludelist);
#     where  $filespec    is the file specification to be parsed, and
#            @excludelist is a list of patterns which should be removed
#                         from the end of $filename.
#            $filename    is the part of $filespec after $prefix (i.e. the
#                         name of the file).  The elements of @excludelist
#                         are compared to $filename, and if an  
#            $prefix     is the path portion $filespec, up to and including
#                        the end of the last directory name
#            $tail        any characters removed from $filename because they
#                         matched an element of @excludelist.
#
#   fileparse() first removes the directory specification from $filespec,
#   according to the syntax of the OS (code is provided below to handle
#   VMS, Unix, MSDOS and MacOS; you can pick the one you want using
#   fileparse_set_fstype(), or you can accept the default, which is
#   based on the information in the builtin variable $^O).  It then compares
#   each element of @excludelist to $filename, and if that element is a
#   suffix of $filename, it is removed from $filename and prepended to
#   $tail.  By specifying the elements of @excludelist in the right order,
#   you can 'nibble back' $filename to extract the portion of interest
#   to you.
#
#   For example, on a system running Unix,
#   ($base,$path,$type) = fileparse('/virgil/aeneid/draft.book7',
#                                       '\.book\d+');
#   would yield $base == 'draft',
#               $path == '/virgil/aeneid/'  (note trailing slash)
#               $tail == '.book7'.
#   Similarly, on a system running VMS,
#   ($name,$dir,$type) = fileparse('Doc_Root:[Help]Rhetoric.Rnh','\..*');
#   would yield $name == 'Rhetoric';
#               $dir == 'Doc_Root:[Help]', and
#               $type == '.Rnh'.
#
#   Version 2.2  13-Oct-1994  Charles Bailey  bailey@genetics.upenn.edu 


sub fileparse {
  my($fullname,@suffices) = @_;
  my($fstype) = $Fileparse_fstype;
  my($dirpath,$tail,$suffix);

  if ($fstype =~ /^VMS/i) {
    if ($fullname =~ m#/#) { $fstype = '' }  # We're doing Unix emulation
    else {
      ($dirpath,$basename) = ($fullname =~ /(.*[:>\]])?(.*)/);
      $dirpath = $ENV{'DEFAULT'} unless $dirpath;
    }
  }
  if ($fstype =~ /^MSDOS/i) {
    ($dirpath,$basename) = ($fullname =~ /(.*\\)?(.*)/);
    $dirpath = '.\\' unless $dirpath;
  }
  elsif ($fstype =~ /^MAC/i) {
    ($dirpath,$basename) = ($fullname =~ /(.*:)?(.*)/);
  }
  elsif ($fstype !~ /^VMS/i) {  # default to Unix
    ($dirpath,$basename) = ($fullname =~ m#(.*/)?(.*)#);
    $dirpath = './' unless $dirpath;
  }

  if (@suffices) {
    $tail = '';
    foreach $suffix (@suffices) {
      if ($basename =~ /($suffix)$/) {
        $tail = $1 . $tail;
        $basename = $`;
      }
    }
  }

  wantarray ? ($basename,$dirpath,$tail) : $basename;

}


#   basename() - returns first element of list returned by fileparse()

sub basename {
  my($name) = shift;
  (fileparse($name, map("\Q$_\E",@_)))[0];
}
  

#    dirname() - returns device and directory portion of file specification
#        Behavior matches that of Unix dirname(1) exactly for Unix and MSDOS
#        filespecs except for names ending with a separator, e.g., "/xx/yy/".
#        This differs from the second element of the list returned
#        by fileparse() in that the trailing '/' (Unix) or '\' (MSDOS) (and
#        the last directory name if the filespec ends in a '/' or '\'), is lost.

sub dirname {
    my($basename,$dirname) = fileparse($_[0]);
    my($fstype) = $Fileparse_fstype;

    if ($fstype =~ /VMS/i) { 
        if ($_[0] =~ m#/#) { $fstype = '' }
        else { return $dirname }
    }
    if ($fstype =~ /MacOS/i) { return $dirname }
    elsif ($fstype =~ /MSDOS/i) { 
        if ( $dirname =~ /:\\$/) { return $dirname }
        chop $dirname;
        $dirname =~ s:[^\\]+$:: unless $basename;
        $dirname = '.' unless $dirname;
    }
    else { 
        if ( $dirname eq '/') { return $dirname }
        chop $dirname;
        $dirname =~ s:[^/]+$:: unless $basename;
        $dirname = '.' unless $dirname;
    }

    $dirname;
}

#<--------END OF SCRIPT---------> 
