
/* SCCS_ID = "@(#)Pplatform.h	9.01.3.0.0	07/26/99	14:34:30" */

/*
 * @(#)Pplatform.h	9.3	07/26/99
 */
#ifndef _INCLUDE_PPLATFORM_H
#define _INCLUDE_PPLATFORM_H

#ifdef SUNOS

typedef long ssize_t;

/* Overwrite all ioctl values because the SunOS definitions can only be
   understood by Sun's own pre-processor (gcc doesn't like them).
   Add to this list as you find new ones. */

#undef FIONREAD
#define FIONREAD	0x4004667f
#undef TIOCGETP
#define TIOCGETP	0x40067408
#undef TIOCSETP
#define TIOCSETP	0x80067409
#undef TIOCGLTC
#define TIOCGLTC	0x40067474
#undef TIOCLGET
#define TIOCLGET	0x4004747c
#undef TIOCSPGRP
#define TIOCSPGRP	0x80047476
#undef TCGETA	
#define TCGETA		0x40125401
#undef TCSETAW	
#define TCSETAW		0x80125403
#undef TIOCSDTR
#define TIOCSDTR	0x20007479
#undef TIOCGWINSZ
#define TIOCGWINSZ	0x40087468
#undef TIOCSWINSZ
#define TIOCSWINSZ	0x80087467

#include <strings.h>
#include <sys/param.h>
#include <stdio.h>
void bzero (char *b, int length);
void endttyent(void);
void *memset(void *, int, unsigned int);	/* u_int = size_t */
void *memchr(const void *,int,unsigned int);	/* u_int = size_t */
void *memmove(void *, void *, unsigned int);
void perror(const char *);
void bcopy(char *s1, char *s2, int len);
void setttyent(void);
void rewind(FILE *stream);
void swab(const char *from, char *to, int nbytes);
char *getcwd(char *buf, unsigned int size);	/* u_int = size_t */
char *dgettext(const char *domainname, const char *msgid);
long getdtablesize(void);
long strtol(const char *, char **, int);
long gethostid(void);
long lrand48(void);
long srand48(long seedval);
int puts(const char *s);
int ioctl (int fd, int request, void *arg);
int putenv(char *string);
/*
int strcasecmp(const char *s1, const char *s2);
*/
int fseek(FILE *stream, long offset, int ptrname);
int getopt(int,char **,char *);
int ungetc(int c, FILE *stream);
int printf(const char *, ...);
int fprintf(FILE *, const char *, ...);
int sscanf(const char *, const char *, ...);
int fscanf(FILE *, const char *, ...);
int fclose(FILE *);
int rename(const char *, const char *);
int fputs(const char *, FILE *);
int system(const char *);
int tolower(int);
int toupper(int);
int fflush(FILE *);
int pclose(FILE *);
int fputc(int, FILE *);
int fchmod(int, unsigned long);			/* u_long = mode_t */
int gethostname(char *name, int namelen);
int _flsbuf(int, FILE *); 
int _filbuf(FILE *);
int mknod(char *,int,int);
int ftruncate(int fildes, int length);
int setvbuf(FILE *stream, char *buf, int type, size_t size);
unsigned int fread(void *, unsigned int, unsigned int, FILE *);
							/* u_int = size_t */
unsigned int fwrite(const void *, unsigned int, unsigned int, FILE *);
							/* u_int = size_t */
char *strerror(int);
unsigned long strtoul(char *,char **,int base);
unsigned long strtoul(char *,char **,int base);

#if !defined(__time_h)
#	include <time.h>
#endif
long mktime(struct tm *);		/* long  = time_t */
long time(long *);				/* long  = time_t */

#if !defined(_sys_time_h)
#	include <sys/time.h>
#endif
#if !defined(_sys_resource_h)
#	include <sys/resource.h>
#endif
int setitimer(int,struct itimerval *,struct itimerval *);
int on_exit(void (*)(),void *);
int getrlimit(int,struct rlimit *);
int vfork(void);
char *basename(char *);
size_t strftime(char *, size_t, const char *, const struct tm *);


#endif /* SUNOS */

#ifdef HPUX
char *basename(char *);
void (*sigset(int sig, void (*func)(int)))(int);
#include <sys/param.h>
#endif

#ifdef AIX

#include <sys/param.h>

/*
 * BUFSIZ is different on AIX from all the other platforms.
 * Was causing IBMs to fail talking to a server on another platform.
 */
#undef BUFSIZ
#define BUFSIZ 1024

char *strerror(int);
void (*sigset (int sig, void (*disp)(int)))(int);
char *basename(char *);
int strcasecmp(const char *s1, const char *s2);
long lrand48(void);
void bzero(char *,int);

#if !defined(_H_SYS_TIME)
#	include <sys/time.h>
#endif

/*This is already defined in /sys/time.h */
/*int setitimer(int,struct itimerval *,struct itimerval *);*/

#endif /* AIX */

#ifdef WIN32

#define MAXPATHLEN _MAX_PATH
#define UTSLEN 24
#define SNLEN 15
#undef BUFSIZ
#define BUFSIZ 1024

#ifdef __cplusplus
	extern "C" {
#endif

struct utsname {
	char sysname[UTSLEN];
	char nodename[UTSLEN];
	char release[UTSLEN];
	char version[UTSLEN];
	char machine[UTSLEN];
	char idnumber[SNLEN];
};

int uname(struct utsname *);
int gethostid(void);
void srand48(int seedval);
int lrand48(void);
int getuid(void);
void fix_slash(char *);
int syslog(int lt, const char *lpszFormat);
char *basename(char *);

#ifdef __cplusplus
	}
#endif

#define bcopy(s,d,l) memcpy(d,s,l)
#define bzero(s,l) memset(s,0,l)
#define sleep(t) Sleep(t * 1000)
#define getpid GetCurrentProcessId
#define popen(x,y) _popen(x,y)
#define pclose(x) _pclose(x)
#define strcasecmp(s1,s2) stricmp(s1,s2)
#define mkdir(d,p) mkdir(d)
#define LOG_ERR    GetLastError()
#define B1200 CBR_1200
#define B2400 CBR_2400
#define B4800 CBR_4800
#define B9600 CBR_9600
#define B14400 CBR_14400
#define B19200 CBR_19200
#define B38400 CBR_38400
#define B57600 CBR_57600

#ifdef WANT_THIS
#include "winrpc.h"
#ifdef __cplusplus
	extern "C" {
#endif
LPTSTR _br_strdup(LPCSTR);
#ifdef __cplusplus
	}
#endif
#define malloc(x) ez_malloc(x)
#define realloc(x,y) ez_realloc(x,y)
#define calloc(x,y) ez_calloc(x,y)
#define free(x) ez_free(x)
#include <winsock.h>
#endif

typedef int ssize_t;       /* Signed version of size_t */
typedef unsigned short mode_t;
typedef long pid_t;


#endif

#endif
