/* SCCS_ID = "@(#)queue_status.h	9.01.2.0.0	07/26/99	14:36:04" */

#if !defined(_INCLUDE_QUEUE_STATUS_H)
#define _INCLUDE_QUEUE_STATUS_H

#if defined(__cplusplus)
	extern "C" {
#endif

typedef enum
{
	Q_STATUS_ERR_OK,			/* successfull */
	Q_STATUS_ERR_FILE_NOT_FOUND,/* couldn't find file or bad file arg */
	Q_STATUS_ERR_NO_OP,			/* nothing to do "no-op" */

	/* this should always be last! */
	Q_STATUS_ERRNO				/* errno is added to this enum and returned */

} queue_error_t;

/*
 * DON'T CHANGE ANY OF THESE DEFINES UNLESS YOU CHECK THAT THE
 * SIZE OF THE JOB STRUCTURE PAGES NOT TO SEND SILLINESS REMAINS
 * 1000!!!!!!!!!!!!!!!!!!!!!!!!!!!
 */
#ifndef MAX_FAX_PAGES
#define MAX_FAX_PAGES	999
#endif

#define FAXFILE_LEN 100
#define PERSON_LEN 100
#define PHONE_LEN 52
#define EMAIL_LEN 100
#define SUBJECT_LEN 100
#define EXCUSE_LEN 100
#define BILLING_LEN 52
#define TRACKING_LEN 20
#define DLIST_LEN 64
#define PASSWD_LEN	16

/* 
 * HOSTNAME_LEN has to be the same as PERSON_LEN to avoid changing the
 * size of the C-file.
 *   3/1/97 -gm
 */
#define HOSTNAME_LEN	PERSON_LEN

#ifndef CFILE_REV_LEN
#define CFILE_REV_LEN 4
#endif

typedef struct queue_status_t
{
	int cfile_rev;							/* cfile revision */
	int compression;						/* fax data format */
	int error_code;							/*  */
	int fsize;								/* file size */
	int jobhandle;							/* job handle, extract from C_ */
	int npages;								/* total pages */
	int nsent;								/* pages sent */
	int pos;								/* position */
	int previous_attempts;					/* previous attempts */
	int priority;							/* priority */
	int resolution;							/* resolution */
	int status;								/* status */
	int time_first_attempt;					/* first attempt */
	int time_last_attempt;					/* last attempt */
	int time_submitted;						/* time submitted */
	int time_to_send;						/* time to send */
	int total_attempts;						/* total attempts */
	int uid;								/* uid of one who submitted file */
	struct			/* This struct is only used in the */
		{			/* history log information         */
			int del_time;					/* time this entry was written */
			int del_uid;					/* userid of one who deleted file */
			char del_uname[PERSON_LEN];		/* username who deleted file */
		} h;								/* history specific field */
	char billing_code[BILLING_LEN];			/* billing code */
	char cfile_name[FAXFILE_LEN];			/* C_ filename */
	char fax_name[FAXFILE_LEN];				/* fax filename */
	char hostname[PERSON_LEN];				/* client */
	char dlist[DLIST_LEN];					/* dlist name */
	char fail_excuse[EXCUSE_LEN];			/* reason for last failure */
	char phone_number[PHONE_LEN];			/* fax number */
	char raw_phone_number[PHONE_LEN];		/* original fax number */
	char recipient_name[PERSON_LEN];		/* recipient */
	char senders_email_address[PERSON_LEN];	/* email address */
	char subject[SUBJECT_LEN];				/* subject */
	char tracking_id[TRACKING_LEN];			/* tracking id */
	char uname[PERSON_LEN];					/* CREV >= 1, who queued fax */
} queue_status_t;

#if defined(__cplusplus)
	}
#endif

#endif
