
static char SCCS_ID[] = "@(#)|use_checkfax.c|9|01|2|0|0|07/26/99|14:32:29";

/*
 * The Bristol Group, 1993
 * Sample program which demonstrates use of the function checkfax().
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include "faxwork.h"
#include "Pplatform.h"

char Fax_server[100];

static void syntax(void);
extern int checkfax(char *server, char *cfilename, struct job *fillme, int queue_number);
extern int gethostname(char *name, int namelen);

void 
main(int argc, char **argv)
{
	struct job myfax;
	char handle[100];
	int queue_number = 1;
	int i;

	argv++;
	if (--argc <= 0)
		syntax();
	strcpy(handle, *argv);

	/* Default fax server is this host */
	gethostname(Fax_server, 100);

	for (i = 1; i < argc; i++)
	{
		if (!strncmp(argv[i], "-f", 2))
		{
			if (argv[i + 1] != NULL && argv[i + 1][0] != '-')
			{
				strcpy(Fax_server, argv[i + 1]);
				i++;
			}
			else
				syntax();
		}
		else if (!strncmp(argv[i], "-q", 2))
		{
			if (argv[i + 1] != NULL && argv[i + 1][0] != '-')
			{
				queue_number = atoi(argv[i + 1]);
				if (queue_number < 1 || queue_number > 24)
				{
					fprintf(stderr, "\nInvalid queue number %d\n\n", queue_number);
					exit(1);
				}
				i++;
			}
			else
				syntax();
		}
		else
			syntax();
	}

	switch (checkfax(Fax_server, handle, &myfax, queue_number))
	{
	case 0:					/* Successful - status info received */
		break;
	case 1:
		fprintf(stderr, "\nNo fax services available on server '%s' for queue number %d.\n\n", Fax_server, queue_number);
		exit(1);
	case 2:
		fprintf(stderr, "\nFax server '%s' not responding (queue number %d)... giving up!\n\n", Fax_server, queue_number);
		exit(1);
	case 3:
		fprintf(stderr, "\nStatus file '%s' not found in fax queue (queue number %d)\n\n", handle, queue_number);
		exit(0);
	case 4:
		fprintf(stderr, "\nTrouble with status file '%s'!\n\n",
				handle);
		exit(1);
	default:
		fprintf(stderr, "\nError running checkfax()!\n\n");
		exit(1);
	}

	printf("\n");
	if (myfax.previous_attempts == 0)
	{
		printf("No attempts have been made yet to send the fax %s\n",
			   myfax.faxfile);
		printf("This fax is scheduled to be sent at time: \n\t%s\n",
			   ctime((time_t *) & myfax.time_to_send));
	}
	else
		/* was unsuccessful for some reason */
	{
		if (strcmp(myfax.fail_excuse, ""))	/* it failed with a reason */
			printf("There have been %d attempts to send the fax %s, \nthe most recent reason for failure being:\n \"%s\".\n",
				 myfax.previous_attempts, myfax.faxfile, myfax.fail_excuse);
		else
			printf("There have been %d attempts to send the fax %s, \nbut no reason for failure is given.\n",
				   myfax.previous_attempts, myfax.faxfile);

		if (myfax.previous_attempts >= myfax.total_attempts)
			printf("No further attempts will be made to send this fax.\n\n");
		else
			printf("This fax is scheduled to resend at time: \n\t%s\n",
				   ctime((time_t *) & myfax.time_to_send));
	}
}

static void
syntax(void)
{
	printf("\nsyntax:  use_checkfax status_handle [-f fax_server] [-q queue_number]\n\n");
	exit(1);
}
