
CHECKFAX		C LIBRARY FUNCTION		

NAME
	checkfax - fills the structure passed to it with information 
		   about the status of a queued fax

SYNOPSIS
	#include "faxwork.h"

	int checkfax(servername, handle, myjob, queue_number)
	char *servername;
	char *handle;
	struct job *myjob;
	int queue_number;

DESCRIPTION
	checkfax() fills the fields of 'myjob' with information regarding
	the status of fax 'handle,' which has been queued by the server
	running on machine 'servername', in outgoing queue number
	'queue_number.'

	If you are not using multiple outgoing fax queues (most common
	case), set 'queue_number' to 1.

	The C code provided in "use_checkfax.c" shows an example of 
	how a program can pass a job pointer to checkfax, and then 
	interpret the received information to print out useful status
	messages to users.

	checkfax establishes a RCP connection with the machine 
	specified by servername.  The fax server "faxd," of version
	5.2d or later, must be running on that machine.  The status 
	handle is received whenever a fax is queued via "sendfax"
	of version 5.2c or later.

RETURN VALUES
	0:	Successful - fax still waiting in queue, status
		information received
	1:	No fax services available on server
	2:	Fax server not responding...giving up
	3:	Status file not found - either bogus file name,
		or that fax has already been sent successfully.
	4:	Trouble with status file (this should never happen)


