
DELETEFAX		C LIBRARY FUNCTION		

NAME
	deletefax - deletes a queued fax

SYNOPSIS
	#include "faxwork.h"

	int deletefax(servername, handle, queue_number)
	char *servername;
	char *handle;
	int queue_number;

DESCRIPTION
	deletefax() removes the fax 'handle', which has been queued by
	the server running on machine 'servername', in outgoing queue
	number 'queue_number.'

	If you are not using multiple outgoing fax queues (most common
	case), set 'queue_number' to 1.

	The C code provided in "use_deletefax.c" shows an example of 
	how a program can call deletefax, and then interpret the
	return value.

	deletefax establishes a RCP connection with the machine 
	specified by servername.  The fax server "faxd," of version
	5.2d or later, must be running on that machine.  The status 
	handle is received whenever a fax is queued via "sendfax"
	of version 5.2c or later.

RETURN VALUES
	0:	Successful - fax deleted
	1:	No fax services available on server
	2:	Fax server not responding...giving up
	3:	Status file not found - either bogus file name,
		or that fax has already been sent successfully.
	4:	Trouble deleting status file (possibly permissions
		problem)
