#!/usr/local/bin/perl

# Primary cgi for fax archive browser
require "cgi-lib.pl";

MAIN:
{
  &ReadParse(*input);

  print &PrintHeader;
  &set_html_style;

  $directory = $input{"directory"};

  # if we've pushed a fax button to view it, do that
  if (exists($input{"Details"})) {
	&details;
	die; }

  if (exists($input{"view"})) {
	&viewfax;
	die; }

  $key = $input{'key'};
  $value = $input{'value'};

  # Hack: if the search string is null, find all faxes by using a key
  # which always there
  if ($value eq "") {$key = "RESOLUTION"};

  #$_ = $directory;

  # search for .*fax in all dirctory but 'work.' Search for T_* there.
  if ($directory =~ /work/) {
	  $results =  `cd $directory; fgrep \"$key\" T_*"`;}
  else {
	  $results =  `cd $directory; fgrep \"$key\" *.fax"`;}
  @hits = split /^/m, $results; # collect the results in an array of lines

  print "<img src=\"/bristol_small.gif\">";
  print &HtmlTop ("Faxes found"); 

  print "<HR>";
  print "<form method=post action=\"findfax.cgi\">";

  # pass on the directory name for future cgi executions: 
  print "<input type=\"hidden\" name=\"directory\" value=\"$directory\">";

  print "<select name=\"view\" size=10>";
  foreach $hit (@hits)
  {
	  chop $hit; # remove CR from end of keyword value pair
                 # it now loooks like filename:keyword:value
	  ($file, $keyword, $kvalue) = split /:/, $hit;
	  #$_ = $kvalue;
      if ($kvalue =~ /$value/ || $value eq "") {
		 if ($nhits == 0) {
           print "<option selected value=\"$file\">$file";}
         else {
           print "<option value=\"$file\">$file";}
		 $nhits++; }
  }
	
  print"</select>";
  print "<b>  " . ($nhits + 1 - 1) . "  fax(es) found<p>";

  if ($nhits != 0)
  {
	  print "<input type=\"submit\" name=\"Details\" value=\"Details\">";
	  print " <input type=\"submit\" name=\"View\" value=\"View\"><p>";
  }

  print	"</form>";
  print "<HR>";
  print &HtmlBot;
}


sub viewfax
{
  print &HtmlTop;

  $fax_to_view = $input{'view'};

  # extract first page
  $return =
 `../../webclient_home/br_splitfax $directory/$fax_to_view 1 /tmp/viewfax$$`;
  wait;
  if ($return) {print "$return<br>"};

  # convert to sun raster
  $return = `../../webclient_home/br_faxtosun /tmp/viewfax$$ /tmp/viewfax$$`;
  wait;
  if ($return) {print "$return<br>"};

  `rm ../htdocs/*fax.gif`;	 # clean up any previous gifs (this could
                             # interfere with other users, bug we'll take
                             # the chance)
  wait;

  # convert to ppm, then to gif
  $return = `../../webclient_home/rasttopnm /tmp/viewfax$$1 | ../../webclient_home/ppmtogif - >../htdocs/$fax_to_view.gif`;
  wait;
  if ($return) {print "$return<br>"};

  unlink  "/tmp/viewfax$$", "/tmp/viewfax$$1";  # delete the temporaries

  print "<b>Fax filename: $fax_to_view<p>";   # label

  print "<img src=\"/$fax_to_view.gif\">"; # actual gif

  print &HtmlBot;
}

sub details
{
  $fax_for_details = $input{'view'};

  print "<img src=\"/bristol_small.gif\">";
  print &HtmlTop("Fax Details");
  print "<HR>";
  print "<H2>$fax_for_details</H2>";

  open(FAX_FILE, "<$directory/$fax_for_details") || die "could not open";
  print "<table>";
  for (;;)
  {
     $line = <FAX_FILE>;
     $thing = unpack "c", $line;
     last if ($thing == 29);
     ($keyword, $value, $minutes, $seconds) = split /:/, $line;
   	 #print "$keyword, $value, $hours, $minutes <br>";

     if ($keyword =~ /DATE/) {
       $value = $value . ":" . $minutes; 
       &item_in_details("Date/Time", $value); }
     elsif ($keyword =~ /SENDER_FAX/) {
		&item_in_details("Sender Fax", $value);}
     elsif ($keyword =~ /FAX_ID/) {
		&item_in_details("Fax ID", $value);}
     elsif ($keyword =~ /INCOMING/) {
		&item_in_details("Incoming", $value);}
     elsif ($keyword =~ /RECEIVER_FAX/) {
		&item_in_details("Recipient Fax", $value);}
     elsif ($keyword =~ /RECEIVER_NAME/) {
		&item_in_details("Recipient Name", $value);}
     elsif ($keyword =~ /RECEIVER_ORG/) {
		&item_in_details("Recipient Org", $value);}
     elsif ($keyword =~ /RESOLUTION/) {
		&item_in_details("Resolution (1=Fine)", $value);}
     elsif ($keyword =~ /SENDER_EMAIL/) {
		&item_in_details("Sender\'s Email", $value);}
     elsif ($keyword =~ /SENDER_NAME/) {
		&item_in_details("Sender\'s Name", $value);}
     elsif ($keyword =~ /SUBJECT/) {
		&item_in_details("Subject", $value);}
  }
  print "</table>";
  print "<HR>";

  print &HtmlBot;
}

sub item_in_details
{
  print "<tr><td align=\"right\"><b>";
  print "$_[0]:</td><td><font color=\"red\"><b> $_[1]</td></tr>";
}

sub set_html_style
{
  print "
<style><!--
body,td,div,.p,a{font-family:arial,sans-serif }
div,td{color:#000}
.f,.fl:link{color:#6f6f6f}
a:link,.w,a.w:link,.w a:link{color:#00c}
a:visited,.fl:visited{color:#551a8b}
a:active,.fl:active{color:#f00}
.t a:link,.t a:active,.t a:visited,.t{color:#ffffff}
.t{background-color:#3366cc}
.h{color:#3366cc;font-size:14px}
.i,.i:link{color:#a90a08}
.a,.a:link{color:#008000}
.z{display:none}
div.n {margin-top: 1ex}
.n a{font-size:10pt; color:#000}
.n .i{font-size:10pt; font-weight:bold}
.q a:visited,.q a:link,.q a:active,.q {text-decoration: none; color: #00c;}
.b{font-size: 12pt; color:#00c; font-weight:bold}
.ch{cursor:pointer;cursor:hand}
//-->
</style>";
}
